export declare type AlertPosition = 'top-left' | 'top-center' | 'top-right' | 'bottom-left' | 'bottom-center' | 'bottom-right';
export declare type AlertType = 'info' | 'success' | 'warning' | 'error';
/**
 * Configuration used when opening an alert.
 */
export declare class AlertConfig {
    key?: string;
    ariaLabel?: string;
    /** To show/hide Close button of the Alert | true */
    closable?: boolean;
    /** Optional Alert message | '' */
    message?: string;
    /** Handler invoked when the user presses on the Alert's close button | null */
    onHide?: Function;
    /** Display newest alert messages first | true */
    orderNewest?: boolean;
    /** Define alert's position with css class name: 'bottom-right' */
    position?: AlertPosition;
    /** Optional Alert title | '' */
    title?: string;
    /** Sets the type of the Alert | 'info' */
    type?: AlertType;
}
