(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@momentum-ui/utils/lib/getColorValue'), require('lodash'), require('lodash-es/reject'), require('@angular/cdk/text-field'), require('@angular/cdk/coercion'), require('@angular/cdk/platform'), require('lodash-es/find'), require('lodash-es/isObject'), require('@angular/cdk/a11y'), require('@angular/forms'), require('rxjs/operators'), require('@angular/cdk/overlay'), require('@angular/cdk/portal'), require('rxjs'), require('@angular/platform-browser'), require('@angular/cdk/keycodes'), require('lodash-es/findIndex'), require('lodash-es/uniqueId'), require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@momentum-ui/angular', ['exports', '@momentum-ui/utils/lib/getColorValue', 'lodash', 'lodash-es/reject', '@angular/cdk/text-field', '@angular/cdk/coercion', '@angular/cdk/platform', 'lodash-es/find', 'lodash-es/isObject', '@angular/cdk/a11y', '@angular/forms', 'rxjs/operators', '@angular/cdk/overlay', '@angular/cdk/portal', 'rxjs', '@angular/platform-browser', '@angular/cdk/keycodes', 'lodash-es/findIndex', 'lodash-es/uniqueId', '@angular/common', '@angular/core'], factory) :
    (factory((global['momentum-ui'] = global['momentum-ui'] || {}, global['momentum-ui'].angular = {}),global.getColorValue,global.lodash,global.reject,global.ng.cdk['text-field'],global.ng.cdk.coercion,global.ng.cdk.platform,global.find,global.isObject,global.ng.cdk.a11y,global.ng.forms,global.rxjs.operators,global.ng.cdk.overlay,global.ng.cdk.portal,global.rxjs,global.ng.platformBrowser,global.ng.cdk.keycodes,global.findIndex,global.uniqueId,global.ng.common,global.ng.core));
}(this, (function (exports,getColorValue,lodash,reject,textField,coercion,platform,find,isObject,a11y,forms,operators,i1,portal,rxjs,platformBrowser,keycodes,findIndex,uniqueId,common,i0) { 'use strict';

    getColorValue = getColorValue && getColorValue.hasOwnProperty('default') ? getColorValue['default'] : getColorValue;
    reject = reject && reject.hasOwnProperty('default') ? reject['default'] : reject;
    find = find && find.hasOwnProperty('default') ? find['default'] : find;
    isObject = isObject && isObject.hasOwnProperty('default') ? isObject['default'] : isObject;
    findIndex = findIndex && findIndex.hasOwnProperty('default') ? findIndex['default'] : findIndex;
    uniqueId = uniqueId && uniqueId.hasOwnProperty('default') ? uniqueId['default'] : uniqueId;

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // const getColorValue = require('@momentum-ui/utils/lib/getColorValue');
    /** @type {?} */
    var iconNames = require('@momentum-ui/icons/data/iconNames.json');
    var IconComponent = /** @class */ (function () {
        function IconComponent() {
            var _this = this;
            this.click = new i0.EventEmitter();
            this.getIconNameClass = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var defaultSize = 16;
                /** @type {?} */
                var sizeFromName = Number(_this.name.split('_')[1]);
                /** @type {?} */
                var nameWithSize = _this.name;
                if (sizeFromName && _this.fontSize) {
                    nameWithSize = _this.name.split('_')[0] + "_" + _this.fontSize;
                }
                if (!sizeFromName) {
                    nameWithSize = _this.name + "_" + (_this.size || defaultSize);
                }
                /** @type {?} */
                var lookupIconName = nameWithSize.replace(/^(icon-)/, '');
                /** @type {?} */
                var iconNameClass = "icon-" + lookupIconName;
                // validate Icon name with Momentum Design
                if ((( /** @type {?} */(iconNames))).indexOf(lookupIconName) < 0) {
                    _this.consoleHandler('name-error', nameWithSize);
                }
                return iconNameClass;
            });
            this.getColor = ( /**
             * @return {?}
             */function () {
                if (!_this.color) {
                    return 'inherit';
                }
                if (_this.color.startsWith('#')) {
                    _this.consoleHandler('color-warn', _this.color);
                    return _this.color;
                }
                return getColorValue(_this.color);
            });
            this.consoleHandler = ( /**
             * @param {?} message
             * @param {?} data
             * @return {?}
             */function (message, data) {
                switch (message) {
                    case 'color-warn':
                        console.warn("[@momentum-ui/angular] Icon: " + data + " may not exist in the design system," +
                            " please use a color name from http://momentum.design/styles/color");
                        break;
                    case 'name-error':
                        console.warn("[@momentum-ui/angular] Icon: Icon " + data + " does not exist in the design system." +
                            " Visit https://momentum.design/styles/icons for a list of available icons or to request a new icon.");
                        break;
                }
            });
        }
        Object.defineProperty(IconComponent.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return !this.isClickable ? this.classes : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IconComponent.prototype, "_color", {
            get: /**
             * @return {?}
             */ function () {
                return !this.isClickable ? this.getColor() : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IconComponent.prototype, "_ariaLabelledBy", {
            get: /**
             * @return {?}
             */ function () {
                return !this.isClickable ? this.ariaLabelledBy : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IconComponent.prototype, "_ariaLabel", {
            get: /**
             * @return {?}
             */ function () {
                return !this.isClickable ? this.ariaLabel : null;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IconComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                // input validations
                if (!this.name) {
                    throw new Error('Attribute "name" is required');
                }
                if (this.type && this.type !== 'white' && this.type !== '') {
                    throw new Error('Attribute "type" if defined is either "" or "white"');
                }
                this.isClickable = this.click.observers.length > 0;
                this.classes =
                    'md-icon icon' +
                        ("" + ((this.name && " " + this.getIconNameClass()) || '')) +
                        ("" + ((this.className && " " + this.className) || '')) +
                        "";
                this.buttonClasses =
                    'md-button--icon' +
                        ("" + ((this.type && " md-button--icon-" + this.type) || '')) +
                        ("" + ((this.buttonClassName && " " + this.buttonClassName) || ''));
                /** @type {?} */
                var iconCount = uniqueId();
                this.titleId = "icon-title-" + iconCount;
                this.descId = this.description ? "icon-desc-" + iconCount : undefined;
            };
        Object.defineProperty(IconComponent.prototype, "ariaLabelledBy", {
            get: /**
             * @return {?}
             */ function () {
                var _a = this, ariaLabel = _a.ariaLabel, title = _a.title, description = _a.description, titleId = _a.titleId, descId = _a.descId;
                if (!ariaLabel) {
                    if (title && description) {
                        return titleId + " " + descId;
                    }
                    if (title) {
                        return "" + titleId;
                    }
                    if (description) {
                        return "" + descId;
                    }
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        IconComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-icon',
                        template: "\n    <button\n      md-button\n      *ngIf=\"isClickable\"\n      ngClass=\"{{ buttonClasses }}\"\n      [attr.aria-labelledby]=\"ariaLabelledBy\"\n      [attr.aria-label]=\"ariaLabel\"\n    >\n      <i class=\"{{ classes }}\" [style.color]=\"getColor()\"></i>\n    </button>\n  ",
                        host: {
                            'style': 'display:inline-flex;'
                        },
                        encapsulation: i0.ViewEncapsulation.None
                    }] }
        ];
        /** @nocollapse */
        IconComponent.ctorParameters = function () { return []; };
        IconComponent.propDecorators = {
            ariaLabel: [{ type: i0.Input }],
            buttonClassName: [{ type: i0.Input }],
            color: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            description: [{ type: i0.Input }],
            name: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            fontSize: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            click: [{ type: i0.Output }],
            _class: [{ type: i0.HostBinding, args: ['class',] }],
            _color: [{ type: i0.HostBinding, args: ['style.color',] }],
            _ariaLabelledBy: [{ type: i0.HostBinding, args: ['attr.aria-labelledby',] }],
            _ariaLabel: [{ type: i0.HostBinding, args: ['attr.aria-label',] }]
        };
        return IconComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent(el) {
            this.el = el;
            /**
             * \@prop Active Sets button to active | false
             */
            this.active = false;
            /**
             * \@prop Creates a circle shaped button | false
             */
            this.circle = false;
            /**
             * \@prop Sets the attribute disabled to Button | false
             */
            this.disabled = false;
            /**
             * \@prop Sets expand css styling to widen the Button | false
             */
            this.expand = false;
            /**
             * \@prop Sets href for an anchor tagged button | ''
             */
            this.href = '';
            /**
             * \@prop Activates the loading animation and sets the button to disabled | false
             */
            this.loading = false;
            /**
             * \@prop Html button type | 'button'
             */
            this.type = 'button';
            this._color = '';
            this._removeStyle = false;
            this._size = 36;
        }
        Object.defineProperty(ButtonComponent.prototype, "color", {
            /** @prop Sets optional button color | '' */
            get: /**
             * \@prop Sets optional button color | ''
             * @return {?}
             */ function () {
                if (this.removeStyle) {
                    this.color = null;
                    return null;
                }
                return this._color;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                /** @type {?} */
                var colorName = ( /**
                 * @param {?} name
                 * @return {?}
                 */function (name) { return name === 'none' ? 'color-none' : name; });
                if (this._color) {
                    this.el.nativeElement.classList.remove("md-button--" + colorName(this._color));
                }
                if (value && !this.removeStyle) {
                    this.el.nativeElement.classList.add("md-button--" + colorName(value));
                }
                this._color = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "removeStyle", {
            /** @prop Boolean to remove Button's default style | false */
            get: /**
             * \@prop Boolean to remove Button's default style | false
             * @return {?}
             */ function () {
                return this._removeStyle;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (value) {
                    this.color = null;
                    this.size = null;
                }
                this._removeStyle = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "size", {
            /** @prop Size value | '36' */
            get: /**
             * \@prop Size value | '36'
             * @return {?}
             */ function () {
                if (this.removeStyle) {
                    this.size = null;
                    return null;
                }
                return this._size;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                /** @type {?} */
                var sizeName = ( /**
                 * @param {?} name
                 * @return {?}
                 */function (name) { return name === 'none' ? 'size-none' : name; });
                if (this._size) {
                    this.el.nativeElement.classList.remove("md-button--" + sizeName(this._size));
                }
                this._size = value;
                if (!this.circle && !this.checkButtonSize(value)) {
                    console.warn("[@collab-ui/angular] Button: selected size is not supported\n         for non-circular button. Size will default to 36");
                    this._size = 36;
                }
                if (this._size && !this.removeStyle) {
                    this.el.nativeElement.classList.add("md-button--" + sizeName(this._size));
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "focusIndex", {
            get: /**
             * @return {?}
             */ function () {
                return this._focusIndex;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._focusIndex = value;
                if (this.index === this._focusIndex && this._focusIndex !== this._prevFocusIndex) {
                    this.el.nativeElement.focus();
                }
                this._prevFocusIndex = this._focusIndex;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "hostElement", {
            get: /**
             * @return {?}
             */ function () {
                return this.el;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "opacity", {
            get: /**
             * @return {?}
             */ function () {
                return this.loading ? 0 : 1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonComponent.prototype, "width", {
            get: /**
             * @return {?}
             */ function () {
                return this._width;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._width = value;
                this.el.nativeElement.style.width = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ButtonComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    _this.checkAriaLabel();
                    if (_this.focusOnLoad && _this.focusIndex === _this.index) {
                        _this.el.nativeElement.focus();
                    }
                }), 0);
            };
        /**
         * @private
         * @param {?} size
         * @return {?}
         */
        ButtonComponent.prototype.checkButtonSize = /**
         * @private
         * @param {?} size
         * @return {?}
         */
            function (size) {
                return [null, 'none', '28', '36', '40', '52', 28, 36, 40, 52].includes(size);
            };
        /**
         * @private
         * @return {?}
         */
        ButtonComponent.prototype.checkAriaLabel = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var ariaLabel = this.getAttr('aria-label');
                if (!ariaLabel) {
                    console.warn('md-button: content is not a string, you must add an "aria-label" for accessibility.');
                }
            };
        /**
         * @private
         * @param {?} attr
         * @return {?}
         */
        ButtonComponent.prototype.getAttr = /**
         * @private
         * @param {?} attr
         * @return {?}
         */
            function (attr) {
                return this.el.nativeElement.getAttribute(attr);
            };
        ButtonComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'button[md-button], a[md-button], input[md-button]',
                        exportAs: 'mdButton',
                        template: "\n    <md-loading *ngIf=\"loading\"></md-loading>\n    <span class=\"md-button__children\" [ngStyle]=\"{ opacity: opacity }\">\n      <ng-content></ng-content>\n    </span>\n  ",
                        host: {
                            '[attr.active]': 'active',
                            '[attr.disabled]': 'disabled || loading || null',
                            '[attr.href]': 'href',
                            '[attr.tabindex]': 'index === focusIndex ? 0 : -1',
                            '[attr.type]': 'type',
                            'class': 'md-button md-button--36',
                            '[class.active]': 'active && !disabled',
                            '[class.md-button--circle]': 'circle',
                            '[class.md-button--disabled]': 'disabled || loading',
                            '[class.md-button--expand]': 'expand',
                            '[class.md-button--none]': 'removeStyle',
                        }
                    }] }
        ];
        /** @nocollapse */
        ButtonComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        ButtonComponent.propDecorators = {
            active: [{ type: i0.Input }],
            circle: [{ type: i0.Input }],
            color: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            expand: [{ type: i0.Input }],
            href: [{ type: i0.Input }],
            loading: [{ type: i0.Input }],
            removeStyle: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            type: [{ type: i0.Input }]
        };
        return ButtonComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoadingComponent = /** @class */ (function () {
        function LoadingComponent() {
            /**
             * \@option Prop to make the Loading animation small | false
             */
            this.small = false;
        }
        Object.defineProperty(LoadingComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return "md-loading " + (this.small ? 'md-loading--small' : '');
            },
            enumerable: true,
            configurable: true
        });
        LoadingComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-loading, CSLoading',
                        template: "\n    <span class=\"md-loading__icon\"></span>\n    <span class=\"md-loading__icon\"></span>\n    <span class=\"md-loading__icon\"></span>\n  ",
                        encapsulation: i0.ViewEncapsulation.None
                    }] }
        ];
        /** @nocollapse */
        LoadingComponent.ctorParameters = function () { return []; };
        LoadingComponent.propDecorators = {
            small: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return LoadingComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoadingModule = /** @class */ (function () {
        function LoadingModule() {
        }
        /**
         * @return {?}
         */
        LoadingModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: LoadingModule,
                    providers: [],
                };
            };
        LoadingModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        exports: [LoadingComponent],
                        declarations: [LoadingComponent],
                    },] }
        ];
        return LoadingModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonModule = /** @class */ (function () {
        function ButtonModule() {
        }
        /**
         * @return {?}
         */
        ButtonModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ButtonModule,
                    providers: [],
                };
            };
        ButtonModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, LoadingModule.forRoot()],
                        exports: [ButtonComponent],
                        declarations: [ButtonComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ButtonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IconModule = /** @class */ (function () {
        function IconModule() {
        }
        /**
         * @return {?}
         */
        IconModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: IconModule,
                    providers: [],
                };
            };
        IconModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [ButtonModule, common.CommonModule],
                        declarations: [IconComponent],
                        exports: [ButtonModule, IconComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return IconModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertBannerComponent = /** @class */ (function () {
        function AlertBannerComponent() {
            /**
             * Sets the visibility of AlertBanner's close button | false
             */
            this.closable = false;
            /**
             * Sets the AlertBanner type | 'info'
             */
            this.type = 'info';
            /**
             * Event emitted when the user presses on the AlertBanner's close button or hits the esc key
             */
            this.hide = new i0.EventEmitter();
        }
        /**
         * @param {?} event
         * @return {?}
         */
        AlertBannerComponent.prototype.handleKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (event.key !== 'Tab') {
                    this.hide.emit();
                }
            };
        /**
         * @return {?}
         */
        AlertBannerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (!this.hide.observers.length && this.closable) {
                    throw new Error('Observer for "hide" is required');
                }
            };
        /**
         * @return {?}
         */
        AlertBannerComponent.prototype.onClick = /**
         * @return {?}
         */
            function () {
                this.hide.emit();
            };
        AlertBannerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-banner',
                        template: "\n    <div [ngClass]=\"['md-alert-banner', 'md-alert-banner--' + type]\">\n      <div class=\"md-alert-banner__text\">\n        <ng-content></ng-content>\n      </div>\n      <div\n        *ngIf=\"closable\"\n        class=\"md-alert-banner__close\"\n        (click)=\"onClick()\"\n        (keydown)=\"handleKeydown($event)\"\n        tabindex=\"0\"\n        role=\"button\"\n      >\n        <md-icon name=\"cancel_16\"></md-icon>\n      </div>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        AlertBannerComponent.ctorParameters = function () { return []; };
        AlertBannerComponent.propDecorators = {
            closable: [{ type: i0.Input }],
            type: [{ type: i0.HostBinding, args: ['attr.type',] }, { type: i0.Input }],
            hide: [{ type: i0.Output }],
            handleKeydown: [{ type: i0.HostListener, args: ['document:keydown.escape', ['$event'],] }]
        };
        return AlertBannerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertBannerModule = /** @class */ (function () {
        function AlertBannerModule() {
        }
        /**
         * @return {?}
         */
        AlertBannerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AlertBannerModule,
                    providers: [],
                };
            };
        AlertBannerModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, IconModule],
                        declarations: [AlertBannerComponent],
                        exports: [AlertBannerComponent],
                    },] }
        ];
        return AlertBannerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AvatarComponent = /** @class */ (function () {
        function AvatarComponent(elementRef) {
            this.elementRef = elementRef;
            this.ariaLabel = '';
            /**
             * \@option Image alt tag | ''
             */
            this.alt = '';
            /**
             * \@option Set Avatar background color | ''
             */
            this.backgroundColor = '';
            /**
             * \@option Optional css class string for button | ''
             */
            this.buttonClassName = '';
            /**
             * \@option Set Avatar text color | ''
             */
            this.color = '';
            /**
             * \@option Set existance of a failureBadge on the Avatar | false
             */
            this.failureBadge = false;
            /**
             * \@option Set existance of a notification on the Avatar | false
             */
            this.hasNotification = false;
            /**
             * \@option Set the visibility of Avatar's default tooltip | false
             */
            this.hideDefaultTooltip = false;
            /**
             * \@option Set if Avatar's content is decrypting | false
             */
            this.isDecrypting = false;
            /**
             * \@option Set existance of Avatar's Overview | false
             */
            this.isOverview = false;
            this.click = new i0.EventEmitter();
            this._size = 'medium';
            this._type = '';
            this.clickable = false;
            this.isImageLoaded = false;
            this.isImageErrored = false;
        }
        Object.defineProperty(AvatarComponent.prototype, "size", {
            /** @option Set the size of the Avatar from one of the preconfigured options | 'medium' */
            get: /**
             * \@option Set the size of the Avatar from one of the preconfigured options | 'medium'
             * @return {?}
             */ function () {
                return this._size;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (!this.clickable) {
                    this.elementRef.nativeElement.classList.remove("md-avatar--" + this._size);
                    this.elementRef.nativeElement.classList.add("md-avatar--" + value);
                }
                this._size = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "theme", {
            /** @option Optional Avatar color theme | null */
            get: /**
             * \@option Optional Avatar color theme | null
             * @return {?}
             */ function () {
                return this._theme;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (!this.clickable) {
                    this.elementRef.nativeElement.classList.remove("md-avatar--" + this._theme);
                    this.elementRef.nativeElement.classList.add("md-avatar--" + value);
                }
                this._theme = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "type", {
            /** @option optional Avatar type | '' */
            get: /**
             * \@option optional Avatar type | ''
             * @return {?}
             */ function () {
                return this._type;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (!this.clickable) {
                    this.elementRef.nativeElement.classList.remove("md-avatar--" + this._type);
                    this.elementRef.nativeElement.classList.add("md-avatar--" + value);
                }
                this._type = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AvatarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var img = this.image;
                if (img && img.nativeElement.complete) {
                    this.handleImgLoaded();
                }
                this.clickable = this.click.observers.length > 0;
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AvatarComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if (changes.src && changes.src.previousValue !== changes.src.currentValue) {
                    this.handleImgChange();
                }
            };
        /**
         * @return {?}
         */
        AvatarComponent.prototype.handleImgChange = /**
         * @return {?}
         */
            function () {
                this.isImageLoaded = false;
                this.isImageErrored = false;
            };
        /**
         * @return {?}
         */
        AvatarComponent.prototype.handleImgError = /**
         * @return {?}
         */
            function () {
                this.isImageErrored = true;
            };
        /**
         * @return {?}
         */
        AvatarComponent.prototype.handleImgLoaded = /**
         * @return {?}
         */
            function () {
                this.isImageLoaded = true;
            };
        /**
         * @return {?}
         */
        AvatarComponent.prototype.getInitials = /**
         * @return {?}
         */
            function () {
                if (!this.title || !this.title.replace(/\s/g, '').length) {
                    return '';
                }
                /** @type {?} */
                var letters = [];
                /** @type {?} */
                var words = this.title.trim().split(/ +/);
                /** @type {?} */
                var repeatTimes = Math.min((this.type === 'group' && 1) || 2, words.length);
                for (var i = 0; i < repeatTimes; i++) {
                    letters.push(String.fromCodePoint(words[i].codePointAt(0)));
                }
                return letters.join('');
            };
        AvatarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-avatar',
                        template: "\n    <button\n      md-button\n      *ngIf=\"clickable; else avatarTpl\"\n      [attr.aria-label]=\"ariaLabel\"\n      [class]=\"buttonClassName\"\n      [circle]=\"true\"\n      [removeStyle]=\"true\"\n    >\n      <ng-container *ngTemplateOutlet=\"avatarTpl\"></ng-container>\n    </button>\n\n    <ng-template #avatarTpl>\n      <div\n        *ngIf=\"clickable; else overlayTpl\"\n        class=\"md-avatar\"\n        [ngClass]=\"[\n          'md-avatar--clickable',\n          (type && 'md-avatar--' + type) || '',\n          (size && 'md-avatar--' + size) || '',\n          (theme && 'md-avatar--' + theme) || '',\n          (isDecrypting && 'md-decrypting') || '',\n          className || ''\n        ]\"\n        [title]=\"!hideDefaultTooltip ? title : ''\"\n      >\n        <ng-container *ngTemplateOutlet=\"overlayTpl\"></ng-container>\n      </div>\n    </ng-template>\n\n    <ng-template #overlayTpl>\n      <ng-container *ngTemplateOutlet=\"childrenTpl\"></ng-container>\n      <md-loading *ngIf=\"type === 'typing'\"></md-loading>\n      <span *ngIf=\"failureBadge\" class=\"md-avatar__failure-badge\"></span>\n      <span\n        *ngIf=\"hasNotification\"\n        class=\"md-avatar__notification-badge\"\n      ></span>\n    </ng-template>\n\n    <ng-template #childrenTpl>\n      <span\n        *ngIf=\"type === 'self'; else imageTpl\"\n        class=\"md-avatar__self\"\n        [ngStyle]=\"{\n          'background-color': backgroundColor,\n          color: color\n        }\"\n      >\n        <md-icon\n          [name]=\"\n            size === 40 || size === 'medium'\n              ? 'chat-active_18'\n              : 'chat-active_16'\n          \"\n          color=\"blue-50\"\n        ></md-icon>\n      </span>\n    </ng-template>\n\n    <ng-template #imageTpl>\n      <ng-container *ngIf=\"src && !isImageErrored; else iconTpl\">\n        <ng-container *ngIf=\"title && !isImageLoaded\">\n          <ng-container *ngTemplateOutlet=\"letterTpl\"></ng-container>\n        </ng-container>\n        <img\n          #image\n          [alt]=\"alt\"\n          class=\"md-avatar__img\"\n          [ngClass]=\"{ 'md-avatar__img--hidden': !isImageLoaded }\"\n          draggable=\"false\"\n          (error)=\"handleImgError()\"\n          (load)=\"handleImgLoaded()\"\n          [src]=\"src\"\n        />\n      </ng-container>\n    </ng-template>\n\n    <ng-template #iconTpl>\n      <span\n        *ngIf=\"icon; else letterTpl\"\n        class=\"md-avatar__icon\"\n        [ngClass]=\"{ 'md-avatar__icon--overview': isOverview }\"\n        [ngStyle]=\"{\n          'background-color': backgroundColor,\n          color: color\n        }\"\n      >\n        <md-icon [name]=\"icon\"></md-icon>\n      </span>\n    </ng-template>\n\n    <ng-template #letterTpl>\n      <span\n        class=\"md-avatar__letter\"\n        [ngClass]=\"{\n          'md-decrypting': isDecrypting,\n          'md-avatar__img--hidden': isImageLoaded\n        }\"\n        [ngStyle]=\"{\n          'background-color': backgroundColor,\n          color: color\n        }\"\n        >{{ getInitials() }}</span\n      >\n    </ng-template>\n  ",
                        host: {
                            '[attr.title]': '!hideDefaultTooltip ? title : ""',
                            class: 'md-avatar md-avatar--medium',
                            '[class.md-decrypting]': '!clickable && isDecrypting',
                        }
                    }] }
        ];
        /** @nocollapse */
        AvatarComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        AvatarComponent.propDecorators = {
            ariaLabel: [{ type: i0.Input }],
            alt: [{ type: i0.Input }],
            backgroundColor: [{ type: i0.Input }],
            buttonClassName: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            color: [{ type: i0.Input }],
            failureBadge: [{ type: i0.Input }],
            hasNotification: [{ type: i0.Input }],
            hideDefaultTooltip: [{ type: i0.Input }],
            icon: [{ type: i0.Input }],
            isDecrypting: [{ type: i0.Input }],
            isOverview: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            src: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            click: [{ type: i0.Output }],
            image: [{ type: i0.ViewChild, args: ['image',] }]
        };
        return AvatarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AvatarModule = /** @class */ (function () {
        function AvatarModule() {
        }
        /**
         * @return {?}
         */
        AvatarModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AvatarModule,
                    providers: [],
                };
            };
        AvatarModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, ButtonModule, IconModule, LoadingModule],
                        declarations: [AvatarComponent],
                        exports: [AvatarComponent],
                    },] }
        ];
        return AvatarModule;
    }());

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (b.hasOwnProperty(p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m)
            return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length)
                    o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var OptionSelectionChange = /** @class */ (function () {
        function OptionSelectionChange(source, isUserInput) {
            if (isUserInput === void 0) {
                isUserInput = false;
            }
            this.source = source;
            this.isUserInput = isUserInput;
        }
        return OptionSelectionChange;
    }());
    var ListItemComponent = /** @class */ (function () {
        function ListItemComponent(el) {
            var _this = this;
            this.el = el;
            this.checkedValues = [''];
            this.isSelectOption = this._hasHostAttributes('md-select-option');
            /**
             * \@prop Active prop to determine styles | false
             */
            this.active = false;
            /**
             * \@prop selected prop to determine styles | false
             */
            this.selected = false;
            /**
             * \@prop Disabled attribute for ListItem to determine styles | false
             */
            this.disabled = false;
            /**
             * \@prop Sets ListItem to a focus state | false
             */
            this.focus = false;
            /**
             * \@prop Sets ListItem id | null
             */
            this.id = lodash.uniqueId('md-list-item-');
            /**
             * \@prop Determines if is part of a multi select | false
             */
            this.isMulti = false;
            /**
             * \@prop Determines if ListItem is clickable | false
             */
            this.isReadOnly = false;
            /**
             * \@prop ListItem text and form value | ''
             */
            this.label = null;
            /**
             * \@prop external link associated input | ''
             */
            this.link = '';
            /**
             * \@prop ListItem ref name | 'navLink'
             */
            this.role = null;
            /**
             * \@prop Controls whether to show separator or not | false
             */
            this.separator = false;
            /**
             * \@prop ListItem Title | ''
             */
            this.title = '';
            /**
             * \@prop ListItem size | ''
             */
            this._type = null;
            /**
             * \@prop ListItem value for OnSelect value | ''
             */
            this.value = '';
            this.selectionChange = new i0.EventEmitter();
            this.handleClick = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (_this.isReadOnly) {
                    event.stopImmediatePropagation();
                }
                else {
                    _this._selectViaInteraction();
                }
            });
            this.handleKeydown = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if ((event.keyCode === keycodes.ENTER || event.keyCode === keycodes.SPACE) && !keycodes.hasModifierKey(event)) {
                    _this._selectViaInteraction();
                    event.preventDefault();
                }
            });
            this._isTypeOptionValid = ( /**
             * @return {?}
             */function () { return (['', 'small', 'large', 'xlarge', 'space', 'header', 36, 52, 60].includes(_this._type)); });
        }
        Object.defineProperty(ListItemComponent.prototype, "myRole", {
            get: /**
             * @return {?}
             */ function () {
                return this.role || this.isSelectOption ? 'option' : 'listItem';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ListItemComponent.prototype, "type", {
            set: /**
             * @param {?} type
             * @return {?}
             */ function (type) {
                if (this._type) {
                    this.el.nativeElement.classList.remove("md-list-item--" + this._type);
                }
                this.el.nativeElement.classList.add("md-list-item--" + type);
                this._type = type;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ListItemComponent.prototype, "myHref", {
            get: /**
             * @return {?}
             */ function () {
                return (this.link && this._getHostElement().localName === 'a') ? this.link : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ListItemComponent.prototype, "theTitle", {
            get: /**
             * @return {?}
             */ function () {
                return this.title || this.label;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ListItemComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this._type && !this._isTypeOptionValid()) {
                    throw new Error("md-list-item: ListItem type option must be one of the following:\n        small, large, xlarge, space, header, 36, 52, 60");
                }
            };
        /**
         * @return {?}
         */
        ListItemComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @return {?}
         */
        ListItemComponent.prototype.select = /**
         * @return {?}
         */
            function () {
                if (!this.selected) {
                    this.selected = true;
                    this._emitSelectionChangeEvent();
                }
            };
        /** Deselects the option. */
        /**
         * Deselects the option.
         * @return {?}
         */
        ListItemComponent.prototype.deselect = /**
         * Deselects the option.
         * @return {?}
         */
            function () {
                if (this.selected) {
                    this.selected = false;
                    this._emitSelectionChangeEvent();
                }
            };
        // Highlightable Interface methods
        // Highlightable Interface methods
        /**
         * @return {?}
         */
        ListItemComponent.prototype.setActiveStyles =
            // Highlightable Interface methods
            /**
             * @return {?}
             */
            function () {
                this.focus = true;
            };
        /**
         * @return {?}
         */
        ListItemComponent.prototype.setInactiveStyles = /**
         * @return {?}
         */
            function () {
                this.focus = false;
            };
        /**
         * @return {?}
         */
        ListItemComponent.prototype.getLabel = /**
         * @return {?}
         */
            function () {
                return this.label;
            };
        /**
         * @return {?}
         */
        ListItemComponent.prototype._selectViaInteraction = /**
         * @return {?}
         */
            function () {
                if (!this.disabled) {
                    this.selected = !this.selected;
                    this.checkStatus = this.selected;
                    this._emitSelectionChangeEvent(true);
                }
            };
        /**
         * @param {?=} isUserInput
         * @return {?}
         */
        ListItemComponent.prototype._emitSelectionChangeEvent = /**
         * @param {?=} isUserInput
         * @return {?}
         */
            function (isUserInput) {
                if (isUserInput === void 0) {
                    isUserInput = false;
                }
                return this.selectionChange.emit(new OptionSelectionChange(this, isUserInput));
            };
        /**
         * @return {?}
         */
        ListItemComponent.prototype._getHostElement = /**
         * @return {?}
         */
            function () {
                return this.el.nativeElement;
            };
        /** Gets whether the button has one of the given attributes. */
        /**
         * Gets whether the button has one of the given attributes.
         * @param {...?} attributes
         * @return {?}
         */
        ListItemComponent.prototype._hasHostAttributes = /**
         * Gets whether the button has one of the given attributes.
         * @param {...?} attributes
         * @return {?}
         */
            function () {
                var _this = this;
                var attributes = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    attributes[_i] = arguments[_i];
                }
                return attributes.some(( /**
                 * @param {?} attribute
                 * @return {?}
                 */function (attribute) { return _this._getHostElement().hasAttribute(attribute); }));
            };
        ListItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'a[md-list-item], div[md-list-item], div[md-select-option]',
                        exportAs: 'mdListItem',
                        template: "\n      <ng-container *ngIf=\"isSelectOption\">\n\n        <ng-container *ngIf=\"!isMulti\">\n          <md-list-item-section key=\"child-0\" position='center'>\n              <ng-container *ngIf=\"label; else content\">{{label}}</ng-container>\n              <ng-template #content>\n                  <ng-content></ng-content>\n              </ng-template>\n          </md-list-item-section>\n\n          <md-list-item-section key=\"child-1\" position='right'>\n              <md-icon *ngIf=\"selected\" name=\"check_20\" color=\"blue-50\"></md-icon>\n          </md-list-item-section>\n        </ng-container>\n\n        <ng-container *ngIf=\"isMulti\">\n          <md-checkbox\n            name=\"{{id}}-checkbox\"\n            value=\"{{label}}\"\n            label=\"{{label}}\"\n            [(checkStatus)]=\"checkStatus\"\n            htmlId=\"{{id}}-checkbox\">\n          </md-checkbox>\n        </ng-container>\n\n      </ng-container>\n\n      <ng-container *ngIf=\"!isSelectOption\">\n        <div *ngIf=\"label; else content\">{{label}}</div>\n        <ng-template #content>\n          <ng-content></ng-content>\n        </ng-template>\n      </ng-container>\n  ",
                        host: {
                            'class': 'md-list-item',
                            '[class.md-list-item--read-only]': 'isReadOnly',
                            '[class.md-list-item--separator]': 'separator',
                            '[class.md-select-option]': 'isSelectOption',
                            '[class.active]': 'active',
                            '[class.focus]': 'focus',
                            '[class.disabled]': 'disabled',
                        }
                    }] }
        ];
        /** @nocollapse */
        ListItemComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        ListItemComponent.propDecorators = {
            active: [{ type: i0.Input }],
            selected: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            focus: [{ type: i0.Input }],
            id: [{ type: i0.HostBinding, args: ['attr.id',] }, { type: i0.Input }],
            isMulti: [{ type: i0.Input }],
            isReadOnly: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            link: [{ type: i0.Input }],
            role: [{ type: i0.Input }],
            myRole: [{ type: i0.HostBinding, args: ['attr.role',] }],
            separator: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            selectionChange: [{ type: i0.Output }],
            myHref: [{ type: i0.HostBinding, args: ['attr.href',] }],
            theTitle: [{ type: i0.HostBinding, args: ['attr.title',] }],
            handleClick: [{ type: i0.HostListener, args: ['click', ['$event'],] }],
            handleKeydown: [{ type: i0.HostListener, args: ['keydown', ['$event'],] }]
        };
        return ListItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListComponent = /** @class */ (function () {
        function ListComponent(cd, _ngZone, el) {
            var _this = this;
            this.cd = cd;
            this._ngZone = _ngZone;
            this.el = el;
            /**
             * \@option Optional ID value of List | null
             */
            this.id = lodash.uniqueId('md-list-');
            /**
             * \@option itemRole prop to set child roles | 'listItem'
             */
            this.itemRole = 'listItem';
            /**
             * \@option Callback function invoked by user selecting an interactive item within list | null
             */
            this.select = new i0.EventEmitter();
            /**
             * \@option Sets the ARIA role for the Nav, in the context of a TabContainer | 'list'
             */
            this.role = 'list';
            /**
             * \@option Sets the orientation of the List | 'vertical'
             */
            this._tabType = 'vertical';
            /**
             * \@option Type sets List size | null
             */
            this.type = null;
            /**
             * \@option Wrap prop type to wrap items to next row
             */
            this.wrap = false;
            /**
             * Combined stream of all of the child options' change events.
             */
            this.optionSelectionChanges = ( /** @type {?} */(rxjs.defer(( /**
             * @return {?}
             */function () {
                if (_this.listItems) {
                    return rxjs.merge.apply(void 0, __spread(_this.listItems.map(( /**
                     * @param {?} option
                     * @return {?}
                     */function (option) { return option.selectionChange; }))));
                }
                return _this._ngZone.onStable.asObservable()
                    .pipe(operators.take(1), operators.switchMap(( /**
             * @return {?}
             */function () { return _this.optionSelectionChanges; })));
            }))));
            this._isTabTypeOptionValid = ( /**
             * @return {?}
             */function () { return (['vertical', 'horizontal'].includes(_this._tabType)); });
            this._isTypeOptionValid = ( /**
             * @return {?}
             */function () { return (['small', 'large', 'space', 'xlarge'].includes(_this.type)); });
            this.optionSelectionChanges.subscribe(( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                _this._onSelect(event.source);
            }));
        }
        Object.defineProperty(ListComponent.prototype, "tabType", {
            set: /**
             * @param {?} tabType
             * @return {?}
             */ function (tabType) {
                if (this._tabType) {
                    this.el.nativeElement.classList.remove("md-list--" + this._tabType);
                }
                this.el.nativeElement.classList.add("md-list--" + tabType);
                this._tabType = tabType;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ListComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this._tabType && !this._isTabTypeOptionValid()) {
                    throw new Error("md-list: List tabType option must be one of the following:\n        vertical, horizontal");
                }
                if (this.type && !this._isTypeOptionValid()) {
                    throw new Error("md-list: List type option must be one of the following:\n        small, large, space, xlarge");
                }
            };
        /**
         * @return {?}
         */
        ListComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                // set up listItems children with props
                this.listItems.forEach(( /**
                 * @param {?} listItem
                 * @return {?}
                 */function (listItem) {
                    if (_this.type) {
                        listItem.type = _this.type;
                    }
                    listItem.role = _this.itemRole;
                }));
                this.cd.detectChanges();
            };
        /** Invoked when an option is clicked. */
        /**
         * Invoked when an option is clicked.
         * @private
         * @param {?} option
         * @return {?}
         */
        ListComponent.prototype._onSelect = /**
         * Invoked when an option is clicked.
         * @private
         * @param {?} option
         * @return {?}
         */
            function (option) {
                if (this.select) {
                    this.listItems.forEach(( /**
                     * @param {?} listItem
                     * @return {?}
                     */function (listItem) {
                        if (listItem !== option) {
                            listItem.active = false;
                        }
                    }));
                    option.active = true;
                    return this.select.emit(option);
                }
            };
        ListComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-list',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'md-list',
                            '[class.md-list--wrap]': 'wrap'
                        }
                    }] }
        ];
        /** @nocollapse */
        ListComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef },
                { type: i0.NgZone },
                { type: i0.ElementRef }
            ];
        };
        ListComponent.propDecorators = {
            id: [{ type: i0.HostBinding, args: ['id',] }, { type: i0.Input }],
            itemRole: [{ type: i0.Input }],
            select: [{ type: i0.Output }],
            role: [{ type: i0.HostBinding, args: ['attr.role',] }, { type: i0.Input }],
            tabType: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            wrap: [{ type: i0.Input }],
            listItems: [{ type: i0.ContentChildren, args: [ListItemComponent,] }]
        };
        return ListComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListModule = /** @class */ (function () {
        function ListModule() {
        }
        /**
         * @return {?}
         */
        ListModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ListModule,
                    providers: [],
                };
            };
        ListModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [ListComponent],
                        exports: [ListComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ListModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListItemSectionComponent = /** @class */ (function () {
        function ListItemSectionComponent() {
            var _this = this;
            /**
             * \@option position Determine the ListItemSection's position | 'center'
             */
            this.position = 'center';
            /**
             * \@option class Optional css class name | ''
             */
            this.class = '';
            this.isValidPosition = ( /**
             * @return {?}
             */function () {
                return ['left', 'center', 'right', 'center-align'].includes(_this.position);
            });
        }
        Object.defineProperty(ListItemSectionComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return ("md-list-item__" + this.position +
                    ("" + ((this.class && " " + this.class) || '')));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ListItemSectionComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this.position && !this.isValidPosition()) {
                    throw new Error("md-list-item-section: ListItemSection position option\n        must be one of the following: left, center, right, center-align");
                }
            };
        ListItemSectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-list-item-section',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        /** @nocollapse */
        ListItemSectionComponent.ctorParameters = function () { return []; };
        ListItemSectionComponent.propDecorators = {
            position: [{ type: i0.Input }],
            class: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return ListItemSectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListItemSectionModule = /** @class */ (function () {
        function ListItemSectionModule() {
        }
        /**
         * @return {?}
         */
        ListItemSectionModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ListItemSectionModule,
                    providers: [],
                };
            };
        ListItemSectionModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [ListItemSectionComponent],
                        exports: [ListItemSectionComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ListItemSectionModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:no-use-before-declare
    /** @type {?} */
    var CUSTOM_CHECKBOX_CONTROL_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return CheckboxComponent; })),
        multi: true,
    };
    // tslint:enable:no-use-before-declare
    var CheckboxComponent = /** @class */ (function () {
        function CheckboxComponent(cdr, elementRef) {
            this.cdr = cdr;
            this.elementRef = elementRef;
            /**
             * \@prop indicates if single checkbox not in checkbox group | false
             */
            this.solo = false;
            /**
             * \@prop Optional CSS class name on checkbox input | ''
             */
            this.className = '';
            /**
             * \@prop String value that corresponds with Checkbox  | ''
             */
            this.value = '';
            /**
             * \@prop index of the checkbox in tab order
             */
            this.tabIndex = 0;
            /**
             * \@prop Optional css class string | ''
             */
            this.class = '';
            /**
             * \@prop Sets the disabled attribute of the Input | false
             */
            this.disabled = false;
            /**
             * \@prop Help Text to appear under the radio | ''
             */
            this.helpText = '';
            /**
             * \@prop Optional indeterminate capabilities of checkbox | false
             */
            this.indeterminate = false;
            /**
             * \@prop Input label text | ''
             */
            this.label = '';
            /**
             * \@prop Optional required setting for Checkbox input | false
             */
            this.required = false;
            /**
             * \@prop Unique HTML ID. Used for tying label to HTML input | ''
             */
            this.htmlId = '';
            /**
             * \@prop sets value of the Checkbox input element | false
             */
            this.selectedItem = false;
            /**
             * \@prop Sets the attribute name to the Checkbox input element | ''
             */
            this.name = '';
            /**
             * \@prop optional emitter to invoke an checkStatusChange handler when checkbox toggles
             */
            this.checkStatusChange = new i0.EventEmitter();
            this.checked = false;
            this.onListChange = ( /**
             * @return {?}
             */function () { });
            this.onListTouched = ( /**
             * @return {?}
             */function () { });
        }
        Object.defineProperty(CheckboxComponent.prototype, "checkStatus", {
            get: /**
             * @return {?}
             */ function () {
                return this.checked;
            },
            set: /**
             * @param {?} status
             * @return {?}
             */ function (status) {
                if (status !== undefined) {
                    this.checked = status;
                    if (!this.disabled) {
                        this.updateList();
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(CheckboxComponent.prototype, "nestedLevel", {
            /** @prop Sets optional checkbox nestedLevel | null */
            set: /**
             * \@prop Sets optional checkbox nestedLevel | null
             * @param {?} nestedLevel
             * @return {?}
             */ function (nestedLevel) {
                if (this._nestedLevel) {
                    this.elementRef.nativeElement.classList.remove("md-input--nested-" + this._nestedLevel);
                }
                this.elementRef.nativeElement.classList.add("md-input--nested-" + nestedLevel);
                this._nestedLevel = nestedLevel;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} list
         * @return {?}
         */
        CheckboxComponent.prototype.writeValue = /**
         * @param {?} list
         * @return {?}
         */
            function (list) {
                this.list = list;
                this.checked = this.isChecked();
                this.cdr.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        CheckboxComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onListChange = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        CheckboxComponent.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onListTouched = fn;
            };
        /**
         * @param {?} isDisabled
         * @return {?}
         */
        CheckboxComponent.prototype.setDisabledState = /**
         * @param {?} isDisabled
         * @return {?}
         */
            function (isDisabled) {
                this.disabled = isDisabled;
            };
        /**
         * @param {?} e
         * @return {?}
         */
        CheckboxComponent.prototype.onClick = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                e.preventDefault();
                if (this.disabled) {
                    return;
                }
                this.checked = !this.checked;
                if (this.checkStatusChange.observers.length > 0) {
                    this.checkStatusChange.emit(this.checked);
                }
                this.updateList();
            };
        /**
         * @return {?}
         */
        CheckboxComponent.prototype.updateList = /**
         * @return {?}
         */
            function () {
                if (this.indeterminate) {
                    return;
                }
                if (this.solo) {
                    this.onListChange(this.checked);
                }
                else {
                    if (this.checked) {
                        this.addCheck();
                    }
                    else {
                        this.unCheck();
                    }
                    this.onListChange(this.list);
                    if (this.formControl) {
                        this.formControl.setValue(this.list);
                    }
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        CheckboxComponent.prototype.handleChange = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.checked = event.target.checked;
                this.updateList();
            };
        /**
         * @return {?}
         */
        CheckboxComponent.prototype.isChecked = /**
         * @return {?}
         */
            function () {
                if (this.solo) {
                    return this.list;
                }
                else {
                    return this.list && this.list.includes(this.value);
                }
            };
        /**
         * @return {?}
         */
        CheckboxComponent.prototype.unCheck = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.list) {
                    this.list = this.list.filter(( /**
                     * @param {?} check
                     * @return {?}
                     */function (check) { return check !== _this.value; }));
                }
            };
        /**
         * @return {?}
         */
        CheckboxComponent.prototype.addCheck = /**
         * @return {?}
         */
            function () {
                if (this.list) {
                    this.list = __spread(this.list, [this.value]);
                }
                else {
                    this.list = [this.value];
                }
            };
        CheckboxComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-checkbox',
                        template: "\n    <input\n      class=\"md-input md-checkbox__input\"\n      [ngClass]=\"[indeterminate ? 'indeterminate' : '', className]\"\n      type=\"checkbox\"\n      (change)=\"handleChange($event)\"\n      [value]=\"value\"\n      [checked]=\"checked\"\n      [name]=\"name\"\n      [attr.id]=\"htmlId\"\n      [attr.tabindex]=\"tabIndex\"\n      [disabled]=\"disabled\"\n      [required]=\"required\"\n    />\n\n    <label\n      class=\"md-checkbox__label\"\n      [attr.for]=\"htmlId\"\n      (click)=\"onClick($event)\"\n    >\n      <span>{{ label }}</span>\n    </label>\n    <md-input-helper *ngIf=\"helpText\">{{ helpText }}</md-input-helper>\n    <ng-content></ng-content>\n  ",
                        providers: [CUSTOM_CHECKBOX_CONTROL_VALUE_ACCESSOR],
                        host: {
                            class: 'md-input-container md-checkbox',
                        }
                    }] }
        ];
        /** @nocollapse */
        CheckboxComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef },
                { type: i0.ElementRef }
            ];
        };
        CheckboxComponent.propDecorators = {
            solo: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            tabIndex: [{ type: i0.Input }],
            formControl: [{ type: i0.Input }],
            class: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            helpText: [{ type: i0.Input }],
            indeterminate: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            required: [{ type: i0.Input }],
            htmlId: [{ type: i0.Input }],
            selectedItem: [{ type: i0.Input }],
            name: [{ type: i0.Input }],
            checkStatus: [{ type: i0.Input }],
            nestedLevel: [{ type: i0.Input }],
            checkStatusChange: [{ type: i0.Output }]
        };
        return CheckboxComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LabelComponent = /** @class */ (function () {
        function LabelComponent() {
        }
        LabelComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-label',
                        template: "\n    <label\n      [attr.for]=\"htmlFor\"\n      [ngClass]=\"[\n        'md-label',\n        (theme && 'md-label--' + theme) || '',\n        (className && className) || ''\n      ]\"\n    >\n      <span *ngIf=\"label\">{{label}}</span>\n      <ng-content></ng-content>\n    </label>\n  "
                    }] }
        ];
        LabelComponent.propDecorators = {
            className: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            htmlFor: [{ type: i0.Input }]
        };
        return LabelComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LabelModule = /** @class */ (function () {
        function LabelModule() {
        }
        /**
         * @return {?}
         */
        LabelModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: LabelModule,
                    providers: [],
                };
            };
        LabelModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [LabelComponent],
                        imports: [common.CommonModule],
                        exports: [LabelComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return LabelModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputHelperComponent = /** @class */ (function () {
        function InputHelperComponent() {
        }
        Object.defineProperty(InputHelperComponent.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return ("md-input__help-text" +
                    ("" + (this.className ? " " + this.className : '')));
            },
            enumerable: true,
            configurable: true
        });
        InputHelperComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-input-helper',
                        template: "<ng-content></ng-content>"
                    }] }
        ];
        InputHelperComponent.propDecorators = {
            className: [{ type: i0.Input }],
            _class: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return InputHelperComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputHelperModule = /** @class */ (function () {
        function InputHelperModule() {
        }
        /**
         * @return {?}
         */
        InputHelperModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: InputHelperModule,
                    providers: [],
                };
            };
        InputHelperModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [InputHelperComponent],
                        imports: [common.CommonModule],
                        exports: [InputHelperComponent],
                    },] }
        ];
        return InputHelperModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CheckboxModule = /** @class */ (function () {
        function CheckboxModule() {
        }
        /**
         * @return {?}
         */
        CheckboxModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CheckboxModule,
                    providers: [],
                };
            };
        CheckboxModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [CheckboxComponent],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                            LabelModule,
                            InputHelperModule,
                        ],
                        exports: [CheckboxComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return CheckboxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListItemModule = /** @class */ (function () {
        function ListItemModule() {
        }
        /**
         * @return {?}
         */
        ListItemModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ListItemModule,
                    providers: [],
                };
            };
        ListItemModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            CheckboxModule,
                            common.CommonModule,
                            IconModule,
                            ListItemSectionModule
                        ],
                        declarations: [ListItemComponent],
                        exports: [ListItemComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ListItemModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListItemHeaderComponent = /** @class */ (function () {
        function ListItemHeaderComponent(elementRef) {
            this.elementRef = elementRef;
            /**
             * HTML ID for associated input | ''
             */
            this.id = '';
            /**
             * Determines if ListItemHeader is Clickable | true
             */
            this.isReadOnly = true;
            /**
             * ListItem title | ''
             */
            this.title = '';
            this._type = '';
        }
        Object.defineProperty(ListItemHeaderComponent.prototype, "type", {
            /** ListItemHeader type variation | '' */
            get: /**
             * ListItemHeader type variation | ''
             * @return {?}
             */ function () {
                return this._type;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.remove("md-list-item-header--" + this._type);
                this.elementRef.nativeElement.classList.add("md-list-item-header--" + value);
                this._type = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ListItemHeaderComponent.prototype.getTitle = /**
         * @return {?}
         */
            function () {
                return !this.title ? this.header : this.title;
            };
        ListItemHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-list-item-header',
                        template: "\n    <div\n      md-list-item\n      class=\"md-list-item-header\"\n      [isReadOnly]=\"isReadOnly\"\n      [title]=\"getTitle()\"\n    >\n      <md-list-item-section position=\"center\">\n        <div class=\"md-list-item__header\">{{ header }}</div>\n      </md-list-item-section>\n      <md-list-item-section position=\"right\">\n        <ng-content></ng-content>\n      </md-list-item-section>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        ListItemHeaderComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        ListItemHeaderComponent.propDecorators = {
            header: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            isReadOnly: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            type: [{ type: i0.Input }]
        };
        return ListItemHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListItemHeaderModule = /** @class */ (function () {
        function ListItemHeaderModule() {
        }
        /**
         * @return {?}
         */
        ListItemHeaderModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ListItemHeaderModule,
                    providers: [],
                };
            };
        ListItemHeaderModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, ListItemModule, ListItemSectionModule],
                        declarations: [ListItemHeaderComponent],
                        exports: [ListItemHeaderComponent]
                    },] }
        ];
        return ListItemHeaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Used internally by the alert call service.
    var AlertCallComponent = /** @class */ (function () {
        function AlertCallComponent() {
            this.devices = [];
            this.title = '';
            this.answerShare = new i0.EventEmitter();
            this.answerVideo = new i0.EventEmitter();
            this.answerVoice = new i0.EventEmitter();
            this.reject = new i0.EventEmitter();
            this.deviceSelect = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        AlertCallComponent.prototype.onAnswerShare = /**
         * @return {?}
         */
            function () {
                this.answerShare.emit(this.key);
            };
        /**
         * @return {?}
         */
        AlertCallComponent.prototype.onAnswerVideo = /**
         * @return {?}
         */
            function () {
                this.answerVideo.emit(this.key);
            };
        /**
         * @return {?}
         */
        AlertCallComponent.prototype.onAnswerVoice = /**
         * @return {?}
         */
            function () {
                this.answerVoice.emit(this.key);
            };
        /**
         * @return {?}
         */
        AlertCallComponent.prototype.onReject = /**
         * @return {?}
         */
            function () {
                this.reject.emit(this.key);
            };
        /**
         * @param {?} device
         * @return {?}
         */
        AlertCallComponent.prototype.onDeviceSelect = /**
         * @param {?} device
         * @return {?}
         */
            function (device) {
                device.key = this.key;
                this.deviceSelect.emit(device);
            };
        AlertCallComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-call',
                        template: "\n    <div class=\"md-alert__title\">{{ title }}</div>\n    <div class=\"md-alert__caller\">\n      <ng-container *ngIf=\"avatar; else callerTemplate\" [ngTemplateOutlet]=\"avatar\"></ng-container>\n      <div class=\"md-alert__caller-title\">{{ caller.title }}</div>\n      <div class=\"md-alert__caller-subtitle\">{{ caller.alt }}</div>\n    </div>\n    <md-device-list-call\n      *ngIf=\"devices.length > 0\"\n      mdRemoveHost\n      [devices]=\"devices\"\n      [selectedDevice]=\"defaultSelectedDevice\"\n      [header]=\"deviceListHeader\"\n      (select)=\"onDeviceSelect($event)\"\n      ></md-device-list-call>\n    <div class=\"md-alert--call--buttons\">\n      <button\n        *ngIf=\"answerShareButtonVisible\"\n        md-button\n        [attr.aria-label]=\"shareAriaLabel\"\n        [circle]=\"true\"\n        color=\"blue\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onAnswerShare()\"\n      >\n        <md-icon name=\"share-screen_24\"></md-icon>\n      </button>\n      <button\n        *ngIf=\"answerVideoButtonVisible\"\n        md-button\n        [attr.aria-label]=\"videoAriaLabel\"\n        [circle]=\"true\"\n        color=\"green\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onAnswerVideo()\"\n      >\n        <md-icon name=\"camera_24\"></md-icon>\n      </button>\n      <button\n        *ngIf=\"answerVoiceButtonVisible\"\n        md-button\n        [attr.aria-label]=\"voiceAriaLabel\"\n        [circle]=\"true\"\n        color=\"green\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onAnswerVoice()\"\n      >\n        <md-icon name=\"handset_24\"></md-icon>\n      </button>\n      <button\n        md-button\n        [attr.aria-label]=\"rejectAriaLabel\"\n        [circle]=\"true\"\n        color=\"red\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onReject()\"\n      >\n        <md-icon name=\"cancel_24\"></md-icon>\n      </button>\n    </div>\n\n    <ng-template #callerTemplate>\n      <ng-container [ngSwitch]=\"caller.type\">\n        <md-avatar *ngSwitchCase=\"'number'\" title=\"#\" [alt]=\"caller.title\" size=\"xlarge\"></md-avatar>\n        <md-avatar *ngSwitchCase=\"'device'\" icon=\"spark-board_32\" [alt]=\"caller.title\" size=\"xlarge\"></md-avatar>\n        <md-avatar *ngSwitchDefault [title]=\"caller.title\" [alt]=\"caller.title\" size=\"xlarge\"></md-avatar>\n      </ng-container>\n    </ng-template>\n  ",
                        host: {
                            'class': 'md-alert md-alert--call',
                        }
                    }] }
        ];
        AlertCallComponent.propDecorators = {
            key: [{ type: i0.Input }],
            answerShareButtonVisible: [{ type: i0.Input }],
            answerVideoButtonVisible: [{ type: i0.Input }],
            answerVoiceButtonVisible: [{ type: i0.Input }],
            avatar: [{ type: i0.Input }],
            caller: [{ type: i0.Input }],
            defaultSelectedDevice: [{ type: i0.Input }],
            deviceListHeader: [{ type: i0.Input }],
            devices: [{ type: i0.Input }],
            rejectAriaLabel: [{ type: i0.Input }],
            shareAriaLabel: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            videoAriaLabel: [{ type: i0.Input }],
            voiceAriaLabel: [{ type: i0.Input }],
            answerShare: [{ type: i0.Output }],
            answerVideo: [{ type: i0.Output }],
            answerVoice: [{ type: i0.Output }],
            reject: [{ type: i0.Output }],
            deviceSelect: [{ type: i0.Output }]
        };
        return AlertCallComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Used internally by the alert call service.
    var AlertCallContainerComponent = /** @class */ (function () {
        function AlertCallContainerComponent() {
            this._onDestroy = new rxjs.Subject();
            this.alertList = [];
        }
        /**
         * @param {?} alert
         * @return {?}
         */
        AlertCallContainerComponent.prototype.addAlert = /**
         * @param {?} alert
         * @return {?}
         */
            function (alert) {
                alert.key = uniqueId('alert_call_');
                this.alertList.push(alert);
                return alert.key;
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallContainerComponent.prototype.removeAlert = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                this.alertList = reject(this.alertList, { key: key });
                if (!this.alertList.length) {
                    this.destroy();
                }
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallContainerComponent.prototype.onAnswerShare = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onAnswerShare) {
                    alert.onAnswerShare(alert);
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallContainerComponent.prototype.onAnswerVideo = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onAnswerVideo) {
                    alert.onAnswerVideo(alert);
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallContainerComponent.prototype.onAnswerVoice = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onAnswerVoice) {
                    alert.onAnswerVoice(alert);
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallContainerComponent.prototype.onReject = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onReject) {
                    alert.onReject(alert);
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} device
         * @return {?}
         */
        AlertCallContainerComponent.prototype.onDeviceSelect = /**
         * @param {?} device
         * @return {?}
         */
            function (device) {
                /** @type {?} */
                var alert = find(this.alertList, { key: device.key });
                if (alert && alert.onDeviceSelect) {
                    alert.onDeviceSelect(device);
                }
            };
        /**
         * @return {?}
         */
        AlertCallContainerComponent.prototype.destroy = /**
         * @return {?}
         */
            function () {
                this._onDestroy.next();
                this._onDestroy.complete();
            };
        /**
         * @return {?}
         */
        AlertCallContainerComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.destroy();
            };
        AlertCallContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-call-container',
                        template: "\n    <md-alert-call *ngFor=\"let alert of alertList\"\n      [key]=\"alert.key\"\n      [answerShareButtonVisible]=\"!!alert.onAnswerShare\"\n      [answerVideoButtonVisible]=\"!!alert.onAnswerVideo\"\n      [answerVoiceButtonVisible]=\"!!alert.onAnswerVoice\"\n      [avatar]=\"alert.avatar\"\n      [caller]=\"alert.caller\"\n      [defaultSelectedDevice]=\"alert.defaultSelectedDevice\"\n      [deviceListHeader]=\"alert.deviceListHeader\"\n      [remindAriaLabel]=\"alert.remindAriaLabel\"\n      [devices]=\"alert.devices\"\n      [rejectAriaLabel]=\"alert.rejectAriaLabel\"\n      [shareAriaLabel]=\"alert.shareAriaLabel\"\n      [title]=\"alert.title\"\n      [videoAriaLabel]=\"alert.videoAriaLabel\"\n      [voiceAriaLabel]=\"alert.voiceAriaLabel\"\n      (answerShare)=\"onAnswerShare($event)\"\n      (answerVideo)=\"onAnswerVideo($event)\"\n      (answerVoice)=\"onAnswerVoice($event)\"\n      (deviceSelect)=\"onDeviceSelect($event)\"\n      (reject)=\"onReject($event)\"\n    ></md-alert-call>\n  ",
                        host: {
                            'class': 'md-alert__container md-alert__container--call'
                        }
                    }] }
        ];
        return AlertCallContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Configuration used when opening an alert.
    var  
    // Configuration used when opening an alert.
    AlertCallConfig = /** @class */ (function () {
        function AlertCallConfig() {
            /**
             * Optional default selected device by index or value | 0
             */
            this.defaultSelectedDevice = 0;
            /**
             * Optional header string for device selection list | "Device selection"
             */
            this.deviceListHeader = 'Device selection';
            /**
             * Optional list of devices to answer call with | []
             */
            this.devices = [];
            /**
             * Optional aria-label reject message | 'reject call'
             */
            this.rejectAriaLabel = 'reject call';
            /**
             * Optional aria-label share | 'answer call with share'
             */
            this.shareAriaLabel = 'answer call with share';
            /**
             * Optional title of AlertCall | ''
             */
            this.title = '';
            /**
             * Optional aria-label video | 'answer call with voice and video'
             */
            this.videoAriaLabel = 'answer call with voice and video';
            /**
             * Optional aria-label voice | 'answer call with voice only'
             */
            this.voiceAriaLabel = 'answer call with voice only';
        }
        return AlertCallConfig;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertCallDevice = /** @class */ (function () {
        function AlertCallDevice() {
            this.id = uniqueId('alert_call_device_');
        }
        return AlertCallDevice;
    }());
    var DeviceListCallComponent = /** @class */ (function () {
        function DeviceListCallComponent() {
            this.select = new i0.EventEmitter();
        }
        /**
         * @param {?} listItem
         * @return {?}
         */
        DeviceListCallComponent.prototype.onSelect = /**
         * @param {?} listItem
         * @return {?}
         */
            function (listItem) {
                /** @type {?} */
                var device = find(this.devices, { id: listItem.id });
                this.selectedDevice = device.value;
                this.select.emit(device);
            };
        DeviceListCallComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-device-list-call',
                        template: "\n    <md-list tabType=\"vertical\" (select)=\"onSelect($event)\">\n      <md-list-item-header mdRemoveHost [header]=\"header\"></md-list-item-header>\n      <div md-list-item *ngFor=\"let device of devices; index as i\"\n        [id]=\"device.id\"\n        [value]=\"device.value\"\n        [title]=\"device.title || device.name\"\n        role=\"listItem\"\n      >\n        <md-list-item-section position=\"left\">\n          <ng-container [ngSwitch]=\"device.type\">\n            <md-icon *ngSwitchCase=\"'device'\" name=\"spark-board_20\"></md-icon>\n            <md-icon *ngSwitchDefault name=\"laptop_20\"></md-icon>\n          </ng-container>\n        </md-list-item-section>\n        <md-list-item-section position=\"center\">\n          <div class=\"md-list-item__header\">\n            {{ device.name }}\n          </div>\n        </md-list-item-section>\n        <md-list-item-section position=\"right\">\n          <md-icon *ngIf=\"i === selectedDevice || device.value === selectedDevice\" name=\"check_20\" color=\"blue-50\"></md-icon>\n        </md-list-item-section>\n      </div>\n    </md-list>\n  "
                    }] }
        ];
        DeviceListCallComponent.propDecorators = {
            selectedDevice: [{ type: i0.Input }],
            devices: [{ type: i0.Input }],
            header: [{ type: i0.Input }],
            select: [{ type: i0.Output }]
        };
        return DeviceListCallComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertCallService = /** @class */ (function () {
        function AlertCallService(_overlay) {
            this._overlay = _overlay;
            this._overlayRef = null;
            this._alertContainerRef = null;
        }
        /**
         * @param {?} config
         * @return {?}
         */
        AlertCallService.prototype.show = /**
         * @param {?} config
         * @return {?}
         */
            function (config) {
                if (!this._overlayRef) {
                    this._overlayRef = this._overlay.create();
                }
                /** @type {?} */
                var container = this._attachAlertContainer(this._overlayRef);
                if (config.devices) {
                    config.devices = config.devices.map(( /**
                     * @param {?} device
                     * @return {?}
                     */function (device) {
                        return __assign({}, new AlertCallDevice(), device);
                    }));
                }
                /** @type {?} */
                var _config = __assign({}, new AlertCallConfig(), config);
                return container.addAlert(_config);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertCallService.prototype.hide = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.removeAlert(key);
                }
            };
        /**
         * @private
         * @param {?} overlayRef
         * @return {?}
         */
        AlertCallService.prototype._attachAlertContainer = /**
         * @private
         * @param {?} overlayRef
         * @return {?}
         */
            function (overlayRef) {
                var _this = this;
                if (this._alertContainerRef) {
                    return this._alertContainerRef.instance;
                }
                /** @type {?} */
                var containerPortal = new portal.ComponentPortal(AlertCallContainerComponent);
                this._alertContainerRef = overlayRef.attach(containerPortal);
                /** @type {?} */
                var onDestroySub = this._alertContainerRef.instance._onDestroy.subscribe(( /**
                 * @return {?}
                 */function () {
                    onDestroySub.unsubscribe();
                    _this._dispose();
                }));
                return this._alertContainerRef.instance;
            };
        /**
         * @return {?}
         */
        AlertCallService.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.destroy();
                }
            };
        /**
         * @private
         * @return {?}
         */
        AlertCallService.prototype._dispose = /**
         * @private
         * @return {?}
         */
            function () {
                this._alertContainerRef = null;
                this._overlayRef.dispose();
                this._overlayRef = null;
            };
        AlertCallService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AlertCallService.ctorParameters = function () {
            return [
                { type: i1.Overlay }
            ];
        };
        return AlertCallService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RemoveHostDirective = /** @class */ (function () {
        function RemoveHostDirective(_element) {
            this._element = _element;
        }
        /**
         * @return {?}
         */
        RemoveHostDirective.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var nativeElement = this._element.nativeElement;
                /** @type {?} */
                var parentElement = nativeElement.parentElement;
                // move all children out of the host element
                while (nativeElement.firstChild) {
                    parentElement.insertBefore(nativeElement.firstChild, nativeElement);
                }
                // remove the empty host element
                parentElement.removeChild(nativeElement);
            };
        RemoveHostDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[mdRemoveHost]'
                    },] }
        ];
        /** @nocollapse */
        RemoveHostDirective.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        return RemoveHostDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertCallModule = /** @class */ (function () {
        function AlertCallModule() {
        }
        /**
         * @return {?}
         */
        AlertCallModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AlertCallModule,
                    providers: [],
                };
            };
        AlertCallModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            i1.OverlayModule,
                            portal.PortalModule,
                            common.CommonModule,
                            AvatarModule,
                            ButtonModule,
                            IconModule,
                            ListModule,
                            ListItemModule,
                            ListItemHeaderModule,
                            ListItemSectionModule,
                        ],
                        declarations: [
                            AlertCallComponent,
                            AlertCallContainerComponent,
                            DeviceListCallComponent,
                            RemoveHostDirective,
                        ],
                        exports: [AlertCallContainerComponent],
                        entryComponents: [AlertCallContainerComponent],
                        providers: [AlertCallService],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return AlertCallModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CompositeAvatarComponent = /** @class */ (function () {
        function CompositeAvatarComponent() {
            this.className = '';
            this.size = 'medium';
        }
        Object.defineProperty(CompositeAvatarComponent.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-composite-avatar' +
                    ("" + ((this.size && " md-composite-avatar--" + this.size) || '')) +
                    ("" + ((this.className && " " + this.className) || '')));
            },
            enumerable: true,
            configurable: true
        });
        CompositeAvatarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-composite-avatar',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        /** @nocollapse */
        CompositeAvatarComponent.ctorParameters = function () { return []; };
        CompositeAvatarComponent.propDecorators = {
            className: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            _class: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return CompositeAvatarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CompositeAvatarModule = /** @class */ (function () {
        function CompositeAvatarModule() {
        }
        /**
         * @return {?}
         */
        CompositeAvatarModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CompositeAvatarModule,
                    providers: [],
                };
            };
        CompositeAvatarModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, AvatarModule],
                        declarations: [CompositeAvatarComponent],
                        exports: [CompositeAvatarComponent],
                    },] }
        ];
        return CompositeAvatarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Used internally by the alert meeting service.
    var AlertMeetingComponent = /** @class */ (function () {
        function AlertMeetingComponent() {
            this.attendees = [];
            this.closeAriaLabel = 'close';
            this.message = '';
            this.remindAriaLabel = 'snooze';
            this.status = '';
            this.title = '';
            this.mouseclick = new i0.EventEmitter();
            this.hide = new i0.EventEmitter();
            this.snooze = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        AlertMeetingComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (!this.avatar && this.attendees.length === 0) {
                    throw new Error('MeetingAlert needs at least one attendee to render an avatar.');
                }
            };
        /**
         * @return {?}
         */
        AlertMeetingComponent.prototype.onClick = /**
         * @return {?}
         */
            function () {
                this.mouseclick.emit(this.key);
            };
        /**
         * @return {?}
         */
        AlertMeetingComponent.prototype.onSnooze = /**
         * @return {?}
         */
            function () {
                this.snooze.emit(this.key);
            };
        /**
         * @return {?}
         */
        AlertMeetingComponent.prototype.onHide = /**
         * @return {?}
         */
            function () {
                this.hide.emit(this.key);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        AlertMeetingComponent.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (event.code === 'Space' || event.code === 'Enter') {
                    this.onClick();
                    event.preventDefault();
                }
            };
        AlertMeetingComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-meeting',
                        template: "\n    <ng-container *ngIf=\"avatar; else avatarTemplate\" [ngTemplateOutlet]=\"avatar\"></ng-container>\n    <div [ngClass]=\"[\n      'md-alert__content',\n      this.snoozeButtonVisible ? '' : 'md-alert__content--wide'\n    ]\">\n      <div class=\"md-alert__title\" [attr.title]=\"title\">{{ title }}</div>\n      <div class=\"md-alert__status\">{{ status }}</div>\n      <div class=\"md-alert__message\" [attr.title]=\"message\">{{ message }}</div>\n    </div>\n    <div class=\"md-alert__button\" *ngIf=\"snoozeButtonVisible\">\n      <button\n        md-button\n        [attr.aria-label]=\"remindAriaLabel\"\n        [circle]=\"true\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onSnooze()\"\n      >\n        <md-icon name=\"alarm_16\"></md-icon>\n      </button>\n    </div>\n    <div class=\"md-alert__button\">\n      <button\n        md-button\n        [attr.aria-label]=\"closeAriaLabel\"\n        [circle]=\"true\"\n        size=\"44\"\n        tabindex=\"0\"\n        (click)=\"onHide()\"\n      >\n        <md-icon name=\"cancel_16\"></md-icon>\n      </button>\n    </div>\n\n    <ng-template #avatarTemplate>\n      <md-composite-avatar *ngIf=\"attendees.length >= 2\">\n        <md-avatar\n          [title]=\"attendees[0].title\"\n          [alt]=\"attendees[0].alt\"\n          [src]=\"attendees[0].src\"\n        ></md-avatar>\n        <md-avatar\n          [title]=\"attendees[1].title\"\n          [alt]=\"attendees[1].alt\"\n          [src]=\"attendees[1].src\"\n        ></md-avatar>\n      </md-composite-avatar>\n      <md-avatar\n        *ngIf=\"attendees.length === 1\"\n        [title]=\"attendees[0].title\"\n        [alt]=\"attendees[0].alt\"\n        [src]=\"attendees[0].src\"\n      ></md-avatar>\n    </ng-template>\n  ",
                        host: {
                            'class': 'md-alert md-alert--meeting',
                            '[attr.role]': 'clickable ? "button" : null',
                            '[attr.tabindex]': 'clickable ? "0" : null',
                            '(click)': 'clickable ? onClick() : null',
                            '(keydown)': 'clickable ? onKeydown($event) : null',
                        }
                    }] }
        ];
        AlertMeetingComponent.propDecorators = {
            key: [{ type: i0.Input }],
            attendees: [{ type: i0.Input }],
            avatar: [{ type: i0.Input }],
            clickable: [{ type: i0.Input }],
            closeAriaLabel: [{ type: i0.Input }],
            message: [{ type: i0.Input }],
            remindAriaLabel: [{ type: i0.Input }],
            snoozeButtonVisible: [{ type: i0.Input }],
            status: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            mouseclick: [{ type: i0.Output }],
            hide: [{ type: i0.Output }],
            snooze: [{ type: i0.Output }]
        };
        return AlertMeetingComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Used internally by the alert meeting service.
    var AlertMeetingContainerComponent = /** @class */ (function () {
        function AlertMeetingContainerComponent() {
            this._onDestroy = new rxjs.Subject();
            this.alertList = [];
        }
        /**
         * @param {?} alert
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.addAlert = /**
         * @param {?} alert
         * @return {?}
         */
            function (alert) {
                alert.key = uniqueId('alert_meeting_');
                this.alertList.push(alert);
                return alert.key;
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.removeAlert = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                this.alertList = reject(this.alertList, { key: key });
                if (!this.alertList.length) {
                    this.destroy();
                }
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.onClick = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onClick) {
                    alert.onClick();
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.onHide = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onHide) {
                    alert.onHide();
                }
                this.removeAlert(key);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.onSnooze = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onSnooze) {
                    alert.onSnooze();
                }
                this.removeAlert(key);
            };
        /**
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.destroy = /**
         * @return {?}
         */
            function () {
                this._onDestroy.next();
                this._onDestroy.complete();
            };
        /**
         * @return {?}
         */
        AlertMeetingContainerComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.destroy();
            };
        AlertMeetingContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-meeting-container',
                        template: "\n    <md-alert-meeting *ngFor=\"let alert of alertList\"\n      [key]=\"alert.key\"\n      [attendees]=\"alert.attendees\"\n      [avatar]=\"alert.avatar\"\n      [clickable]=\"!!alert.onClick\"\n      [closeAriaLabel]=\"alert.closeAriaLabel\"\n      [message]=\"alert.message\"\n      [remindAriaLabel]=\"alert.remindAriaLabel\"\n      [snoozeButtonVisible]=\"!!alert.onSnooze\"\n      [status]=\"alert.status\"\n      [title]=\"alert.title\"\n      (mouseclick)=\"onClick($event)\"\n      (hide)=\"onHide($event)\"\n      (snooze)=\"onSnooze($event)\"\n    ></md-alert-meeting>\n  ",
                        host: {
                            'class': 'md-alert__container md-alert__container--bottom-right'
                        }
                    }] }
        ];
        return AlertMeetingContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Configuration used when opening an alert.
    var  
    // Configuration used when opening an alert.
    AlertMeetingConfig = /** @class */ (function () {
        function AlertMeetingConfig() {
            /**
             * Optional attendee array. If more than one attendee, a Composite Avatar with only the first 2 attendees is created.
             */
            this.attendees = [];
            /**
             * Optional aria label for the close button | 'close'
             */
            this.closeAriaLabel = 'close';
            /**
             * Optional AlertMeeting Message | ''
             */
            this.message = '';
            /**
             * Optional aria label for snooze buton | 'snooze'
             */
            this.remindAriaLabel = 'snooze';
            /**
             * Optional AlertMeeting status | ''
             */
            this.status = '';
            /**
             * Optional AlertMeeting title | ''
             */
            this.title = '';
            /**
             * Optional callback function invoked on click of alert | null
             */
            this.onClick = null;
            /**
             * Optional handler invoked when the user presses on the Alert's close button or hit's the esc key | null
             */
            this.onHide = null;
            /**
             * Optional callback function invoked when the snooze button is clicked | null
             */
            this.onSnooze = null;
        }
        return AlertMeetingConfig;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertMeetingService = /** @class */ (function () {
        function AlertMeetingService(_overlay) {
            this._overlay = _overlay;
            this._overlayRef = null;
            this._alertContainerRef = null;
        }
        /**
         * @param {?} config
         * @return {?}
         */
        AlertMeetingService.prototype.show = /**
         * @param {?} config
         * @return {?}
         */
            function (config) {
                if (!this._overlayRef) {
                    this._overlayRef = this._overlay.create();
                }
                /** @type {?} */
                var container = this._attachAlertContainer(this._overlayRef);
                /** @type {?} */
                var _config = __assign({}, new AlertMeetingConfig(), config);
                return container.addAlert(_config);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertMeetingService.prototype.hide = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.removeAlert(key);
                }
            };
        /**
         * @private
         * @param {?} overlayRef
         * @return {?}
         */
        AlertMeetingService.prototype._attachAlertContainer = /**
         * @private
         * @param {?} overlayRef
         * @return {?}
         */
            function (overlayRef) {
                var _this = this;
                if (this._alertContainerRef) {
                    return this._alertContainerRef.instance;
                }
                /** @type {?} */
                var containerPortal = new portal.ComponentPortal(AlertMeetingContainerComponent);
                this._alertContainerRef = overlayRef.attach(containerPortal);
                /** @type {?} */
                var onDestroySub = this._alertContainerRef.instance._onDestroy.subscribe(( /**
                 * @return {?}
                 */function () {
                    onDestroySub.unsubscribe();
                    _this._dispose();
                }));
                return this._alertContainerRef.instance;
            };
        /**
         * @return {?}
         */
        AlertMeetingService.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.destroy();
                }
            };
        /**
         * @private
         * @return {?}
         */
        AlertMeetingService.prototype._dispose = /**
         * @private
         * @return {?}
         */
            function () {
                this._alertContainerRef = null;
                this._overlayRef.dispose();
                this._overlayRef = null;
            };
        AlertMeetingService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AlertMeetingService.ctorParameters = function () {
            return [
                { type: i1.Overlay }
            ];
        };
        return AlertMeetingService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertMeetingModule = /** @class */ (function () {
        function AlertMeetingModule() {
        }
        /**
         * @return {?}
         */
        AlertMeetingModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AlertMeetingModule,
                    providers: [],
                };
            };
        AlertMeetingModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            i1.OverlayModule,
                            portal.PortalModule,
                            common.CommonModule,
                            AvatarModule,
                            ButtonModule,
                            CompositeAvatarModule,
                            IconModule,
                        ],
                        declarations: [AlertMeetingComponent, AlertMeetingContainerComponent],
                        exports: [AlertMeetingContainerComponent],
                        entryComponents: [AlertMeetingContainerComponent],
                        providers: [AlertMeetingService]
                    },] }
        ];
        return AlertMeetingModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // Used internally by the alert service.
    var AlertComponent = /** @class */ (function () {
        function AlertComponent() {
            this.dismissed = new i0.EventEmitter();
        }
        Object.defineProperty(AlertComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return "md-alert md-alert--" + this.type;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AlertComponent.prototype.dismiss = /**
         * @return {?}
         */
            function () {
                this.dismissed.emit(this.key);
            };
        AlertComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert',
                        template: "\n    <div class=\"md-alert__icon\"></div>\n    <div class=\"md-alert__content\">\n      <div class=\"md-alert__title\">{{ title }}</div>\n      <div class=\"md-alert__message\">{{ message }}</div>\n    </div>\n    <div class=\"md-alert__button\" *ngIf=\"closable\">\n      <button\n        md-button\n        #closeButton\n        [attr.aria-label]=\"ariaLabel\"\n        [circle]=\"true\"\n        size=\"44\"\n        (click)=\"dismiss()\"\n      >\n        <md-icon name=\"cancel_16\"></md-icon>\n      </button>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        AlertComponent.ctorParameters = function () { return []; };
        AlertComponent.propDecorators = {
            key: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            ariaLabel: [{ type: i0.Input }],
            closable: [{ type: i0.Input }],
            message: [{ type: i0.Input }],
            title: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }],
            dismissed: [{ type: i0.Output }]
        };
        return AlertComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Configuration used when opening an alert.
     */
    var /**
     * Configuration used when opening an alert.
     */ AlertConfig = /** @class */ (function () {
        function AlertConfig() {
            this.ariaLabel = 'Close';
            /**
             * To show/hide Close button of the Alert | true
             */
            this.closable = true;
            /**
             * Optional Alert message | ''
             */
            this.message = '';
            /**
             * Handler invoked when the user presses on the Alert's close button | null
             */
            this.onHide = null;
            /**
             * Display newest alert messages first | true
             */
            this.orderNewest = true;
            /**
             * Define alert's position with css class name: 'bottom-right'
             */
            this.position = 'bottom-right';
            /**
             * Optional Alert title | ''
             */
            this.title = '';
            /**
             * Sets the type of the Alert | 'info'
             */
            this.type = 'info';
        }
        return AlertConfig;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Used internally by the alert service.
     */
    var AlertContainerComponent = /** @class */ (function () {
        function AlertContainerComponent(alertConfig) {
            this.alertConfig = alertConfig;
            this.role = 'alert';
            this._onDestroy = new rxjs.Subject();
            this.alertList = [];
        }
        Object.defineProperty(AlertContainerComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return "md-alert__container md-alert__container--" + this.alertConfig.position;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} alert
         * @return {?}
         */
        AlertContainerComponent.prototype.addAlert = /**
         * @param {?} alert
         * @return {?}
         */
            function (alert) {
                alert.key = uniqueId('alert_');
                this.alertList = this.alertConfig.orderNewest
                    ? __spread([alert], this.alertList) : __spread(this.alertList, [alert]);
                return alert.key;
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertContainerComponent.prototype.removeAlert = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                /** @type {?} */
                var alert = find(this.alertList, { key: key });
                if (alert && alert.onHide) {
                    alert.onHide();
                }
                this.alertList = reject(this.alertList, { key: key });
                if (!this.alertList.length) {
                    this.destroy();
                }
            };
        /**
         * @return {?}
         */
        AlertContainerComponent.prototype.destroy = /**
         * @return {?}
         */
            function () {
                this._onDestroy.next();
                this._onDestroy.complete();
            };
        /**
         * @return {?}
         */
        AlertContainerComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.destroy();
            };
        AlertContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-alert-container',
                        template: "\n    <ng-container *ngFor=\"let alert of alertList\">\n      <md-alert\n        [key]=\"alert.key\"\n        [ariaLabel]=\"alert.ariaLabel\"\n        [type]=\"alert.type\"\n        [title]=\"alert.title\"\n        [message]=\"alert.message\"\n        [closable]=\"alert.closable\"\n        (dismissed)=\"removeAlert($event)\"\n      ></md-alert>\n    </ng-container>\n  "
                    }] }
        ];
        /** @nocollapse */
        AlertContainerComponent.ctorParameters = function () {
            return [
                { type: AlertConfig }
            ];
        };
        AlertContainerComponent.propDecorators = {
            role: [{ type: i0.HostBinding, args: ['attr.role',] }],
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return AlertContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertService = /** @class */ (function () {
        function AlertService(_overlay, _injector) {
            this._overlay = _overlay;
            this._injector = _injector;
            this._overlayRef = null;
            this._alertContainerRef = null;
        }
        /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
        AlertService.prototype.info = /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
            function (title, message, config) {
                return this._open('info', title, message, config);
            };
        /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
        AlertService.prototype.success = /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
            function (title, message, config) {
                return this._open('success', title, message, config);
            };
        /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
        AlertService.prototype.warning = /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
            function (title, message, config) {
                return this._open('warning', title, message, config);
            };
        /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
        AlertService.prototype.error = /**
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
            function (title, message, config) {
                return this._open('error', title, message, config);
            };
        /**
         * @param {?} key
         * @return {?}
         */
        AlertService.prototype.hide = /**
         * @param {?} key
         * @return {?}
         */
            function (key) {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.removeAlert(key);
                }
            };
        /**
         * @private
         * @param {?} type
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
        AlertService.prototype._open = /**
         * @private
         * @param {?} type
         * @param {?} title
         * @param {?} message
         * @param {?=} config
         * @return {?}
         */
            function (type, title, message, config) {
                /** @type {?} */
                var _config = __assign({}, new AlertConfig(), config);
                _config.type = type;
                _config.title = title;
                _config.message = message;
                if (!this._overlayRef) {
                    this._overlayRef = this._overlay.create();
                }
                /** @type {?} */
                var container = this._attachAlertContainer(this._overlayRef, _config);
                return container.addAlert(_config);
            };
        /**
         * @private
         * @param {?} overlayRef
         * @param {?} config
         * @return {?}
         */
        AlertService.prototype._attachAlertContainer = /**
         * @private
         * @param {?} overlayRef
         * @param {?} config
         * @return {?}
         */
            function (overlayRef, config) {
                var _this = this;
                if (this._alertContainerRef) {
                    return this._alertContainerRef.instance;
                }
                /** @type {?} */
                var injector = new portal.PortalInjector(this._injector, new WeakMap([[AlertConfig, config]]));
                /** @type {?} */
                var containerPortal = new portal.ComponentPortal(AlertContainerComponent, null, injector);
                this._alertContainerRef = overlayRef.attach(containerPortal);
                /** @type {?} */
                var onDestroySub = this._alertContainerRef.instance._onDestroy.subscribe(( /**
                 * @return {?}
                 */function () {
                    onDestroySub.unsubscribe();
                    _this._dispose();
                }));
                return this._alertContainerRef.instance;
            };
        /**
         * @return {?}
         */
        AlertService.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._alertContainerRef) {
                    this._alertContainerRef.instance.destroy();
                }
            };
        /**
         * @private
         * @return {?}
         */
        AlertService.prototype._dispose = /**
         * @private
         * @return {?}
         */
            function () {
                this._alertContainerRef = null;
                this._overlayRef.dispose();
                this._overlayRef = null;
            };
        AlertService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AlertService.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i0.Injector }
            ];
        };
        return AlertService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AlertModule = /** @class */ (function () {
        function AlertModule() {
        }
        /**
         * @return {?}
         */
        AlertModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AlertModule,
                    providers: [],
                };
            };
        AlertModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            i1.OverlayModule,
                            portal.PortalModule,
                            common.CommonModule,
                            ButtonModule,
                            IconModule,
                        ],
                        declarations: [AlertComponent, AlertContainerComponent],
                        exports: [AlertContainerComponent],
                        entryComponents: [AlertContainerComponent],
                        providers: [AlertService],
                    },] }
        ];
        return AlertModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BadgeComponent = /** @class */ (function () {
        function BadgeComponent(elementRef) {
            this.elementRef = elementRef;
            /**
             * \@option Sets the optional rounded class | false
             */
            this.rounded = false;
            this._color = null;
        }
        Object.defineProperty(BadgeComponent.prototype, "color", {
            /** @option Sets optional button color | null */
            set: /**
             * \@option Sets optional button color | null
             * @param {?} color
             * @return {?}
             */ function (color) {
                if (this._color) {
                    this.elementRef.nativeElement.classList.remove("md-badge--" + this._color);
                }
                this.elementRef.nativeElement.classList.add("md-badge--" + color);
                this._color = color;
            },
            enumerable: true,
            configurable: true
        });
        BadgeComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-badge',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            class: 'md-badge',
                            '[class.md-badge--round]': 'rounded',
                        }
                    }] }
        ];
        /** @nocollapse */
        BadgeComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        BadgeComponent.propDecorators = {
            rounded: [{ type: i0.Input }],
            color: [{ type: i0.Input }]
        };
        return BadgeComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BadgeModule = /** @class */ (function () {
        function BadgeModule() {
        }
        /**
         * @return {?}
         */
        BadgeModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: BadgeModule,
                    providers: [],
                };
            };
        BadgeModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [BadgeComponent],
                        exports: [BadgeComponent],
                    },] }
        ];
        return BadgeModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonGroupComponent = /** @class */ (function () {
        function ButtonGroupComponent(elementRef, renderer) {
            this.elementRef = elementRef;
            this.renderer = renderer;
            /**
             * \@prop Text to display for blindness accessibility features | ''
             */
            this.ariaLabel = '';
            /**
             * \@prop Set focus to ButtonGroup when page is loaded | false
             */
            this.focusOnLoad = false;
            /**
             * \@prop Highlights the selected button within group | true
             */
            this.highlightSelected = true;
            /**
             * \@prop Optional text-justified css styling | true
             */
            this.justified = true;
            /**
             * \@prop Sets width of a pill Button | '60px'
             */
            this.pillWidth = '60px';
            this.select = new i0.EventEmitter();
            this._focusIndex = 0;
            this._theme = '';
            this._type = '';
        }
        Object.defineProperty(ButtonGroupComponent.prototype, "theme", {
            /** @prop Optional Button color theme for ButtonGroup | '' */
            get: /**
             * \@prop Optional Button color theme for ButtonGroup | ''
             * @return {?}
             */ function () {
                return this._theme;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.remove("md-button-group--" + this._theme);
                this.elementRef.nativeElement.classList.add("md-button-group--" + value);
                this._theme = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ButtonGroupComponent.prototype, "type", {
            /** @prop Optional Button type for ButtonGroup | '' */
            get: /**
             * \@prop Optional Button type for ButtonGroup | ''
             * @return {?}
             */ function () {
                return this._type;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.remove("md-button-group--" + this._type);
                this.elementRef.nativeElement.classList.add("md-button-group--" + value);
                this._type = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ButtonGroupComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.buttonList.forEach(( /**
                 * @param {?} button
                 * @param {?} idx
                 * @return {?}
                 */function (button, idx) {
                    button.focusOnLoad = _this.focusOnLoad;
                    button.index = idx;
                    if (_this.pillWidth) {
                        button.width = _this.pillWidth;
                    }
                    _this.renderer.listen(button.hostElement.nativeElement, 'click', ( /**
                     * @param {?} e
                     * @return {?}
                     */function (e) { return _this.handleClick(e, button.index); }));
                    _this.renderer.listen(button.hostElement.nativeElement, 'keydown', ( /**
                     * @param {?} e
                     * @return {?}
                     */function (e) { return _this.handleKeydown(e, button.index); }));
                }));
                /** @type {?} */
                var initialFocus = this.getNewIndex(this._focusIndex - 1, 1);
                this.setFocusIndex(initialFocus);
                if (this.activeIndex !== null) {
                    this.determineInitialActive();
                }
            };
        /**
         * @param {?} currentIndex
         * @param {?} change
         * @return {?}
         */
        ButtonGroupComponent.prototype.getNewIndex = /**
         * @param {?} currentIndex
         * @param {?} change
         * @return {?}
         */
            function (currentIndex, change) {
                /** @type {?} */
                var length = this.buttonList.length - 1;
                /** @type {?} */
                var getPossibleIndex = ( /**
                 * @return {?}
                 */function () {
                    if (currentIndex + change < 0) {
                        return length;
                    }
                    else if (currentIndex + change > length) {
                        return 0;
                    }
                    return currentIndex + change;
                });
                /** @type {?} */
                var possibleIndex = getPossibleIndex();
                /** @type {?} */
                var potentialTarget = this.buttonList.toArray()[possibleIndex];
                return potentialTarget.disabled
                    ? this.getNewIndex(possibleIndex, change)
                    : possibleIndex;
            };
        /**
         * @param {?} index
         * @return {?}
         */
        ButtonGroupComponent.prototype.setFocusIndex = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                this._focusIndex = index;
                this.buttonList.forEach(( /**
                 * @param {?} button
                 * @return {?}
                 */function (button) {
                    button.focusIndex = index;
                }));
            };
        /**
         * @return {?}
         */
        ButtonGroupComponent.prototype.determineInitialActive = /**
         * @return {?}
         */
            function () {
                if (this.activeIndex < 0 && this.activeIndex > this.buttonList.length - 1) {
                    console.warn('[@collab-ui/angular] ButtonGroup: activeIndex is out of bound');
                    return;
                }
                if (!isNaN(this.activeIndex)) {
                    /** @type {?} */
                    var initialActive = this.getNewIndex(this.activeIndex - 1, 1);
                    this.setActiveIndex(initialActive);
                }
            };
        /**
         * @param {?} index
         * @return {?}
         */
        ButtonGroupComponent.prototype.setActiveIndex = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                var _this = this;
                if (this.activeIndex !== index) {
                    this.activeIndex = index;
                    this.buttonList.forEach(( /**
                     * @param {?} button
                     * @param {?} idx
                     * @return {?}
                     */function (button, idx) {
                        button.active = _this.type === 'pill' ? false : _this.highlightSelected && _this.activeIndex === idx;
                    }));
                }
            };
        /**
         * @param {?} str
         * @param {?} char
         * @return {?}
         */
        ButtonGroupComponent.prototype.getIncludesFirstCharacter = /**
         * @param {?} str
         * @param {?} char
         * @return {?}
         */
            function (str, char) {
                return str
                    .charAt(0)
                    .toLowerCase()
                    .includes(char);
            };
        /**
         * @param {?} char
         * @param {?} currentIdx
         * @return {?}
         */
        ButtonGroupComponent.prototype.setFocusByFirstCharacter = /**
         * @param {?} char
         * @param {?} currentIdx
         * @return {?}
         */
            function (char, currentIdx) {
                var _this = this;
                /** @type {?} */
                var length = this.buttonList.length - 1;
                /** @type {?} */
                var newIndex = this.buttonList
                    .toArray()
                    .reduce(( /**
             * @param {?} agg
             * @param {?} _
             * @param {?} idx
             * @param {?} arr
             * @return {?}
             */function (agg, _, idx, arr) {
                    /** @type {?} */
                    var index = currentIdx + idx + 1 > length
                        ? Math.abs(currentIdx + idx - length)
                        : currentIdx + idx + 1;
                    /** @type {?} */
                    var label = arr[index].hostElement.nativeElement.innerText;
                    return (!agg.length
                        && !arr[index].disabled
                        && _this.getIncludesFirstCharacter(label, char))
                        ? agg.concat(index)
                        : agg;
                }), []);
                if (!isNaN(newIndex[0])) {
                    this.setFocusIndex(newIndex[0]);
                }
            };
        /**
         * @param {?} event
         * @param {?} index
         * @return {?}
         */
        ButtonGroupComponent.prototype.handleClick = /**
         * @param {?} event
         * @param {?} index
         * @return {?}
         */
            function (event, index) {
                this.setFocusIndex(index);
                this.setActiveIndex(index);
                this.select.emit({ event: event, index: index });
            };
        /**
         * @param {?} event
         * @param {?} index
         * @return {?}
         */
        ButtonGroupComponent.prototype.handleKeydown = /**
         * @param {?} event
         * @param {?} index
         * @return {?}
         */
            function (event, index) {
                /** @type {?} */
                var newIndex;
                /** @type {?} */
                var flag = false;
                /** @type {?} */
                var char = event.key;
                /** @type {?} */
                var isPrintableCharacter = ( /**
                 * @param {?} str
                 * @return {?}
                 */function (str) {
                    return str.length === 1 && str.match(/\S/);
                });
                switch (event.code) {
                    case 'ArrowLeft':
                    case 'ArrowUp':
                        newIndex = this.getNewIndex(index, -1);
                        this.setFocusIndex(newIndex);
                        flag = true;
                        break;
                    case 'ArrowRight':
                    case 'ArrowDown':
                        newIndex = this.getNewIndex(index, 1);
                        this.setFocusIndex(newIndex);
                        flag = true;
                        break;
                    default:
                        if (isPrintableCharacter(char)) {
                            this.setFocusByFirstCharacter(char, index);
                            flag = true;
                        }
                        break;
                }
                if (flag) {
                    event.stopPropagation();
                    event.preventDefault();
                }
            };
        ButtonGroupComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-button-group',
                        template: "<ng-content></ng-content>",
                        host: {
                            '[attr.aria-label]': 'ariaLabel',
                            'class': 'md-button-group',
                            '[class.md-button-group--justified]': 'justified',
                            'role': 'group',
                        }
                    }] }
        ];
        /** @nocollapse */
        ButtonGroupComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: i0.Renderer2 }
            ];
        };
        ButtonGroupComponent.propDecorators = {
            activeIndex: [{ type: i0.Input }],
            ariaLabel: [{ type: i0.Input }],
            focusOnLoad: [{ type: i0.Input }],
            highlightSelected: [{ type: i0.Input }],
            justified: [{ type: i0.Input }],
            pillWidth: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            select: [{ type: i0.Output }],
            buttonList: [{ type: i0.ContentChildren, args: [ButtonComponent,] }]
        };
        return ButtonGroupComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonGroupModule = /** @class */ (function () {
        function ButtonGroupModule() {
        }
        /**
         * @return {?}
         */
        ButtonGroupModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ButtonGroupModule,
                    providers: [],
                };
            };
        ButtonGroupModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [ButtonGroupComponent],
                        imports: [common.CommonModule],
                        exports: [ButtonGroupComponent],
                    },] }
        ];
        return ButtonGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var activeRed = ['camera-muted', 'cancel', 'microphone-muted', 'speaker'];
    /** @type {?} */
    var activeBlue = ['camera', 'participant-list', 'share-screen'];
    var CallControlComponent = /** @class */ (function () {
        function CallControlComponent(_element) {
            this._element = _element;
            /**
             * \@prop Sets active css styling | false
             */
            this.active = false;
            /**
             * \@prop Text to display for blindness accessibility features | ''
             */
            this.ariaLabel = '';
            /**
             * \@prop Sets the attribute disabled to the CallControl button | false
             */
            this.disabled = false;
            /**
             * \@prop Optional icon color prop | $md-white-100
             */
            this.iconColor = 'white-100';
            /**
             * \@prop Optional numeric icon size prop | 24
             */
            this.iconSize = 24;
            /**
             * \@prop Optional numeric size prop for CallControl button | 56
             */
            this.size = 56;
            this.click = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        CallControlComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.hostClassName = this._element.nativeElement.className;
                /** @type {?} */
                var nativeElement = this._element.nativeElement;
                /** @type {?} */
                var parentElement = nativeElement.parentElement;
                while (nativeElement.firstChild) {
                    parentElement.insertBefore(nativeElement.firstChild, nativeElement);
                }
                parentElement.removeChild(nativeElement);
            };
        /**
         * @private
         * @return {?}
         */
        CallControlComponent.prototype._getActiveColor = /**
         * @private
         * @return {?}
         */
            function () {
                switch (true) {
                    case (activeRed.includes(this.type)):
                        return 'red';
                    case (activeBlue.includes(this.type)):
                        return 'blue';
                    default:
                        return 'dark-gray';
                }
            };
        /**
         * @return {?}
         */
        CallControlComponent.prototype.getColor = /**
         * @return {?}
         */
            function () {
                return this.active
                    ? this._getActiveColor()
                    : 'dark-gray';
            };
        /**
         * @param {?} event
         * @return {?}
         */
        CallControlComponent.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.click.emit(event);
            };
        CallControlComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-call-control',
                        template: "\n    <button\n      md-button\n      [attr.aria-label]=\"ariaLabel || type\"\n      [attr.id]=\"id\"\n      [circle]=\"true\"\n      (click)=\"onClick($event)\"\n      [color]=\"type === 'cancel' ? 'red' : getColor()\"\n      [disabled]=\"disabled\"\n      [ngClass]=\"['md-call-control', hostClassName]\"\n      [size]=\"size\"\n    >\n      <md-icon [name]=\"type + '_' + iconSize\" [color]=\"iconColor\"></md-icon>\n    </button>\n  "
                    }] }
        ];
        /** @nocollapse */
        CallControlComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        CallControlComponent.propDecorators = {
            active: [{ type: i0.Input }],
            ariaLabel: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            iconColor: [{ type: i0.Input }],
            iconSize: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            click: [{ type: i0.Output }]
        };
        return CallControlComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CallControlModule = /** @class */ (function () {
        function CallControlModule() {
        }
        /**
         * @return {?}
         */
        CallControlModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CallControlModule,
                    providers: [],
                };
            };
        CallControlModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule, ButtonModule, IconModule],
                        declarations: [CallControlComponent],
                        exports: [CallControlComponent],
                    },] }
        ];
        return CallControlModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var nextUniqueId = 0;
    var InputMessageComponent = /** @class */ (function () {
        function InputMessageComponent() {
            /**
             * \@prop Unique HTML ID used for automated testing | null
             */
            this.id = "md-error-" + nextUniqueId++;
        }
        InputMessageComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-input-message',
                        template: "<ng-content></ng-content>",
                        host: {
                            'class': 'md-input__message',
                            'role': 'alert',
                            '[attr.id]': 'id'
                        }
                    }] }
        ];
        InputMessageComponent.propDecorators = {
            id: [{ type: i0.Input }]
        };
        return InputMessageComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputMessageModule = /** @class */ (function () {
        function InputMessageModule() {
        }
        /**
         * @return {?}
         */
        InputMessageModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: InputMessageModule,
                    providers: [],
                };
            };
        InputMessageModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [InputMessageComponent],
                        imports: [common.CommonModule],
                        exports: [InputMessageComponent],
                    },] }
        ];
        return InputMessageModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputSectionComponent = /** @class */ (function () {
        function InputSectionComponent() {
            /**
             * \@prop Determine the InputSection's position | 'before'
             */
            this.position = 'before';
        }
        Object.defineProperty(InputSectionComponent.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return ("md-input__" + (this.position || 'before') +
                    ("" + (this.className ? " " + this.className : '')));
            },
            enumerable: true,
            configurable: true
        });
        InputSectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-input-section',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        InputSectionComponent.propDecorators = {
            position: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            _class: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return InputSectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputSectionModule = /** @class */ (function () {
        function InputSectionModule() {
        }
        /**
         * @return {?}
         */
        InputSectionModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: InputSectionModule,
                    providers: [],
                };
            };
        InputSectionModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [InputSectionComponent],
                        imports: [common.CommonModule],
                        exports: [InputSectionComponent],
                    },] }
        ];
        return InputSectionModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * An interface which allows a control to work inside of a `InputContainer`.
     * @abstract
     * @template T
     */
    var /**
     * An interface which allows a control to work inside of a `InputContainer`.
     * @abstract
     * @template T
     */ InputContainerService = /** @class */ (function () {
        function InputContainerService() {
        }
        return InputContainerService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputService = /** @class */ (function () {
        function InputService() {
            this.addBeforePadding = new rxjs.Subject();
            this.addBeforePadding$ = this.addBeforePadding.asObservable();
            this.addAfterPadding = new rxjs.Subject();
            this.addAfterPadding$ = this.addAfterPadding.asObservable();
        }
        /**
         * @param {?} position
         * @param {?} value
         * @return {?}
         */
        InputService.prototype.onPaddingChange = /**
         * @param {?} position
         * @param {?} value
         * @return {?}
         */
            function (position, value) {
                this["add" + position + "Padding"].next(value);
            };
        InputService.decorators = [
            { type: i0.Injectable }
        ];
        return InputService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var nextUniqueId$1 = 0;
    var InputContainerComponent = /** @class */ (function () {
        function InputContainerComponent(_changeDetectorRef, inputService) {
            this._changeDetectorRef = _changeDetectorRef;
            this.inputService = inputService;
            this._destroyed = new rxjs.Subject();
            this._clear = false;
            this._status = '';
            this._isError = false;
            // Unique id for the hint label.
            this._helpTextId = "md-input__help-text-" + nextUniqueId$1++;
            /**
             * \@prop Optional css class string | ''
             */
            this.class = '';
            /**
             * \@prop Optional clear aria label string | 'clear'
             */
            this.clearAriaLabel = 'clear';
            /**
             * \@prop Overall input container size | ''
             */
            this.containerSize = '';
            /**
             * \@prop Help Text to appear under the input | ''
             */
            this.helpText = '';
            /**
             * \@prop Input wrapper size | ''
             */
            this.inputSize = '';
            /**
             * \@prop Sets the filled class of the Input Container | false
             */
            this.isFilled = false;
            /**
             * \@prop Input label text | ''
             */
            this.label = '';
            /**
             * \@prop Set the level of nested Input components | 0
             */
            this.nestedLevel = 0;
            /**
             * \@prop Secondary Input label | ''
             */
            this.secondaryLabel = '';
            this._determineStatus = ( /**
             * @param {?} array
             * @return {?}
             */function (array) {
                return array.reduce(( /**
                 * @param {?} agg
                 * @param {?} e
                 * @return {?}
                 */function (agg, e) {
                    return agg === 'error' ? agg : e.type || '';
                }), '');
            });
            this._filterMessagesByType = ( /**
             * @param {?} array
             * @param {?} value
             * @return {?}
             */function (array, value) {
                return array.reduce(( /**
                 * @param {?} agg
                 * @param {?} e
                 * @return {?}
                 */function (agg, e) { return (e.type === value ? agg.concat(e.message) : agg); }), []);
            });
        }
        Object.defineProperty(InputContainerComponent.prototype, "clear", {
            /** @prop Optional button to clear input text | false */
            get: /**
             * \@prop Optional button to clear input text | false
             * @return {?}
             */ function () { return this._clear; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._clear = value || false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputContainerComponent.prototype, "status", {
            /** @prop Optional status to override error status | '' */
            get: /**
             * \@prop Optional status to override error status | ''
             * @return {?}
             */ function () { return this._status; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._status = value || '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputContainerComponent.prototype, "_control", {
            get: /**
             * @return {?}
             */ function () {
                // TODO: we need this hacky workaround in order to support both Ivy
                // and ViewEngine. We should clean this up once Ivy is the default renderer.
                return this._explicitFormFieldControl || this._controlNonStatic || this._controlStatic;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._explicitFormFieldControl = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputContainerComponent.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-input-container' +
                    ("" + (this.isFilled ? ' md-input--filled' : '')) +
                    ("" + (this.containerSize ? " " + this.containerSize + " columns" : '')) +
                    ("" + (this._control.readonly ? ' md-read-only' : '')) +
                    ("" + (this._control.disabled ? ' md-disabled' : '')) +
                    ("" + (this.nestedLevel ? " md-input--nested-" + this.nestedLevel : '')) +
                    ("" + ((this._isError || this.status) ? " md-" + (this._isError ? 'error' : this.status) : '')) +
                    ("" + (this.class ? " " + this.class : '')));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        InputContainerComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var control = this._control;
                // Initial sync of input padding styles
                this._syncInputPadding();
                // Subscribe to changes in the child control state in order to update the form field UI.
                control.stateChanges.pipe(operators.startWith(rxjs.of({}))).subscribe(( /**
                 * @return {?}
                 */function () {
                    _this._syncErrorState();
                    _this._syncDescribedByIds();
                    _this._changeDetectorRef.markForCheck();
                }));
                // Run change detection if the value changes.
                if (control.ngControl && control.ngControl.valueChanges) {
                    control.ngControl.valueChanges
                        .pipe(operators.takeUntil(this._destroyed))
                        .subscribe(( /**
                 * @return {?}
                 */function () { return _this._changeDetectorRef.markForCheck(); }));
                }
                // Update the aria-described by when the number of errors changes.
                this._contentMessageChildren.changes.pipe(operators.startWith(( /** @type {?} */(null)))).subscribe(( /**
                 * @return {?}
                 */function () {
                    _this._syncDescribedByIds();
                    _this._changeDetectorRef.markForCheck();
                }));
                // Update the padding class when icon children change.
                this._iconChildren.changes.pipe(operators.startWith(( /** @type {?} */(null)))).subscribe(( /**
                 * @return {?}
                 */function () {
                    _this._syncInputPadding();
                    _this._changeDetectorRef.markForCheck();
                }));
            };
        /**
         * @return {?}
         */
        InputContainerComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                // Required for view children changes
                this._changeDetectorRef.detectChanges();
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        InputContainerComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if (changes.messageArr) {
                    /** @type {?} */
                    var changedArr = changes.messageArr.currentValue;
                    if (changedArr && changedArr.length > 0) {
                        this._status = this._determineStatus(changedArr);
                        this.messages = this._status && this._filterMessagesByType(changedArr, this._status) || [];
                    }
                }
            };
        /**
         * @return {?}
         */
        InputContainerComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this._destroyed.next();
                this._destroyed.complete();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        InputContainerComponent.prototype.handleClear = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (this._control.ngControl) {
                    this._control.ngControl.reset();
                }
                else if (this._control.value) {
                    this._control.value = '';
                }
            };
        /**
         * @return {?}
         */
        InputContainerComponent.prototype.showClear = /**
         * @return {?}
         */
            function () {
                return this.clear && !this._control.empty;
            };
        /**
         * @private
         * @return {?}
         */
        InputContainerComponent.prototype._syncDescribedByIds = /**
         * @private
         * @return {?}
         */
            function () {
                if (this._control) {
                    /** @type {?} */
                    var ids_1 = [];
                    if (this.helpText) {
                        ids_1.push(this._helpTextId);
                    }
                    else if (this._viewMessageChildren) {
                        this._viewMessageChildren.map(( /**
                         * @param {?} ele
                         * @return {?}
                         */function (ele) {
                            return ids_1.push(ele.id);
                        }));
                    }
                    else if (this._contentMessageChildren) {
                        this._contentMessageChildren.map(( /**
                         * @param {?} ele
                         * @return {?}
                         */function (ele) {
                            return ids_1.push(ele.id);
                        }));
                    }
                    this._control.setDescribedByIds(ids_1);
                }
            };
        /**
         * @private
         * @return {?}
         */
        InputContainerComponent.prototype._syncErrorState = /**
         * @private
         * @return {?}
         */
            function () {
                if (this._control && this._control.errorState && !this._isError) {
                    this._isError = true;
                }
                else if (this._isError && !this._control.errorState) {
                    this._isError = false;
                }
            };
        /**
         * @private
         * @return {?}
         */
        InputContainerComponent.prototype._syncInputPadding = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var before = false;
                /** @type {?} */
                var after = false;
                this._iconChildren.forEach(( /**
                 * @param {?} child
                 * @return {?}
                 */function (child) {
                    if (child.position === 'before') {
                        before = true;
                    }
                    else if (child.position === 'after') {
                        after = true;
                    }
                }));
                this.inputService.onPaddingChange('Before', before);
                this.inputService.onPaddingChange('After', this.clear || after);
            };
        InputContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-input-container',
                        template: "\n    <md-label\n      *ngIf=\"label\"\n      [label]=\"label\"\n      class=\"md-input__label\"\n      [htmlFor]='_control.id'\n    ></md-label>\n\n    <div class=\"md-input__wrapper\" [ngClass]=\"[inputSize && inputSize + ' columns' || '']\">\n      <ng-content></ng-content>\n      <md-input-section *ngIf='this.showClear()' position='after'>\n        <md-icon\n          [ariaLabel]=\"clearAriaLabel\"\n          buttonClassName=\"md-input__icon-clear\"\n          name=\"clear-active_16\"\n          (click)=\"handleClear($event)\"\n        ></md-icon>\n      </md-input-section>\n    </div>\n\n    <!-- Secondary Label -->\n    <md-label\n      *ngIf=\"secondaryLabel\"\n      [label]=\"secondaryLabel\"\n      class=\"md-input__secondary-label\"\n      [htmlFor]='_control.id'\n    ></md-label>\n\n    <!-- Helper Text -->\n    <md-input-helper\n      *ngIf=\"helpText\"\n      [id]='_helpTextId'\n    >\n      {{helpText}}\n    </md-input-helper>\n\n    <!-- Error Input -->\n    <div class=\"md-input__messages\" *ngIf=\"(messages && messages.length) || (_contentMessageChildren && _contentMessageChildren.length)\">\n      <md-input-message *ngFor=\"let message of messages\">\n        {{message}}\n      </md-input-message>\n      <ng-content select=\"md-input-message\"></ng-content>\n    </div>\n  ",
                        changeDetection: i0.ChangeDetectionStrategy.OnPush,
                        providers: [InputService]
                    }] }
        ];
        /** @nocollapse */
        InputContainerComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef },
                { type: InputService }
            ];
        };
        InputContainerComponent.propDecorators = {
            class: [{ type: i0.Input }],
            clear: [{ type: i0.Input }],
            clearAriaLabel: [{ type: i0.Input }],
            containerSize: [{ type: i0.Input }],
            helpText: [{ type: i0.Input }],
            inputSize: [{ type: i0.Input }],
            isFilled: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            messageArr: [{ type: i0.Input }],
            nestedLevel: [{ type: i0.Input }],
            secondaryLabel: [{ type: i0.Input }],
            status: [{ type: i0.Input }],
            _controlNonStatic: [{ type: i0.ContentChild, args: [InputContainerService,] }],
            _controlStatic: [{ type: i0.ContentChild, args: [InputContainerService,] }],
            _iconChildren: [{ type: i0.ContentChildren, args: [InputSectionComponent,] }],
            _contentMessageChildren: [{ type: i0.ContentChildren, args: [InputMessageComponent,] }],
            _viewMessageChildren: [{ type: i0.ViewChildren, args: [InputMessageComponent,] }],
            _class: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return InputContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputContainerModule = /** @class */ (function () {
        function InputContainerModule() {
        }
        /**
         * @return {?}
         */
        InputContainerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: InputContainerModule,
                    providers: [],
                };
            };
        InputContainerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [InputContainerComponent],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IconModule,
                            InputHelperModule,
                            InputMessageModule,
                            InputSectionModule,
                            LabelModule,
                            forms.ReactiveFormsModule,
                        ],
                        exports: [InputContainerComponent],
                    },] }
        ];
        return InputContainerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var nextUniqueId$2 = 0;
    // Invalid input type. Using one of these will throw an MDInputUnsupportedTypeError.
    /** @type {?} */
    var MD_INPUT_INVALID_TYPES = [
        'button',
        'checkbox',
        'file',
        'hidden',
        'image',
        'radio',
        'range',
        'reset',
        'submit'
    ];
    /**
     * @param {?} type
     * @return {?}
     */
    function getMDInputUnsupportedTypeError(type) {
        return Error("Input type \"" + type + "\" isn't supported by mdInput.");
    }
    var InputDirective = /** @class */ (function () {
        function InputDirective(_elementRef, _platform, _autofillMonitor, inputService, ngControl, _parentForm, _parentFormGroup) {
            var _this = this;
            this._elementRef = _elementRef;
            this._platform = _platform;
            this._autofillMonitor = _autofillMonitor;
            this.inputService = inputService;
            this.ngControl = ngControl;
            this._destroyed = new rxjs.Subject();
            this._readonly = false;
            this._disabled = false;
            this._required = false;
            this._type = 'text';
            this._uid = "md-input-" + nextUniqueId$2++;
            this.stateChanges = new rxjs.Subject();
            this.autofilled = false;
            this._inputAfter = false;
            this._inputBefore = false;
            this.focused = false;
            this.errorState = false;
            /**
             * \@prop Placeholder text to display when Input is empty | ''
             */
            this.placeholder = '';
            /**
             * \@prop Input shape property | ''
             */
            this.shape = '';
            this._neverEmptyInputTypes = [
                'date',
                'datetime',
                'datetime-local',
                'month',
                'time',
                'week'
            ].filter(( /**
             * @param {?} t
             * @return {?}
             */function (t) { return platform.getSupportedInputTypes().has(t); }));
            this.onChange = ( /**
             * @return {?}
             */function () { });
            this.onTouch = ( /**
             * @return {?}
             */function () { });
            /** @type {?} */
            var element = this._elementRef.nativeElement;
            this.id = this.id;
            this._inputValueAccessor = (ngControl && ngControl.valueAccessor) || element;
            this._parentForm = _parentForm;
            this._parentFormGroup = _parentFormGroup;
            this._ngControl = ngControl;
            this.inputService.addBeforePadding$
                .pipe(operators.takeUntil(this._destroyed))
                .subscribe(( /**
         * @param {?} value
         * @return {?}
         */function (value) { return _this._inputBefore = coercion.coerceBooleanProperty(value); }));
            this.inputService.addAfterPadding$
                .pipe(operators.takeUntil(this._destroyed))
                .subscribe(( /**
         * @param {?} value
         * @return {?}
         */function (value) { return _this._inputAfter = coercion.coerceBooleanProperty(value); }));
        }
        Object.defineProperty(InputDirective.prototype, "id", {
            /*** @prop Unique HTML ID used for tying label to HTML input | 'md-in-<uniqueId>' */
            get: /**
             * \@prop Unique HTML ID used for tying label to HTML input | 'md-in-<uniqueId>'
             * @return {?}
             */ function () { return this._id; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) { this._id = value || this._uid; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "disabled", {
            get: /**
             * @return {?}
             */ function () {
                if (this.ngControl && this.ngControl.disabled !== null) {
                    return this.ngControl.disabled;
                }
                return this._disabled;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._disabled = coercion.coerceBooleanProperty(value);
                // Browsers may not fire the blur event if the input is disabled too quickly.
                // Reset from here to ensure that the element doesn't become stuck.
                if (this.focused) {
                    this.focused = false;
                    this.stateChanges.next();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "readonly", {
            /*** @prop Determines if Input can be edited | false */
            get: /**
             * \@prop Determines if Input can be edited | false
             * @return {?}
             */ function () { return this._readonly; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) { this._readonly = coercion.coerceBooleanProperty(value); },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "required", {
            /*** @prop Determines if Input is required | false */
            get: /**
             * \@prop Determines if Input is required | false
             * @return {?}
             */ function () { return this._required; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) { this._required = coercion.coerceBooleanProperty(value); },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "type", {
            get: /**
             * @return {?}
             */ function () { return this._type; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._type = value || 'text';
                this._validateType();
                // When using Angular inputs, developers are no longer able to set the properties on the native
                // input element. To ensure that bindings for `type` work, we need to sync the setter
                // with the native property. Textarea elements don't support the type property or attribute.
                if (!this._isTextarea() && platform.getSupportedInputTypes().has(this._type)) {
                    (( /** @type {?} */(this._elementRef.nativeElement))).type = this._type;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "value", {
            /*** @prop Input value | '' */
            get: /**
             * \@prop Input value | ''
             * @return {?}
             */ function () {
                return this._inputValueAccessor.value;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (value !== this.value) {
                    this._inputValueAccessor.value = value;
                    this.stateChanges.next();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(InputDirective.prototype, "_class", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-input' +
                    ("" + (this._isTextarea() ? ' md-input--multiline' : '')) +
                    ("" + (this.shape ? " md-input--" + this.shape : '')) +
                    ("" + (this._inputBefore ? " md-input--before" : '')) +
                    ("" + (this._inputAfter ? " md-input--after" : '')) +
                    ("" + (this.focused ? " md-active" : '')) +
                    ("" + (this.readonly ? ' md-read-only' : '')) +
                    ("" + (this.disabled ? ' md-disabled' : '')) +
                    ("" + ((this._ngControl && this._ngControl.dirty) ? " md-dirty" : '')));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        InputDirective.prototype.ngDoCheck = /**
         * @return {?}
         */
            function () {
                if (this.ngControl) {
                    // We need to re-evaluate this on every change detection cycle, because there are some
                    // error triggers that we can't subscribe to (e.g. parent form submissions). This means
                    // that whatever logic is in here has to be super lean or we risk destroying the performance.
                    this.updateErrorState();
                }
                // We need to dirty-check the native element's value, because there are some cases where
                // we won't be notified when it changes (e.g. the consumer isn't using forms or they're
                // updating the value using `emitEvent: false`).
                this._dirtyCheckNativeValue();
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        InputDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                this.stateChanges.next();
            };
        /**
         * @return {?}
         */
        InputDirective.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this._platform.isBrowser) {
                    this._autofillMonitor.monitor(this._elementRef.nativeElement).subscribe(( /**
                     * @param {?} event
                     * @return {?}
                     */function (event) {
                        _this.autofilled = event.isAutofilled;
                        _this.stateChanges.next();
                    }));
                }
            };
        /**
         * @return {?}
         */
        InputDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this._destroyed.next();
                this._destroyed.complete();
                this.stateChanges.complete();
                if (this._platform.isBrowser) {
                    this._autofillMonitor.stopMonitoring(this._elementRef.nativeElement);
                }
            };
        /**
         * @protected
         * @return {?}
         */
        InputDirective.prototype._isNeverEmpty = /**
         * @protected
         * @return {?}
         */
            function () {
                return this._neverEmptyInputTypes.indexOf(this._type) > -1;
            };
        /** Checks whether the input is invalid based on the native validation. */
        /**
         * Checks whether the input is invalid based on the native validation.
         * @protected
         * @return {?}
         */
        InputDirective.prototype._isBadInput = /**
         * Checks whether the input is invalid based on the native validation.
         * @protected
         * @return {?}
         */
            function () {
                // The `validity` property won't be present on platform-server.
                /** @type {?} */
                var validity = (( /** @type {?} */(this._elementRef.nativeElement))).validity;
                return validity && validity.badInput;
            };
        /**
         * @protected
         * @return {?}
         */
        InputDirective.prototype._isTextarea = /**
         * @protected
         * @return {?}
         */
            function () {
                return this._elementRef.nativeElement.nodeName.toLowerCase() === 'textarea';
            };
        /**
         * @protected
         * @return {?}
         */
        InputDirective.prototype._validateType = /**
         * @protected
         * @return {?}
         */
            function () {
                if (MD_INPUT_INVALID_TYPES.indexOf(this._type) > -1) {
                    throw getMDInputUnsupportedTypeError(this._type);
                }
            };
        Object.defineProperty(InputDirective.prototype, "empty", {
            get: /**
             * @return {?}
             */ function () {
                return !this._isNeverEmpty() && !this._elementRef.nativeElement.value && !this._isBadInput() &&
                    !this.autofilled;
            },
            enumerable: true,
            configurable: true
        });
        /** Callback for the cases where the focused state of the input changes. */
        /**
         * Callback for the cases where the focused state of the input changes.
         * @param {?} isFocused
         * @return {?}
         */
        InputDirective.prototype.handleFocusChange = /**
         * Callback for the cases where the focused state of the input changes.
         * @param {?} isFocused
         * @return {?}
         */
            function (isFocused) {
                if (isFocused !== this.focused && (!this.readonly || !isFocused)) {
                    this.focused = isFocused;
                    this.stateChanges.next();
                }
            };
        /**
         * @return {?}
         */
        InputDirective.prototype.handleInput = /**
         * @return {?}
         */
            function () {
                // This is a noop function and is used to let Angular know whenever the value changes.
                // Angular will run a new change detection each time the `input` event has been dispatched.
                // It's necessary that Angular recognizes the value change, because when floatingLabel
                // is set to false and Angular forms aren't used, the placeholder won't recognize the
                // value changes and will not disappear.
                // Listening to the input event wouldn't be necessary when the input is using the
                // FormsModule or ReactiveFormsModule, because Angular forms also listens to input events.
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        InputDirective.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onChange = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        InputDirective.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onTouch = fn;
            };
        /**
         * @param {?} ids
         * @return {?}
         */
        InputDirective.prototype.setDescribedByIds = /**
         * @param {?} ids
         * @return {?}
         */
            function (ids) {
                this._ariaDescribedby = ids.join(' ');
            };
        /**
         * @param {?} isDisabled
         * @return {?}
         */
        InputDirective.prototype.setDisabledState = /**
         * @param {?} isDisabled
         * @return {?}
         */
            function (isDisabled) {
                this.disabled = isDisabled;
            };
        /**
         * @return {?}
         */
        InputDirective.prototype.updateErrorState = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var oldState = this.errorState;
                /** @type {?} */
                var parent = this._parentFormGroup || this._parentForm;
                /** @type {?} */
                var control = this.ngControl ? ( /** @type {?} */(this.ngControl.control)) : null;
                /** @type {?} */
                var newState = !!(control &&
                    control.invalid &&
                    (control.dirty || (parent && parent.submitted)));
                if (newState !== oldState) {
                    this.errorState = newState;
                    this.stateChanges.next();
                }
                return;
            };
        /**
         * @param {?} value
         * @return {?}
         */
        InputDirective.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (value !== this._inputValueAccessor.value) {
                    this._inputValueAccessor.value = value;
                }
            };
        /**
         * @private
         * @return {?}
         */
        InputDirective.prototype._dirtyCheckNativeValue = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var newValue = this._elementRef.nativeElement.value;
                if (this._previousNativeValue !== newValue) {
                    this._previousNativeValue = newValue;
                    this.stateChanges.next();
                }
            };
        InputDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: "input[mdInput], textarea[mdInput]",
                        exportAs: 'mdInput',
                        host: {
                            '[attr.id]': 'id',
                            '[attr.placeholder]': 'placeholder',
                            '[attr.aria-describedby]': '_ariaDescribedby || null',
                            '[disabled]': 'disabled',
                            '[required]': 'required',
                            '[readonly]': 'readonly || null',
                            '(blur)': 'handleFocusChange(false)',
                            '(focus)': 'handleFocusChange(true)',
                            '(input)': 'handleInput()'
                        },
                        providers: [
                            { provide: InputContainerService, useExisting: InputDirective }
                        ]
                    },] }
        ];
        /** @nocollapse */
        InputDirective.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: platform.Platform },
                { type: textField.AutofillMonitor },
                { type: InputService },
                { type: forms.NgControl, decorators: [{ type: i0.Optional }, { type: i0.Self }] },
                { type: forms.NgForm, decorators: [{ type: i0.Optional }] },
                { type: forms.FormGroupDirective, decorators: [{ type: i0.Optional }] }
            ];
        };
        InputDirective.propDecorators = {
            id: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            readonly: [{ type: i0.Input }],
            required: [{ type: i0.Input }],
            shape: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            _class: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return InputDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InputModule = /** @class */ (function () {
        function InputModule() {
        }
        /**
         * @return {?}
         */
        InputModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: InputModule,
                    providers: [InputService],
                };
            };
        InputModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [InputDirective],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IconModule,
                            InputHelperModule,
                            InputContainerModule,
                            InputMessageModule,
                            InputSectionModule,
                            LabelModule,
                            forms.ReactiveFormsModule,
                        ],
                        exports: [
                            InputDirective,
                            IconModule,
                            InputHelperModule,
                            InputContainerModule,
                            InputMessageModule,
                            InputSectionModule,
                            LabelModule,
                        ],
                        providers: [InputService],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return InputModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:no-use-before-declare
    /** @type {?} */
    var CUI_COMBOBOX_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return ComboBoxComponent; })),
        multi: true,
    };
    var ComboBoxComponent = /** @class */ (function () {
        function ComboBoxComponent(_changeDetectorRef, _viewportRuler, _overlayContainer, _document) {
            var _this = this;
            this._changeDetectorRef = _changeDetectorRef;
            this._viewportRuler = _viewportRuler;
            this._overlayContainer = _overlayContainer;
            /**
             * \@prop Sets the initial input element as empty | false
             */
            this.clear = false;
            /**
             * \@prop Sets the attribute disabled to the ComboBox | false
             */
            this.disabled = false;
            /**
             * \@prop Sets the ComboBox to have a search icon | true
             */
            this.hasSearchIcon = true;
            /**
             * \@prop Array of options for the ComboBox dropdown | []
             */
            this.options = [];
            /**
             * \@prop Text that initially populates the input field for guidence | ''
             */
            this.placeholder = '';
            /**
             * \@prop Sets the search prop | 'label'
             */
            this.searchProp = 'label';
            /**
             * \@prop Sets the target offset | { horizontal: 0, vertical: 4 }
             */
            this.targetOffset = { horizontal: 0, vertical: 4 };
            /**
             * \@prop Sets the color theme of the ComboBox | ''
             */
            this.theme = '';
            this.select = new i0.EventEmitter();
            this._destroy = new rxjs.Subject();
            this._inputValue = '';
            this._value = '';
            this.activeIndex = -1;
            this.allowMutationObserver = true;
            this.filteredOptions = [];
            this.offsetY = 0;
            this.positions = [
                {
                    originX: 'start',
                    originY: 'bottom',
                    overlayX: 'start',
                    overlayY: 'top',
                }
            ];
            this._onMousedown = ( /**
             * @param {?} _
             * @return {?}
             */function (_) {
                _this.close();
            });
            this._document = _document;
        }
        Object.defineProperty(ComboBoxComponent.prototype, "value", {
            get: /**
             * @return {?}
             */ function () {
                return this._value;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this._value !== value) {
                    this._value = value;
                    this._change(value);
                    this._changeDetectorRef.markForCheck();
                    this.inputValue = isObject(value) ? value[this.searchProp] : value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ComboBoxComponent.prototype, "inputValue", {
            get: /**
             * @return {?}
             */ function () {
                return this._inputValue;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this._inputValue !== value) {
                    this._inputValue = value;
                    /** @type {?} */
                    var option = find(this.options, { value: value });
                    if (option) {
                        this.value = option;
                    }
                    else {
                        this.value = value;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.isObject = isObject;
            };
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this._destroy.next();
                this._destroy.complete();
            };
        /**
         * @param {?} value
         * @return {?}
         */
        ComboBoxComponent.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (value !== null) {
                    this.value = value;
                }
            };
        /**
         * @param {?} disabled
         * @return {?}
         */
        ComboBoxComponent.prototype.setDisabledState = /**
         * @param {?} disabled
         * @return {?}
         */
            function (disabled) {
                this.disabled = disabled;
                this._changeDetectorRef.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        ComboBoxComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this._change = fn;
            };
        /**
         * @param {?} _
         * @return {?}
         */
        ComboBoxComponent.prototype.registerOnTouched = /**
         * @param {?} _
         * @return {?}
         */
            function (_) { };
        /**
         * @private
         * @param {?} _
         * @return {?}
         */
        ComboBoxComponent.prototype._change = /**
         * @private
         * @param {?} _
         * @return {?}
         */
            function (_) { };
        /**
         * @param {?} option
         * @return {?}
         */
        ComboBoxComponent.prototype.selectOption = /**
         * @param {?} option
         * @return {?}
         */
            function (option) {
                this.activeIndex = isObject(option)
                    ? findIndex(this.filteredOptions, option[this.searchProp])
                    : findIndex(this.filteredOptions, option);
                this.select.emit(option);
                this.value = option;
                this.close();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ComboBoxComponent.prototype.handleOptionMousedown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                event.stopPropagation();
            };
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.handleInput = /**
         * @return {?}
         */
            function () {
                this._shouldUpdatePosition = true;
                this.filteredOptions = isObject(this.value)
                    ? this.applyFilter(this.value[this.searchProp])
                    : this.applyFilter(this.value);
                if (this.filteredOptions.length === 1 && this.filteredOptions[0]['isHeader']) {
                    this.filteredOptions = [];
                }
                this.filteredOptions.length ? this.open() : this.close();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ComboBoxComponent.prototype.handleInputMousedown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                event.stopPropagation();
            };
        /**
         * @param {?} value
         * @return {?}
         */
        ComboBoxComponent.prototype.applyFilter = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                var _this = this;
                /** @type {?} */
                var isSubString = ( /**
                 * @param {?} string
                 * @return {?}
                 */function (string) { return value && string.toLowerCase().includes(value.toLowerCase()); });
                return this.options.filter(( /**
                 * @param {?} option
                 * @return {?}
                 */function (option) {
                    if (isObject(option)) {
                        return isSubString(option[_this.searchProp]) || option['isHeader'];
                    }
                    else {
                        return isSubString(option);
                    }
                }));
            };
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.open = /**
         * @return {?}
         */
            function () {
                if (this.disabled || !this.options || !this.options.length || this.dropdownOpen) {
                    return;
                }
                this.dropdownOpen = true;
                this._changeDetectorRef.markForCheck();
                this._document.addEventListener('mousedown', this._onMousedown);
            };
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.attached = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.overlayDir.positionChange.pipe(operators.takeUntil(this._destroy)).subscribe(( /**
                 * @return {?}
                 */function () {
                    _this._calculateOverlayPosition();
                }));
                if (this.allowMutationObserver) {
                    /** @type {?} */
                    var overlayContainerElement_1 = this._overlayContainer.getContainerElement();
                    this._mutationObserver = new MutationObserver(( /**
                     * @param {?} _
                     * @return {?}
                     */function (_) {
                        if (_this._shouldUpdatePosition) {
                            _this._shouldUpdatePosition = false;
                            _this._calculateOverlayPosition();
                            _this.overlayDir.overlayRef.updatePosition();
                        }
                        if (_this.dropdown) {
                            /** @type {?} */
                            var listItems = overlayContainerElement_1.querySelector('.md-combo-box__options');
                            /** @type {?} */
                            var observer_1 = new MutationObserver(( /**
                             * @param {?} mutations
                             * @return {?}
                             */function (mutations) {
                                _this._calculateOverlayPosition();
                                _this.overlayDir.overlayRef.updatePosition();
                                observer_1.disconnect();
                            }));
                            observer_1.observe(listItems, {
                                attributes: true,
                                childList: true,
                            });
                        }
                    }));
                    this._mutationObserver.observe(overlayContainerElement_1, {
                        attributes: true,
                        childList: true,
                        subtree: true
                    });
                }
            };
        /**
         * @private
         * @return {?}
         */
        ComboBoxComponent.prototype._calculateOverlayPosition = /**
         * @private
         * @return {?}
         */
            function () {
                this._changeDetectorRef.detectChanges();
                /** @type {?} */
                var triggerRect = this.trigger.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var dropdownRect = this.dropdown.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var viewportSize = this._viewportRuler.getViewportSize();
                this.dropdownWidth = triggerRect.width;
                /** @type {?} */
                var panelHeight = dropdownRect.height;
                /** @type {?} */
                var topSpaceAvailable = triggerRect.top;
                /** @type {?} */
                var bottomSpaceAvailable = viewportSize.height - triggerRect.bottom;
                if (panelHeight > bottomSpaceAvailable && panelHeight < topSpaceAvailable) {
                    this.offsetY = -(panelHeight + triggerRect.height + this.targetOffset.vertical);
                }
                else if (panelHeight > bottomSpaceAvailable && panelHeight > topSpaceAvailable) {
                    this.offsetY = -(topSpaceAvailable + triggerRect.height);
                }
                else {
                    this.offsetY = 0;
                }
            };
        /**
         * @return {?}
         */
        ComboBoxComponent.prototype.close = /**
         * @return {?}
         */
            function () {
                if (this.dropdownOpen) {
                    this.dropdownOpen = false;
                    this._changeDetectorRef.markForCheck();
                    this._document.removeEventListener('mousedown', this._onMousedown);
                    if (this._mutationObserver) {
                        this._mutationObserver.disconnect();
                        this._mutationObserver = null;
                    }
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ComboBoxComponent.prototype.handleKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                var _this = this;
                /** @type {?} */
                var length = this.filteredOptions && this.filteredOptions.length - 1;
                /** @type {?} */
                var getNewIndex = ( /**
                 * @param {?} currentIndex
                 * @param {?} change
                 * @return {?}
                 */function (currentIndex, change) {
                    /** @type {?} */
                    var getPossibleIndex = ( /**
                     * @return {?}
                     */function () {
                        if (currentIndex + change < 0) {
                            return length;
                        }
                        else if (currentIndex + change > length) {
                            return 0;
                        }
                        return currentIndex + change;
                    });
                    /** @type {?} */
                    var possibleIndex = getPossibleIndex();
                    /** @type {?} */
                    var potentialTarget = _this.filteredOptions[possibleIndex];
                    return (isObject(potentialTarget) && (potentialTarget['disabled'] ||
                        potentialTarget['isReadOnly'] ||
                        potentialTarget['isHeader']))
                        ? getNewIndex(possibleIndex, change)
                        : possibleIndex;
                });
                if (!this.disabled && this.dropdownOpen) {
                    /** @type {?} */
                    var flag = false;
                    if (event.code === 'ArrowDown') {
                        this.activeIndex = getNewIndex(this.activeIndex, 1);
                        flag = true;
                    }
                    else if (event.code === 'ArrowUp') {
                        this.activeIndex = getNewIndex(this.activeIndex, -1);
                        flag = true;
                    }
                    else if (event.code === 'Enter') {
                        if (this.filteredOptions[this.activeIndex]) {
                            this.selectOption(this.filteredOptions[this.activeIndex]);
                        }
                        flag = true;
                    }
                    if (flag) {
                        event.stopPropagation();
                        event.preventDefault();
                    }
                }
            };
        ComboBoxComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-combo-box',
                        template: "\n    <div\n      cdk-overlay-origin\n      #origin=\"cdkOverlayOrigin\"\n      #trigger\n    >\n      <md-input-container\n        [clear]=\"clear\"\n      >\n        <input\n          mdInput\n          aria-autocomplete=\"list\"\n          [disabled]=\"disabled\"\n          (input)=\"handleInput()\"\n          (click)=\"handleInput()\"\n          (mousedown)=\"handleInputMousedown($event)\"\n          (keydown)=\"handleKeydown($event)\"\n          [(ngModel)]=\"inputValue\"\n          [placeholder]=\"placeholder\"\n        >\n        <md-input-section\n          *ngIf=\"hasSearchIcon\"\n        >\n          <md-icon name=\"search_20\"></md-icon>\n        </md-input-section>\n      </md-input-container>\n    </div>\n\n    <ng-template\n      cdk-connected-overlay\n      [cdkConnectedOverlayOrigin]=\"origin\"\n      [cdkConnectedOverlayOpen]=\"dropdownOpen\"\n      [cdkConnectedOverlayPositions]=\"positions\"\n      [cdkConnectedOverlayOffsetY]=\"offsetY\"\n      [cdkConnectedOverlayWidth]=\"dropdownWidth\"\n      (attach)=\"attached()\"\n      (detach)=\"close()\"\n      >\n      <div #dropdown class=\"md-event-overlay__children\">\n        <div\n          class=\"md-combo-box__options\"\n          [id]=\"id\"\n          [ngStyle]=\"{width: dropdownWidth + 'px'}\"\n          role=\"listbox\"\n          >\n          <ng-container *ngFor=\"let option of filteredOptions; index as i\">\n            <div\n              *ngIf=\"isObject(option) && !option['isHeader'] || !isObject(option)\"\n              md-list-item\n              [active]=\"i === activeIndex\"\n              (click)=\"selectOption(option)\"\n              (mousedown)=\"handleOptionMousedown($event)\"\n              [disabled]=\"isObject(option) && option['disabled'] || null\"\n              [isReadOnly]=\"isObject(option) && option['isReadOnly'] || null\"\n              [label]=\"isObject(option) ? option[searchProp] : option\"\n              role=\"option\"\n              tabindex=\"-1\"\n            ></div>\n            <md-list-item-header\n              *ngIf=\"isObject(option) && option['isHeader']\"\n              [header]=\"option[searchProp]\"\n            ></md-list-item-header>\n          </ng-container>\n        </div>\n      </div>\n    </ng-template>\n  ",
                        host: {
                            '[attr.aria-expanded]': 'dropdownOpen',
                            'aria-haspopup': 'listbox',
                            'class': 'md-combo-box',
                            'role': 'combobox',
                        },
                        providers: [CUI_COMBOBOX_VALUE_ACCESSOR]
                    }] }
        ];
        /** @nocollapse */
        ComboBoxComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef },
                { type: i1.ViewportRuler },
                { type: i1.OverlayContainer },
                { type: undefined, decorators: [{ type: i0.Inject, args: [common.DOCUMENT,] }] }
            ];
        };
        ComboBoxComponent.propDecorators = {
            clear: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            hasSearchIcon: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            options: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            searchProp: [{ type: i0.Input }],
            targetOffset: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            select: [{ type: i0.Output }],
            overlayDir: [{ type: i0.ViewChild, args: [i1.CdkConnectedOverlay,] }],
            dropdown: [{ type: i0.ViewChild, args: ['dropdown',] }],
            trigger: [{ type: i0.ViewChild, args: ['trigger',] }]
        };
        return ComboBoxComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ComboBoxModule = /** @class */ (function () {
        function ComboBoxModule() {
        }
        /**
         * @return {?}
         */
        ComboBoxModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ComboBoxModule,
                    providers: [],
                };
            };
        ComboBoxModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IconModule,
                            InputContainerModule,
                            InputModule,
                            InputSectionModule,
                            ListItemHeaderModule,
                            ListItemModule,
                            i1.OverlayModule,
                            forms.ReactiveFormsModule,
                        ],
                        declarations: [ComboBoxComponent],
                        exports: [ComboBoxComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return ComboBoxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var cb = ( /**
     * @return {?}
     */function () { });
    var EditableTextfieldComponent = /** @class */ (function () {
        function EditableTextfieldComponent(control, elementRef) {
            var _this = this;
            this.control = control;
            this.elementRef = elementRef;
            this._alignment = null;
            /**
             * \@option Optional css class name for non-edit text div | null
             */
            this.buttonClass = '';
            /**
             * \@option Optional css class string on div wrapping input | ''
             */
            this.className = '';
            /**
             * \@option Sets the disabled attribute of the Input | false
             */
            this.disabled = false;
            /**
             * \@option Unique HTML ID used for tying label to HTML input for automated testing
             */
            this.htmlId = '';
            /**
             * \@option Input css class name string
             */
            this.inputClass = '';
            /**
             * \@option Overall input group size | ''
             */
            this.containerSize = '';
            /**
             * \@option Input size | ''
             */
            this.inputSize = '';
            /**
             * \@option Placeholder text to display when Input is empty | ''
             */
            this.placeholder = '';
            /**
             * \@option Determines if Input can be edited | false
             */
            this.readOnly = false;
            /**
             * \@option Input type | 'text'
             */
            this.type = 'text';
            /**
             * \@option Sets the attribute name to the input element | ''
             */
            this.name = '';
            /**
             * \@option Optional function after done editing
             */
            this.handleDoneEditing = new i0.EventEmitter();
            this.innerValue = '';
            this.isEditing = false;
            this.onTouchedCallback = cb;
            this.onChangeCallback = cb;
            this.handleClick = ( /**
             * @return {?}
             */function () {
                if (_this.disabled) {
                    return;
                }
                else {
                    _this.isEditing = true;
                    setTimeout(( /**
                     * @return {?}
                     */function () { return _this.inputRef.nativeElement.focus(); }), 100);
                }
            });
            if (this.control) {
                this.control.valueAccessor = this;
            }
        }
        Object.defineProperty(EditableTextfieldComponent.prototype, "alignment", {
            /** @option Sets optional button alignment | null */
            set: /**
             * \@option Sets optional button alignment | null
             * @param {?} alignment
             * @return {?}
             */ function (alignment) {
                if (this._alignment) {
                    this.elementRef.nativeElement.classList.remove("md-editable-textfield--" + this._alignment);
                }
                this.elementRef.nativeElement.classList.add("md-editable-textfield--" + alignment);
                this._alignment = alignment;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(EditableTextfieldComponent.prototype, "value", {
            get: /**
             * @return {?}
             */ function () {
                return this.innerValue;
            },
            set: /**
             * @param {?} v
             * @return {?}
             */ function (v) {
                if (v !== this.innerValue) {
                    this.innerValue = v;
                    this.onChangeCallback(v);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @return {?}
         */
        EditableTextfieldComponent.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (value !== this.innerValue) {
                    this.innerValue = value;
                }
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        EditableTextfieldComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onChangeCallback = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        EditableTextfieldComponent.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onTouchedCallback = fn;
            };
        /**
         * @param {?} e
         * @return {?}
         */
        EditableTextfieldComponent.prototype.onKeyDown = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (e.keyCode === 27) {
                    this.isEditing = false;
                }
                else if (e.keyCode === 13) {
                    this.handleEnter(e, e.target.value);
                }
            };
        /**
         * @param {?} e
         * @param {?} value
         * @return {?}
         */
        EditableTextfieldComponent.prototype.handleEnter = /**
         * @param {?} e
         * @param {?} value
         * @return {?}
         */
            function (e, value) {
                this.isEditing = false;
            };
        // keydown on non edit button
        // keydown on non edit button
        /**
         * @param {?} event
         * @return {?}
         */
        EditableTextfieldComponent.prototype.handleKey =
            // keydown on non edit button
            /**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                var _this = this;
                if (!this.disabled) {
                    if ((event.keyCode >= 65 && event.keyCode <= 90) ||
                        (event.keyCode >= 48 && event.keyCode <= 57) ||
                        event.keyCode === 32) {
                        this.isEditing = true;
                        setTimeout(( /**
                         * @return {?}
                         */function () { return _this.inputRef.nativeElement.focus(); }), 100);
                        this.value = this.value.concat(event.key);
                    }
                }
            };
        /**
         * @param {?} e
         * @return {?}
         */
        EditableTextfieldComponent.prototype.onBlur = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                this.isEditing = false;
                this.handleDoneEditing.emit(this.value);
                e.stopPropagation();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        EditableTextfieldComponent.prototype.onFocus = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (this.disabled) {
                    event.stopPropagation();
                    return;
                }
                this.isEditing = true;
            };
        EditableTextfieldComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-editable-textfield',
                        template: "\n    <md-input-container\n      *ngIf=\"isEditing\"\n      [class]=\"\n        'md-editable-textfield__editing' +\n        (className ? ' ' + className : '')\n      \"\n      [containerSize]=\"containerSize\"\n      [inputSize]=\"inputSize\"\n    >\n      <input\n        mdInput\n        #inputRef\n        [class]=\"inputClass\"\n        [attr.id]=\"htmlId\"\n        [(ngModel)]=\"value\"\n        [placeholder]=\"placeholder\"\n        [readonly]=\"readOnly\"\n        [disabled]=\"disabled\"\n        [type]=\"type\"\n        [name]=\"name\"\n        (blur)=\"onBlur($event)\"\n        (focus)=\"onFocus($event)\"\n        (keydown)=\"onKeyDown($event)\"\n      />\n    </md-input-container>\n\n    <!-- Not in Edit Mode -->\n    <div\n      [hidden]=\"isEditing\"\n      class=\"md-editable-textfield__button\"\n      [ngClass]=\"[\n        inputSize ? inputSize + ' columns' : '',\n        buttonClass\n      ]\"\n      role=\"button\"\n      tabindex=\"0\"\n      (click)=\"handleClick()\"\n      (keydown)=\"handleKey($event)\"\n    >\n      {{ value }}\n    </div>\n  ",
                        host: {
                            class: 'md-editable-textfield',
                        }
                    }] }
        ];
        /** @nocollapse */
        EditableTextfieldComponent.ctorParameters = function () {
            return [
                { type: forms.NgControl, decorators: [{ type: i0.Optional }, { type: i0.Self }] },
                { type: i0.ElementRef }
            ];
        };
        EditableTextfieldComponent.propDecorators = {
            alignment: [{ type: i0.Input }],
            buttonClass: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            htmlId: [{ type: i0.Input }],
            inputClass: [{ type: i0.Input }],
            containerSize: [{ type: i0.Input }],
            inputSize: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            readOnly: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            name: [{ type: i0.Input }],
            handleDoneEditing: [{ type: i0.Output }],
            inputRef: [{ type: i0.ViewChild, args: ['inputRef',] }]
        };
        return EditableTextfieldComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EditableTextfieldModule = /** @class */ (function () {
        function EditableTextfieldModule() {
        }
        /**
         * @return {?}
         */
        EditableTextfieldModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: EditableTextfieldModule,
                    providers: [],
                };
            };
        EditableTextfieldModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            InputContainerModule,
                            InputModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule
                        ],
                        declarations: [EditableTextfieldComponent],
                        exports: [EditableTextfieldComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return EditableTextfieldModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormComponent = /** @class */ (function () {
        function FormComponent() {
        }
        FormComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-form',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'md-form',
                            '[attr.name]': 'name',
                        }
                    }] }
        ];
        FormComponent.propDecorators = {
            name: [{ type: i0.Input }]
        };
        return FormComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * FormContent helps organize the content within a form section and provides a S wrapper;
     *
     */
    var FormContentComponent = /** @class */ (function () {
        function FormContentComponent() {
        }
        FormContentComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-form-content',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'section__content',
                        }
                    }] }
        ];
        return FormContentComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * FormInfo is supplemental, organizational component used to help divide form
     *
     */
    var FormInfoComponent = /** @class */ (function () {
        function FormInfoComponent() {
            /**
             * \@prop Optional FormInfo description text | ''
             */
            this.description = '';
            /**
             * \@prop Optional FormInfo title | ''
             */
            this.title = '';
        }
        FormInfoComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-form-info',
                        template: "\n    <h4 class=\"section__title\">{{ title }}</h4>\n    <p *ngIf=\"description\" class=\"section__description\">{{ description }}</p>\n  ",
                        host: {
                            'class': 'section__info',
                        }
                    }] }
        ];
        FormInfoComponent.propDecorators = {
            description: [{ type: i0.Input }],
            title: [{ type: i0.Input }]
        };
        return FormInfoComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormSectionComponent = /** @class */ (function () {
        function FormSectionComponent() {
            /**
             * \@prop Optional FormSection description | ''
             */
            this.description = '';
        }
        FormSectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-form-section',
                        template: "\n    <md-form-info [title]=\"title\" [description]=\"description\"></md-form-info>\n    <md-form-content><ng-content></ng-content></md-form-content>\n  ",
                        host: {
                            'class': 'md-form__section',
                        }
                    }] }
        ];
        FormSectionComponent.propDecorators = {
            description: [{ type: i0.Input }],
            title: [{ type: i0.Input }]
        };
        return FormSectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormSubSectionComponent = /** @class */ (function () {
        function FormSubSectionComponent() {
            /**
             * \@prop Optional FormSubSection description text | ''
             */
            this.description = '';
            /**
             * \@prop Optional FormSubSection label text | ''
             */
            this.label = '';
        }
        FormSubSectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-form-sub-section',
                        template: "\n    <h5 *ngIf=\"label\" class=\"sub-section__label\">{{ label }}</h5>\n    <p *ngIf=\"description\" class=\"sub-section__description\">{{ description }}</p>\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'sub-section',
                        }
                    }] }
        ];
        FormSubSectionComponent.propDecorators = {
            description: [{ type: i0.Input }],
            label: [{ type: i0.Input }]
        };
        return FormSubSectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormModule = /** @class */ (function () {
        function FormModule() {
        }
        /**
         * @return {?}
         */
        FormModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: FormModule,
                    providers: [],
                };
            };
        FormModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                        ],
                        declarations: [
                            FormComponent,
                            FormContentComponent,
                            FormInfoComponent,
                            FormSectionComponent,
                            FormSubSectionComponent,
                        ],
                        exports: [
                            FormComponent,
                            FormContentComponent,
                            FormInfoComponent,
                            FormSectionComponent,
                            FormSubSectionComponent,
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return FormModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SpinnerComponent = /** @class */ (function () {
        function SpinnerComponent() {
            var _this = this;
            this.color = 'black';
            this.size = 36;
            this.showCheck = false;
            this.showPercentage = false;
            this.checkPercentage = ( /**
             * @param {?} percent
             * @return {?}
             */function (percent) {
                if (!isNaN(percent)) {
                    _this.isPercentage = true;
                    _this.percentage = Math.round(percent);
                }
                if (Number(_this.size) !== 36 && _this.showPercentage) {
                    console.warn('Spinner: Percentage will not be shown for sizes smaller than 36');
                }
            });
            this.sizeCheck = ( /**
             * @param {?} size
             * @return {?}
             */function (size) {
                /** @type {?} */
                var sizes = [16, 20, 28, 36];
                if (sizes.includes(Number(size))) {
                    return true;
                }
                console.warn('Only sizes 16, 20, 28, 36 are acceptable for spinner');
                return false;
            });
        }
        /**
         * @return {?}
         */
        SpinnerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.checkPercentage(this.percentage);
            };
        Object.defineProperty(SpinnerComponent.prototype, "defaultClasses", {
            get: /**
             * @return {?}
             */ function () {
                var _a;
                return _a = {},
                    _a['md-spinner--' + this.size] = this.sizeCheck(this.size),
                    _a['md-spinner--36'] = Number(this.size) === 36,
                    _a['md-spinner--' + this.color] = this.color,
                    _a[this.className] = this.className,
                    _a;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SpinnerComponent.prototype, "percentageClasses", {
            get: /**
             * @return {?}
             */ function () {
                var _a;
                return _a = {},
                    _a['md-spinner-progress--' + this.size] = this.sizeCheck(this.size),
                    _a['md-spinner-progress__percentage-' + this.percentage] = this.percentage,
                    _a['md-spinner-progress--' + this.color] = this.color,
                    _a[this.className] = this.className,
                    _a;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SpinnerComponent.prototype, "checkMarkClasses", {
            get: /**
             * @return {?}
             */ function () {
                var _a;
                return _a = {},
                    _a['md-spinner-progress__inset-circle--check'] = this.sizeCheck(this.size) && this.showCheck,
                    _a['md-spinner-progress__inset-circle--check' + this.percentage] = this.showCheck && Number(this.percentage) === 100,
                    _a;
            },
            enumerable: true,
            configurable: true
        });
        SpinnerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-spinner',
                        template: "<div\n  *ngIf=\"isPercentage; else normal\"\n  [ngClass]=\"percentageClasses\"\n  class=\"md-spinner-progress\"\n>\n  <div class=\"md-spinner-progress__circle\">\n    <div class=\"md-spinner-progress__mask md-spinner-progress__full\">\n      <div class=\"md-spinner-progress__fill\"></div>\n    </div>\n    <div class=\"md-spinner-progress__mask md-spinner-progress__half\">\n      <div class=\"md-spinner-progress__fill\"></div>\n      <div class=\"md-spinner-progress__fill md-spinner-progress__fix\"></div>\n    </div>\n    <div\n      [ngClass]=\"checkMarkClasses\"\n      class=\"md-spinner-progress__inset-circle\"\n    >\n      <div\n        *ngIf=\"size === 36 && showPercentage && !showCheck\"\n        class=\"md-spinner-progress__percentage\"\n      >\n        {{ percentage | number: '1.0-0' }}\n      </div>\n    </div>\n  </div>\n</div>\n\n<ng-template #normal>\n  <i [ngClass]=\"defaultClasses\" class=\"md-spinner\"></i>\n</ng-template>\n"
                    }] }
        ];
        /** @nocollapse */
        SpinnerComponent.ctorParameters = function () { return []; };
        SpinnerComponent.propDecorators = {
            className: [{ type: i0.Input }],
            color: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            percentage: [{ type: i0.Input }],
            showCheck: [{ type: i0.Input }],
            showPercentage: [{ type: i0.Input }]
        };
        return SpinnerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SpinnerModule = /** @class */ (function () {
        function SpinnerModule() {
        }
        /**
         * @return {?}
         */
        SpinnerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SpinnerModule,
                    providers: [],
                };
            };
        SpinnerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SpinnerComponent],
                        imports: [common.CommonModule],
                        exports: [SpinnerComponent],
                    },] }
        ];
        return SpinnerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TooltipComponent = /** @class */ (function () {
        function TooltipComponent(_vcr) {
            this._vcr = _vcr;
            this.text = '';
            this.maximumWidth = this.maxWidth;
        }
        /**
         * @return {?}
         */
        TooltipComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this.tooltipTemplate) {
                    this._vcr.createEmbeddedView(this.tooltipTemplate);
                }
            };
        TooltipComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tooltip',
                        template: "\n  <div id=\"{{id}}\" [style.max-width.px]=\"maxWidth\" class=\"md-tooltip__wrapper\">\n    <span *ngIf=\"text != ''\" class=\"md-tooltip__text\" role=\"tooltip\">{{ text }}</span>\n    <ng-content></ng-content>\n  </div>\n  ",
                        styles: [".md-tooltip__wrapper{text-align:center}"]
                    }] }
        ];
        /** @nocollapse */
        TooltipComponent.ctorParameters = function () {
            return [
                { type: i0.ViewContainerRef }
            ];
        };
        TooltipComponent.propDecorators = {
            text: [{ type: i0.Input }],
            tooltipTemplate: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            maxWidth: [{ type: i0.Input }],
            maximumWidth: [{ type: i0.HostBinding, args: ['style.max-width.px',] }]
        };
        return TooltipComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TooltipContainerComponent = /** @class */ (function () {
        function TooltipContainerComponent(elementRef) {
            this.elementRef = elementRef;
            /**
             * \@prop shows the arrow or not
             */
            this.showArrow = true;
            this.mouseLeaveEvent = new i0.EventEmitter();
            this.mouseEnterEvent = new i0.EventEmitter();
            this.classList = {};
            this.isTooltip = true;
        }
        Object.defineProperty(TooltipContainerComponent.prototype, "direction", {
            /** @prop Sets direction of the tooltip | null */
            set: /**
             * \@prop Sets direction of the tooltip | null
             * @param {?} direction
             * @return {?}
             */ function (direction) {
                this.classList['md-event-overlay--top'] = direction === 'top';
                this.classList['md-event-overlay--bottom'] = direction === 'bottom';
                this.classList['md-event-overlay--left'] = direction === 'left';
                this.classList['md-event-overlay--right'] = direction === 'right';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TooltipContainerComponent.prototype.closeNow = /**
         * @return {?}
         */
            function () {
                this.mouseLeaveEvent.emit(false);
            };
        /**
         * @return {?}
         */
        TooltipContainerComponent.prototype.stayOpen = /**
         * @return {?}
         */
            function () {
                this.mouseEnterEvent.emit(true);
            };
        /**
         * @return {?}
         */
        TooltipContainerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.classList['md-tooltip'] = this.isTooltip;
                this.classList['md-event-overlay--arrow'] = this.showArrow;
            };
        TooltipContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tooltip-container',
                        template: "\n  <div [ngClass]=\"classList\" class=\"md-event-overlay\">\n    <div *ngIf=\"showArrow\" class=\"md-event-overlay__arrow\" ></div>\n    <div  class=\"md-event-overlay__children\">\n        <md-tooltip\n          #mdtooltip\n          id={{this.id}}\n          text={{this.text}}\n          maxWidth={{this.maxWidth}}\n          [tooltipTemplate]=\"tooltipTemplate\"\n        ></md-tooltip>\n    </div>\n  </div>\n  ",
                        styles: [".md-tooltip.md-event-overlay{position:static}.md-tooltip.md-event-overlay>.md-event-overlay__children{position:static;padding:12px}.md-tooltip.md-event-overlay>.md-event-overlay__arrow{z-index:1027}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--right{display:flex;flex-direction:row;align-items:center}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--right>.md-event-overlay__arrow{margin-top:0}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--left{display:flex;flex-direction:row-reverse;align-items:center}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--left>.md-event-overlay__arrow{margin-left:-2px;margin-top:0}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--left>.md-event-overlay__children{margin-right:14px}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--bottom{display:flex;flex-direction:column;align-items:center}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--bottom>.md-event-overlay__arrow{margin-left:0}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--top{display:flex;flex-direction:column-reverse;align-items:center}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--top>.md-event-overlay__arrow{margin-top:-2px;margin-left:0}.md-tooltip.md-event-overlay.md-event-overlay--arrow.md-event-overlay--top>.md-event-overlay__children{margin-bottom:14px}"]
                    }] }
        ];
        /** @nocollapse */
        TooltipContainerComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        TooltipContainerComponent.propDecorators = {
            text: [{ type: i0.Input }],
            tooltipTemplate: [{ type: i0.Input }],
            direction: [{ type: i0.Input }],
            allowHover: [{ type: i0.Input }],
            showArrow: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            maxWidth: [{ type: i0.Input }],
            mouseLeaveEvent: [{ type: i0.Output }],
            mouseEnterEvent: [{ type: i0.Output }],
            closeNow: [{ type: i0.HostListener, args: ['mouseleave',] }],
            stayOpen: [{ type: i0.HostListener, args: ['mouseenter',] }]
        };
        return TooltipContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var id = 0;
    var TooltipDirective = /** @class */ (function () {
        function TooltipDirective(overlay, overlayPositionBuilder, _sso, elementRef) {
            this.overlay = overlay;
            this.overlayPositionBuilder = overlayPositionBuilder;
            this._sso = _sso;
            this.elementRef = elementRef;
            this.tooltipId = id++;
            /**
             * \@prop Sets direction of the tooltip right,left,top, or bottom
             */
            this.direction = 'top';
            /**
             * \@prop Sets delay for before closing the tooltip
             */
            this.delay = 500;
            /**
             * \@prop Sets the tooltip trigger MouseEnter, Click or Focus - MouseEnter is default
             */
            this.tooltipTrigger = 'MouseEnter';
            /**
             * \@prop Sets the offset of the tooltip from the host
             */
            this.offset = 5;
            /**
             * \@prop Sets the maxwidth of the tooltip
             */
            this.maxWidth = 200;
            /**
             * \@prop Allows tooltip to stay open until you click outside | false
             */
            this.closeOnClick = false;
            /**
             * \@prop Allows tooltip to stay open when you hover over the tooltip | false
             */
            this.allowHover = false;
            this.ariaDescribedby = "md-tooltip-" + this.tooltipId;
            this.positions = [];
            this.keepTooltipOpen = false;
            this.isOnTarget = false;
        }
        /**
         * @return {?}
         */
        TooltipDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.delay = 0;
                this.isOnTarget = false;
                this.keepTooltipOpen = false;
                this.close();
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.showtoolitp = /**
         * @return {?}
         */
            function () {
                if (this.tooltipTrigger === 'MouseEnter') {
                    this.isOnTarget = this.allowHover; // only checks on allowHover is true
                    this.show();
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.hide = /**
         * @return {?}
         */
            function () {
                this.isOnTarget = false;
                if ((this.tooltipTrigger === 'MouseEnter' && !this.closeOnClick && !this.allowHover) || this.tooltipTrigger === 'Click') {
                    this.close();
                }
                else if (this.allowHover && !this.keepTooltipOpen) {
                    this.close();
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.onClick = /**
         * @return {?}
         */
            function () {
                if (this.tooltipTrigger === 'Click') {
                    this.show();
                }
            };
        /**
         * @param {?} targetElement
         * @return {?}
         */
        TooltipDirective.prototype.closeTooltip = /**
         * @param {?} targetElement
         * @return {?}
         */
            function (targetElement) {
                if (this.tooltipTrigger === 'Click' || this.closeOnClick) {
                    /** @type {?} */
                    var clickedOutside = !this.elementRef.nativeElement.contains(targetElement);
                    if (clickedOutside) {
                        this.close();
                    }
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.onFocus = /**
         * @return {?}
         */
            function () {
                if (this.tooltipTrigger === 'Focus') {
                    this.show();
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.onFocusout = /**
         * @return {?}
         */
            function () {
                if (this.tooltipTrigger === 'Focus') {
                    this.close();
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.show = /**
         * @return {?}
         */
            function () {
                var _this = this;
                switch (this.direction) {
                    case 'right':
                        this.positions = [{
                                originX: 'end',
                                originY: 'center',
                                overlayX: 'start',
                                overlayY: 'center',
                                offsetX: this.offset
                            },
                            {
                                originX: 'start',
                                originY: 'center',
                                overlayX: 'end',
                                overlayY: 'center',
                                offsetX: -this.offset
                            }
                        ];
                        break;
                    case 'left':
                        this.positions = [{
                                originX: 'start',
                                originY: 'center',
                                overlayX: 'end',
                                overlayY: 'center',
                                offsetX: -this.offset
                            },
                            {
                                originX: 'end',
                                originY: 'center',
                                overlayX: 'start',
                                overlayY: 'center',
                                offsetX: this.offset
                            }];
                        break;
                    case 'bottom':
                        this.positions = [{
                                originX: 'center',
                                originY: 'bottom',
                                overlayX: 'center',
                                overlayY: 'top',
                                offsetY: this.offset
                            },
                            {
                                originX: 'center',
                                originY: 'top',
                                overlayX: 'center',
                                overlayY: 'bottom',
                                offsetY: -this.offset
                            }];
                        break;
                    case 'top':
                        this.positions = [{
                                originX: 'center',
                                originY: 'top',
                                overlayX: 'center',
                                overlayY: 'bottom',
                                offsetY: -this.offset
                            },
                            {
                                originX: 'center',
                                originY: 'bottom',
                                overlayX: 'center',
                                overlayY: 'top',
                                offsetY: this.offset
                            }];
                        break;
                }
                /** @type {?} */
                var strategy = this.overlayPositionBuilder
                    .flexibleConnectedTo(this.elementRef)
                    .withPositions(this.positions);
                this.overlayRef = this.overlay.create({
                    positionStrategy: ( /** @type {?} */(strategy)),
                    scrollStrategy: this._sso.close(),
                });
                if (!this.tooltipRef) {
                    this.tooltipRef
                        = this.overlayRef.attach(new portal.ComponentPortal(TooltipContainerComponent));
                    this.tooltipRef.instance.id = 'md-tooltip-' + this.tooltipId;
                    this.tooltipRef.instance.maxWidth = this.maxWidth;
                    if (typeof this.content === 'string') {
                        this.tooltipRef.instance.text = this.content;
                    }
                    if (this.content instanceof i0.TemplateRef) {
                        this.tooltipRef.instance.tooltipTemplate = this.content;
                    }
                    this.tooltipRef.instance.direction = this.direction;
                    this.tooltipRef.instance.allowHover = this.allowHover;
                    if (this.allowHover) {
                        this.eventSubs = new rxjs.Subscription();
                        this.eventSubs.add(this.tooltipRef.instance.mouseLeaveEvent.subscribe(( /**
                         * @return {?}
                         */function () {
                            _this.keepTooltipOpen = false;
                            _this.close();
                        })));
                        this.eventSubs.add(this.tooltipRef.instance.mouseEnterEvent.subscribe(( /**
                         * @param {?} keepOpen
                         * @return {?}
                         */function (keepOpen) {
                            if (keepOpen && _this.allowHover) {
                                _this.keepTooltipOpen = true;
                            }
                        })));
                    }
                }
            };
        /**
         * @return {?}
         */
        TooltipDirective.prototype.close = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    if (!_this.keepTooltipOpen && !_this.isOnTarget) {
                        if (_this.overlayRef) {
                            _this.overlayRef.detach();
                        }
                        if (_this.tooltipRef) {
                            if (_this.allowHover) {
                                _this.eventSubs.unsubscribe();
                            }
                            _this.tooltipRef.destroy();
                            _this.tooltipRef = null;
                        }
                    }
                }), this.delay);
            };
        TooltipDirective.decorators = [
            { type: i0.Directive, args: [{ selector: '[mdTooltip]' },] }
        ];
        /** @nocollapse */
        TooltipDirective.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i1.OverlayPositionBuilder },
                { type: i1.ScrollStrategyOptions },
                { type: i0.ElementRef }
            ];
        };
        TooltipDirective.propDecorators = {
            content: [{ type: i0.Input, args: ['mdTooltip',] }],
            direction: [{ type: i0.Input }],
            delay: [{ type: i0.Input }],
            tooltipTrigger: [{ type: i0.Input }],
            offset: [{ type: i0.Input }],
            maxWidth: [{ type: i0.Input }],
            closeOnClick: [{ type: i0.Input }],
            allowHover: [{ type: i0.Input }],
            ariaDescribedby: [{ type: i0.HostBinding, args: ['attr.aria-describedby',] }],
            showtoolitp: [{ type: i0.HostListener, args: ['mouseenter',] }],
            hide: [{ type: i0.HostListener, args: ['mouseleave',] }],
            onClick: [{ type: i0.HostListener, args: ['document:',] }, { type: i0.HostListener, args: ['click',] }],
            closeTooltip: [{ type: i0.HostListener, args: ['document:click', ['$event.target'],] }],
            onFocus: [{ type: i0.HostListener, args: ['focus',] }],
            onFocusout: [{ type: i0.HostListener, args: ['focusout',] }]
        };
        return TooltipDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TooltipModule = /** @class */ (function () {
        function TooltipModule() {
        }
        /**
         * @return {?}
         */
        TooltipModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TooltipModule,
                    providers: [],
                };
            };
        TooltipModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [
                            TooltipComponent,
                            TooltipDirective,
                            TooltipContainerComponent
                        ],
                        imports: [
                            common.CommonModule,
                            i1.OverlayModule
                        ],
                        exports: [TooltipComponent, TooltipDirective, TooltipContainerComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                        entryComponents: [TooltipContainerComponent]
                    },] }
        ];
        return TooltipModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LightboxTooltips = /** @class */ (function () {
        function LightboxTooltips() {
            this.download = 'Download';
            this.downloading = 'Downloading...';
            this.exit = 'Exit';
            this.previous = 'Previous';
            this.next = 'Next';
            this.zoomIn = 'Zoom in';
            this.zoomOut = 'Zoom out';
        }
        return LightboxTooltips;
    }());
    /**
     * Configuration used when opening a lightbox.
     */
    var /**
     * Configuration used when opening a lightbox.
     */ LightboxConfig = /** @class */ (function () {
        function LightboxConfig() {
            /**
             * Determines if info is decrypting | false
             */
            this.decrypting = false;
            /**
             * Optional downloading css styling | false
             */
            this.downloading = false;
            /**
             * Initial index of start page | 0
             */
            this.index = 0;
            /**
             * Required name prop for Lightbox
             */
            this.name = '';
            /**
             * Collection of predefined tootips for various Lightbox actions | { download: 'Download', etc }
             */
            this.tooltips = new LightboxTooltips();
        }
        return LightboxConfig;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LightboxComponent = /** @class */ (function () {
        function LightboxComponent(_config, _document) {
            var _this = this;
            this._config = _config;
            this.math = Math;
            this.viewportDimensions = {
                width: 600,
                height: 600
            };
            this.zoom = 1;
            this._onDestroy = new rxjs.Subject();
            this.handleResize = ( /**
             * @return {?}
             */function () {
                _this.viewportDimensions = {
                    width: _this.viewportRef.nativeElement.offsetWidth,
                    height: _this.viewportRef.nativeElement.offsetHeight
                };
            });
            this.handleKeydown = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var newIndex;
                switch (e.code) {
                    case 'Escape':
                        _this.destroy();
                        return;
                    case 'ArrowLeft':
                    case 'ArrowUp':
                        newIndex = Math.max(_this.index - 1, 0);
                        break;
                    case 'ArrowRight':
                    case 'ArrowDown':
                        newIndex = Math.min(_this.index + 1, _this.pages.length - 1);
                        break;
                    case 'PageUp':
                    case 'Home':
                        newIndex = 0;
                        break;
                    case 'PageDown':
                    case 'End':
                        newIndex = _this.pages.length - 1;
                        break;
                    case 'Digit1':
                    case 'Digit2':
                    case 'Digit3':
                    case 'Digit4':
                    case 'Digit5':
                    case 'Digit6':
                    case 'Digit7':
                    case 'Digit8':
                    case 'Digit9':
                        newIndex = Math.min(Number(e.code.substr(-1)) - 1, _this.pages.length - 1);
                        break;
                    default:
                        return;
                }
                _this.triggerPageChange(newIndex, e);
            });
            this.decrypting = _config.decrypting;
            this.downloading = _config.downloading;
            this.height = _config.height;
            this.index = _config.index;
            this.info = _config.info;
            this.name = _config.name;
            this.pages = _config.pages;
            this.tooltips = _config.tooltips;
            this.width = _config.width;
            this._document = _document;
        }
        Object.defineProperty(LightboxComponent.prototype, "currentPage", {
            get: /**
             * @return {?}
             */ function () {
                return this.pages[this.index];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LightboxComponent.prototype, "controlStyle", {
            get: /**
             * @return {?}
             */ function () {
                return this.currentPage.content ? {
                    visibility: 'hidden'
                } : {};
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LightboxComponent.prototype, "thumbnailDecryptingStyle", {
            get: /**
             * @return {?}
             */ function () {
                return { height: Math.round(this.height / (this.width / 150)) };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LightboxComponent.prototype, "viewportStyle", {
            get: /**
             * @return {?}
             */ function () {
                /** @type {?} */
                var srcWidth = this.width * this.zoom;
                /** @type {?} */
                var srcHeight = this.height * this.zoom;
                /** @type {?} */
                var maxWidth = this.viewportDimensions.width;
                /** @type {?} */
                var maxHeight = this.viewportDimensions.height;
                /** @type {?} */
                var ratio = Math.min(maxWidth / srcWidth, maxHeight / srcHeight, 1);
                /** @type {?} */
                var width = Math.round(srcWidth * ratio);
                /** @type {?} */
                var height = Math.round(srcHeight * ratio);
                return this.zoom <= 1 ? {
                    width: width + "px",
                    height: height + "px"
                } : {};
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(LightboxComponent.prototype, "config", {
            get: /**
             * @return {?}
             */ function () {
                return this._config;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        LightboxComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this._document.addEventListener('keydown', this.handleKeydown);
                this._document.addEventListener('resize', this.handleResize);
            };
        /**
         * @return {?}
         */
        LightboxComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this._document.removeEventListener('keydown', this.handleKeydown);
                this._document.removeEventListener('resize', this.handleResize);
                if (this._config.onClose) {
                    this._config.onClose();
                }
            };
        /**
         * @param {?} index
         * @return {?}
         */
        LightboxComponent.prototype.handleThumbnailClick = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                this.index = index;
                if (this._config.onChange) {
                    this._config.onChange(index);
                }
            };
        /**
         * @param {?} index
         * @param {?} e
         * @return {?}
         */
        LightboxComponent.prototype.triggerPageChange = /**
         * @param {?} index
         * @param {?} e
         * @return {?}
         */
            function (index, e) {
                /** @type {?} */
                var target = this.headerRef.nativeElement.querySelector("[dataindex=\"" + index + "\"]");
                if (index >= 0 && index <= this.pages.length - 1) {
                    this.index = index;
                    if (this._config.onChange) {
                        this._config.onChange(index);
                    }
                }
                if (target) {
                    target.scrollIntoView();
                }
                e.stopPropagation();
            };
        /**
         * @param {?} e
         * @return {?}
         */
        LightboxComponent.prototype.stopPropagation = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                e.stopPropagation();
            };
        /**
         * @param {?} increment
         * @return {?}
         */
        LightboxComponent.prototype.setZoom = /**
         * @param {?} increment
         * @return {?}
         */
            function (increment) {
                /** @type {?} */
                var newZoom = this.zoom + increment;
                this.zoom = newZoom < 0.25 ? 0.25 : newZoom;
            };
        /**
         * @return {?}
         */
        LightboxComponent.prototype.handleDownload = /**
         * @return {?}
         */
            function () {
                if (this._config.onDownload) {
                    this._config.onDownload(this.currentPage);
                }
            };
        /**
         * @param {?} e
         * @param {?} type
         * @param {?=} param
         * @return {?}
         */
        LightboxComponent.prototype.handleKeypress = /**
         * @param {?} e
         * @param {?} type
         * @param {?=} param
         * @return {?}
         */
            function (e, type, param) {
                if (e.code === 'Enter' || e.code === 'Space') {
                    switch (type) {
                        case 'destroy':
                            this.destroy();
                            break;
                        case 'thumbnail':
                            this.handleThumbnailClick(param);
                            break;
                        case 'change':
                            this.triggerPageChange(param, e);
                            break;
                        case 'download':
                            this.handleDownload();
                            break;
                        case 'zoom':
                            this.setZoom(param);
                            break;
                    }
                }
            };
        /**
         * @return {?}
         */
        LightboxComponent.prototype.destroy = /**
         * @return {?}
         */
            function () {
                this._onDestroy.next();
                this._onDestroy.complete();
            };
        LightboxComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-lightbox',
                        template: "\n    <div class=\"md-lightbox\">\n      <div #headerRef class=\"md-lightbox__header\">\n        <div class=\"md-lightbox__header-item--left\">\n          <div class=\"md-lightbox__header-meta\">\n            <div class=\"md-lightbox__header-sharer\">{{ info.sharedBy }}</div>\n            <div class=\"md-lightbox__header-timestamp\">{{ info.sharedOn }}</div>\n          </div>\n        </div>\n        <div class=\"md-lightbox__header-item--center\">\n          <div class=\"md-lightbox__header-name\">{{ name }}</div>\n        </div>\n        <div class=\"md-lightbox__header-item--right\">\n          <div class=\"md-lightbox__control\"\n            [mdTooltip]=\"tooltips.exit\"\n            direction=\"left\"\n            delay=\"0\"\n            (click)=\"destroy()\"\n            (keypress)=\"handleKeypress($event, 'destroy')\"\n            role=\"button\"\n            tabindex=\"0\">\n              <md-icon name=\"cancel_16\"></md-icon>\n          </div>\n        </div>\n      </div>\n      <div class=\"md-lightbox__body\">\n        <ng-container *ngTemplateOutlet=\"thumbnailsTemplate\"></ng-container>\n        <div\n          class=\"md-lightbox__content\"\n          (click)=\"destroy()\"\n          (keypress)=\"handleKeypress($event, 'destroy')\"\n          role=\"button\"\n          tabindex=\"0\"\n        >\n          <div\n            #viewportRef\n            class=\"md-lightbox__viewport\"\n            [ngClass]=\"{ 'md-lightbox__viewport--decrypting': !!currentPage.decrypting }\"\n          >\n            <md-spinner *ngIf=\"pages[index].decrypting\" class=\"md-lightbox__decrypting-spinner\"></md-spinner>\n            <ng-container *ngTemplateOutlet=\"viewportTemplate\"></ng-container>\n          </div>\n          <ng-container *ngTemplateOutlet=\"leftArrowControlTemplate\"></ng-container>\n          <ng-container *ngTemplateOutlet=\"rightArrowControlTemplate\"></ng-container>\n          <ng-container *ngTemplateOutlet=\"viewportControlsTemplate\"></ng-container>\n        </div>\n      </div>\n    </div>\n\n    <ng-template #thumbnailsTemplate>\n      <div *ngIf=\"pages.length > 1\" class=\"md-lightbox__list\">\n        <div *ngFor=\"let page of pages; index as idx\"\n          class=\"md-lightbox__thumbnail-wrapper\"\n          [ngClass]=\"{ 'md-lightbox__thumbnail-wrapper--selected': idx === index }\"\n          (click)=\"handleThumbnailClick(idx)\"\n          (keypress)=\"handleKeypress($event, 'thumbnail', idx)\"\n          role=\"button\"\n          tabindex=\"0\"\n        >\n          <div *ngIf=\"page.decrypting\"\n            class=\"md-lightbox__thumbnail md-lightbox__thumbnail--decrypting\"\n            [attr.dataindex]=\"idx\"\n            [ngStyle]=\"thumbnailDecryptingStyle\"\n          >\n            <md-icon class=\"md-lightbox__thumbnail--icon\" name=\"secure_28\"></md-icon>\n          </div>\n          <img *ngIf=\"!page.decrypting\"\n            alt=\"\"\n            class=\"md-lightbox__thumbnail\"\n            [attr.dataindex]=\"idx\"\n            [attr.draggable]=\"false\"\n            [attr.src]=\"page.thumb\"\n          />\n          <div>\n            {{ idx + 1 }}\n          </div>\n        </div>\n      </div>\n    </ng-template>\n\n    <ng-template #viewportTemplate>\n      <div\n        class=\"md-lightbox__viewport-wrapper\"\n        [ngStyle]=\"viewportStyle\"\n      >\n        <div *ngIf=\"currentPage.content\">\n          <div\n            class=\"md-lightbox__viewport-content\"\n            [attr.draggable]=\"false\"\n            (click)=\"stopPropagation($event)\"\n            (keypress)=\"stopPropagation($event)\"\n            (doubleclick)=\"setZoom(0.25)\"\n            role=\"button\"\n            tabindex=\"0\"\n          >\n            {{ currentPage.content }}\n          </div>\n        </div>\n        <div *ngIf=\"currentPage.image\">\n          <div *ngIf=\"zoom <= 1\">\n            <img\n              alt=\"\"\n              class=\"md-lightbox__viewport-image\"\n              [attr.draggable]=\"false\"\n              (click)=\"stopPropagation($event)\"\n              (keypress)=\"stopPropagation($event)\"\n              (doubleclick)=\"setZoom(0.25)\"\n              [attr.src]=\"currentPage.thumb\"\n            />\n          </div>\n          <div *ngIf=\"zoom > 1\">\n            <img\n              alt=\"\"\n              class=\"md-lightbox__viewport-image\"\n              [attr.draggable]=\"false\"\n              (click)=\"stopPropagation($event)\"\n              (keypress)=\"stopPropagation($event)\"\n              (doubleclick)=\"setZoom(0.25)\"\n              [attr.src]=\"currentPage.thumb\"\n              [ngStyle]=\"{\n                'object-fit': 'contain',\n                'max-height': height * zoom + 'px',\n                'max-width': width * zoom + 'px',\n                'min-height': height * zoom + 'px',\n                'min-width': width * zoom + 'px'\n              }\"\n            />\n          </div>\n        </div>\n      </div>\n    </ng-template>\n\n    <ng-template #leftArrowControlTemplate>\n      <div *ngIf=\"pages.length > 1\"\n        [mdTooltip]=\"tooltips.previous\"\n        direction=\"right\"\n        delay=\"0\"\n        class=\"md-lightbox__page-control md-lightbox__page-control-icon md-lightbox__page-controls--left\"\n        role=\"button\"\n        tabindex=\"0\"\n        (click)=\"triggerPageChange(index - 1, $event)\"\n        (keypress)=\"handleKeypress($event, 'change', index - 1)\"\n        style=\"transform: rotate(-180deg)\"\n      >\n        <md-icon name=\"icon-arrow-right_16\"></md-icon>\n      </div>\n    </ng-template>\n\n    <ng-template #rightArrowControlTemplate>\n      <div *ngIf=\"pages.length > 1\"\n        [mdTooltip]=\"tooltips.next\"\n        direction=\"left\"\n        delay=\"0\"\n        class=\"md-lightbox__page-control md-lightbox__page-control-icon md-lightbox__page-controls--right\"\n        role=\"button\"\n        tabindex=\"0\"\n        (click)=\"triggerPageChange(index + 1, $event)\"\n        (keypress)=\"handleKeypress($event, 'change', index + 1)\"\n      >\n        <md-icon name=\"icon-arrow-right_16\"></md-icon>\n      </div>\n    </ng-template>\n\n    <ng-template #viewportControlsTemplate>\n      <div\n        class=\"md-lightbox__viewer-controls\"\n        (click)=\"stopPropagation($event)\"\n        (keypress)=\"stopPropagation($event)\"\n        role=\"button\"\n        tabindex=\"0\"\n      >\n        <div class=\"md-lightbox__controls\" [ngStyle]=\"controlStyle\">\n          <div class=\"md-lightbox__control\"\n            [mdTooltip]=\"tooltips.zoomOut\"\n            delay=\"0\"\n            (click)=\"setZoom(-0.25)\"\n            (keypress)=\"handleKeypress($event, 'zoom', -0.25)\"\n            role=\"button\"\n            tabindex=\"0\"\n          >\n              <md-icon name=\"zoom-out_16\"></md-icon>\n          </div>\n          <span class=\"md-lightbox__control-value\">{{ math.round(zoom * 100) }}%</span>\n          <div class=\"md-lightbox__control\"\n            [mdTooltip]=\"tooltips.zoomIn\"\n            delay=\"0\"\n            (click)=\"setZoom(0.25)\"\n            (keypress)=\"handleKeypress($event, 'zoom', 0.25)\"\n            role=\"button\"\n            tabindex=\"0\"\n          >\n            <md-icon name=\"zoom-in_16\"></md-icon>\n          </div>\n        </div>\n        <ng-container *ngTemplateOutlet=\"pageControlTemplate\"></ng-container>\n        <div class=\"md-lightbox__controls\" [ngStyle]=\"controlStyle\">\n          <span class=\"md-lightbox__control-value\">{{ info.size }}</span>\n          <div *ngIf=\"downloading\"\n            [mdTooltip]=\"tooltips.downloading\"\n            delay=\"0\"\n            class=\"md-lightbox__control md-lightbox__control-spinner\">\n            <md-spinner size=\"28\"></md-spinner>\n          </div>\n          <div *ngIf=\"!downloading\"\n            [mdTooltip]=\"tooltips.download\"\n            delay=\"0\"\n            class=\"md-lightbox__control md-lightbox__control-download\"\n            (click)=\"handleDownload()\"\n            (keypress)=\"handleKeypress($event, 'download')\"\n            role=\"button\"\n            tabindex=\"0\"\n          >\n            <md-icon name=\"download_16\"></md-icon>\n          </div>\n        </div>\n      </div>\n    </ng-template>\n\n    <ng-template #pageControlTemplate>\n      <div *ngIf=\"pages.length > 1\" class=\"md-lightbox__controls md-lightbox__controls--center\">\n        <div class=\"md-lightbox__control\"\n          [mdTooltip]=\"tooltips.previous\"\n          delay=\"0\"\n          (click)=\"triggerPageChange(index - 1, $event)\"\n          (keypress)=\"handleKeypress($event, 'change', index - 1)\"\n          role=\"button\"\n          tabindex=\"0\"\n          style=\"transform: rotate(-180deg)\"\n        >\n          <md-icon name=\"icon-arrow-right_16\"></md-icon>\n        </div>\n        <span class=\"md-lightbox__control-value\">{{ index + 1 }} / {{ pages.length }}</span>\n        <div class=\"md-lightbox__control\"\n          [mdTooltip]=\"tooltips.next\"\n          delay=\"0\"\n          (click)=\"triggerPageChange(index + 1, $event)\"\n          (keypress)=\"handleKeypress($event, 'change', index + 1)\"\n          role=\"button\"\n          tabindex=\"0\"\n        >\n          <md-icon name=\"icon-arrow-right_16\"></md-icon>\n        </div>\n      </div>\n      <div *ngIf=\"pages.length === 1\" class=\"md-lightbox__controls\">\n        <span class=\"md-lightbox__control-value\">{{ index + 1 }}</span>\n      </div>\n    </ng-template>\n  ",
                        host: {
                            'class': 'md-lightbox__container'
                        }
                    }] }
        ];
        /** @nocollapse */
        LightboxComponent.ctorParameters = function () {
            return [
                { type: LightboxConfig },
                { type: undefined, decorators: [{ type: i0.Inject, args: [common.DOCUMENT,] }] }
            ];
        };
        LightboxComponent.propDecorators = {
            headerRef: [{ type: i0.ViewChild, args: ['headerRef',] }],
            viewportRef: [{ type: i0.ViewChild, args: ['viewportRef',] }]
        };
        return LightboxComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LightboxService = /** @class */ (function () {
        function LightboxService(_overlay, _injector) {
            this._overlay = _overlay;
            this._injector = _injector;
            this._overlayRef = null;
            this._lightboxRef = null;
        }
        /**
         * @param {?} config
         * @return {?}
         */
        LightboxService.prototype.open = /**
         * @param {?} config
         * @return {?}
         */
            function (config) {
                /** @type {?} */
                var _config = __assign({}, new LightboxConfig(), config);
                if (!this._overlayRef) {
                    this._overlayRef = this._overlay.create();
                }
                return this._attachLightboxContainer(this._overlayRef, _config);
            };
        /**
         * @return {?}
         */
        LightboxService.prototype.close = /**
         * @return {?}
         */
            function () {
                if (this._lightboxRef) {
                    this._lightboxRef.instance.destroy();
                }
            };
        /**
         * @private
         * @param {?} overlayRef
         * @param {?} config
         * @return {?}
         */
        LightboxService.prototype._attachLightboxContainer = /**
         * @private
         * @param {?} overlayRef
         * @param {?} config
         * @return {?}
         */
            function (overlayRef, config) {
                var _this = this;
                if (this._lightboxRef) {
                    return this._lightboxRef.instance;
                }
                /** @type {?} */
                var injector = new portal.PortalInjector(this._injector, new WeakMap([[LightboxConfig, config]]));
                /** @type {?} */
                var containerPortal = new portal.ComponentPortal(LightboxComponent, null, injector);
                this._lightboxRef = overlayRef.attach(containerPortal);
                /** @type {?} */
                var onDestroySub = this._lightboxRef.instance._onDestroy.subscribe(( /**
                 * @return {?}
                 */function () {
                    onDestroySub.unsubscribe();
                    _this._dispose();
                }));
                return this._lightboxRef.instance;
            };
        /**
         * @return {?}
         */
        LightboxService.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._lightboxRef) {
                    this._lightboxRef.instance.destroy();
                }
            };
        /**
         * @private
         * @return {?}
         */
        LightboxService.prototype._dispose = /**
         * @private
         * @return {?}
         */
            function () {
                this._lightboxRef = null;
                this._overlayRef.dispose();
                this._overlayRef = null;
            };
        LightboxService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        LightboxService.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i0.Injector }
            ];
        };
        return LightboxService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LightboxModule = /** @class */ (function () {
        function LightboxModule() {
        }
        /**
         * @return {?}
         */
        LightboxModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: LightboxModule,
                    providers: [],
                };
            };
        LightboxModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            i1.OverlayModule,
                            portal.PortalModule,
                            IconModule,
                            SpinnerModule,
                            TooltipModule,
                        ],
                        declarations: [LightboxComponent],
                        exports: [LightboxComponent],
                        entryComponents: [LightboxComponent],
                        providers: [LightboxService],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return LightboxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListSeparatorComponent = /** @class */ (function () {
        function ListSeparatorComponent() {
        }
        Object.defineProperty(ListSeparatorComponent.prototype, "_backgroundColor", {
            get: /**
             * @return {?}
             */ function () {
                return this.backgroundColor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ListSeparatorComponent.prototype, "_lineColor", {
            get: /**
             * @return {?}
             */ function () {
                return this.lineColor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ListSeparatorComponent.prototype, "_margin", {
            get: /**
             * @return {?}
             */ function () {
                return this.margin;
            },
            enumerable: true,
            configurable: true
        });
        ListSeparatorComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-list-separator',
                        template: "\n    <span class=\"md-list-separator__container\">\n      <ng-content *ngIf=\"!text; else textTemplate\"></ng-content>\n    </span>\n\n    <ng-template #textTemplate>\n      <span\n        class=\"md-list-separator__text\"\n        [ngStyle]=\"{ color: textColor, padding: textPadding }\"\n        >{{ text }}</span\n      >\n    </ng-template>\n  ",
                        host: {
                            class: 'md-list-separator',
                        }
                    }] }
        ];
        ListSeparatorComponent.propDecorators = {
            backgroundColor: [{ type: i0.Input }],
            lineColor: [{ type: i0.Input }],
            margin: [{ type: i0.Input }],
            text: [{ type: i0.Input }],
            textColor: [{ type: i0.Input }],
            textPadding: [{ type: i0.Input }],
            _backgroundColor: [{ type: i0.HostBinding, args: ['style.background-color',] }],
            _lineColor: [{ type: i0.HostBinding, args: ['style.color',] }],
            _margin: [{ type: i0.HostBinding, args: ['style.margin',] }]
        };
        return ListSeparatorComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListSeparatorModule = /** @class */ (function () {
        function ListSeparatorModule() {
        }
        /**
         * @return {?}
         */
        ListSeparatorModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ListSeparatorModule,
                    providers: [],
                };
            };
        ListSeparatorModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [ListSeparatorComponent],
                        exports: [ListSeparatorComponent],
                    },] }
        ];
        return ListSeparatorModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuComponent = /** @class */ (function () {
        function MenuComponent() {
            /**
             * \@prop Text to display for accessibility features | ''
             */
            this.ariaLabel = '';
            /**
             * \@prop Determines if the Menu should show the arrow | false
             */
            this.showArrow = false;
            /**
             * Event emitted when the menu is closed.
             */
            this.closed = new i0.EventEmitter();
            this.select = new i0.EventEmitter();
            this._direction = 'bottom-left';
            this._items = [];
            this._itemChanges = new rxjs.Subject();
            this.classList = {};
        }
        Object.defineProperty(MenuComponent.prototype, "direction", {
            /** @prop Sets the direction in which the EventOverlay extends | 'bottom-left' */
            get: /**
             * \@prop Sets the direction in which the EventOverlay extends | 'bottom-left'
             * @return {?}
             */ function () { return this._direction; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._direction = value;
                this._setPositionClasses();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        MenuComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this._setPositionClasses();
            };
        /**
         * @return {?}
         */
        MenuComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                this._keyManager = new a11y.FocusKeyManager(this._items).withWrap().withTypeAhead();
            };
        /**
         * @return {?}
         */
        MenuComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.closed.complete();
            };
        /**
         * @param {?} item
         * @return {?}
         */
        MenuComponent.prototype.addItem = /**
         * @param {?} item
         * @return {?}
         */
            function (item) {
                if (this._items.indexOf(item) === -1) {
                    this._items.push(item);
                    this._itemChanges.next(this._items);
                }
            };
        /**
         * @param {?} item
         * @return {?}
         */
        MenuComponent.prototype.removeItem = /**
         * @param {?} item
         * @return {?}
         */
            function (item) {
                /** @type {?} */
                var index = this._items.indexOf(item);
                if (this._items.indexOf(item) > -1) {
                    this._items.splice(index, 1);
                    this._itemChanges.next(this._items);
                }
            };
        /**
         * @private
         * @return {?}
         */
        MenuComponent.prototype._setPositionClasses = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var side = this.direction.split('-')[0];
                this.classList['md-event-overlay--arrow'] = this.showArrow;
                this.classList['md-event-overlay--top'] = side === 'top';
                this.classList['md-event-overlay--bottom'] = side === 'bottom';
                this.classList['md-event-overlay--left'] = side === 'left';
                this.classList['md-event-overlay--right'] = side === 'right';
            };
        /**
         * @param {?} event
         * @return {?}
         */
        MenuComponent.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                switch (event.code) {
                    case 'Escape':
                        this.closed.emit('keydown');
                        break;
                    case 'ArrowLeft':
                        if (this.parentMenu) {
                            this.closed.emit('keydown');
                        }
                        break;
                    case 'ArrowRight':
                        if (this.parentMenu) {
                            this.closed.emit('keydown');
                        }
                        break;
                    default:
                        if (event.code === 'ArrowUp' || event.code === 'ArrowDown') {
                            this._keyManager.setFocusOrigin('keyboard');
                        }
                        this._keyManager.onKeydown(event);
                }
            };
        /**
         * @param {?=} origin
         * @return {?}
         */
        MenuComponent.prototype.focusFirstItem = /**
         * @param {?=} origin
         * @return {?}
         */
            function (origin) {
                if (origin === void 0) {
                    origin = 'program';
                }
                this._keyManager.setFocusOrigin(origin).setFirstItemActive();
            };
        MenuComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-menu',
                        template: "\n    <ng-template>\n      <div\n        [ngClass]=\"classList\"\n        class=\"md-menu-overlay\"\n        (keydown)=\"onKeydown($event)\"\n        >\n        <div *ngIf=\"showArrow\" class=\"md-event-overlay__arrow\"></div>\n        <div class=\"md-event-overlay__children\">\n          <div class=\"md-menu md-menu-item-container\" [attr.aria-label]=\"ariaLabel\" role=\"menubar\">\n            <ng-content></ng-content>\n          </div>\n        </div>\n      </div>\n    </ng-template>\n  ",
                        styles: ["\n    .md-menu-overlay {\n      position: relative;\n    }\n    .md-event-overlay__arrow {\n      position: absolute;\n    }\n    .md-event-overlay__children {\n      position: relative;\n    }\n  "]
                    }] }
        ];
        MenuComponent.propDecorators = {
            ariaLabel: [{ type: i0.Input }],
            direction: [{ type: i0.Input }],
            hasBackdrop: [{ type: i0.Input }],
            showArrow: [{ type: i0.Input }],
            closed: [{ type: i0.Output }],
            select: [{ type: i0.Output }],
            templateRef: [{ type: i0.ViewChild, args: [i0.TemplateRef,] }]
        };
        return MenuComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuContentComponent = /** @class */ (function () {
        function MenuContentComponent() {
        }
        MenuContentComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-menu-content',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'md-menu-content'
                        }
                    }] }
        ];
        return MenuContentComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuItemComponent = /** @class */ (function () {
        function MenuItemComponent(_elementRef, _focusMonitor, _parentMenu) {
            this._elementRef = _elementRef;
            this._focusMonitor = _focusMonitor;
            this._parentMenu = _parentMenu;
            /**
             * \@prop Active prop to determine styles | false
             */
            this.active = false;
            /**
             * \@prop Determines if MenuItem is the header | false
             */
            this.isHeader = false;
            /**
             * \@prop Initial selected value within SubMenu | ''
             */
            this.selectedValue = '';
            /**
             * Whether the menu item acts as a trigger for a sub-menu.
             */
            this.triggersSubmenu = false;
            if (_focusMonitor) {
                _focusMonitor.monitor(this._elementRef, false);
            }
            if (_parentMenu && _parentMenu.addItem) {
                _parentMenu.addItem(this);
            }
        }
        Object.defineProperty(MenuItemComponent.prototype, "listItemElement", {
            get: /**
             * @return {?}
             */ function () {
                return this._elementRef.nativeElement.querySelector('.md-list-item');
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        MenuItemComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._focusMonitor) {
                    this._focusMonitor.stopMonitoring(this._elementRef);
                }
                if (this._parentMenu && this._parentMenu.removeItem) {
                    this._parentMenu.removeItem(this);
                }
            };
        /**
         * @param {?=} origin
         * @return {?}
         */
        MenuItemComponent.prototype.focus = /**
         * @param {?=} origin
         * @return {?}
         */
            function (origin) {
                if (origin === void 0) {
                    origin = 'program';
                }
                if (this._focusMonitor) {
                    this._focusMonitor.focusVia(this.listItemElement, origin);
                }
                else {
                    this.listItemElement.focus();
                }
            };
        /**
         * @return {?}
         */
        MenuItemComponent.prototype.getLabel = /**
         * @return {?}
         */
            function () {
                return this.listItemElement.textContent.trim();
            };
        /**
         * @param {?} _
         * @return {?}
         */
        MenuItemComponent.prototype.onClick = /**
         * @param {?} _
         * @return {?}
         */
            function (_) {
                if (this._parentMenu && !this.triggersSubmenu && !this.isHeader) {
                    this._parentMenu.select.emit(this);
                    this._parentMenu.closed.emit('click');
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        MenuItemComponent.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                switch (event.code) {
                    case 'Enter':
                    case 'Space':
                        if (this._parentMenu && !this.triggersSubmenu && !this.isHeader) {
                            this._parentMenu.select.emit(this);
                            this._parentMenu.closed.emit('click');
                        }
                        break;
                }
            };
        MenuItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-menu-item',
                        template: "\n    <div\n      md-list-item\n      [active]=\"active\"\n      [isReadOnly]=\"isHeader\"\n      [ngClass]=\"{'md-menu-item__header': isHeader}\"\n      role=\"menuitem\"\n      tabindex=\"-1\"\n    >\n      <ng-container *ngIf=\"!triggersSubmenu; else submenuTemplate\">\n        <ng-container *ngTemplateOutlet=\"contentTemplate\"></ng-container>\n      </ng-container>\n    </div>\n\n    <ng-template #contentTemplate>\n      <ng-content></ng-content>\n    </ng-template>\n\n    <ng-template #submenuTemplate>\n      <div class=\"md-menu-item__content\">\n        <ng-container *ngTemplateOutlet=\"contentTemplate\"></ng-container>\n      </div>\n      <div\n        *ngIf=\"selectedValue\"\n        class=\"md-menu-item__selected-value\"\n        [attr.title]=\"selectedValue\"\n        >{{ selectedValue }}</div>\n      <div class=\"md-menu-item__arrow\">\n        <md-icon name=\"icon-arrow-right_16\"></md-icon>\n      </div>\n    </ng-template>\n  ",
                        host: {
                            'class': 'md-menu-item',
                            '(click)': 'onClick($event)',
                            '(keydown)': 'onKeydown($event)',
                        }
                    }] }
        ];
        /** @nocollapse */
        MenuItemComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: a11y.FocusMonitor },
                { type: MenuComponent, decorators: [{ type: i0.Optional }] }
            ];
        };
        MenuItemComponent.propDecorators = {
            active: [{ type: i0.Input }],
            isHeader: [{ type: i0.Input }],
            selectedValue: [{ type: i0.Input }]
        };
        return MenuItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuTriggerDirective = /** @class */ (function () {
        function MenuTriggerDirective(_overlay, _element, _viewContainerRef, _parentMenu, _menuItemInstance, _focusMonitor) {
            this._overlay = _overlay;
            this._element = _element;
            this._viewContainerRef = _viewContainerRef;
            this._parentMenu = _parentMenu;
            this._menuItemInstance = _menuItemInstance;
            this._focusMonitor = _focusMonitor;
            this.menuOpened = new i0.EventEmitter();
            this.menuClosed = new i0.EventEmitter();
            this._menuOpen = false;
            this._openedBy = null;
            this._overlayRef = null;
            this._closingActionsSubscription = rxjs.Subscription.EMPTY;
            this._menuCloseSubscription = rxjs.Subscription.EMPTY;
            if (_menuItemInstance) {
                _menuItemInstance.triggersSubmenu = this.triggersSubmenu();
            }
        }
        Object.defineProperty(MenuTriggerDirective.prototype, "menu", {
            get: /**
             * @return {?}
             */ function () { return this._menu; },
            set: /**
             * @param {?} menu
             * @return {?}
             */ function (menu) {
                var _this = this;
                if (menu === this._menu) {
                    return;
                }
                this._menu = menu;
                this._menuCloseSubscription.unsubscribe();
                if (menu) {
                    this._menuCloseSubscription = menu.closed.asObservable().subscribe(( /**
                     * @param {?} reason
                     * @return {?}
                     */function (reason) {
                        _this._destroyMenu();
                        if (reason === 'click' && _this._parentMenu) {
                            _this._parentMenu.closed.emit(reason);
                        }
                    }));
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        MenuTriggerDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this._overlayRef) {
                    this._overlayRef.dispose();
                    this._overlayRef = null;
                }
                this._cleanUpSubscriptions();
                this._closingActionsSubscription.unsubscribe();
            };
        Object.defineProperty(MenuTriggerDirective.prototype, "menuOpen", {
            get: /**
             * @return {?}
             */ function () {
                return this._menuOpen;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        MenuTriggerDirective.prototype.triggersSubmenu = /**
         * @return {?}
         */
            function () {
                return !!(this._menuItemInstance && this._parentMenu);
            };
        /**
         * @return {?}
         */
        MenuTriggerDirective.prototype.toggleMenu = /**
         * @return {?}
         */
            function () {
                return this._menuOpen ? this.closeMenu() : this.openMenu();
            };
        /**
         * @return {?}
         */
        MenuTriggerDirective.prototype.openMenu = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this._menuOpen) {
                    return;
                }
                /** @type {?} */
                var overlayRef = this._createOverlay();
                /** @type {?} */
                var overlayConfig = overlayRef.getConfig();
                /** @type {?} */
                var positionStrategy = ( /** @type {?} */(overlayConfig.positionStrategy));
                this._setPosition(positionStrategy);
                overlayConfig.hasBackdrop = this.menu.hasBackdrop == null ? !this.triggersSubmenu() : this.menu.hasBackdrop;
                overlayRef.attach(this._getPortal());
                this._closingActionsSubscription = this._menuClosingActions().subscribe(( /**
                 * @return {?}
                 */function () { return _this.closeMenu(); }));
                this._initMenu();
            };
        /**
         * @return {?}
         */
        MenuTriggerDirective.prototype.closeMenu = /**
         * @return {?}
         */
            function () {
                this.menu.closed.emit();
            };
        /**
         * @param {?=} origin
         * @return {?}
         */
        MenuTriggerDirective.prototype.focus = /**
         * @param {?=} origin
         * @return {?}
         */
            function (origin) {
                if (origin === void 0) {
                    origin = 'program';
                }
                if (this._focusMonitor) {
                    this._focusMonitor.focusVia(this._element, origin);
                    if (this._menuItemInstance) {
                        this._menuItemInstance.focus();
                    }
                }
                else {
                    this._element.nativeElement.focus();
                }
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._destroyMenu = /**
         * @private
         * @return {?}
         */
            function () {
                if (!this._overlayRef || !this.menuOpen) {
                    return;
                }
                this._closingActionsSubscription.unsubscribe();
                this._overlayRef.detach();
                this._resetMenu();
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._initMenu = /**
         * @private
         * @return {?}
         */
            function () {
                this.menu.parentMenu = this.triggersSubmenu() ? this._parentMenu : undefined;
                this._setIsMenuOpen(true);
                this.menu.focusFirstItem(this._openedBy || 'program');
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._resetMenu = /**
         * @private
         * @return {?}
         */
            function () {
                this._setIsMenuOpen(false);
                if (!this._openedBy) {
                    this.focus();
                }
                else if (!this.triggersSubmenu()) {
                    this.focus(this._openedBy);
                }
                this._openedBy = null;
            };
        /**
         * @private
         * @param {?} isOpen
         * @return {?}
         */
        MenuTriggerDirective.prototype._setIsMenuOpen = /**
         * @private
         * @param {?} isOpen
         * @return {?}
         */
            function (isOpen) {
                this._menuOpen = isOpen;
                this._menuOpen ? this.menuOpened.emit() : this.menuClosed.emit();
                if (this.triggersSubmenu()) {
                    this._menuItemInstance.active = isOpen;
                }
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._createOverlay = /**
         * @private
         * @return {?}
         */
            function () {
                if (!this._overlayRef) {
                    /** @type {?} */
                    var config = this._getOverlayConfig();
                    this._subscribeToPositions(( /** @type {?} */(config.positionStrategy)));
                    this._overlayRef = this._overlay.create(config);
                }
                return this._overlayRef;
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._getOverlayConfig = /**
         * @private
         * @return {?}
         */
            function () {
                return new i1.OverlayConfig({
                    positionStrategy: this._overlay.position()
                        .flexibleConnectedTo(this._element)
                        .withLockedPosition()
                        .withTransformOriginOn('.md-event-overlay__children'),
                    backdropClass: 'cdk-overlay-transparent-backdrop',
                });
            };
        /**
         * @private
         * @param {?} position
         * @return {?}
         */
        MenuTriggerDirective.prototype._subscribeToPositions = /**
         * @private
         * @param {?} position
         * @return {?}
         */
            function (position) {
                var _this = this;
                position.positionChanges.subscribe(( /**
                 * @param {?} change
                 * @return {?}
                 */function (change) {
                    /** @type {?} */
                    var overlayX = change.connectionPair.overlayX;
                    /** @type {?} */
                    var overlayY = change.connectionPair.overlayY;
                    _this._setArrowPosition(overlayX, overlayY);
                }));
            };
        /**
         * @private
         * @param {?} overlayX
         * @param {?} overlayY
         * @return {?}
         */
        MenuTriggerDirective.prototype._setArrowPosition = /**
         * @private
         * @param {?} overlayX
         * @param {?} overlayY
         * @return {?}
         */
            function (overlayX, overlayY) {
                if (this.menu.showArrow) {
                    /** @type {?} */
                    var side = this.menu.direction.split('-')[0];
                    /** @type {?} */
                    var menuWrapper = ( /** @type {?} */(this._overlayRef.hostElement.querySelector('.md-menu-overlay')));
                    /** @type {?} */
                    var arrow = ( /** @type {?} */(this._overlayRef.hostElement.querySelector('.md-event-overlay__arrow')));
                    /** @type {?} */
                    var menu = ( /** @type {?} */(this._overlayRef.hostElement.querySelector('.md-event-overlay__children')));
                    if (['top', 'bottom'].includes(side) && ['top', 'bottom'].includes(overlayY)) {
                        /** @type {?} */
                        var minWidth = Math.min(this._element.nativeElement.offsetWidth, menu.offsetWidth);
                        switch (overlayX) {
                            case 'start':
                                arrow.style['left'] = minWidth / 2 + "px";
                                break;
                            case 'end':
                                arrow.style['left'] = menu.offsetWidth - minWidth / 2 + "px";
                                break;
                            case 'center':
                                arrow.style['left'] = menu.offsetWidth / 2 + "px";
                                break;
                        }
                        if (overlayY === 'top') {
                            menu.style['margin-top'] = arrow.offsetHeight + "px";
                            menu.style['margin-bottom'] = 'auto';
                            arrow.style['top'] = '1px';
                            arrow.style['bottom'] = 'auto';
                        }
                        else {
                            menu.style['margin-bottom'] = arrow.offsetHeight + "px";
                            menu.style['margin-top'] = 'auto';
                            arrow.style['bottom'] = '1px';
                            arrow.style['top'] = 'auto';
                        }
                    }
                    if (['left', 'right'].includes(side) && ['start', 'end'].includes(overlayX)) {
                        /** @type {?} */
                        var minHeight = Math.min(this._element.nativeElement.offsetHeight, menu.offsetHeight);
                        switch (overlayY) {
                            case 'top':
                                arrow.style['top'] = minHeight / 2 + "px";
                                break;
                            case 'bottom':
                                arrow.style['top'] = menu.offsetHeight - minHeight / 2 + "px";
                                break;
                            case 'center':
                                arrow.style['top'] = menu.offsetHeight / 2 + "px";
                                break;
                        }
                        if (overlayX === 'start') {
                            menu.style['margin-left'] = arrow.offsetWidth + "px";
                            menu.style['margin-right'] = 'auto';
                            arrow.style['left'] = '1px';
                            arrow.style['right'] = 'auto';
                        }
                        else {
                            menu.style['margin-right'] = arrow.offsetWidth + "px";
                            menu.style['margin-left'] = 'auto';
                            arrow.style['right'] = '1px';
                            arrow.style['left'] = 'auto';
                        }
                    }
                    /** @type {?} */
                    var newSide = void 0;
                    if (['top', 'bottom'].includes(side)) {
                        if (overlayY === 'top') {
                            newSide = 'bottom';
                        }
                        else {
                            newSide = 'top';
                        }
                    }
                    else {
                        if (overlayX === 'start') {
                            newSide = 'right';
                        }
                        else {
                            newSide = 'left';
                        }
                    }
                    menuWrapper.classList.remove('md-event-overlay--top');
                    menuWrapper.classList.remove('md-event-overlay--bottom');
                    menuWrapper.classList.remove('md-event-overlay--left');
                    menuWrapper.classList.remove('md-event-overlay--right');
                    menuWrapper.classList.add("md-event-overlay--" + newSide);
                }
            };
        /**
         * @private
         * @param {?} positionStrategy
         * @return {?}
         */
        MenuTriggerDirective.prototype._setPosition = /**
         * @private
         * @param {?} positionStrategy
         * @return {?}
         */
            function (positionStrategy) {
                var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z;
                var _0 = __read(this.menu.direction.split('-'), 2), side = _0[0], pos = _0[1];
                var _1 = __read([], 6), originX = _1[0], originFallbackX = _1[1], overlayX = _1[2], overlayFallbackX = _1[3], originFallbackX2 = _1[4], overlayFallbackX2 = _1[5];
                var _2 = __read([], 6), originY = _2[0], originFallbackY = _2[1], overlayY = _2[2], overlayFallbackY = _2[3], originFallbackY2 = _2[4], overlayFallbackY2 = _2[5];
                /** @type {?} */
                var offsetY = 0;
                switch (side) {
                    case 'top':
                        _a = __read(['top', 'bottom'], 2), originY = _a[0], originFallbackY = _a[1];
                        _b = __read(['bottom', 'top'], 2), overlayY = _b[0], overlayFallbackY = _b[1];
                        break;
                    case 'bottom':
                        _c = __read(['bottom', 'top'], 2), originY = _c[0], originFallbackY = _c[1];
                        _d = __read(['top', 'bottom'], 2), overlayY = _d[0], overlayFallbackY = _d[1];
                        break;
                    case 'left':
                        _e = __read(['start', 'end'], 2), originX = _e[0], originFallbackX = _e[1];
                        _f = __read(['end', 'start'], 2), overlayX = _f[0], overlayFallbackX = _f[1];
                        break;
                    case 'right':
                        _g = __read(['end', 'start'], 2), originX = _g[0], originFallbackX = _g[1];
                        _h = __read(['start', 'end'], 2), overlayX = _h[0], overlayFallbackX = _h[1];
                        break;
                }
                switch (pos) {
                    case 'left':
                        _l = __read((_j = ['start', 'end'], _k = __read(_j, 2), overlayX = _k[0], overlayFallbackX = _k[1], _j), 2), originX = _l[0], originFallbackX = _l[1];
                        break;
                    case 'right':
                        _p = __read((_m = ['end', 'start'], _o = __read(_m, 2), overlayX = _o[0], overlayFallbackX = _o[1], _m), 2), originX = _p[0], originFallbackX = _p[1];
                        break;
                    case 'top':
                        _s = __read((_q = ['top', 'bottom'], _r = __read(_q, 2), overlayY = _r[0], overlayFallbackY = _r[1], _q), 2), originY = _s[0], originFallbackY = _s[1];
                        break;
                    case 'bottom':
                        _v = __read((_t = ['bottom', 'top'], _u = __read(_t, 2), overlayY = _u[0], overlayFallbackY = _u[1], _t), 2), originY = _v[0], originFallbackY = _v[1];
                        break;
                    case 'center':
                        if (['bottom', 'top'].includes(side)) {
                            originX = overlayX = 'center';
                            originFallbackX = overlayFallbackX = 'start';
                            originFallbackX2 = overlayFallbackX2 = 'end';
                        }
                        else {
                            originY = overlayY = 'center';
                            originFallbackY = overlayFallbackY = 'top';
                            originFallbackY2 = overlayFallbackY2 = 'bottom';
                        }
                        break;
                }
                if (this.triggersSubmenu()) {
                    if (side !== 'left') {
                        _w = __read(['end', 'start'], 2), originX = _w[0], originFallbackX = _w[1];
                        _x = __read(['start', 'end'], 2), overlayX = _x[0], overlayFallbackX = _x[1];
                    }
                    else {
                        _y = __read(['start', 'end'], 2), originX = _y[0], originFallbackX = _y[1];
                        _z = __read(['end', 'start'], 2), overlayX = _z[0], overlayFallbackX = _z[1];
                    }
                    originY = originFallbackY = overlayY = overlayFallbackY = 'top';
                }
                /** @type {?} */
                var positions = [
                    { originX: originX, originY: originY, overlayX: overlayX, overlayY: overlayY, offsetY: offsetY },
                    {
                        originX: originFallbackX,
                        originY: originY,
                        overlayX: overlayFallbackX,
                        overlayY: overlayY, offsetY: offsetY
                    },
                    {
                        originX: originX,
                        originY: originFallbackY,
                        overlayX: overlayX,
                        overlayY: overlayFallbackY,
                        offsetY: -offsetY
                    },
                    {
                        originX: originFallbackX,
                        originY: originFallbackY,
                        overlayX: overlayFallbackX,
                        overlayY: overlayFallbackY,
                        offsetY: -offsetY
                    }
                ];
                if (originFallbackX2 && overlayFallbackX2 && !this.triggersSubmenu()) {
                    positions = positions.concat([
                        {
                            originX: originFallbackX2,
                            originY: originY,
                            overlayX: overlayFallbackX2,
                            overlayY: overlayY, offsetY: offsetY
                        },
                        {
                            originX: originFallbackX2,
                            originY: originFallbackY,
                            overlayX: overlayFallbackX2,
                            overlayY: overlayFallbackY,
                            offsetY: -offsetY
                        }
                    ]);
                }
                if (originFallbackY2 && overlayFallbackY2 && !this.triggersSubmenu()) {
                    positions = positions.concat([
                        {
                            originX: originX,
                            originY: originFallbackY2,
                            overlayX: overlayX,
                            overlayY: overlayFallbackY2,
                            offsetY: -offsetY
                        },
                        {
                            originX: originFallbackX,
                            originY: originFallbackY2,
                            overlayX: overlayFallbackX,
                            overlayY: overlayFallbackY2,
                            offsetY: -offsetY
                        }
                    ]);
                }
                positionStrategy.withPositions(positions);
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._cleanUpSubscriptions = /**
         * @private
         * @return {?}
         */
            function () {
                this._closingActionsSubscription.unsubscribe();
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._menuClosingActions = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var backdrop = this._overlayRef.backdropClick();
                /** @type {?} */
                var detachments = this._overlayRef.detachments();
                if (this._parentMenu) {
                    /** @type {?} */
                    var parentClose = this._parentMenu.closed;
                    return rxjs.merge(backdrop, detachments, parentClose);
                }
                else {
                    return rxjs.merge(backdrop, detachments);
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        MenuTriggerDirective.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (this.triggersSubmenu()) {
                    event.stopPropagation();
                    this.openMenu();
                }
                else {
                    this.toggleMenu();
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        MenuTriggerDirective.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (this.triggersSubmenu() && (event.code === 'ArrowRight' ||
                    event.code === 'ArrowLeft' ||
                    event.code === 'Enter' ||
                    event.code === 'Space')) {
                    this.openMenu();
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        MenuTriggerDirective.prototype.onMousedown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this._openedBy = event.button === 0 ? 'mouse' : null;
                if (this.triggersSubmenu()) {
                    event.preventDefault();
                }
            };
        /**
         * @private
         * @return {?}
         */
        MenuTriggerDirective.prototype._getPortal = /**
         * @private
         * @return {?}
         */
            function () {
                if (!this._portal || this._portal.templateRef !== this.menu.templateRef) {
                    this._portal = new portal.TemplatePortal(this.menu.templateRef, this._viewContainerRef);
                }
                return this._portal;
            };
        MenuTriggerDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: "[mdMenuTriggerFor]",
                        host: {
                            'aria-haspopup': 'true',
                            '[attr.aria-expanded]': 'menuOpen || null',
                            '(click)': 'onClick($event)',
                            '(keydown)': 'onKeydown($event)',
                            '(mousedown)': 'onMousedown($event)',
                        }
                    },] }
        ];
        /** @nocollapse */
        MenuTriggerDirective.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i0.ElementRef },
                { type: i0.ViewContainerRef },
                { type: MenuComponent, decorators: [{ type: i0.Optional }] },
                { type: MenuItemComponent, decorators: [{ type: i0.Optional }, { type: i0.Self }] },
                { type: a11y.FocusMonitor }
            ];
        };
        MenuTriggerDirective.propDecorators = {
            menu: [{ type: i0.Input, args: ['mdMenuTriggerFor',] }],
            menuOpened: [{ type: i0.Output }],
            menuClosed: [{ type: i0.Output }]
        };
        return MenuTriggerDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuModule = /** @class */ (function () {
        function MenuModule() {
        }
        /**
         * @return {?}
         */
        MenuModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: MenuModule,
                    providers: [],
                };
            };
        MenuModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            IconModule,
                            ListItemModule,
                            i1.OverlayModule,
                        ],
                        declarations: [
                            MenuComponent,
                            MenuContentComponent,
                            MenuItemComponent,
                            MenuTriggerDirective,
                        ],
                        exports: [
                            MenuComponent,
                            MenuContentComponent,
                            MenuItemComponent,
                            MenuTriggerDirective,
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return MenuModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var /**
     * @template T
     */ ModalRef = /** @class */ (function () {
        function ModalRef(overlay, content, data, backdropClickExit) {
            var _this = this;
            this.overlay = overlay;
            this.content = content;
            this.data = data;
            this.backdropClickExit = backdropClickExit;
            this.onHide = new rxjs.Subject();
            this.onHide$ = this.onHide.asObservable();
            if (backdropClickExit) {
                overlay.backdropClick().subscribe(( /**
                 * @return {?}
                 */function () {
                    _this._close('backdropClick', null);
                }));
            }
        }
        /**
         * @param {?=} data
         * @return {?}
         */
        ModalRef.prototype.close = /**
         * @param {?=} data
         * @return {?}
         */
            function (data) {
                this._close('close', data);
            };
        /**
         * @private
         * @param {?} type
         * @param {?=} data
         * @return {?}
         */
        ModalRef.prototype._close = /**
         * @private
         * @param {?} type
         * @param {?=} data
         * @return {?}
         */
            function (type, data) {
                this.overlay.detach();
                this.onHide.next({
                    type: type,
                    data: data
                });
                this.onHide.complete();
            };
        return ModalRef;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalComponent = /** @class */ (function () {
        function ModalComponent(modalRef, _elRef, _focusTrapFactory) {
            this.modalRef = modalRef;
            this._elRef = _elRef;
            this._focusTrapFactory = _focusTrapFactory;
            /**
             * \@prop Determines the visibility and ability to edit the backdrop of the Modal | true
             */
            this.backdrop = true;
            /**
             * \@prop size of the modal | 'default'
             */
            this.sizeType = 'default';
            /**
             * \@prop htmlId for modal | 'md-modal'
             */
            this.htmlId = 'md-modal';
            /**
             * \@prop ariaLabel for modal | ''
             */
            this.ariaLabel = '';
        }
        Object.defineProperty(ModalComponent.prototype, "class", {
            get: /**
             * @return {?}
             */ function () {
                return this._classList;
            },
            /** @propptional css class names | '' */
            set: /**
             * \@propptional css class names | ''
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._classList = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ModalComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                this._trapFocus();
            };
        /**
         * @return {?}
         */
        ModalComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.content = this.modalRef.content;
                this.context = {
                    close: this.modalRef.close.bind(this.modalRef)
                };
            };
        /**
         * @private
         * @return {?}
         */
        ModalComponent.prototype._trapFocus = /**
         * @private
         * @return {?}
         */
            function () {
                // creates a focus trap region
                /** @type {?} */
                var focusTrap = this._focusTrapFactory.create(this._elRef.nativeElement);
                // Moves the focus in the form (by default the first field)
                focusTrap.focusInitialElement();
            };
        ModalComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-modal',
                        template: "\n    <div\n      role=\"dialog\"\n      id=\"{{htmlId}}\"\n      class=\"md-modal md-modal--{{sizeType}} in {{class}}\"\n      attr.aria-labelledby=\"{{ariaLabel}}\"\n      aria-modal=\"true\"\n    >\n      <div class=\"md-modal__content\" cdkTrapFocus >\n        <div class=\"md-modal__flex-container\">\n          <ng-content></ng-content>\n        </div>\n      </div>\n    </div>\n  ",
                        styles: ["\n  .md-modal.md-modal--full {\n      position: static;\n    }\n  "]
                    }] }
        ];
        /** @nocollapse */
        ModalComponent.ctorParameters = function () {
            return [
                { type: ModalRef },
                { type: i0.ElementRef },
                { type: a11y.FocusTrapFactory }
            ];
        };
        ModalComponent.propDecorators = {
            backdrop: [{ type: i0.Input }],
            class: [{ type: i0.Input }],
            sizeType: [{ type: i0.Input }],
            htmlId: [{ type: i0.Input }],
            ariaLabel: [{ type: i0.Input }],
            data: [{ type: i0.Input }]
        };
        return ModalComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalBodyComponent = /** @class */ (function () {
        function ModalBodyComponent() {
            /**
             * \@prop css class names | '' | ''
             */
            this.class = '';
        }
        Object.defineProperty(ModalBodyComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return 'md-modal__body' + ("" + ((this.class && " " + this.class) || '')) + "";
            },
            enumerable: true,
            configurable: true
        });
        ModalBodyComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-modal-body',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        ModalBodyComponent.propDecorators = {
            class: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return ModalBodyComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalFooterComponent = /** @class */ (function () {
        function ModalFooterComponent() {
            /**
             * \@prop css class names | '' | ''
             */
            this.class = '';
        }
        Object.defineProperty(ModalFooterComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-modal__footer' + ("" + ((this.class && " " + this.class) || '')) + "");
            },
            enumerable: true,
            configurable: true
        });
        ModalFooterComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-modal-footer',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        ModalFooterComponent.propDecorators = {
            class: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return ModalFooterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalHeaderComponent = /** @class */ (function () {
        function ModalHeaderComponent(modalRef) {
            this.modalRef = modalRef;
            /**
             * \@prop Optional css class string | ''
             */
            this.class = '';
            /**
             * \@prop ModalHeader label text | ''
             */
            this.headerLabel = '';
            /**
             * \@prop Modal message | ''
             */
            this.message = '';
            /**
             * \@prop show/hide close button | true
             */
            this.showCloseButton = true;
        }
        Object.defineProperty(ModalHeaderComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-modal__header' + ("" + ((this.class && " " + this.class) || '')) + "");
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} _
         * @return {?}
         */
        ModalHeaderComponent.prototype.handleKeydown = /**
         * @param {?} _
         * @return {?}
         */
            function (_) {
                this.close();
            };
        /**
         * @return {?}
         */
        ModalHeaderComponent.prototype.close = /**
         * @return {?}
         */
            function () {
                this.modalRef.close();
            };
        ModalHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-modal-header',
                        template: "\n  <span class=\"md-modal__title\">{{headerLabel}}</span>\n  <span *ngIf=\"message\" class=\"md-modal__message\">{{\n    message\n  }}</span>\n  <button\n    *ngIf=\"showCloseButton\"\n    class=\"md-close md-modal__close\"\n    (click)=\"close()\"\n    (keydown)=\"handleKeydown($event)\"\n    aria-label=\"close\"\n  >\n  </button>\n  "
                    }] }
        ];
        /** @nocollapse */
        ModalHeaderComponent.ctorParameters = function () {
            return [
                { type: ModalRef }
            ];
        };
        ModalHeaderComponent.propDecorators = {
            class: [{ type: i0.Input }],
            headerLabel: [{ type: i0.Input }],
            message: [{ type: i0.Input }],
            showCloseButton: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }],
            handleKeydown: [{ type: i0.HostListener, args: ['document:keydown.escape', ['$event'],] }]
        };
        return ModalHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalContainerComponent = /** @class */ (function () {
        function ModalContainerComponent(modalRef) {
            this.modalRef = modalRef;
        }
        /**
         * @return {?}
         */
        ModalContainerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.content = this.modalRef.content;
                this.context = {
                    close: this.modalRef.close.bind(this.modalRef)
                };
            };
        ModalContainerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-modal-container',
                        template: "\n  <ng-container>\n    <ng-container *ngComponentOutlet=\"content\"></ng-container>\n  </ng-container>\n  "
                    }] }
        ];
        /** @nocollapse */
        ModalContainerComponent.ctorParameters = function () {
            return [
                { type: ModalRef }
            ];
        };
        return ModalContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalService = /** @class */ (function () {
        function ModalService(overlay, injector) {
            this.overlay = overlay;
            this.injector = injector;
        }
        /**
         * @param {?} __0
         * @return {?}
         */
        ModalService.prototype.open = /**
         * @param {?} __0
         * @return {?}
         */
            function (_a) {
                var content = _a.content, data = _a.data, backdrop = _a.backdrop, backdropClickExit = _a.backdropClickExit;
                // set defaults if not set
                if (typeof backdropClickExit === 'undefined') {
                    backdropClickExit = true;
                }
                /** @type {?} */
                var strategy = this.overlay
                    .position()
                    .global()
                    .centerHorizontally()
                    .centerVertically();
                /** @type {?} */
                var config = new i1.OverlayConfig({
                    hasBackdrop: true,
                    positionStrategy: strategy,
                });
                /** @type {?} */
                var overlayRef = this.overlay.create(config);
                /** @type {?} */
                var modalRef = new ModalRef(overlayRef, content, data, backdropClickExit);
                /** @type {?} */
                var injector = this.createInjector(modalRef, this.injector);
                overlayRef.attach(new portal.ComponentPortal(ModalContainerComponent, null, injector));
                return modalRef;
            };
        /**
         * @param {?} modalRef
         * @param {?} injector
         * @return {?}
         */
        ModalService.prototype.createInjector = /**
         * @param {?} modalRef
         * @param {?} injector
         * @return {?}
         */
            function (modalRef, injector) {
                /** @type {?} */
                var tokens = new WeakMap([[ModalRef, modalRef]]);
                return new portal.PortalInjector(injector, tokens);
            };
        ModalService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        ModalService.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i0.Injector }
            ];
        };
        /** @nocollapse */ ModalService.ngInjectableDef = i0.defineInjectable({ factory: function ModalService_Factory() { return new ModalService(i0.inject(i1.Overlay), i0.inject(i0.INJECTOR)); }, token: ModalService, providedIn: "root" });
        return ModalService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModalModule = /** @class */ (function () {
        function ModalModule() {
        }
        /**
         * @return {?}
         */
        ModalModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ModalModule,
                    providers: [],
                };
            };
        ModalModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [
                            ModalComponent,
                            ModalBodyComponent,
                            ModalFooterComponent,
                            ModalHeaderComponent,
                            ModalContainerComponent
                        ],
                        imports: [
                            common.CommonModule,
                            a11y.A11yModule,
                            i1.OverlayModule
                        ],
                        exports: [
                            ModalComponent,
                            ModalBodyComponent,
                            ModalFooterComponent,
                            ModalHeaderComponent,
                            ModalContainerComponent
                        ],
                        entryComponents: [ModalContainerComponent],
                        providers: [ModalService],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ModalModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:no-use-before-declare
    /** @type {?} */
    var CUSTOM_RADIO_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return RadioComponent; })),
        multi: true,
    };
    // tslint:enable:no-use-before-declare
    var RadioComponent = /** @class */ (function () {
        function RadioComponent(cdr, elementRef) {
            this.cdr = cdr;
            this.elementRef = elementRef;
            /**
             * \@option Optional CSS class name on individual radio input | ''
             */
            this.className = '';
            /**
             * \@option Sets the attribute disabled to the Radio | false
             */
            this.disabled = false;
            /**
             * \@option Help Text to appear under the radio | ''
             */
            this.helpText = '';
            /**
             * \@option Unique HTML ID used for tying label to HTML input for automated testing
             */
            this.htmlId = '';
            /**
             * \@option Radio label text | ''
             */
            this.label = '';
            /**
             * \@option Radio name for group | ''
             */
            this.name = '';
            /**
             * \@option String value that corresponds with Radio button | ''
             */
            this.value = '';
            /**
             * \@option Callback function invoked when user clicks the Radio button | null
             */
            this.radioClick = new i0.EventEmitter();
            this.onChangeCallback = ( /**
             * @return {?}
             */function () { });
            this.onTouchedCallback = ( /**
             * @return {?}
             */function () { });
        }
        Object.defineProperty(RadioComponent.prototype, "nestedLevel", {
            set: /**
             * @param {?} nestedLevel
             * @return {?}
             */ function (nestedLevel) {
                if (this._nestedLevel) {
                    this.elementRef.nativeElement.classList.remove("md-input--nested-" + this._nestedLevel);
                }
                this.elementRef.nativeElement.classList.add("md-input--nested-" + nestedLevel);
                this._nestedLevel = nestedLevel;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} e
         * @return {?}
         */
        RadioComponent.prototype.onToggle = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (!this.disabled) {
                    this.radioViewChild.nativeElement.checked = true;
                    this.checked = true;
                    this.onChangeCallback(this.value);
                    this.radioClick.emit(e);
                }
            };
        /**
         * @param {?} value
         * @return {?}
         */
        RadioComponent.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                this.checked = value === this.value;
                if (this.radioViewChild.nativeElement) {
                    this.radioViewChild.nativeElement.checked = this.checked;
                }
                this.cdr.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        RadioComponent.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onTouchedCallback = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        RadioComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onChangeCallback = fn;
            };
        /**
         * @param {?} isDisabled
         * @return {?}
         */
        RadioComponent.prototype.setDisabledState = /**
         * @param {?} isDisabled
         * @return {?}
         */
            function (isDisabled) {
                this.disabled = isDisabled;
            };
        RadioComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-radio',
                        template: "\n    <input\n      class=\"md-input md-radio__input\"\n      [ngClass]=\"[className]\"\n      type=\"radio\"\n      #radioInput\n      (change)=\"onToggle($event)\"\n      [attr.id]=\"htmlId\"\n      [attr.name]=\"name\"\n      [attr.tabindex]=\"tabIndex\"\n      [attr.value]=\"value\"\n      [checked]=\"checked\"\n      [disabled]=\"disabled\"\n    />\n\n    <label class=\"md-radio__label\" (radioClick)=\"onToggle($event)\" [attr.for]=\"htmlId\">\n      <span>{{ label }}</span>\n    </label>\n    <md-input-helper *ngIf=\"helpText\">{{ helpText }}</md-input-helper>\n    <ng-content></ng-content>\n  ",
                        providers: [CUSTOM_RADIO_VALUE_ACCESSOR],
                        host: {
                            class: 'md-input-container md-radio',
                        }
                    }] }
        ];
        /** @nocollapse */
        RadioComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef },
                { type: i0.ElementRef }
            ];
        };
        RadioComponent.propDecorators = {
            className: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            helpText: [{ type: i0.Input }],
            htmlId: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            name: [{ type: i0.Input }],
            tabIndex: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            nestedLevel: [{ type: i0.Input }],
            radioClick: [{ type: i0.Output }],
            radioViewChild: [{ type: i0.ViewChild, args: ['radioInput',] }]
        };
        return RadioComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RadioModule = /** @class */ (function () {
        function RadioModule() {
        }
        /**
         * @return {?}
         */
        RadioModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: RadioModule,
                    providers: [],
                };
            };
        RadioModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [RadioComponent],
                        imports: [common.CommonModule, forms.FormsModule, forms.ReactiveFormsModule, InputHelperModule],
                        exports: [RadioComponent],
                    },] }
        ];
        return RadioModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:no-use-before-declare
    /** @type {?} */
    var CUI_SLIDER_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return SliderComponent; })),
        multi: true,
    };
    var SliderComponent = /** @class */ (function () {
        function SliderComponent(changeDetectorRef) {
            this.changeDetectorRef = changeDetectorRef;
            /**
             * \@option Determines if minimum pointer can cross over maximum pointer | false
             */
            this.canCross = false;
            /**
             * \@option Set the attribute disabled to Slider | false
             */
            this.disabled = false;
            /**
             * \@option Set the initial minimum value | 0
             */
            this.min = 0;
            /**
             * \@option Set visual step measurement | 1
             */
            this.step = 1;
            /**
             * \@option Set increment of x-axis labels | 0
             */
            this.tick = 0;
            /**
             * Event emitted when change a pointer position
             */
            this.change = new i0.EventEmitter();
            this._value = 0;
        }
        Object.defineProperty(SliderComponent.prototype, "value", {
            /** @option Set either maximum pointer value or a combination of high and low pointer values | 0 */
            get: /**
             * \@option Set either maximum pointer value or a combination of high and low pointer values | 0
             * @return {?}
             */ function () {
                return this._value;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this._value !== value) {
                    this._value = value;
                    this.sliderLow =
                        (isObject(this.value) && (( /** @type {?} */(this.value))).low) || this.min;
                    this.sliderHigh =
                        (isObject(this.value) && (( /** @type {?} */(this.value))).high) ||
                            (( /** @type {?} */(this.value)));
                    this.returnCurrentValues();
                    this.changeDetectorRef.markForCheck();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SliderComponent.prototype, "sliderLow", {
            get: /**
             * @return {?}
             */ function () {
                return this._sliderLow;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._sliderLow = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SliderComponent.prototype, "sliderHigh", {
            get: /**
             * @return {?}
             */ function () {
                return this._sliderHigh;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._sliderHigh = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SliderComponent.prototype, "sliderLowPosition", {
            get: /**
             * @return {?}
             */ function () {
                return ((this.sliderLow - this.min) / (this.max - this.min)) * 100;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SliderComponent.prototype, "sliderHighPosition", {
            get: /**
             * @return {?}
             */ function () {
                return ((this.sliderHigh - this.min) / (this.max - this.min)) * 100;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} _
         * @return {?}
         */
        SliderComponent.prototype._change = /**
         * @private
         * @param {?} _
         * @return {?}
         */
            function (_) { };
        /**
         * @return {?}
         */
        SliderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (!this.max) {
                    throw new Error('Initial maximum(max) value is required');
                }
                this.isObject = isObject;
                this.scale = [this.min, this.max];
                this.getScale(this.min, this.max, this.tick);
                this.getSelectionWidth();
            };
        /**
         * @return {?}
         */
        SliderComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                this.setScalePos(this.scale, this.min, this.max);
            };
        /**
         * @param {?} value
         * @return {?}
         */
        SliderComponent.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (value !== null) {
                    this.value = value;
                }
            };
        /**
         * @param {?} disabled
         * @return {?}
         */
        SliderComponent.prototype.setDisabledState = /**
         * @param {?} disabled
         * @return {?}
         */
            function (disabled) {
                this.disabled = disabled;
                this.changeDetectorRef.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        SliderComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this._change = fn;
            };
        /**
         * @param {?} _
         * @return {?}
         */
        SliderComponent.prototype.registerOnTouched = /**
         * @param {?} _
         * @return {?}
         */
            function (_) { };
        /**
         * @param {?} scale
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
        SliderComponent.prototype.setScalePos = /**
         * @param {?} scale
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
            function (scale, min, max) {
                this.ticksContainer.nativeElement
                    .querySelectorAll('span')
                    .forEach(( /**
             * @param {?} child
             * @param {?} idx
             * @return {?}
             */function (child, idx) {
                    /** @type {?} */
                    var leftValue = ((scale[idx] - min) / max) * 100 + "%";
                    child.style.left = "calc(" + leftValue + " - " + child.offsetWidth / 2 + "px)";
                }));
            };
        /**
         * @param {?=} low
         * @param {?=} high
         * @param {?=} tick
         * @return {?}
         */
        SliderComponent.prototype.getScale = /**
         * @param {?=} low
         * @param {?=} high
         * @param {?=} tick
         * @return {?}
         */
            function (low, high, tick) {
                if (low === void 0) {
                    low = 0;
                }
                if (this.tick > 0) {
                    /** @type {?} */
                    var value = high;
                    /** @type {?} */
                    var ticksArray = [high];
                    while (value > 0 && value - tick >= low) {
                        value -= tick;
                        ticksArray.unshift(Math.abs(Math.round(value / tick) * tick));
                    }
                    this.scale = ticksArray;
                }
            };
        /**
         * @return {?}
         */
        SliderComponent.prototype.getSliderWidth = /**
         * @return {?}
         */
            function () {
                return this.sliderBar.nativeElement.getBoundingClientRect().width;
            };
        /**
         * @return {?}
         */
        SliderComponent.prototype.getStepWidth = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var maxValue = this.max - this.min;
                /** @type {?} */
                var maxWidth = this.getSliderWidth();
                return (this.step / maxValue) * maxWidth;
            };
        /**
         * @param {?} position
         * @return {?}
         */
        SliderComponent.prototype.getSteps = /**
         * @param {?} position
         * @return {?}
         */
            function (position) {
                if (position.isKeyBoard) {
                    return 1;
                }
                /** @type {?} */
                var diff = position.direction === 1
                    ? position.to - position.from
                    : position.from - position.to;
                if (diff < 0) {
                    return 0;
                }
                /** @type {?} */
                var steps = diff / this.getStepWidth();
                return steps - Math.floor(steps) >= 0.5
                    ? Math.ceil(steps)
                    : Math.floor(steps);
            };
        /**
         * @param {?} pointerKey
         * @param {?} direction
         * @return {?}
         */
        SliderComponent.prototype.getLimit = /**
         * @param {?} pointerKey
         * @param {?} direction
         * @return {?}
         */
            function (pointerKey, direction) {
                if (pointerKey === 'sliderLow') {
                    return this.canCross
                        ? direction === 1
                            ? this.max
                            : this.min
                        : direction === 1
                            ? this.sliderHigh
                            : this.min;
                }
                else if (pointerKey === 'sliderHigh') {
                    return this.canCross
                        ? direction === 1
                            ? this.max
                            : this.min
                        : direction === 1
                            ? this.max
                            : this.sliderLow;
                }
            };
        /**
         * @return {?}
         */
        SliderComponent.prototype.returnCurrentValues = /**
         * @return {?}
         */
            function () {
                this.getSelectionWidth();
                /** @type {?} */
                var value = isObject(this.value)
                    ? {
                        low: Math.min(this.sliderHigh, this.sliderLow),
                        high: Math.max(this.sliderHigh, this.sliderLow),
                    }
                    : this.sliderHigh;
                this._change(value);
                this.change.emit(value);
            };
        /**
         * @param {?} key
         * @param {?} pixelMove
         * @param {?} limit
         * @return {?}
         */
        SliderComponent.prototype.moveForward = /**
         * @param {?} key
         * @param {?} pixelMove
         * @param {?} limit
         * @return {?}
         */
            function (key, pixelMove, limit) {
                /** @type {?} */
                var newPosition = this[key] + pixelMove <= limit ? this[key] + pixelMove : limit;
                this[key] = newPosition;
                this.returnCurrentValues();
            };
        /**
         * @param {?} key
         * @param {?} pixelMove
         * @param {?} limit
         * @return {?}
         */
        SliderComponent.prototype.moveBack = /**
         * @param {?} key
         * @param {?} pixelMove
         * @param {?} limit
         * @return {?}
         */
            function (key, pixelMove, limit) {
                /** @type {?} */
                var newPosition = this[key] - pixelMove >= limit ? this[key] - pixelMove : limit;
                this[key] = newPosition;
                this.returnCurrentValues();
            };
        /**
         * @param {?} key
         * @param {?} position
         * @return {?}
         */
        SliderComponent.prototype.onSliderMove = /**
         * @param {?} key
         * @param {?} position
         * @return {?}
         */
            function (key, position) {
                if (this.disabled) {
                    return;
                }
                /** @type {?} */
                var limit = this.getLimit(key, position.direction);
                /** @type {?} */
                var pixelMove = this.getSteps(position) * this.step;
                position.direction === 1
                    ? this.moveForward(key, pixelMove, limit)
                    : this.moveBack(key, pixelMove, limit);
            };
        /**
         * @return {?}
         */
        SliderComponent.prototype.getSelectionWidth = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var baseValue = Number.isInteger(this.sliderLow)
                    ? this.sliderLow
                    : this.min;
                this.selectionLeft =
                    ((Math.min(baseValue, this.sliderHigh) - this.min) / this.max) * 100;
                this.selectionWidth =
                    (Math.abs(this.sliderHigh - baseValue) / this.max) * 100;
            };
        SliderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-slider',
                        template: "\n    <span #sliderBar class=\"md-slider__bar\"></span>\n    <span\n      class=\"md-slider__selection\"\n      [ngStyle]=\"{ 'left.%': selectionLeft, 'width.%': selectionWidth }\"\n    ></span>\n    <md-slider-pointer\n      *ngIf=\"isObject(value)\"\n      [position]=\"sliderLowPosition\"\n      (move)=\"onSliderMove('sliderLow', $event)\"\n    ></md-slider-pointer>\n    <md-slider-pointer\n      [position]=\"sliderHighPosition\"\n      (move)=\"onSliderMove('sliderHigh', $event)\"\n    ></md-slider-pointer>\n    <div #ticksContainer>\n      <span *ngFor=\"let tickValue of scale\" class=\"md-slider__hashlabel\">{{\n        (translateFn && translateFn(tickValue)) || tickValue\n      }}</span>\n    </div>\n  ",
                        host: {
                            class: 'md-slider',
                            '[class.md-slider--disabled]': 'disabled',
                        },
                        providers: [CUI_SLIDER_VALUE_ACCESSOR]
                    }] }
        ];
        /** @nocollapse */
        SliderComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef }
            ];
        };
        SliderComponent.propDecorators = {
            canCross: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            max: [{ type: i0.Input }],
            min: [{ type: i0.Input }],
            step: [{ type: i0.Input }],
            tick: [{ type: i0.Input }],
            translateFn: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            change: [{ type: i0.Output }],
            sliderBar: [{ type: i0.ViewChild, args: ['sliderBar',] }],
            ticksContainer: [{ type: i0.ViewChild, args: ['ticksContainer',] }]
        };
        return SliderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SliderPointerComponent = /** @class */ (function () {
        function SliderPointerComponent(elementRef, _document) {
            var _this = this;
            this.elementRef = elementRef;
            /**
             * \@option Set Slider Pointer's position | 0
             */
            this.position = 0;
            /**
             * Event emitted when user moves the Slider Pointer
             */
            this.move = new i0.EventEmitter();
            this.onMousemove = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                /** @type {?} */
                var xPos = event.clientX;
                /** @type {?} */
                var direction = _this.getDirections(xPos);
                _this.move.emit({
                    from: _this.elementRef.nativeElement.getBoundingClientRect().left,
                    to: xPos,
                    direction: direction,
                    isKeyBoard: false,
                });
            });
            this.onMouseup = ( /**
             * @param {?} _
             * @return {?}
             */function (_) {
                _this._document.removeEventListener('mousemove', _this.onMousemove);
                _this._document.removeEventListener('mouseup', _this.onMouseup);
            });
            this._document = _document;
        }
        Object.defineProperty(SliderPointerComponent.prototype, "left", {
            get: /**
             * @return {?}
             */ function () {
                return this.position;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} currentPos
         * @return {?}
         */
        SliderPointerComponent.prototype.getDirections = /**
         * @param {?} currentPos
         * @return {?}
         */
            function (currentPos) {
                if (currentPos > this._previousPosition) {
                    return 1;
                }
                return -1;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SliderPointerComponent.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                switch (event.code) {
                    case 'ArrowUp':
                    case 'ArrowRight':
                        this.move.emit({
                            direction: 1,
                            isKeyBoard: true,
                        });
                        event.preventDefault();
                        break;
                    case 'ArrowDown':
                    case 'ArrowLeft':
                        this.move.emit({
                            direction: -1,
                            isKeyBoard: true,
                        });
                        event.preventDefault();
                        break;
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SliderPointerComponent.prototype.onMousedown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this._document.addEventListener('mousemove', this.onMousemove);
                this._document.addEventListener('mouseup', this.onMouseup);
                this._previousPosition = event.clientX;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SliderPointerComponent.prototype.onTouchstart = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this._previousPosition = event.touches[0].clientX;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SliderPointerComponent.prototype.onTouchmove = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var xPos = event.touches[0].clientX;
                /** @type {?} */
                var direction = this.getDirections(xPos);
                this.move.emit({
                    from: this.elementRef.nativeElement.getBoundingClientRect().left,
                    to: xPos,
                    direction: direction,
                    isKeyBoard: false,
                });
            };
        SliderPointerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-slider-pointer',
                        template: "",
                        host: {
                            class: 'md-slider__pointer',
                            role: 'button',
                            tabindex: '0',
                            '(keydown)': 'onKeydown($event)',
                            '(mousedown)': 'onMousedown($event)',
                            '(touchstart)': 'onTouchstart($event)',
                            '(touchmove)': 'onTouchmove($event)',
                        }
                    }] }
        ];
        /** @nocollapse */
        SliderPointerComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: undefined, decorators: [{ type: i0.Inject, args: [common.DOCUMENT,] }] }
            ];
        };
        SliderPointerComponent.propDecorators = {
            position: [{ type: i0.Input }],
            move: [{ type: i0.Output }],
            left: [{ type: i0.HostBinding, args: ['style.left.%',] }]
        };
        return SliderPointerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SliderModule = /** @class */ (function () {
        function SliderModule() {
        }
        /**
         * @return {?}
         */
        SliderModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SliderModule,
                    providers: [],
                };
            };
        SliderModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SliderComponent, SliderPointerComponent],
                        imports: [common.CommonModule],
                        exports: [SliderComponent],
                    },] }
        ];
        return SliderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FilterUtils = /** @class */ (function () {
        function FilterUtils() {
        }
        /**
         * @param {?} valuesToFilter
         * @param {?} filterFieldKeys
         * @param {?} filterValue
         * @param {?} filterMode
         * @return {?}
         */
        FilterUtils.filter = /**
         * @param {?} valuesToFilter
         * @param {?} filterFieldKeys
         * @param {?} filterValue
         * @param {?} filterMode
         * @return {?}
         */
            function (valuesToFilter, filterFieldKeys, filterValue, filterMode) {
                var e_1, _a, e_2, _b;
                /** @type {?} */
                var filteredItems = [];
                /** @type {?} */
                var filterText = filterValue.toLowerCase();
                /** @type {?} */
                var fieldValue;
                if (valuesToFilter) {
                    try {
                        for (var valuesToFilter_1 = __values(valuesToFilter), valuesToFilter_1_1 = valuesToFilter_1.next(); !valuesToFilter_1_1.done; valuesToFilter_1_1 = valuesToFilter_1.next()) {
                            var item = valuesToFilter_1_1.value;
                            try {
                                for (var filterFieldKeys_1 = __values(filterFieldKeys), filterFieldKeys_1_1 = filterFieldKeys_1.next(); !filterFieldKeys_1_1.done; filterFieldKeys_1_1 = filterFieldKeys_1.next()) {
                                    var field = filterFieldKeys_1_1.value;
                                    if (field === 'label') {
                                        fieldValue = String(item[field]).toLowerCase();
                                    }
                                    else {
                                        fieldValue = String(item['value'][field]).toLowerCase();
                                    }
                                    if (FilterUtils[filterMode](fieldValue, filterText)) {
                                        filteredItems.push(item);
                                        break;
                                    }
                                }
                            }
                            catch (e_2_1) {
                                e_2 = { error: e_2_1 };
                            }
                            finally {
                                try {
                                    if (filterFieldKeys_1_1 && !filterFieldKeys_1_1.done && (_b = filterFieldKeys_1.return))
                                        _b.call(filterFieldKeys_1);
                                }
                                finally {
                                    if (e_2)
                                        throw e_2.error;
                                }
                            }
                        }
                    }
                    catch (e_1_1) {
                        e_1 = { error: e_1_1 };
                    }
                    finally {
                        try {
                            if (valuesToFilter_1_1 && !valuesToFilter_1_1.done && (_a = valuesToFilter_1.return))
                                _a.call(valuesToFilter_1);
                        }
                        finally {
                            if (e_1)
                                throw e_1.error;
                        }
                    }
                }
                return filteredItems;
            };
        /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
        FilterUtils.startsWith = /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
            function (value, filter) {
                if (filter === undefined || filter === null || filter.trim() === '') {
                    return true;
                }
                if (value === undefined || value === null) {
                    return false;
                }
                /** @type {?} */
                var filterValue = filter.toString().toLowerCase();
                /** @type {?} */
                var stringValue = value.toString().toLowerCase();
                return stringValue.slice(0, filterValue.length) === filterValue;
            };
        /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
        FilterUtils.contains = /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
            function (value, filter) {
                if (filter === undefined || filter === null || (typeof filter === 'string' && filter.trim() === '')) {
                    return true;
                }
                if (value === undefined || value === null) {
                    return false;
                }
                /** @type {?} */
                var filterValue = filter.toString().toLowerCase();
                /** @type {?} */
                var stringValue = value.toString().toLowerCase();
                return stringValue.indexOf(filterValue) !== -1;
            };
        /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
        FilterUtils.endsWith = /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
            function (value, filter) {
                if (filter === undefined || filter === null || filter.trim() === '') {
                    return true;
                }
                if (value === undefined || value === null) {
                    return false;
                }
                /** @type {?} */
                var filterValue = filter.toString().toLowerCase();
                /** @type {?} */
                var stringValue = value.toString().toLowerCase();
                return stringValue.indexOf(filterValue, stringValue.length - filterValue.length) !== -1;
            };
        /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
        FilterUtils.equals = /**
         * @param {?} value
         * @param {?} filter
         * @return {?}
         */
            function (value, filter) {
                if (filter === undefined || filter === null || (typeof filter === 'string' && filter.trim() === '')) {
                    return true;
                }
                if (value === undefined || value === null) {
                    return false;
                }
                return value.toString().toLowerCase() === filter.toString().toLowerCase();
            };
        return FilterUtils;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SelectService = /** @class */ (function () {
        function SelectService() {
            this.selectionSource = new rxjs.Subject();
            this.selectionSource$ = this.selectionSource.asObservable();
        }
        /**
         * @return {?}
         */
        SelectService.prototype.onSelectionChange = /**
         * @return {?}
         */
            function () {
                this.selectionSource.next();
            };
        SelectService.decorators = [
            { type: i0.Injectable }
        ];
        return SelectService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TableService = /** @class */ (function () {
        function TableService() {
            this.sortSource = new rxjs.Subject(); // used for sort icon arrow
            // used for sort icon arrow
            this.sortSource$ = this.sortSource.asObservable();
            this.dataSource = new rxjs.BehaviorSubject({});
            this.dataSource$ = this.dataSource.asObservable();
            this.dataCountSource = new rxjs.Subject();
            this.dataCountSource$ = this.dataCountSource.asObservable();
            this.columnsSource = new rxjs.Subject();
            this.columnsSource$ = this.columnsSource.asObservable();
            this.selectionSource = new rxjs.Subject();
            this.selectionSource$ = this.selectionSource.asObservable();
        }
        /**
         * @param {?} sortObj
         * @return {?}
         */
        TableService.prototype.afterSort = /**
         * @param {?} sortObj
         * @return {?}
         */
            function (sortObj) {
                this.sortSource.next(sortObj);
            };
        /**
         * @param {?} value
         * @return {?}
         */
        TableService.prototype.onDataChange = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                this.dataSource.next(value);
            };
        /**
         * @param {?} value
         * @return {?}
         */
        TableService.prototype.onDataCountChange = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                this.dataCountSource.next(value);
            };
        /**
         * @param {?} columns
         * @return {?}
         */
        TableService.prototype.onColumnsChange = /**
         * @param {?} columns
         * @return {?}
         */
            function (columns) {
                this.columnsSource.next(columns);
            };
        /**
         * @return {?}
         */
        TableService.prototype.onSelectionChange = /**
         * @return {?}
         */
            function () {
                this.selectionSource.next();
            };
        /**
         * @param {?} value
         * @param {?} rowIndex
         * @return {?}
         */
        TableService.prototype.onSelectChange = /**
         * @param {?} value
         * @param {?} rowIndex
         * @return {?}
         */
            function (value, rowIndex) {
                this.dataSource.value[rowIndex].status = value.status;
            };
        TableService.decorators = [
            { type: i0.Injectable }
        ];
        return TableService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TemplateNameDirective = /** @class */ (function () {
        function TemplateNameDirective(template) {
            this.template = template;
        }
        /**
         * @return {?}
         */
        TemplateNameDirective.prototype.getType = /**
         * @return {?}
         */
            function () {
                return this.name;
            };
        TemplateNameDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[mdTemplateName]',
                        host: {}
                    },] }
        ];
        /** @nocollapse */
        TemplateNameDirective.ctorParameters = function () {
            return [
                { type: i0.TemplateRef }
            ];
        };
        TemplateNameDirective.propDecorators = {
            type: [{ type: i0.Input }],
            name: [{ type: i0.Input, args: ['mdTemplateName',] }]
        };
        return TemplateNameDirective;
    }());
    var SharedModule = /** @class */ (function () {
        function SharedModule() {
        }
        SharedModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        exports: [TemplateNameDirective],
                        declarations: [TemplateNameDirective]
                    },] }
        ];
        return SharedModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var SELECT_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        // tslint:disable-next-line: no-use-before-declare
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return SelectComponent; })),
        multi: true
    };
    var SelectChange = /** @class */ (function () {
        function SelectChange(source, value) {
            this.source = source;
            this.value = value;
        }
        return SelectChange;
    }());
    var SelectComponent = /** @class */ (function () {
        function SelectComponent(selectService, tableService, el, cd) {
            var _this = this;
            this.selectService = selectService;
            this.tableService = tableService;
            this.el = el;
            this.cd = cd;
            this.overlayOpen = false;
            this.anchorWidth = null;
            this.selectionKeys = {}; // for adding and removing to multi-selection
            /**
             * \@prop set the scroll height of the overlay | ''
             */
            this.scrollHeight = '22rem';
            /**
             * \@prop show the filter search | false
             */
            this.filter = false;
            /**
             * \@prop set which key or keys the filter will use, filtering by multiple keys example: '[name, id]' | 'label'
             */
            this.filterBy = 'label';
            /**
             * \@prop set how the string should be filtered | 'contains'
             */
            this.filterMode = 'contains';
            /**
             * \@prop set the filter search placeholder | ''
             */
            this.filterPlaceholder = '';
            /**
             * \@prop set the aria-label on the filter input | ''
             */
            this.ariaFilterLabel = '';
            /**
             * \@prop dataKey can be used to find selected options from multi-select, otherwise findIndex will run
             */
            this.dataKey = null;
            /**
             * \@prop message to show when filter returns null | 'No Results Found'
             */
            this.noResultsMessage = 'No Results Found';
            /**
             * \@prop add optional css class to the overlay | null
             */
            this.overlayClass = null;
            /**
             * \@prop add search icon on the filter search input | true
             */
            this.hasSearchIcon = true;
            /**
             * \@prop set the inline style of the select button | null
             */
            this.buttonStyle = null;
            /**
             * \@prop Optional CSS button class name | ''
             */
            this.buttonClass = '';
            /**
             * \@prop Optional CSS class on each select option
             */
            this.optionClass = '';
            /**
             * \@prop Set the default value for the select | ''
             */
            this.defaultValue = '';
            /**
             * \@prop Disable the Select Component | false
             */
            this.disabled = false;
            /**
             * \@prop Set ID for Select Component | null
             */
            this.id = uniqueId('md-select-');
            /**
             * \@prop Optional prop to know if user is able to select multiple options | false
             */
            this.isMulti = false;
            /**
             * \@prop Optional prop to to set the setTimeout duration for closing the panel | false
             */
            this.closeDuration = 150;
            /**
             * \@prop emitter to fire the select option value change
             */
            this.handleChange = new i0.EventEmitter();
            /**
             * \@prop emitter to fire after showing the overlay select options panel
             */
            this.handleShow = new i0.EventEmitter();
            /**
             * \@prop emit function when multi-checked selection changes
             */
            this.selectionChange = new i0.EventEmitter();
            /**
             * \@prop emit function when row is checked
             */
            this.rowCheck = new i0.EventEmitter();
            /**
             * \@prop emit funciton when row is unchecked
             */
            this.rowUncheck = new i0.EventEmitter();
            /**
             * \@prop emit function when the filter value changes
             */
            this.filterValueChange = new i0.EventEmitter();
            /**
             * Handles keyboard events when the selected is open.
             */
            this._handleOpenKeydown = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (!_this.selectOptionsToDisplay || _this.selectOptionsToDisplay.length === null || !_this.overlayOpen) {
                    return;
                }
                // tslint:disable-next-line: deprecation
                /** @type {?} */
                var key = event.key || event.which || event.keyCode;
                /** @type {?} */
                var selectedItemIndex;
                switch (key) {
                    case 'ArrowDown':
                    case 40:
                        if (!_this.overlayOpen && event.altKey) {
                            _this.open();
                        }
                        else {
                            selectedItemIndex = _this.selectedOption ? _this.findSelectOptionIndex(_this.selectedOption.value, _this.selectOptionsToDisplay) : -1;
                            /** @type {?} */
                            var nextEnabledOption = _this.findNextOption(selectedItemIndex);
                            if (nextEnabledOption) {
                                _this.selectItem(event, nextEnabledOption);
                                _this.selectedItemUpdated = true;
                            }
                        }
                        event.preventDefault();
                        break;
                    case 'ArrowUp':
                    case 38:
                        selectedItemIndex = _this.selectedOption ? _this.findSelectOptionIndex(_this.selectedOption.value, _this.selectOptionsToDisplay) : -1;
                        /** @type {?} */
                        var prevEnabledOption = _this.findPrevOption(selectedItemIndex);
                        if (prevEnabledOption) {
                            _this.selectItem(event, prevEnabledOption);
                            _this.selectedItemUpdated = true;
                        }
                        event.preventDefault();
                        break;
                    case 'Enter':
                    case 13:
                        if (_this.selectOptionsToDisplay && _this.selectOptionsToDisplay.length > 0) {
                            _this.onModelChange(_this.value);
                            _this.finalOption = _this.selectedOption;
                            _this.handleChange.emit({
                                value: _this.value
                            });
                            if (_this.tableRowIndex >= 0) {
                                _this.tableService.onSelectChange(_this.value, _this.tableRowIndex);
                            }
                            if (_this.isMulti) {
                                _this.toggleRowWithCheckbox(_this.selectedOption.value);
                            }
                            else {
                                _this.close();
                            }
                        }
                        event.preventDefault();
                        break;
                    case 'Escape':
                    case 'Tab':
                    case 27:
                    case 9:
                        _this.close();
                        break;
                }
            });
            this.toggle = ( /**
             * @return {?}
             */function () {
                _this.overlayOpen ? _this.close() : _this.open();
            });
            this.open = ( /**
             * @return {?}
             */function () {
                if (!_this.options) {
                    return;
                }
                _this.handleShow.emit();
                _this.overlayOpen = true;
                _this.cd.detectChanges();
                if (_this.filterViewChild && _this.filterViewChild.nativeElement) {
                    _this.filterViewChild.nativeElement.focus();
                }
            });
            this.close = ( /**
             * @return {?}
             */function () {
                if (_this.overlayOpen) {
                    _this.overlayOpen = false;
                }
            });
            this.onModelChange = ( /**
             * @return {?}
             */function () { });
            this.onModelTouched = ( /**
             * @return {?}
             */function () { });
            this._setAnchorWidth = ( /**
             * @param {?} elementAnchor
             * @return {?}
             */function (elementAnchor) {
                /** @type {?} */
                var anchor = elementAnchor && elementAnchor.getBoundingClientRect();
                _this.anchorWidth = anchor.width;
            });
        }
        Object.defineProperty(SelectComponent.prototype, "options", {
            /** @prop set the select item options */
            get: /**
             * \@prop set the select item options
             * @return {?}
             */ function () {
                return this._options;
            },
            set: /**
             * @param {?} item
             * @return {?}
             */ function (item) {
                /** @type {?} */
                var options = this.optionLabel ? this.makeSelectOptions(item, this.optionLabel) : item;
                this._options = options;
                this.selectOptionsToDisplay = this._options;
                this.updateSelectedItem(this.value);
                if (this.filterValue && this.filterValue.length) {
                    this.startFilter();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "selection", {
            /** @prop sets the selection from multi-select */
            get: /**
             * \@prop sets the selection from multi-select
             * @return {?}
             */ function () {
                return this._selection;
            },
            set: /**
             * @param {?} item
             * @return {?}
             */ function (item) {
                this._selection = item;
                if (!this.preventPropagation) {
                    this.updateSelectionKeys();
                    this.selectService.onSelectionChange();
                }
                this.preventPropagation = false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} index
         * @return {?}
         */
        SelectComponent.prototype.findPrevOption = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                /** @type {?} */
                var prevEnabledOption;
                if (this.selectOptionsToDisplay && this.selectOptionsToDisplay.length) {
                    for (var i = (index - 1); 0 <= i; i--) {
                        /** @type {?} */
                        var option = this.selectOptionsToDisplay[i];
                        if (option.disabled) {
                            continue;
                        }
                        else {
                            prevEnabledOption = option;
                            break;
                        }
                    }
                    if (!prevEnabledOption) {
                        for (var i = this.selectOptionsToDisplay.length - 1; i >= index; i--) {
                            /** @type {?} */
                            var option = this.selectOptionsToDisplay[i];
                            if (option.disabled) {
                                continue;
                            }
                            else {
                                prevEnabledOption = option;
                                break;
                            }
                        }
                    }
                }
                return prevEnabledOption;
            };
        /**
         * @param {?} index
         * @return {?}
         */
        SelectComponent.prototype.findNextOption = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                /** @type {?} */
                var nextEnabledOption;
                if (this.selectOptionsToDisplay && this.selectOptionsToDisplay.length) {
                    for (var i = (index + 1); index < (this.selectOptionsToDisplay.length - 1); i++) {
                        /** @type {?} */
                        var option = this.selectOptionsToDisplay[i];
                        if (option.disabled) {
                            continue;
                        }
                        else {
                            nextEnabledOption = option;
                            break;
                        }
                    }
                    if (!nextEnabledOption) {
                        for (var i = 0; i < index; i++) {
                            /** @type {?} */
                            var option = this.selectOptionsToDisplay[i];
                            if (option.disabled) {
                                continue;
                            }
                            else {
                                nextEnabledOption = option;
                                break;
                            }
                        }
                    }
                }
                return nextEnabledOption;
            };
        /**
         * @param {?} option
         * @param {?} label
         * @return {?}
         */
        SelectComponent.prototype.makeSelectOptions = /**
         * @param {?} option
         * @param {?} label
         * @return {?}
         */
            function (option, label) {
                var e_1, _a;
                /** @type {?} */
                var selectItems;
                if (option && option.length) {
                    selectItems = [];
                    try {
                        for (var option_1 = __values(option), option_1_1 = option_1.next(); !option_1_1.done; option_1_1 = option_1.next()) {
                            var item = option_1_1.value;
                            selectItems.push({ label: item[label], value: item });
                        }
                    }
                    catch (e_1_1) {
                        e_1 = { error: e_1_1 };
                    }
                    finally {
                        try {
                            if (option_1_1 && !option_1_1.done && (_a = option_1.return))
                                _a.call(option_1);
                        }
                        finally {
                            if (e_1)
                                throw e_1.error;
                        }
                    }
                }
                return selectItems;
            };
        /**
         * @param {?} item
         * @return {?}
         */
        SelectComponent.prototype.updateSelectedItem = /**
         * @param {?} item
         * @return {?}
         */
            function (item) {
                this.selectedOption = this.findSelectOption(item, this.selectOptionsToDisplay);
                this.selectedItemUpdated = true;
            };
        /**
         * @param {?} item
         * @param {?} options
         * @return {?}
         */
        SelectComponent.prototype.findSelectOption = /**
         * @param {?} item
         * @param {?} options
         * @return {?}
         */
            function (item, options) {
                /** @type {?} */
                var index = this.findSelectOptionIndex(item, options);
                return (index !== -1) ? options[index] : null;
            };
        /**
         * @param {?} item
         * @param {?} options
         * @return {?}
         */
        SelectComponent.prototype.findSelectOptionIndex = /**
         * @param {?} item
         * @param {?} options
         * @return {?}
         */
            function (item, options) {
                /** @type {?} */
                var index = -1;
                if (options) {
                    for (var i = 0; i < options.length; i++) {
                        if ((item === null && options[i].value === null) || item === options[i].value) {
                            index = i;
                            break;
                        }
                    }
                }
                return index;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SelectComponent.prototype.onFilter = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var inputValue = event.target.value;
                if (inputValue && inputValue.length) {
                    this.filterValue = inputValue;
                    this.startFilter();
                }
                else {
                    this.filterValue = null;
                    this.selectOptionsToDisplay = this.options;
                }
            };
        /**
         * @return {?}
         */
        SelectComponent.prototype.startFilter = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var filterBy = Array.isArray(this.filterBy) ? this.filterBy : this.filterBy.split(',');
                this.filterValueChange.emit(this.filterValue);
                if (this.options && this.options.length) {
                    this.selectOptionsToDisplay = FilterUtils.filter(this.options, filterBy, this.filterValue, this.filterMode);
                }
            };
        /**
         * @return {?}
         */
        SelectComponent.prototype.resetFilter = /**
         * @return {?}
         */
            function () {
                if (this.filterViewChild && this.filterViewChild.nativeElement) {
                    this.filterValue = null;
                    this.filterViewChild.nativeElement.value = '';
                }
                this.selectOptionsToDisplay = this.options;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SelectComponent.prototype.onSelectItemClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                var _this = this;
                /** @type {?} */
                var option = event.option;
                if (!option.disabled) {
                    this.selectedOption = option;
                    this.finalOption = option;
                    this.value = option.value;
                    this.onModelChange(option.value);
                    this.handleChange.emit({
                        value: option.value
                    });
                    if (this.tableRowIndex >= 0) {
                        this.tableService.onSelectChange(option.value, this.tableRowIndex);
                    }
                }
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    if (!_this.isMulti) {
                        _this.close();
                    }
                }), this.closeDuration);
            };
        /**
         * @param {?} event
         * @param {?} option
         * @return {?}
         */
        SelectComponent.prototype.selectItem = /**
         * @param {?} event
         * @param {?} option
         * @return {?}
         */
            function (event, option) {
                if (this.selectedOption !== option) {
                    this.selectedOption = option;
                    this.value = option.value;
                }
            };
        /**
         * @param {?} rowData
         * @return {?}
         */
        SelectComponent.prototype.isSelected = /**
         * @param {?} rowData
         * @return {?}
         */
            function (rowData) {
                if (rowData && this.selection) {
                    if (this.dataKey) {
                        for (var i = 0; i < this.selection.length; i++) {
                            if (this.selection[i][this.dataKey] === rowData[this.dataKey]) {
                                this.selectionKeys[rowData[this.dataKey]] = 1;
                            }
                        }
                        return this.selectionKeys[rowData[this.dataKey]] !== undefined; // found in selection
                    }
                    else {
                        if (this.selection instanceof Array) {
                            return findIndex(this.selection, rowData) > -1;
                        }
                        else {
                            return this.selection === rowData;
                        }
                    }
                }
                return false;
            };
        /**
         * @param {?} rowData
         * @return {?}
         */
        SelectComponent.prototype.toggleRowWithCheckbox = /**
         * @param {?} rowData
         * @return {?}
         */
            function (rowData) {
                this.selection = this.selection || [];
                /** @type {?} */
                var isChecked = this.isSelected(rowData);
                /** @type {?} */
                var rowDataKeyValue = this.dataKey ? String(rowData[this.dataKey]) : null;
                this.preventPropagation = true;
                if (isChecked) { // then uncheck from selection
                    // then uncheck from selection
                    /** @type {?} */
                    var checkedIndex_1 = findIndex(this.selection, rowData);
                    this._selection = this.selection.filter(( /**
                     * @param {?} item
                     * @param {?} i
                     * @return {?}
                     */function (item, i) { return i !== checkedIndex_1; }));
                    this.selectionChange.emit(this.selection);
                    this.rowUncheck.emit({
                        data: rowData,
                    });
                    if (rowDataKeyValue) {
                        delete this.selectionKeys[rowDataKeyValue];
                    }
                }
                else { // add to selection
                    this._selection = this.selection ? __spread(this.selection, [rowData]) : [rowData];
                    this.selectionChange.emit(this.selection);
                    this.rowCheck.emit({
                        data: rowData,
                    });
                    if (rowDataKeyValue) {
                        this.selectionKeys[rowDataKeyValue] = 1;
                    }
                }
                this.selectService.onSelectionChange();
            };
        /**
         * @return {?}
         */
        SelectComponent.prototype.updateSelectionKeys = /**
         * @return {?}
         */
            function () {
                var e_2, _a;
                if (this.dataKey && this._selection) {
                    this.selectionKeys = {};
                    if (Array.isArray(this._selection)) {
                        try {
                            for (var _b = __values(this._selection), _c = _b.next(); !_c.done; _c = _b.next()) {
                                var data = _c.value;
                                this.selectionKeys[String(data[this.dataKey])] = 1;
                            }
                        }
                        catch (e_2_1) {
                            e_2 = { error: e_2_1 };
                        }
                        finally {
                            try {
                                if (_c && !_c.done && (_a = _b.return))
                                    _a.call(_b);
                            }
                            finally {
                                if (e_2)
                                    throw e_2.error;
                            }
                        }
                    }
                    else {
                        this.selectionKeys[String(this._selection[this.dataKey])] = 1;
                    }
                }
            };
        /**
         * @return {?}
         */
        SelectComponent.prototype.ngAfterContentChecked = /**
         * @return {?}
         */
            function () {
                this._setAnchorWidth(this.originButton.el.nativeElement);
            };
        /**
         * @return {?}
         */
        SelectComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.templates.forEach(( /**
                 * @param {?} item
                 * @return {?}
                 */function (item) {
                    switch (item.getType()) {
                        case 'option':
                            _this.optionTemplate = item.template;
                            break;
                        case 'selectedOption':
                            _this.selectedOptionTemplate = item.template;
                            break;
                        default:
                            _this.optionTemplate = item.template;
                            break;
                    }
                }));
            };
        /**
         * @param {?} value
         * @return {?}
         */
        SelectComponent.prototype.writeValue = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
                if (this.filter) {
                    this.resetFilter();
                }
                this.value = value;
                this.updateSelectedItem(value);
                this.cd.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        SelectComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onModelChange = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        SelectComponent.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onModelTouched = fn;
            };
        /**
         * @param {?} isDisabled
         * @return {?}
         */
        SelectComponent.prototype.setDisabledState = /**
         * @param {?} isDisabled
         * @return {?}
         */
            function (isDisabled) {
                this.disabled = isDisabled;
            };
        SelectComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-select',
                        template: "\n    <button\n      md-button\n      cdkOverlayOrigin\n      #trigger=\"cdkOverlayOrigin\"\n      [attr.name]='id'\n      aria-label=\"select button\"\n      [attr.id]='id'\n      (click)='toggle()'\n      [ngClass]=\"[\n        disabled ? 'disabled' : '',\n        buttonClass\n      ]\"\n      [ngStyle]=\"buttonStyle\"\n      type=\"button\"\n    >\n      <div class='md-select__label' id=\"{{id}}__label\">\n\n        <ng-container *ngTemplateOutlet=\"selectedOptionTemplate; context: {$implicit: finalOption}\"></ng-container>\n\n        <span *ngIf=\"!selectedOptionTemplate\">\n          {{isMulti && selection && selection.length > 0 ? selection.length + ' Items Selected'\n          : finalOption && !isMulti ? finalOption.label\n          : defaultValue ? defaultValue\n          : placeholder ? placeholder\n          : 'Select An Option'}}\n        </span>\n\n        <md-icon name=\"arrow-down_16\"></md-icon>\n      </div>\n    </button>\n\n    <ng-template\n      cdkConnectedOverlay\n      [cdkConnectedOverlayOrigin]=\"trigger\"\n      [cdkConnectedOverlayOpen]=\"overlayOpen\"\n      [cdkConnectedOverlayWidth]=\"this.anchorWidth\"\n      [cdkConnectedOverlayOffsetY]=\"6\"\n      [cdkConnectedOverlayPanelClass]=\"['md-select__dropdown', overlayClass]\"\n      [cdkConnectedOverlayHasBackdrop]=\"true\"\n      [cdkConnectedOverlayBackdropClass]=\"'cdk-overlay-transparent-backdrop'\"\n      (backdropClick)=\"close()\"\n      (detach)=\"close()\"\n    >\n      <div\n        *ngIf=\"filter\"\n        class=\"md-select__filter\"\n        (click)=\"$event.stopPropagation()\"\n      >\n        <md-input-container>\n          <input\n            mdInput\n            shape=\"pill\"\n            #filterSearch\n            aria-autocomplete=\"list\"\n            [(ngModel)]=\"filterValue\"\n            [placeholder]=\"filterPlaceholder\"\n            (input)=\"onFilter($event)\"\n            (keydown)=\"_handleOpenKeydown($event)\"\n            (keydown.enter)=\"$event.preventDefault()\"\n          >\n          <md-input-section\n            *ngIf=\"hasSearchIcon\"\n          >\n            <md-icon name=\"search_20\"></md-icon>\n          </md-input-section>\n        </md-input-container>\n      </div>\n\n      <div\n        class=\"md-list md-list--vertical\"\n        [style.max-height]=\"scrollHeight\"\n        role=\"listbox\"\n        style=\"align-items: normal; overflow: scroll; overflow-x:hidden\"\n      >\n        <ng-container>\n          <ng-container\n            *ngTemplateOutlet=\"itemslist; context: {\n              $implicit: selectOptionsToDisplay,\n              selectedOption: selectedOption\n            }\">\n          </ng-container>\n        </ng-container>\n\n        <ng-template #itemslist let-options let-selectedOption=\"selectedOption\">\n          <ng-template ngFor let-option let-i=\"index\" [ngForOf]=\"options\">\n            <md-select-item\n              [option]=\"option\"\n              [optionClass]=\"optionClass\"\n              [selected]=\"selectedOption === option\"\n              (handleClick)=\"onSelectItemClick($event)\"\n              [selectItemSize]=\"selectItemSize\"\n              [template]=\"optionTemplate\">\n            </md-select-item>\n          </ng-template>\n        </ng-template>\n\n        <li\n          *ngIf=\"filter && selectOptionsToDisplay && selectOptionsToDisplay.length === 0\"\n          class=\"md-select__filter--empty\"\n        >\n          {{noResultsMessage}}\n        </li>\n      </div>\n    </ng-template>\n  ",
                        providers: [SELECT_VALUE_ACCESSOR, SelectService, TableService],
                        host: {
                            class: 'md-input-container md-select',
                            '[class.disabled]': 'disabled'
                        }
                    }] }
        ];
        /** @nocollapse */
        SelectComponent.ctorParameters = function () {
            return [
                { type: SelectService },
                { type: TableService },
                { type: i0.ElementRef },
                { type: i0.ChangeDetectorRef }
            ];
        };
        SelectComponent.propDecorators = {
            scrollHeight: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            tableRowIndex: [{ type: i0.Input }],
            optionLabel: [{ type: i0.Input }],
            filter: [{ type: i0.Input }],
            filterBy: [{ type: i0.Input }],
            filterMode: [{ type: i0.Input }],
            filterPlaceholder: [{ type: i0.Input }],
            ariaFilterLabel: [{ type: i0.Input }],
            dataKey: [{ type: i0.Input }],
            noResultsMessage: [{ type: i0.Input }],
            selectItemSize: [{ type: i0.Input }],
            overlayClass: [{ type: i0.Input }],
            hasSearchIcon: [{ type: i0.Input }],
            options: [{ type: i0.Input }],
            selection: [{ type: i0.Input }],
            buttonStyle: [{ type: i0.Input }],
            buttonClass: [{ type: i0.Input }],
            optionClass: [{ type: i0.Input }],
            defaultValue: [{ type: i0.Input }],
            disabled: [{ type: i0.HostBinding, args: ['attr.disabled',] }, { type: i0.Input }],
            id: [{ type: i0.Input }],
            isMulti: [{ type: i0.Input }],
            closeDuration: [{ type: i0.Input }],
            handleChange: [{ type: i0.Output }],
            handleShow: [{ type: i0.Output }],
            selectionChange: [{ type: i0.Output }],
            rowCheck: [{ type: i0.Output }],
            rowUncheck: [{ type: i0.Output }],
            filterValueChange: [{ type: i0.Output }],
            originButton: [{ type: i0.ViewChild, args: [ButtonComponent,] }],
            filterViewChild: [{ type: i0.ViewChild, args: ['filterSearch',] }],
            templates: [{ type: i0.ContentChildren, args: [TemplateNameDirective,] }],
            _handleOpenKeydown: [{ type: i0.HostListener, args: ['keydown', ['$event'],] }]
        };
        return SelectComponent;
    }());
    var SelectItemComponent = /** @class */ (function () {
        function SelectItemComponent(sc) {
            this.sc = sc;
            this.handleClick = new i0.EventEmitter();
        }
        /**
         * @param {?} event
         * @return {?}
         */
        SelectItemComponent.prototype.onSelectOptionClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.handleClick.emit({
                    option: this.option
                });
                if (this.sc.isMulti) {
                    this.sc.toggleRowWithCheckbox(this.option.value);
                    if (this.sc.filterViewChild && this.sc.filterViewChild.nativeElement) {
                        this.sc.filterViewChild.nativeElement.focus();
                    }
                    else {
                        this.sc.originButton.el.nativeElement.focus();
                    }
                }
            };
        SelectItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-select-item',
                        template: "\n    <div\n      (click)=\"onSelectOptionClick($event)\"\n      (keydown)=\"sc._handleOpenKeydown($event)\"\n      role=\"option\"\n      [attr.aria-label]=\"option.label\"\n      [ngStyle]=\"{'height': selectItemSize + 'px'}\"\n      class=\"md-list-item\"\n      [ngClass]=\"[\n        selected ? 'active' : '',\n        optionClass\n      ]\"\n    >\n\n    <div *ngIf=\"!template && !sc.isMulti\" class=\"md-list-item__center\">{{option.label||'empty'}}</div>\n      <!-- Multi Check Box Conditional -->\n\n      <ng-container *ngIf=\"sc.isMulti\">\n        <md-select-checkbox\n          [data]=\"option.value\"\n          [label]=\"option.label\">\n        </md-select-checkbox>\n      </ng-container>\n\n      <ng-container *ngTemplateOutlet=\"template; context: {$implicit: option}\"></ng-container>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        SelectItemComponent.ctorParameters = function () {
            return [
                { type: SelectComponent }
            ];
        };
        SelectItemComponent.propDecorators = {
            option: [{ type: i0.Input }],
            optionClass: [{ type: i0.Input }],
            selected: [{ type: i0.Input }],
            selectItemSize: [{ type: i0.Input }],
            template: [{ type: i0.Input }],
            handleClick: [{ type: i0.Output }]
        };
        return SelectItemComponent;
    }());
    var SelectCheckboxComponent = /** @class */ (function () {
        function SelectCheckboxComponent(sc, selectService) {
            var _this = this;
            this.sc = sc;
            this.selectService = selectService;
            this.label = '';
            this.className = '';
            this.id = uniqueId('md-select-item-');
            this.subscription = this.sc.selectService.selectionSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.checkStatus = _this.sc.isSelected(_this.data);
            }));
        }
        /**
         * @return {?}
         */
        SelectCheckboxComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.checkStatus = this.sc.isSelected(this.data);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SelectCheckboxComponent.prototype.handleClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.sc.toggleRowWithCheckbox(this.data);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SelectCheckboxComponent.prototype.changeCheck = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.checkStatus = event;
                this.sc.toggleRowWithCheckbox(this.data);
            };
        /**
         * @return {?}
         */
        SelectCheckboxComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription) {
                    this.subscription.unsubscribe();
                }
            };
        SelectCheckboxComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-select-checkbox',
                        template: "\n    <div\n      class=\"md-select__checkbox--wrapper\"\n      [ngClass]=\"[className]\"\n      (click)=\"handleClick($event)\"\n    >\n      <div>\n        <md-checkbox\n          name=\"{{id}}-checkbox\"\n          [value]=\"label\"\n          [label]=\"label\"\n          [(checkStatus)]=\"checkStatus\"\n          (checkStatusChange)=\"changeCheck($event)\"\n          htmlId=\"{{id}}-checkbox\">\n        </md-checkbox>\n      </div>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        SelectCheckboxComponent.ctorParameters = function () {
            return [
                { type: SelectComponent },
                { type: SelectService }
            ];
        };
        SelectCheckboxComponent.propDecorators = {
            data: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            id: [{ type: i0.HostBinding, args: ['attr.id',] }, { type: i0.Input }]
        };
        return SelectCheckboxComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SelectModule = /** @class */ (function () {
        function SelectModule() {
        }
        /**
         * @return {?}
         */
        SelectModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SelectModule,
                    providers: [],
                };
            };
        SelectModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            ButtonModule,
                            IconModule,
                            portal.PortalModule,
                            i1.OverlayModule,
                            a11y.A11yModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                            CheckboxModule,
                            InputContainerModule,
                            InputSectionModule,
                            InputModule,
                            SharedModule
                        ],
                        exports: [
                            SelectComponent,
                            SelectItemComponent,
                            SelectCheckboxComponent
                        ],
                        declarations: [
                            SelectComponent,
                            SelectItemComponent,
                            SelectCheckboxComponent
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return SelectModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabsService = /** @class */ (function () {
        function TabsService() {
            var _this = this;
            this.Pane = -1;
            this.Tabs = -1;
            this.currentTabValue = 0;
            this.currentFocusValue = 0;
            this.TabDic = {};
            this.TabDisables = {};
            this.current = new rxjs.Subject();
            this.current$ = this.current.asObservable();
            this.focusIndex = new rxjs.Subject();
            this.focusIndex$ = this.focusIndex.asObservable();
            this.tabSize = new rxjs.Subject();
            this.tabSize$ = this.tabSize.asObservable();
            this.paneSize = new rxjs.Subject();
            this.paneSize$ = this.paneSize.asObservable();
            this.registerPane = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var index = _this.Pane + 1;
                _this.paneSize.next(index);
                return index;
            });
            this.registerTab = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var index = _this.Tabs + 1;
                _this.tabSize.next(index);
                return index;
            });
            this.registerDisable = ( /**
             * @param {?} index
             * @param {?} disable
             * @return {?}
             */function (index, disable) {
                _this.TabDisables[index] = disable;
            });
            this.registerKey = ( /**
             * @param {?} key
             * @param {?} value
             * @return {?}
             */function (key, value) {
                key = key.toLowerCase();
                if (_this.TabDic[key] === undefined) {
                    _this.TabDic[key] = [];
                }
                _this.TabDic[key].push(value);
            });
            this.select = ( /**
             * @param {?} index
             * @param {?=} ifFocusSelect
             * @return {?}
             */function (index, ifFocusSelect) {
                if (_this.TabDisables[index] === false || ifFocusSelect) {
                    _this.setFocus(index);
                    _this.current.next(index);
                }
            });
            this.selectFocus = ( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                if (_this.currentFocusValue !== _this.currentTabValue) {
                    _this.current.next(_this.currentFocusValue);
                }
            });
            this.setFocus = ( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                _this.focusIndex.next(index);
            });
            this.setFocusPre = ( /**
             * @return {?}
             */function () {
                _this.setFocus(Math.max(0, _this.currentFocusValue - 1));
            });
            this.setFocusNext = ( /**
             * @return {?}
             */function () {
                _this.setFocus(Math.min(_this.Tabs, _this.currentFocusValue + 1));
            });
            this.setFocusLast = ( /**
             * @return {?}
             */function () {
                _this.setFocus(_this.Tabs);
            });
            this.setFocusByFirstCharacter = ( /**
             * @param {?} key
             * @return {?}
             */function (key) {
                key = key.toLowerCase();
                /** @type {?} */
                var arr = _this.TabDic[key];
                /** @type {?} */
                var index;
                /** @type {?} */
                var length;
                /** @type {?} */
                var tabIndex = _this.currentFocusValue;
                if (arr !== undefined) {
                    length = arr.length;
                    index = arr.indexOf(_this.currentFocusValue);
                    if (index !== -1 && length > 1 && index + 1 < length) {
                        tabIndex = arr[index + 1];
                    }
                    else {
                        tabIndex = arr[0];
                    }
                }
                if (tabIndex !== _this.currentFocusValue) {
                    _this.setFocus(tabIndex);
                    return true;
                }
                return false;
            });
            this.current$.subscribe(( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                _this.currentTabValue = index;
            }));
            this.focusIndex$.subscribe(( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                _this.currentFocusValue = index;
            }));
            this.tabSize$.subscribe(( /**
             * @param {?} n
             * @return {?}
             */function (n) {
                _this.Tabs = n;
            }));
            this.paneSize$.subscribe(( /**
             * @param {?} n
             * @return {?}
             */function (n) {
                _this.Pane = n;
            }));
        }
        TabsService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        TabsService.ctorParameters = function () { return []; };
        return TabsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabsComponent = /** @class */ (function () {
        function TabsComponent(tabsService) {
            var _this = this;
            this.tabsService = tabsService;
            /**
             * \@prop Optional CSS class name | ''
             */
            this.className = '';
            /**
             * \@prop Set the index of the focused Tab | 0
             */
            this.focus = 0;
            /**
             * \@prop Determines if the Tabs are in a justified layout | false
             */
            this.justified = false;
            /**
             * \@prop Type of Tabs | 'tabs'
             */
            this.tabType = 'tabs';
            /**
             * \@prop Callback function invoked when user selects a tab | null
             */
            this.whenSelect = new i0.EventEmitter();
            this.tabsService.current$.subscribe(( /**
             * @param {?} currentIndex
             * @return {?}
             */function (currentIndex) {
                _this.whenSelect.emit(currentIndex);
            }));
        }
        Object.defineProperty(TabsComponent.prototype, "classes", {
            get: /**
             * @return {?}
             */ function () {
                return ('md-tab' +
                    ("" + ((this.tabType && " md-tab--" + this.tabType) || '')) +
                    ("" + ((this.justified && ' md-tab--justified') || '')) +
                    ("" + ((this.className && " " + this.className) || '')) +
                    "");
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TabsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.tabsService.select(this.focus, true);
            };
        TabsComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tabs',
                        template: "\n    <ng-content></ng-content>\n  ",
                        providers: [TabsService]
                    }] }
        ];
        /** @nocollapse */
        TabsComponent.ctorParameters = function () {
            return [
                { type: TabsService }
            ];
        };
        TabsComponent.propDecorators = {
            className: [{ type: i0.Input }],
            focus: [{ type: i0.Input }],
            justified: [{ type: i0.Input }],
            tabType: [{ type: i0.Input }],
            whenSelect: [{ type: i0.Output }],
            classes: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return TabsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabHeaderComponent = /** @class */ (function () {
        function TabHeaderComponent() {
            /**
             * \@prop Subheader text | ''
             */
            this.subHeading = '';
        }
        TabHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tab-header',
                        template: "\n    {{ heading }}\n    <div *ngIf=\"subHeading\" class=\"md-tab-header__subheading\">{{ subHeading }}</div>\n  "
                    }] }
        ];
        TabHeaderComponent.propDecorators = {
            heading: [{ type: i0.Input }],
            subHeading: [{ type: i0.Input }]
        };
        return TabHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabListComponent = /** @class */ (function () {
        function TabListComponent() {
            /**
             * \@prop Tab's anchor role type | 'tablist'
             */
            this.role = 'tablist';
        }
        TabListComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tab-list',
                        template: "\n    <ul\n      class=\"md-tab__list\"\n      [attr.role]=\"role\"\n    >\n      <ng-content></ng-content>\n    </ul>\n  "
                    }] }
        ];
        TabListComponent.propDecorators = {
            role: [{ type: i0.Input }]
        };
        return TabListComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabComponent = /** @class */ (function () {
        function TabComponent(tabsService, el) {
            var _this = this;
            this.tabsService = tabsService;
            this.el = el;
            /**
             * \@prop Optional CSS class name
             */
            this.className = '';
            /**
             * \@prop Sets the attribute disabled to the Tab | false
             */
            this.disabled = false;
            /**
             * \@prop Tab's anchor role type | 'tab'
             */
            this.role = 'tab';
            /**
             * \@prop Callback function invoked when user click a tab | null
             */
            this.whenPress = new i0.EventEmitter();
            /**
             * \@prop Callback function invoked when user press a key | null
             */
            this.whenKeyDown = new i0.EventEmitter();
            this.attrRole = 'presentation';
            /*
              @HostBinding('attr.tabIndex') get attrTabIndex():number {
                return this.tabIndex;
              };
              @HostBinding('attr.aria-posinset') ariaPosinset = this.tabIndex;
              @HostBinding('attr.aria-setsize') ariaSetsize = this.tabSize;
              @HostBinding('attr.aria-selected') ariaSelected = this.ifCurrent;
              @HostBinding('attr.aria-disabled') ariaDisabled = this.disabled;
              */
            this.regIsCharacter = /\S/;
            this.isPrintableCharacter = ( /**
             * @param {?} str
             * @return {?}
             */function (str) {
                return str.length === 1 && str.match(_this.regIsCharacter);
            });
            this.onKeyDown = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var key = e.keyCode;
                /** @type {?} */
                var tgt = e.target;
                /** @type {?} */
                var flag = false;
                /** @type {?} */
                var clickEvent;
                switch (key) {
                    case 32: // Space
                    case 13: // Page up
                        try {
                            clickEvent = new MouseEvent('click', {
                                view: window,
                                bubbles: true,
                                cancelable: true,
                            });
                        }
                        catch (err) {
                            if (document.createEvent) {
                                clickEvent = document.createEvent('MouseEvents');
                                clickEvent.initEvent('click', true, true);
                            }
                        }
                        tgt.dispatchEvent(clickEvent);
                        flag = true;
                        break;
                    case 38: // Up Arrow
                    case 37: // Left Arrow
                        _this.tabsService.setFocusPre();
                        flag = true;
                        break;
                    case 39: // Right Arrow
                    case 40: // Down Arrow
                        _this.tabsService.setFocusNext();
                        flag = true;
                        break;
                    case 33: // Page Up
                    case 36: // Home
                        _this.tabsService.setFocus(0);
                        flag = true;
                        break;
                    case 34: // Page Down
                    case 35: // End
                        _this.tabsService.setFocusLast();
                        flag = true;
                        break;
                    default:
                        if (_this.isPrintableCharacter(e.key)) {
                            flag = _this.tabsService.setFocusByFirstCharacter(e.key);
                        }
                        break;
                }
                if (flag) {
                    e.stopPropagation();
                    e.preventDefault();
                }
            });
            this.tabIndex = tabsService.registerTab();
            this.tabSize = this.tabIndex;
            this.tabsService.current$.subscribe(( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                _this.ifCurrent = _this.tabIndex === index;
            }));
            this.tabsService.focusIndex$.subscribe(( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                _this.ifFocus = _this.tabIndex === index;
                if (_this.ifFocus) {
                    _this.el.nativeElement.getElementsByTagName('A')[0].focus();
                }
            }));
            this.tabsService.tabSize$.subscribe(( /**
             * @param {?} n
             * @return {?}
             */function (n) {
                _this.tabSize = n;
            }));
        }
        /**
         * @return {?}
         */
        TabComponent.prototype.select = /**
         * @return {?}
         */
            function () {
                this.tabsService.select(this.tabIndex);
            };
        /**
         * @return {?}
         */
        TabComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.tabsService.registerDisable(this.tabIndex, this.disabled);
                /** @type {?} */
                var innerText = this.el.nativeElement.innerText;
                if (innerText) {
                    this.tabsService.registerKey(innerText[0], this.tabIndex);
                }
            };
        TabComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tab',
                        template: "\n  <li\n    role=\"presentation\"\n    class=\"md-tab__item\"\n    [ngClass]=\"[\n      ifCurrent ? 'active' : '',\n      disabled ? 'disabled' : '',\n      className\n    ]\"\n    tabindex=\"0\"\n    (keydown)=\"onKeyDown($event)\"\n  >\n    <a\n      href=\"javascript:void(0)\"\n      (click)=\"whenPress.emit()\"\n      (keydown)=\"whenKeyDown.emit()\"\n      [attr.role]=\"role\"\n      [attr.tabindex]=\"ifFocus ? 0 : -1\"\n      [attr.aria-posinset]=\"tabIndex\"\n      [attr.aria-setsize]=\"tabSize\"\n      [attr.aria-selected]=\"ifCurrent\"\n      [attr.aria-disabled]=\"disabled\"\n    >\n      <ng-content></ng-content>\n    </a>\n  </li>\n  "
                    }] }
        ];
        /** @nocollapse */
        TabComponent.ctorParameters = function () {
            return [
                { type: TabsService },
                { type: i0.ElementRef }
            ];
        };
        TabComponent.propDecorators = {
            className: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            role: [{ type: i0.Input }],
            whenPress: [{ type: i0.Output }],
            whenKeyDown: [{ type: i0.Output }],
            attrRole: [{ type: i0.HostBinding, args: ['attr.role',] }],
            select: [{ type: i0.HostListener, args: ['click',] }]
        };
        return TabComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabContentComponent = /** @class */ (function () {
        function TabContentComponent() {
        }
        Object.defineProperty(TabContentComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return 'md-tab__content';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TabContentComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        TabContentComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tab-content',
                        template: "\n    <ng-content></ng-content>\n  "
                    }] }
        ];
        /** @nocollapse */
        TabContentComponent.ctorParameters = function () { return []; };
        TabContentComponent.propDecorators = {
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return TabContentComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabPaneComponent = /** @class */ (function () {
        function TabPaneComponent(tabsService) {
            var _this = this;
            this.tabsService = tabsService;
            this.tabIndex = tabsService.registerPane();
            this.tabsService.current$.subscribe(( /**
             * @param {?} currentIndex
             * @return {?}
             */function (currentIndex) {
                _this.ifCurrent = _this.tabIndex === currentIndex;
            }));
        }
        Object.defineProperty(TabPaneComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return 'md-tab__pane' + ("" + ((this.ifCurrent && ' active') || '')) + "";
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TabPaneComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        TabPaneComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-tab-pane',
                        template: "\n    <div class=\"md-tab__content\">\n      <ng-content></ng-content>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        TabPaneComponent.ctorParameters = function () {
            return [
                { type: TabsService }
            ];
        };
        TabPaneComponent.propDecorators = {
            className: [{ type: i0.HostBinding, args: ['class',] }]
        };
        return TabPaneComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TabsModule = /** @class */ (function () {
        function TabsModule() {
        }
        /**
         * @return {?}
         */
        TabsModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TabsModule,
                    providers: [],
                };
            };
        TabsModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [
                            TabsComponent,
                            TabHeaderComponent,
                            TabListComponent,
                            TabComponent,
                            TabContentComponent,
                            TabPaneComponent
                        ],
                        exports: [
                            TabsComponent,
                            TabHeaderComponent,
                            TabListComponent,
                            TabComponent,
                            TabContentComponent,
                            TabPaneComponent
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return TabsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:no-use-before-declare
    /** @type {?} */
    var CUSTOM_TOGGLE_SWITCH_VALUE_ACCESSOR = {
        provide: forms.NG_VALUE_ACCESSOR,
        useExisting: i0.forwardRef(( /**
         * @return {?}
         */function () { return ToggleSwitchComponent; })),
        multi: true,
    };
    // tslint:enable:no-use-before-declare
    var ToggleSwitchComponent = /** @class */ (function () {
        function ToggleSwitchComponent(cdr) {
            this.cdr = cdr;
            /**
             * \@prop Optional CSS class name | ''
             */
            this.class = '';
            /**
             * \@prop Sets the attribute disabled to the ToggleSwitch | false
             */
            this.disabled = false;
            /**
             * \@prop Unique HTML ID used for tying label to HTML input for automated testing
             */
            this.htmlId = '';
            /**
             * \@prop ToggleSwitch label text | ''
             */
            this.label = '';
            /**
             * \@prop ToggleSwitch name for group | ''
             */
            this.name = '';
            /**
             * \@prop String value that corresponds with ToggleSwitch button | ''
             */
            this.value = '';
            /**
             * \@prop Callback function invoked when user clicks the ToggleSwitch button | null
             */
            this.change = new i0.EventEmitter();
            // pass in boolean to ngModel for filled.
            this.checked = false;
            this.onSwitchChange = ( /**
             * @return {?}
             */function () { });
            this.onSwitchTouch = ( /**
             * @return {?}
             */function () { });
        }
        /**
         * @param {?} checked
         * @return {?}
         */
        ToggleSwitchComponent.prototype.writeValue = /**
         * @param {?} checked
         * @return {?}
         */
            function (checked) {
                this.checked = checked;
                this.cdr.markForCheck();
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        ToggleSwitchComponent.prototype.registerOnChange = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onSwitchChange = fn;
            };
        /**
         * @param {?} fn
         * @return {?}
         */
        ToggleSwitchComponent.prototype.registerOnTouched = /**
         * @param {?} fn
         * @return {?}
         */
            function (fn) {
                this.onSwitchTouch = fn;
            };
        /**
         * @param {?} isDisabled
         * @return {?}
         */
        ToggleSwitchComponent.prototype.setDisabledState = /**
         * @param {?} isDisabled
         * @return {?}
         */
            function (isDisabled) {
                this.disabled = isDisabled;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ToggleSwitchComponent.prototype.onSwitch = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (!this.disabled) {
                    /** @type {?} */
                    var isChecked = (( /** @type {?} */(event.target))).checked;
                    this.updateSwitch(event, isChecked);
                }
            };
        /**
         * @param {?} event
         * @param {?} bool
         * @return {?}
         */
        ToggleSwitchComponent.prototype.updateSwitch = /**
         * @param {?} event
         * @param {?} bool
         * @return {?}
         */
            function (event, bool) {
                this.checked = bool;
                this.onSwitchChange(this.checked);
                this.change.emit({ switchEvent: event, checked: this.checked });
                event.stopPropagation();
            };
        ToggleSwitchComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-toggle-switch',
                        template: "\n    <input\n      class=\"md-input md-toggle-switch__input\"\n      type=\"checkbox\"\n      (change)=\"onSwitch($event)\"\n      [attr.id]=\"htmlId\"\n      [attr.name]=\"name\"\n      [attr.tabindex]=\"tabIndex\"\n      [checked]=\"checked\"\n      [disabled]=\"disabled\"\n    />\n    <label class=\"md-toggle-switch__label\" [attr.for]=\"htmlId\">\n      <span class=\"md-toggle-switch__label__container\"></span>\n      <span class=\"md-toggle-switch__label__text\">{{ label }}</span>\n    </label>\n  ",
                        host: {
                            class: 'md-input-container md-toggle-switch',
                        },
                        providers: [CUSTOM_TOGGLE_SWITCH_VALUE_ACCESSOR]
                    }] }
        ];
        /** @nocollapse */
        ToggleSwitchComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef }
            ];
        };
        ToggleSwitchComponent.propDecorators = {
            class: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            htmlId: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            name: [{ type: i0.Input }],
            tabIndex: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            change: [{ type: i0.Output }]
        };
        return ToggleSwitchComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ToggleSwitchModule = /** @class */ (function () {
        function ToggleSwitchModule() {
        }
        /**
         * @return {?}
         */
        ToggleSwitchModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ToggleSwitchModule,
                    providers: [],
                };
            };
        ToggleSwitchModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [ToggleSwitchComponent],
                        imports: [common.CommonModule, forms.FormsModule, forms.ReactiveFormsModule],
                        exports: [ToggleSwitchComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return ToggleSwitchModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarComponent = /** @class */ (function () {
        function TopbarComponent() {
        }
        TopbarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'header[md-top-bar]',
                        template: "\n    <div class=\"md-top-bar__container\">\n      <div class=\"md-top-bar__brand\">\n        <ng-content select=\"brand\"></ng-content>\n      </div>\n      <ng-content></ng-content>\n    </div>\n  ",
                        host: {
                            'attr.role': 'navigation',
                            class: 'md-top-bar',
                            '[class.md-top-bar--fixed]': 'fixed',
                            '[class.md-top-bar--absolute]': 'absolute',
                            '[class.md-top-bar--blue]': 'color === "blue"',
                            '[class.md-top-bar--dark]': 'color === "dark"',
                            '[class.md-top-bar--light]': 'color === "light"',
                        }
                    }] }
        ];
        TopbarComponent.propDecorators = {
            color: [{ type: i0.Input }],
            fixed: [{ type: i0.Input }],
            absolute: [{ type: i0.Input }]
        };
        return TopbarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarBrandComponent = /** @class */ (function () {
        function TopbarBrandComponent() {
            /**
             * \@option Icon class name | 'icon-cisco-logo'
             */
            this.icon = 'icon-cisco-logo';
        }
        TopbarBrandComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: '[md-top-bar-brand]',
                        exportAs: 'mdTopbarBrand',
                        template: "\n    <div class=\"md-brand__logo\">\n      <img *ngIf=\"image\" src=\"{{ image }}\" alt=\"{{ alt }}\" />\n      <i *ngIf=\"!image\" [ngClass]=\"['icon', icon]\"></i>\n    </div>\n    <div class=\"md-brand__title\">{{ title }}</div>\n  ",
                        host: {
                            class: 'md-brand',
                        }
                    }] }
        ];
        TopbarBrandComponent.propDecorators = {
            alt: [{ type: i0.Input }],
            icon: [{ type: i0.Input }],
            image: [{ type: i0.Input }],
            title: [{ type: i0.Input }]
        };
        return TopbarBrandComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarMobileComponent = /** @class */ (function () {
        function TopbarMobileComponent() {
            /**
             * \@option Aria Label for close Button | 'Close Menu'
             */
            this.closeMenuAriaLabel = 'Close Menu';
            /**
             * \@option Aria Label for open Button | 'Open Menu
             */
            this.openMenuAriaLabel = 'Open Menu';
            /**
             * \@option Set mobile menu to close on any click | true
             */
            this.shouldCloseOnClick = true;
            this.isMobileOpen = false;
        }
        /**
         * @param {?} e
         * @return {?}
         */
        TopbarMobileComponent.prototype.handleKeydown = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (e.code === 'Enter') {
                    this.handleClose();
                    e.preventDefault();
                }
            };
        /**
         * @return {?}
         */
        TopbarMobileComponent.prototype.handleClose = /**
         * @return {?}
         */
            function () {
                this.isMobileOpen = false;
            };
        /**
         * @return {?}
         */
        TopbarMobileComponent.prototype.handleOpen = /**
         * @return {?}
         */
            function () {
                this.isMobileOpen = true;
            };
        TopbarMobileComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-top-bar-mobile',
                        template: "\n    <md-icon\n      *ngIf=\"!isMobileOpen\"\n      name=\"list-menu_20\"\n      buttonClassName=\"md-top-bar__mobile-menu-button\"\n      [attr.aria-pressed]=\"isMobileOpen\"\n      [ariaLabel]=\"openMenuAriaLabel\"\n      (click)=\"handleOpen()\"\n    ></md-icon>\n    <div\n      [ngClass]=\"[\n        'md-top-bar__mobile',\n        'md-tb-mobile',\n        (isMobileOpen && 'open') || ''\n      ]\"\n      (click)=\"shouldCloseOnClick ? handleClose() : null\"\n      (keydown)=\"handleKeydown($event)\"\n      role=\"menu\"\n      tabIndex=\"0\"\n    >\n      <md-icon\n        name=\"cancel_20\"\n        buttonClassName=\"md-tb-mobile__close\"\n        [attr.aria-pressed]=\"isMobileOpen\"\n        [ariaLabel]=\"closeMenuAriaLabel\"\n        (click)=\"handleClose()\"\n      ></md-icon>\n      <span (click)=\"handleClose()\" (keydown)=\"handleKeydown($event)\">\n        <div class=\"md-top-bar__brand\">\n          <ng-content select=\"brand\"></ng-content>\n        </div>\n      </span>\n      <md-list-separator backgroundColor=\"transparent\"></md-list-separator>\n      <nav\n        class=\"md-tb-mobile__nav\"\n        (click)=\"!shouldCloseOnClick ? handleClose() : null\"\n      >\n        <ng-content></ng-content>\n      </nav>\n    </div>\n    <div\n      [ngClass]=\"['md-tb-mobile__mask', (isMobileOpen && 'open') || '']\"\n      (click)=\"handleClose()\"\n      role=\"none\"\n    ></div>\n  "
                    }] }
        ];
        TopbarMobileComponent.propDecorators = {
            closeMenuAriaLabel: [{ type: i0.Input }],
            openMenuAriaLabel: [{ type: i0.Input }],
            shouldCloseOnClick: [{ type: i0.Input }],
            handleKeydown: [{ type: i0.HostListener, args: ['document:keydown', ['$event'],] }]
        };
        return TopbarMobileComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarNavComponent = /** @class */ (function () {
        function TopbarNavComponent() {
        }
        TopbarNavComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-top-bar-nav',
                        template: "\n    <md-list tabType=\"horizontal\">\n      <ng-content></ng-content>\n    </md-list>\n  ",
                        host: {
                            class: 'md-top-bar__nav',
                        }
                    }] }
        ];
        return TopbarNavComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarRightComponent = /** @class */ (function () {
        function TopbarRightComponent() {
        }
        TopbarRightComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-top-bar-right',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            class: 'md-top-bar__right',
                        }
                    }] }
        ];
        return TopbarRightComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarModule = /** @class */ (function () {
        function TopbarModule() {
        }
        /**
         * @return {?}
         */
        TopbarModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TopbarModule,
                    providers: [],
                };
            };
        TopbarModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            IconModule,
                            ListModule,
                            ListItemModule,
                            ListSeparatorModule,
                        ],
                        declarations: [
                            TopbarComponent,
                            TopbarBrandComponent,
                            TopbarMobileComponent,
                            TopbarNavComponent,
                            TopbarRightComponent,
                        ],
                        exports: [
                            TopbarComponent,
                            TopbarBrandComponent,
                            TopbarMobileComponent,
                            TopbarNavComponent,
                            TopbarRightComponent,
                        ],
                    },] }
        ];
        return TopbarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AccordionService = /** @class */ (function () {
        function AccordionService() {
            this.focus = new rxjs.BehaviorSubject(0);
            this.focus$ = this.focus.asObservable();
        }
        /**
         * @param {?} focusIndex
         * @return {?}
         */
        AccordionService.prototype.setFocus = /**
         * @param {?} focusIndex
         * @return {?}
         */
            function (focusIndex) {
                this.focus.next(focusIndex);
            };
        AccordionService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AccordionService.ctorParameters = function () { return []; };
        return AccordionService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AccordionTabComponent = /** @class */ (function () {
        function AccordionTabComponent(accordion, el, accordionService, cdr) {
            this.accordion = accordion;
            this.el = el;
            this.accordionService = accordionService;
            this.cdr = cdr;
            /**
             * \@prop Set Accordion tab header string | false
             */
            this.header = '';
            /**
             * \@prop Set accordion tab to be expanded | false
             */
            this.isExpanded = false;
            /**
             * \@prop Set the attribute disabled to the accordion tab | false
             */
            this.disabled = false;
            /**
             * \@prop Optional accordion tab css class string | ''
             */
            this.className = '';
            /**
             * \@prop Optional underline under Accordion menu item | false
             */
            this.showSeparator = false;
            /**
             * \@prop Optional accordion header css class string | ''
             */
            this.headerClass = '';
            /**
             * \@prop Handler to be called when the user taps the Accordion Tab | null
             */
            this.contentClick = new i0.EventEmitter();
            /**
             * \@prop Handler to be called when the user presses a key | null
             */
            this.handleKeyDown = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        AccordionTabComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.height && this.height !== 56) {
                    throw new Error("md-list: Accordion Header height option must be either the default or 56");
                }
                this.accordionService.focus$.subscribe(( /**
                 * @param {?} focus
                 * @return {?}
                 */function (focus) { return _this.focus = focus; }));
            };
        /**
         * @return {?}
         */
        AccordionTabComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                this.index = this.findTabIndex();
                this.cdr.detectChanges();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        AccordionTabComponent.prototype.handleContentClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.contentClick.emit({ originalEvent: event, tab: this.accordion.tabs[this.index] });
                event.stopPropagation();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        AccordionTabComponent.prototype.toggle = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (this.disabled) {
                    return false;
                }
                this.index = this.findTabIndex();
                this.accordionService.setFocus(this.index);
                if (this.isExpanded) {
                    this.isExpanded = false;
                }
                else {
                    if (!this.accordion.multipleVisible) {
                        for (var i = 0; i < this.accordion.tabs.length; i++) {
                            this.accordion.tabs[i].isExpanded = false;
                        }
                    }
                    this.isExpanded = true;
                }
                event.preventDefault();
            };
        /**
         * @return {?}
         */
        AccordionTabComponent.prototype.findTabIndex = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var index = -1;
                this.accordion.tabs.map(( /**
                 * @param {?} tab
                 * @param {?} idx
                 * @return {?}
                 */function (tab, idx) {
                    if (tab === _this) {
                        index = idx;
                    }
                }));
                return index;
            };
        /**
         * @param {?} currentIndex
         * @param {?} change
         * @param {?} lastIdx
         * @return {?}
         */
        AccordionTabComponent.prototype.getNewIndex = /**
         * @param {?} currentIndex
         * @param {?} change
         * @param {?} lastIdx
         * @return {?}
         */
            function (currentIndex, change, lastIdx) {
                /** @type {?} */
                var getPossibleIndex = ( /**
                 * @return {?}
                 */function () {
                    if (currentIndex + change < 0) {
                        return lastIdx;
                    }
                    else if (currentIndex + change > lastIdx) {
                        return 0;
                    }
                    return currentIndex + change;
                });
                /** @type {?} */
                var possibleIndex = getPossibleIndex();
                if (this.accordion.tabs[possibleIndex].disabled) {
                    return this.getNewIndex(possibleIndex, change, lastIdx);
                }
                return possibleIndex;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        AccordionTabComponent.prototype.onKeyDown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var newIndex;
                // tslint:disable-next-line: deprecation
                /** @type {?} */
                var key = event.key || event.which || event.keyCode;
                this.handleKeyDown.emit(event.code);
                switch (key) {
                    case keycodes.SPACE:
                    case keycodes.ENTER:
                    case ' ':
                    case 'Enter':
                        this.toggle(event);
                        break;
                    case keycodes.UP_ARROW:
                    case keycodes.LEFT_ARROW:
                    case 'ArrowUp':
                    case 'ArrowLeft':
                        newIndex = this.getNewIndex(this.index, -1, this.accordion.tabs.length - 1);
                        this.accordionService.setFocus(newIndex);
                        if (this.accordion.tabs[this.focus]) {
                            this.accordion.tabs[this.focus].headerRef.nativeElement.focus();
                        }
                        break;
                    case keycodes.RIGHT_ARROW:
                    case keycodes.DOWN_ARROW:
                    case 'ArrowRight':
                    case 'ArrowDown':
                        newIndex = this.getNewIndex(this.index, 1, this.accordion.tabs.length - 1);
                        this.accordionService.setFocus(newIndex);
                        if (this.accordion.tabs[this.focus]) {
                            this.accordion.tabs[this.focus].headerRef.nativeElement.focus();
                        }
                        break;
                    case keycodes.PAGE_UP:
                    case keycodes.HOME:
                    case 'PageUp':
                    case 'Home':
                        this.accordionService.setFocus(0);
                        this.accordion.tabs[0].headerRef.nativeElement.focus();
                        break;
                    case keycodes.PAGE_DOWN:
                    case keycodes.END:
                    case 'PageDown':
                    case 'End':
                        this.accordionService.setFocus(this.accordion.tabs.length - 1);
                        this.accordion.tabs[this.accordion.tabs.length - 1].headerRef.nativeElement.focus();
                        break;
                    default:
                        break;
                }
                event.preventDefault();
            };
        AccordionTabComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-accordion-tab',
                        template: "\n    <div\n      [attr.aria-expanded]=\"isExpanded\"\n      class=\"md-accordion__group\"\n      [ngClass]=\"[\n        disabled ? 'md-accordion__group--disabled' : '',\n        isExpanded ? 'md-accordion__group--active' : '',\n        className\n      ]\"\n    >\n      <div\n        #headerRef\n        role=\"button\"\n        class=\"md-accordion__header\"\n        [ngClass]=\"[\n          height === 56 ? 'md-accordion__header--' + height : '',\n          showSeparator ? 'md-accordion__header--separator' : '',\n          headerClass\n        ]\"\n        (click) = \"toggle($event)\"\n        (keydown)=\"onKeyDown($event)\"\n        [attr.tabindex]=\"!disabled ? 0 : -1\"\n      >\n        <div>{{header}}</div>\n        <span class=\"md-accordion__header-icon\"></span>\n      </div>\n\n      <div class=\"md-accordion__content\">\n        <div\n          class=\"md-list-item\"\n          id=\"md-list-item-12\"\n          role=\"listItem\"\n          (click) = \"handleContentClick($event)\"\n        >\n          <ng-content></ng-content>\n        </div>\n      </div>\n    </div>\n  ",
                        providers: [AccordionService]
                    }] }
        ];
        /** @nocollapse */
        AccordionTabComponent.ctorParameters = function () {
            return [
                { type: AccordionComponent, decorators: [{ type: i0.Inject, args: [i0.forwardRef(( /**
                                                 * @return {?}
                                                 */function () { return AccordionComponent; })),] }] },
                { type: i0.ElementRef },
                { type: AccordionService },
                { type: i0.ChangeDetectorRef }
            ];
        };
        AccordionTabComponent.propDecorators = {
            header: [{ type: i0.Input }],
            isExpanded: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            height: [{ type: i0.Input }],
            showSeparator: [{ type: i0.Input }],
            headerClass: [{ type: i0.Input }],
            headerRef: [{ type: i0.ViewChild, args: ['headerRef',] }],
            contentRef: [{ type: i0.ViewChild, args: ['contentRef',] }],
            contentClick: [{ type: i0.Output }],
            handleKeyDown: [{ type: i0.Output }]
        };
        return AccordionTabComponent;
    }());
    // Accordion Below
    var AccordionComponent = /** @class */ (function () {
        function AccordionComponent() {
            /**
             * \@prop Set to allow expansion of multiple AccordionGroups | false
             */
            this.multipleVisible = false;
            /**
             * \@prop Optional css class string | ''
             */
            this.class = '';
            /**
             * \@prop Specifies if AccordionHeader automatically gets focus when page loads | false
             */
            this.focus = false;
            this.tabs = [];
        }
        /**
         * @return {?}
         */
        AccordionComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                this.tabs = this.tabList.toArray();
            };
        /**
         * @return {?}
         */
        AccordionComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                if (this.focus) {
                    this.tabs[0].headerRef.nativeElement.focus();
                }
            };
        AccordionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-accordion',
                        template: "<ng-content></ng-content>",
                        host: {
                            class: 'md-accordion',
                        }
                    }] }
        ];
        /** @nocollapse */
        AccordionComponent.ctorParameters = function () { return []; };
        AccordionComponent.propDecorators = {
            multipleVisible: [{ type: i0.Input }],
            class: [{ type: i0.Input }],
            focus: [{ type: i0.Input }],
            tabList: [{ type: i0.ContentChildren, args: [AccordionTabComponent,] }]
        };
        return AccordionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AccordionModule = /** @class */ (function () {
        function AccordionModule() {
        }
        /**
         * @return {?}
         */
        AccordionModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AccordionModule,
                    providers: [],
                };
            };
        AccordionModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule
                        ],
                        declarations: [AccordionComponent, AccordionTabComponent],
                        exports: [AccordionComponent, AccordionTabComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return AccordionModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarService = /** @class */ (function () {
        function SidebarService() {
            this.tier = new rxjs.BehaviorSubject(false);
            this.tier$ = this.tier.asObservable().pipe(operators.distinctUntilChanged());
        }
        /**
         * @param {?} level
         * @return {?}
         */
        SidebarService.prototype.changeTier = /**
         * @param {?} level
         * @return {?}
         */
            function (level) {
                this.tier.next(level);
            };
        SidebarService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        SidebarService.ctorParameters = function () { return []; };
        return SidebarService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SideBarComponent = /** @class */ (function () {
        function SideBarComponent(sidebarService) {
            this.sidebarService = sidebarService;
            /**
             * \@prop Sets Sidebar to position fixed | false
             */
            this.isFixed = false;
            /**
             * \@prop Sets Sidebar styling for page level | false
             */
            this.isPageLevel = false;
            /**
             * \@prop Sets padding for Topbar | false
             */
            this.withTopbar = false;
            /**
             * \@prop show minimized sidebar with icons only on toggle | true
             */
            this.withIcons = true;
            /**
             * \@prop Set to make the navigation expandable | true
             */
            this.expandable = true;
            /**
             * \@prop Set navigation expanded or collapsed | true
             */
            this.expanded = true;
            /**
             * \@prop Optional CSS class string for sidebar | ''
             */
            this.wrapperClass = '';
            /**
             * \@prop Optional color theme | ''
             */
            this.theme = '';
            /**
             * \@prop optional toggle button to expand/collapse sidebar | false
             */
            this.withToggle = false;
            /**
             * \@prop optional toggle behavior to automatically expand/collapse sidebar | false
             */
            this.autoToggle = false;
            /**
             * \@prop optional auto toggle width to automatically trigger toggle behavior | 960
             */
            this.autoToggleWidth = 960;
            /**
             * \@prop optional CSS class for the toggle button
             */
            this.buttonClass = '';
            this.toggle = new i0.EventEmitter();
            this.hasTier = false;
            this.subs = new rxjs.Subscription();
            this.isAutoToggled = true;
        }
        /**
         * @return {?}
         */
        SideBarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.subs.add(this.sidebarService.tier$.subscribe(( /**
                 * @param {?} tier
                 * @return {?}
                 */function (tier) { return _this.hasTier = tier; })));
                if (this.autoToggle) {
                    this.subs.add(rxjs.fromEvent(window, 'resize').pipe(operators.debounceTime(250), operators.map(( /**
                     * @return {?}
                     */function () { return _this.isSmallScreen(); }))).subscribe(( /**
                     * @param {?} isSmallScreen
                     * @return {?}
                     */function (isSmallScreen) { return _this.autoToggleExpanded(isSmallScreen); })));
                }
            };
        /**
         * @return {?}
         */
        SideBarComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.subs.unsubscribe();
            };
        /**
         * @param {?=} __0
         * @return {?}
         */
        SideBarComponent.prototype.toggleExpanded = /**
         * @param {?=} __0
         * @return {?}
         */
            function (_a) {
                var _b = _a === void 0 ? {} : _a, _c = _b.expanded, expanded = _c === void 0 ? !this.expanded : _c, _d = _b.isAutoToggled, isAutoToggled = _d === void 0 ? false : _d;
                this.expanded = expanded;
                this.isAutoToggled = isAutoToggled;
                this.toggle.emit({
                    expanded: expanded,
                });
            };
        /**
         * @private
         * @param {?} isSmallScreen
         * @return {?}
         */
        SideBarComponent.prototype.autoToggleExpanded = /**
         * @private
         * @param {?} isSmallScreen
         * @return {?}
         */
            function (isSmallScreen) {
                if (!this.isAutoToggled) {
                    return;
                }
                if (isSmallScreen && this.expanded) {
                    this.toggleExpanded({
                        expanded: false,
                        isAutoToggled: true,
                    });
                }
                else if (!isSmallScreen && !this.expanded) {
                    this.toggleExpanded({
                        expanded: true,
                        isAutoToggled: true,
                    });
                }
            };
        /**
         * @private
         * @return {?}
         */
        SideBarComponent.prototype.isSmallScreen = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var width = window.innerWidth > 0 ? window.innerWidth : screen.width;
                return width < this.autoToggleWidth;
            };
        SideBarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar',
                        template: "\n\n  <div class=\"md-sidebar\" [ngClass]=\"[\n    theme ? 'md-sidebar--' + theme : '',\n    isFixed ? 'md-sidebar--fixed' : '',\n    !isPageLevel ? 'md-sidebar--global' : '',\n    withTopbar ? 'md-sidebar--topbar' : '',\n    withIcons && !isPageLevel ? 'md-sidebar--indented' : '',\n    hasTier ? 'md-sidebar--nested' : '',\n    expanded ? 'md-sidebar--expanded' : '',\n    !expanded && withIcons ? 'md-sidebar--minimized' : '',\n    !expanded && !withIcons ? 'md-sidebar--collapsed' : '',\n    wrapperClass\n  ]\">\n    <ng-content></ng-content>\n  </div>\n\n  <div *ngIf=\"withToggle\" class=\"md-sidebar__toggle\" [ngClass]=\"[\n    !expanded && withIcons ? 'md-sidebar__toggle--minimized' : '',\n    !expanded && !withIcons ? 'md-sidebar__toggle--collapsed' : '',\n    buttonClass\n  ]\">\n    <button\n      (click)=\"toggleExpanded()\"\n      class=\"md-button md-button--36 md-collapse-button\"\n      type=\"button\"\n      aria-label=\"Hide panels\"\n    >\n      <span class=\"md-button__children\" style=\"opacity: 1;\">\n        <i class=\"md-icon icon\" [ngClass]=\"[\n          this.expanded ? 'icon-panel-control-left_12' : 'icon-panel-control-right_12'\n        ]\"></i>\n      </span>\n    </button>\n  </div>\n  ",
                        providers: [SidebarService],
                        host: {
                            class: 'md-sidebar__wrapper',
                            '[class.md-sidebar__wrapper--fixed]': 'isFixed',
                        }
                    }] }
        ];
        /** @nocollapse */
        SideBarComponent.ctorParameters = function () {
            return [
                { type: SidebarService }
            ];
        };
        SideBarComponent.propDecorators = {
            isFixed: [{ type: i0.Input }],
            isPageLevel: [{ type: i0.Input }],
            withTopbar: [{ type: i0.Input }],
            withIcons: [{ type: i0.Input }],
            expandable: [{ type: i0.Input }],
            expanded: [{ type: i0.Input }],
            wrapperClass: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            withToggle: [{ type: i0.Input }],
            autoToggle: [{ type: i0.Input }],
            autoToggleWidth: [{ type: i0.Input }],
            buttonClass: [{ type: i0.Input }],
            toggle: [{ type: i0.Output }]
        };
        return SideBarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SideBarModule = /** @class */ (function () {
        function SideBarModule() {
        }
        /**
         * @return {?}
         */
        SideBarModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SideBarModule,
                    providers: [],
                };
            };
        SideBarModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SideBarComponent],
                        imports: [
                            common.CommonModule,
                        ],
                        exports: [SideBarComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return SideBarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SideBarBodyComponent = /** @class */ (function () {
        function SideBarBodyComponent() {
        }
        /**
         * @return {?}
         */
        SideBarBodyComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        SideBarBodyComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar-body',
                        template: "<ng-content></ng-content>",
                        host: {
                            'class': 'md-sidebar__body'
                        }
                    }] }
        ];
        /** @nocollapse */
        SideBarBodyComponent.ctorParameters = function () { return []; };
        return SideBarBodyComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SideBarBodyModule = /** @class */ (function () {
        function SideBarBodyModule() {
        }
        /**
         * @return {?}
         */
        SideBarBodyModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SideBarBodyModule,
                    providers: [],
                };
            };
        SideBarBodyModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SideBarBodyComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [SideBarBodyComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return SideBarBodyModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarNavService = /** @class */ (function () {
        function SidebarNavService() {
            this.actions = new rxjs.Subject();
            this.state$ = this.actions.asObservable().pipe(operators.startWith({
                sidebarNavItems: [],
                focusIndex: 0,
            }), operators.scan(( /**
             * @param {?} state
             * @param {?} action
             * @return {?}
             */function (state, action) { return (__assign({}, state, action)); })), operators.shareReplay(1));
            this.focus$ = this.state$.pipe(operators.map(( /**
             * @param {?} state
             * @return {?}
             */function (state) { return state.focusIndex; })), operators.distinctUntilChanged());
            this.sidebarNavItems$ = this.state$.pipe(operators.map(( /**
             * @param {?} state
             * @return {?}
             */function (state) { return state.sidebarNavItems; })), operators.distinctUntilChanged());
        }
        /**
         * @param {?} focusIndex
         * @return {?}
         */
        SidebarNavService.prototype.setFocus = /**
         * @param {?} focusIndex
         * @return {?}
         */
            function (focusIndex) {
                this.actions.next({
                    focusIndex: focusIndex,
                });
            };
        /**
         * @param {?} sidebarNavItems
         * @return {?}
         */
        SidebarNavService.prototype.setSidebarNavItems = /**
         * @param {?} sidebarNavItems
         * @return {?}
         */
            function (sidebarNavItems) {
                this.actions.next({
                    sidebarNavItems: sidebarNavItems,
                });
            };
        SidebarNavService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        SidebarNavService.ctorParameters = function () { return []; };
        return SidebarNavService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarNavItemComponent = /** @class */ (function () {
        function SidebarNavItemComponent(sidebarNavService, sidebarService) {
            this.sidebarNavService = sidebarNavService;
            this.sidebarService = sidebarService;
            /**
             * \@prop Title for the side item navigation | ''
             */
            this.title = '';
            /**
             * \@prop establishes the level - primary, secondary, or tertiary | 'primary'
             */
            this.headerLevel = 'primary';
            /**
             * \@prop Set navigation expanded or collapsed | false
             */
            this.expanded = false;
            /**
             * \@prop set active class on side item
             */
            this.active = false;
            /**
             * \@prop Icon string or node for the title | null
             */
            this.icon = '';
            /**
             * \@prop disables the sidebar nav item
             */
            this.disabled = false;
            /**
             * \@prop marks the sidebar nav item as read-only
             */
            this.isReadOnly = false;
            /**
             * \@prop creates a separator line below the sidebar nav item
             */
            this.separator = false;
            /**
             * \@prop optional CSS class for the icon left of sidebar nav item title
             */
            this.iconClass = '';
            /**
             * \@prop optional CSS class on the sidebar nav item wrapper div
             */
            this.className = '';
            this.navItemClick = new i0.EventEmitter();
            this.navItems = [];
            this.subs = new rxjs.Subscription();
        }
        /**
         * @return {?}
         */
        SidebarNavItemComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var index$ = this.sidebarNavService.sidebarNavItems$.pipe(operators.tap(( /**
                 * @param {?} sidebarNavItems
                 * @return {?}
                 */function (sidebarNavItems) { return (_this.children = sidebarNavItems); })), operators.map(( /**
                 * @param {?} sidebarNavItems
                 * @return {?}
                 */function (sidebarNavItems) {
                    return sidebarNavItems.findIndex(( /**
                     * @param {?} sidebarNavItem
                     * @return {?}
                     */function (sidebarNavItem) { return sidebarNavItem === _this; }));
                })), operators.tap(( /**
                 * @param {?} index
                 * @return {?}
                 */function (index) { return (_this.index = index); })));
                this.subs.add(this.sidebarNavService.focus$.pipe(operators.withLatestFrom(index$)).subscribe(( /**
                 * @param {?} __0
                 * @return {?}
                 */function (_a) {
                    var _b = __read(_a, 2), focus = _b[0], index = _b[1];
                    if (focus === index) {
                        _this.navItemRef.nativeElement.focus();
                    }
                })));
            };
        /**
         * @return {?}
         */
        SidebarNavItemComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.subs.unsubscribe();
            };
        /**
         * @return {?}
         */
        SidebarNavItemComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                this.navItems = this.navItemList.toArray();
                this.nestedFound = this.navItems.some(( /**
                 * @param {?} item
                 * @return {?}
                 */function (item) { return item.headerLevel === 'secondary' || item.headerLevel === 'tertiary'; }));
                if (this.nestedFound) {
                    this.sidebarService.changeTier(true);
                }
            };
        /**
         * @param {?} e
         * @return {?}
         */
        SidebarNavItemComponent.prototype.expandItem = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (this.disabled) {
                    return;
                }
                this.expanded = !this.expanded;
                for (var i = 0; i < this.children.length; i++) {
                    this.children[i].active = false;
                }
                this.children[this.index].active = true;
                this.sidebarNavService.setFocus(this.index);
                this.navItemClick.emit({
                    navItem: this.children[this.index],
                    title: this.children[this.index].title,
                });
            };
        /**
         * @param {?} __0
         * @return {?}
         */
        SidebarNavItemComponent.prototype.getNewIndex = /**
         * @param {?} __0
         * @return {?}
         */
            function (_a) {
                var change = _a.change, _b = _a.currentIndex, currentIndex = _b === void 0 ? this.index : _b, _c = _a.lastIndex, lastIndex = _c === void 0 ? this.children.length - 1 : _c;
                /** @type {?} */
                var getPossibleIndex = ( /**
                 * @return {?}
                 */function () {
                    if (currentIndex + change < 0) {
                        return lastIndex;
                    }
                    else if (currentIndex + change > lastIndex) {
                        return 0;
                    }
                    return currentIndex + change;
                });
                /** @type {?} */
                var possibleIndex = getPossibleIndex();
                if (this.children[possibleIndex].disabled) {
                    return this.getNewIndex({
                        change: change,
                        currentIndex: possibleIndex,
                        lastIndex: lastIndex,
                    });
                }
                return possibleIndex;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        SidebarNavItemComponent.prototype.onKeyDown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var newIndex;
                // tslint:disable-next-line: deprecation
                /** @type {?} */
                var key = event.key || event.which || event.keyCode;
                switch (key) {
                    case keycodes.SPACE:
                    case keycodes.ENTER:
                    case ' ':
                    case 'Enter':
                        this.expandItem(event);
                        break;
                    case keycodes.UP_ARROW:
                    case keycodes.LEFT_ARROW:
                    case 'ArrowUp':
                    case 'ArrowLeft':
                        newIndex = this.getNewIndex({
                            change: -1,
                        });
                        this.sidebarNavService.setFocus(newIndex);
                        break;
                    case keycodes.RIGHT_ARROW:
                    case keycodes.DOWN_ARROW:
                    case 'ArrowRight':
                    case 'ArrowDown':
                        newIndex = this.getNewIndex({
                            change: 1,
                        });
                        this.sidebarNavService.setFocus(newIndex);
                        break;
                    case keycodes.PAGE_UP:
                    case keycodes.HOME:
                    case 'PageUp':
                    case 'Home':
                        newIndex = this.getNewIndex({
                            currentIndex: this.children.length - 1,
                            change: 1,
                        });
                        this.sidebarNavService.setFocus(newIndex);
                        break;
                    case keycodes.PAGE_DOWN:
                    case keycodes.END:
                    case 'PageDown':
                    case 'End':
                        newIndex = this.getNewIndex({
                            currentIndex: 0,
                            change: -1,
                        });
                        this.sidebarNavService.setFocus(newIndex);
                        break;
                    default:
                        break;
                }
                event.preventDefault();
            };
        SidebarNavItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar-nav-item',
                        template: "\n    <!-- default always here -->\n    <div\n      #navItemRef\n      aria-current=\"false\"\n      class=\"md-list-item\"\n      [ngClass]=\"[\n        active ? 'active' : '',\n        disabled ? 'disabled' : '',\n        isReadOnly ? 'md-list-item--read-only' : '',\n        separator ? 'md-list-item--separator' : '',\n        className\n      ]\"\n      role=\"listitem\"\n      tabindex=\"0\"\n      (click)=\"expandItem($event)\"\n      (keydown)=\"onKeyDown($event)\"\n      [title]=\"title\"\n    >\n      <!-- Icon conditional here -->\n      <div class=\"md-list-item__left\" *ngIf=\"icon\">\n        <i class=\"md-icon icon\" [ngClass]=\"[icon ? 'icon-' + this.icon : '', iconClass]\"></i>\n      </div>\n\n      <div class=\"md-list-item__center\">\n        <div class=\"md-list-item__header\">{{ title }}</div>\n      </div>\n\n      <!-- Conditional based on children -->\n      <div class=\"md-list-item__right\" *ngIf=\"navItems.length > 1\">\n        <i\n          class=\"md-icon icon\"\n          [ngClass]=\"[expanded ? 'icon-arrow-up_12' : 'icon-arrow-down_12']\"\n        ></i>\n      </div>\n    </div>\n\n    <!-- Expansion conditional -->\n    <div\n      *ngIf=\"navItems?.length > 1\"\n      class=\"md-sidebar-nav__group\"\n      [ngClass]=\"[\n        headerLevel ? 'md-sidebar-nav__group--' + headerLevel : '',\n        navItems.length > 1 || expanded ? 'md-sidebar-nav__group--expanded' : '',\n        navItems.length === 0 || !expanded ? 'md-sidebar-nav__group--collapsed' : ''\n      ]\"\n    >\n      <ng-content> </ng-content>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        SidebarNavItemComponent.ctorParameters = function () {
            return [
                { type: SidebarNavService },
                { type: SidebarService }
            ];
        };
        SidebarNavItemComponent.propDecorators = {
            title: [{ type: i0.Input }],
            headerLevel: [{ type: i0.Input }],
            expanded: [{ type: i0.Input }],
            active: [{ type: i0.Input }],
            icon: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            isReadOnly: [{ type: i0.Input }],
            separator: [{ type: i0.Input }],
            iconClass: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            navItemRef: [{ type: i0.ViewChild, args: ['navItemRef',] }],
            navItemClick: [{ type: i0.Output }],
            navItemList: [{ type: i0.ContentChildren, args: [SidebarNavItemComponent,] }]
        };
        return SidebarNavItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarNavComponent = /** @class */ (function () {
        function SidebarNavComponent(sidebarNavService) {
            this.sidebarNavService = sidebarNavService;
            /**
             * \@prop Optional string to be used for Section Title | ''
             */
            this.title = '';
            /**
             * \@prop Optional css class string with md-list | ''
             */
            this.listClass = '';
            this.navItems = [];
            this.subs = new rxjs.Subscription();
        }
        /**
         * @return {?}
         */
        SidebarNavComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.sidebarNavService.setSidebarNavItems(this.navItemLists.toArray());
                this.subs.add(this.navItemLists.changes.subscribe(( /**
                 * @param {?} navItems
                 * @return {?}
                 */function (navItems) {
                    _this.sidebarNavService.setSidebarNavItems(navItems.toArray());
                })));
            };
        /**
         * @return {?}
         */
        SidebarNavComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.subs.unsubscribe();
            };
        SidebarNavComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar-nav',
                        template: "\n    <div\n      class=\"md-sidebar-nav\"\n      [ngClass]=\"{\n        'md-sidebar-nav--header': title\n      }\"\n    >\n      <div *ngIf=\"title\" class=\"md-sidebar-nav__header\">\n        {{ title }}\n      </div>\n\n      <div\n        class=\"md-list md-sidebar-nav__group md-sidebar-nav__group--primary\"\n        [ngClass]=\"[listClass]\"\n        role=\"list\"\n      >\n        <ng-content></ng-content>\n      </div>\n    </div>\n  ",
                        providers: [SidebarNavService]
                    }] }
        ];
        /** @nocollapse */
        SidebarNavComponent.ctorParameters = function () {
            return [
                { type: SidebarNavService }
            ];
        };
        SidebarNavComponent.propDecorators = {
            title: [{ type: i0.Input }],
            listClass: [{ type: i0.Input }],
            navItemLists: [{ type: i0.ContentChildren, args: [SidebarNavItemComponent, { descendants: true },] }]
        };
        return SidebarNavComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarNavModule = /** @class */ (function () {
        function SidebarNavModule() {
        }
        /**
         * @return {?}
         */
        SidebarNavModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SidebarNavModule,
                    providers: [],
                };
            };
        SidebarNavModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SidebarNavComponent],
                        imports: [
                            common.CommonModule,
                        ],
                        exports: [SidebarNavComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return SidebarNavModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarNavItemModule = /** @class */ (function () {
        function SidebarNavItemModule() {
        }
        /**
         * @return {?}
         */
        SidebarNavItemModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SidebarNavItemModule,
                    providers: [],
                };
            };
        SidebarNavItemModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            AvatarModule,
                        ],
                        exports: [SidebarNavItemComponent],
                        declarations: [SidebarNavItemComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return SidebarNavItemModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarHeaderComponent = /** @class */ (function () {
        function SidebarHeaderComponent() {
        }
        /**
         * @return {?}
         */
        SidebarHeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        SidebarHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar-header',
                        template: "<ng-content></ng-content>",
                        host: {
                            'class': 'md-sidebar__header',
                        }
                    }] }
        ];
        return SidebarHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarHeaderModule = /** @class */ (function () {
        function SidebarHeaderModule() {
        }
        /**
         * @return {?}
         */
        SidebarHeaderModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SidebarHeaderModule,
                    providers: [],
                };
            };
        SidebarHeaderModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SidebarHeaderComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [SidebarHeaderComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return SidebarHeaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarFooterComponent = /** @class */ (function () {
        function SidebarFooterComponent() {
        }
        /**
         * @return {?}
         */
        SidebarFooterComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        SidebarFooterComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sidebar-footer',
                        template: "<ng-content></ng-content>",
                        host: {
                            'class': 'md-sidebar__footer'
                        }
                    }] }
        ];
        /** @nocollapse */
        SidebarFooterComponent.ctorParameters = function () { return []; };
        return SidebarFooterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarFooterModule = /** @class */ (function () {
        function SidebarFooterModule() {
        }
        /**
         * @return {?}
         */
        SidebarFooterModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: SidebarFooterModule,
                    providers: [],
                };
            };
        SidebarFooterModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [SidebarFooterComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [SidebarFooterComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return SidebarFooterModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var moment = require('moment');
    if ('default' in moment) {
        moment = moment['default'];
    }
    var TimePickerService = /** @class */ (function () {
        function TimePickerService() {
            var _this = this;
            this.dayChange = 0;
            this.regIsHM = /^h|m$/i;
            this.regIsHMValue = /^\d*\d$/;
            this.regIsPre = /^pre$/i;
            this.regIsPreValue = /^am|pm$/i;
            this.config = {
                time: {
                    format: 'HH:mm'
                },
                m: {
                    interval: 1,
                    intervalUnit: 'm',
                    format: 'mm'
                },
                h: {
                    interval: 1,
                    intervalUnit: 'h',
                    format: 'HH'
                },
                pre: {
                    interval: 12,
                    intervalUnit: 'h',
                    format: 'A'
                }
            };
            this.selectedTime = moment();
            this.selected = new rxjs.Subject();
            this.selected$ = this.selected.asObservable();
            this.militaryTime = false;
            this.military = new rxjs.Subject();
            this.military$ = this.military.asObservable();
            this.isShow = new rxjs.Subject();
            this.isShow$ = this.isShow.asObservable();
            this.validTime = ( /**
             * @param {?} unit
             * @param {?} v
             * @return {?}
             */function (unit, v) {
                return _this.regIsHM.test(unit) && _this.regIsHMValue.test(v);
            });
            this.validPre = ( /**
             * @param {?} unit
             * @param {?} v
             * @return {?}
             */function (unit, v) {
                return _this.regIsPre.test(unit) && _this.regIsPreValue.test(v);
            });
            this.getTimeString = ( /**
             * @return {?}
             */function () {
                return _this.selectedTime.format(_this.config.time.format);
            });
            this.initTime = ( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.selected.next(moment(v));
            });
            this.setMilitary = ( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.military.next(v);
            });
            this.setMinuteInterval = ( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.config.m.interval = v;
            });
            this.getUnitText = ( /**
             * @param {?} unit
             * @return {?}
             */function (unit) {
                return _this.selectedTime.format(_this.config[unit].format);
            });
            this.changeTimeByInterval = ( /**
             * @param {?} unit
             * @param {?} multiplier
             * @return {?}
             */function (unit, multiplier) {
                /** @type {?} */
                var conf = _this.config[unit];
                _this.changeTime(conf.intervalUnit, conf.interval * multiplier);
            });
            this.changeTime = ( /**
             * @param {?} unit
             * @param {?} change
             * @return {?}
             */function (unit, change) {
                /** @type {?} */
                var newTime = moment(_this.selectedTime).add(change, unit);
                /** @type {?} */
                var startDay = moment().startOf('day');
                if (change > 0) {
                    if (newTime.clone().startOf('day').isAfter(startDay)) {
                        newTime.add(-1, 'day');
                        _this.dayChange = 1;
                    }
                }
                else {
                    if (newTime.clone().startOf('day').isAfter(startDay)) {
                        newTime.add(1, 'day');
                        _this.dayChange = -1;
                    }
                }
                _this.selected.next(newTime);
            });
            this.setTime = ( /**
             * @param {?=} hour
             * @param {?=} minute
             * @param {?=} pre
             * @return {?}
             */function (hour, minute, pre) {
                if (hour === void 0) {
                    hour = _this.getUnitText('h');
                }
                if (minute === void 0) {
                    minute = _this.getUnitText('m');
                }
                if (pre === void 0) {
                    pre = _this.getUnitText('pre');
                }
                /** @type {?} */
                var meridianHour = pre === 'PM' && parseInt(hour, 10) < 12
                    ? parseInt(hour, 10) + 12
                    : pre === 'AM' && parseInt(hour, 10) === 12 ? 0 : hour;
                _this.dayChange = 0;
                _this.selected.next(_this.selectedTime.clone().hour(meridianHour).minute(minute));
            });
            this.setTimeByUnit = ( /**
             * @param {?} unit
             * @param {?} value
             * @return {?}
             */function (unit, value) {
                /** @type {?} */
                var maxHour = _this.military ? 24 : 13;
                if (unit === 'm' && value > -1 && value < 60) {
                    _this.setTime(undefined, value, undefined);
                }
                else if (unit === 'h' && value > -1 && value < maxHour) {
                    _this.setTime(value, undefined, undefined);
                }
                else if (unit === 'pre') {
                    _this.setTime(undefined, undefined, value);
                }
            });
            this.selected$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.selectedTime = v;
            }));
            this.military$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.militaryTime = v;
                /** @type {?} */
                var conf = _this.config;
                if (v) {
                    conf.h.format = 'HH';
                    conf.time.format = 'HH:mm';
                }
                else {
                    conf.h.format = 'hh';
                    conf.time.format = 'LT';
                }
            }));
        }
        /**
         * @param {?} isOpen
         * @return {?}
         */
        TimePickerService.prototype.show = /**
         * @param {?} isOpen
         * @return {?}
         */
            function (isOpen) {
                this.isShow.next(isOpen);
            };
        TimePickerService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        TimePickerService.ctorParameters = function () { return []; };
        return TimePickerService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimePickerComponent = /** @class */ (function () {
        function TimePickerComponent(timePickerService, overlay, elementRef, viewContainerRef) {
            var _this = this;
            this.timePickerService = timePickerService;
            this.overlay = overlay;
            this.elementRef = elementRef;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Set the value of the Input element | ''
             */
            this.value = '';
            /**
             * \@prop Choose to use military time | false
             */
            this.militaryTime = false;
            /**
             * \@prop Determine the minute interval | 1
             */
            this.minuteInterval = 1;
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originY = 'bottom';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayY = 'top';
            /**
             * \@prop Callback function invoked when user makes a change | null
             */
            this.whenChange = new i0.EventEmitter();
            this.onFocus = ( /**
             * @return {?}
             */function () {
                _this.show();
            });
            this.show = ( /**
             * @return {?}
             */function () {
                _this.timePickerService.show(true);
            });
            this.dismiss = ( /**
             * @return {?}
             */function () {
                _this.timePickerService.show(false);
            });
            this.showContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && !_this.overlayRef.hasAttached()) {
                    _this.overlayRef.attach(_this.tp);
                }
            });
            this.dismissContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && _this.overlayRef.hasAttached()) {
                    _this.overlayRef.detach();
                    if (_this.overlayRef.backdropElement) {
                        _this.overlayRef.backdropElement.remove();
                    }
                }
            });
        }
        Object.defineProperty(TimePickerComponent.prototype, "className", {
            /** @prop Optional css class string | '' */
            set: /**
             * \@prop Optional css class string | ''
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.add(value);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        TimePickerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var ts = this.timePickerService;
                ts.setMilitary(this.militaryTime);
                ts.setMinuteInterval(this.minuteInterval);
                ts.selected$.subscribe(( /**
                 * @param {?} v
                 * @return {?}
                 */function (v) {
                    _this.value = ts.getTimeString();
                    _this.whenChange.emit(v);
                }));
                ts.initTime(this.selectedTime);
                /** @type {?} */
                var strategy = this.overlay
                    .position()
                    .flexibleConnectedTo(this.connectToInput)
                    .withPositions([
                    {
                        originX: this.originX,
                        originY: this.originY,
                        overlayX: this.overlayX, overlayY: this.overlayY
                    }
                ]);
                /** @type {?} */
                var config = new i1.OverlayConfig({
                    hasBackdrop: true,
                    panelClass: ['md-datepicker-container', 'md-timepicker-container'],
                    backdropClass: 'cdk-overlay-transparent-backdrop',
                    positionStrategy: strategy
                });
                this.overlayRef = this.overlay.create(config);
                this.tp = new portal.TemplatePortal(this.timePickerCon, this.viewContainerRef);
                this.timePickerService.isShow$.subscribe(( /**
                 * @param {?} isOpen
                 * @return {?}
                 */function (isOpen) {
                    if (isOpen) {
                        _this.showContent();
                    }
                    else {
                        _this.dismissContent();
                    }
                }));
                this.overlayRef.backdropClick().subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.dismiss();
                }));
                this.dismiss();
            };
        TimePickerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-time-picker',
                        template: "\n    <div class='md-input-container  read-only' #connectToInput>\n      <input class=\"md-input read-only dirty\"\n      tabindex=\"0\"\n      type=\"text\"\n      name=\"md-timepicker__input-407\"\n      readonly=\"\"\n      (focus) = 'onFocus()'\n      [value]=\"value\">\n    </div>\n    <ng-template #timePickerCon>\n      <md-time-picker-dropdown>\n        <md-time-selector unit='h'></md-time-selector>:\n        <md-time-selector unit='m'></md-time-selector>\n        <md-time-selector unit='pre' *ngIf='!militaryTime'></md-time-selector>\n      </md-time-picker-dropdown>\n    </ng-template>\n  ",
                        host: {
                            class: 'md-timepicker-container'
                        },
                        providers: [TimePickerService]
                    }] }
        ];
        /** @nocollapse */
        TimePickerComponent.ctorParameters = function () {
            return [
                { type: TimePickerService },
                { type: i1.Overlay },
                { type: i0.ElementRef },
                { type: i0.ViewContainerRef }
            ];
        };
        TimePickerComponent.propDecorators = {
            value: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            militaryTime: [{ type: i0.Input }],
            minuteInterval: [{ type: i0.Input }],
            selectedTime: [{ type: i0.Input }],
            originX: [{ type: i0.Input }],
            originY: [{ type: i0.Input }],
            overlayX: [{ type: i0.Input }],
            overlayY: [{ type: i0.Input }],
            whenChange: [{ type: i0.Output }],
            timePickerCon: [{ type: i0.ViewChild, args: ['timePickerCon',] }],
            connectToInput: [{ type: i0.ViewChild, args: ['connectToInput',] }]
        };
        return TimePickerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimePickerDropdownComponent = /** @class */ (function () {
        function TimePickerDropdownComponent() {
        }
        /**
         * @return {?}
         */
        TimePickerDropdownComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        TimePickerDropdownComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-time-picker-dropdown',
                        template: "\n    <div class='md-timepicker__dropdown'>\n      <div class=\"inline-flex\">\n        <ng-content></ng-content>\n      </div>\n    </div>\n  ",
                        host: {
                            class: 'md-timepicker__dropdown-container'
                        }
                    }] }
        ];
        /** @nocollapse */
        TimePickerDropdownComponent.ctorParameters = function () { return []; };
        return TimePickerDropdownComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimePickerDropdownModule = /** @class */ (function () {
        function TimePickerDropdownModule() {
        }
        /**
         * @return {?}
         */
        TimePickerDropdownModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TimePickerDropdownModule,
                    providers: [],
                };
            };
        TimePickerDropdownModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [TimePickerDropdownComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [TimePickerDropdownComponent]
                    },] }
        ];
        return TimePickerDropdownModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimeSelectorComponent = /** @class */ (function () {
        function TimeSelectorComponent(timePickerService) {
            var _this = this;
            this.timePickerService = timePickerService;
            this.regNumOnly = /^\d$/;
            /**
             * \@prop Set the type for the Input element | 'text'
             */
            this.type = 'text';
            /**
             * \@prop Set the unit of time | ''
             */
            this.unit = 'm';
            /**
             * \@prop Set the value of the Input element | ''
             */
            this.value = '00';
            this.updateText = ( /**
             * @return {?}
             */function () {
                _this.value = _this.timePickerService.getUnitText(_this.unit);
            });
            this.updateValue = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var el = _this.selectInput.nativeElement;
                /** @type {?} */
                var s = _this.timePickerService;
                /** @type {?} */
                var newValue = el.value;
                if (s.validTime(_this.unit, newValue)) {
                    /** @type {?} */
                    var numValue = parseInt(newValue, 10);
                    if (_this.unit === 'h') {
                        /** @type {?} */
                        var maxHour = s.militaryTime ? 23 : 12;
                        if (numValue > maxHour) {
                            newValue = maxHour;
                            el.value = newValue;
                        }
                        else {
                            newValue = numValue;
                        }
                    }
                    else if (_this.unit === 'm') {
                        if (numValue > 59) {
                            newValue = 59;
                            el.value = newValue;
                        }
                        else {
                            newValue = numValue;
                        }
                    }
                    s.setTimeByUnit(_this.unit, newValue);
                }
                else if (s.validPre(_this.unit, newValue)) {
                    newValue = newValue.toUpperCase();
                    s.setTimeByUnit(_this.unit, newValue);
                }
                else {
                    return false;
                }
                return true;
            });
            this.updatePre = ( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                if (_this.unit === 'pre') {
                    _this.timePickerService.setTimeByUnit(_this.unit, v);
                }
            });
            this.onUpClick = ( /**
             * @return {?}
             */function () {
                _this.timePickerService.changeTimeByInterval(_this.unit, 1);
            });
            this.onDownClick = ( /**
             * @return {?}
             */function () {
                _this.timePickerService.changeTimeByInterval(_this.unit, -1);
            });
            this.onChange = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                if (!_this.updateValue()) {
                    e.stopPropagation();
                    return false;
                }
            });
            this.onWheel = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                if (e.deltaY < 0) {
                    _this.timePickerService.changeTimeByInterval(_this.unit, 1);
                }
                else if (e.deltaY > 0) {
                    _this.timePickerService.changeTimeByInterval(_this.unit, -1);
                }
                e.preventDefault();
            });
            this.onBlur = ( /**
             * @return {?}
             */function () {
                if (!_this.updateValue()) {
                    _this.selectInput.nativeElement.value = _this.value;
                }
            });
            this.onKeydown = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var stopFlag = false;
                /** @type {?} */
                var preventFlay = !_this.regNumOnly.test(e.key);
                switch (e.keyCode) {
                    case 38:
                        _this.onUpClick();
                        stopFlag = true;
                        break;
                    case 40:
                        _this.onDownClick();
                        stopFlag = true;
                        break;
                    case 65:
                        _this.updatePre('AM');
                        stopFlag = true;
                        break;
                    case 80:
                        _this.updatePre('PM');
                        stopFlag = true;
                        break;
                    // detele
                    case 8:
                    case 46:
                        _this.selectInput.nativeElement.value = '';
                        preventFlay = false;
                        break;
                    // tab enter
                    case 9:
                    case 108:
                    case 13:
                        preventFlay = false;
                        break;
                    default:
                        break;
                }
                if (stopFlag) {
                    e.stopPropagation();
                }
                if (preventFlay) {
                    e.preventDefault();
                }
            });
        }
        /**
         * @return {?}
         */
        TimeSelectorComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.timePickerService.selected$.subscribe(( /**
                 * @param {?} v
                 * @return {?}
                 */function (v) {
                    _this.updateText();
                }));
                this.updateText();
            };
        TimeSelectorComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-time-selector',
                        template: "\n    <i class='icon icon-arrow-up_24 arrow' (click)='onUpClick()' role=\"button\"></i>\n    <input [type]='type'\n    minLength=2\n    maxLength=2\n    tabIndex=0\n    [value]='value'\n    (change)='onChange($event)'\n    (wheel)='onWheel($event)'\n    (blur)='onBlur()'\n    (keydown)='onKeydown($event)'\n    #selectInput />\n    <i class='icon icon-arrow-down_24 arrow' (click)='onDownClick()' role=\"button\"></i>\n  ",
                        styles: [':host{display: flex; flex-flow: column; padding-right: 0.4375rem; padding-left: 0.4375rem;}',
                            ':host *{ width: 3rem !important; display: inline-block !important;}',
                            '.arrow { line-height: 2.25rem !important; }']
                    }] }
        ];
        /** @nocollapse */
        TimeSelectorComponent.ctorParameters = function () {
            return [
                { type: TimePickerService }
            ];
        };
        TimeSelectorComponent.propDecorators = {
            type: [{ type: i0.Input }],
            unit: [{ type: i0.Input }],
            value: [{ type: i0.Input }],
            selectInput: [{ type: i0.ViewChild, args: ['selectInput',] }]
        };
        return TimeSelectorComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimeSelectorModule = /** @class */ (function () {
        function TimeSelectorModule() {
        }
        /**
         * @return {?}
         */
        TimeSelectorModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TimeSelectorModule,
                    providers: [],
                };
            };
        TimeSelectorModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [TimeSelectorComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [TimeSelectorComponent]
                    },] }
        ];
        return TimeSelectorModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimePickerModule = /** @class */ (function () {
        function TimePickerModule() {
        }
        /**
         * @return {?}
         */
        TimePickerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: TimePickerModule,
                    providers: [],
                };
            };
        TimePickerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [TimePickerComponent],
                        imports: [
                            common.CommonModule,
                            TimePickerDropdownModule,
                            TimeSelectorModule
                        ],
                        exports: [TimePickerComponent]
                    },] }
        ];
        return TimePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var moment$1 = require('moment');
    if ('default' in moment$1) {
        moment$1 = moment$1['default'];
    }
    /**
     * @param {?} utcOffset
     * @return {?}
     */
    function newDateWithOffset(utcOffset) {
        return moment$1()
            .utc()
            .utcOffset(utcOffset);
    }
    /**
     * @param {?} maybeFixedUtcOffset
     * @return {?}
     */
    function now(maybeFixedUtcOffset) {
        if (maybeFixedUtcOffset == null) {
            return moment$1();
        }
        return newDateWithOffset(maybeFixedUtcOffset);
    }
    /**
     * @param {?} date
     * @return {?}
     */
    function getStartOfWeek(date) {
        return date.startOf('week');
    }
    /**
     * @param {?} date
     * @return {?}
     */
    function getStartOfMonth(date) {
        return date.startOf('month');
    }
    // Returns day of month
    /**
     * @param {?} date
     * @return {?}
     */
    function getDate(date) {
        return date.get('date');
    }
    /**
     * @param {?} date
     * @return {?}
     */
    function getMonth(date) {
        return date.get('month');
    }
    /**
     * @param {?} date
     * @param {?} amount
     * @return {?}
     */
    function addDays(date, amount) {
        return date.add(amount, 'days');
    }
    /**
     * @param {?} date
     * @param {?} amount
     * @return {?}
     */
    function addWeeks(date, amount) {
        return date.add(amount, 'weeks');
    }
    /**
     * @param {?} date
     * @param {?} amount
     * @return {?}
     */
    function addMonths(date, amount) {
        return date.add(amount, 'months');
    }
    /**
     * @param {?} date
     * @param {?} amount
     * @return {?}
     */
    function subtractDays(date, amount) {
        return date.subtract(amount, 'days');
    }
    /**
     * @param {?} date
     * @param {?} amount
     * @return {?}
     */
    function subtractMonths(date, amount) {
        return date.subtract(amount, 'months');
    }
    /**
     * @param {?} date
     * @return {?}
     */
    function getLocaleData(date) {
        return date.localeData();
    }
    /**
     * @param {?} locale
     * @param {?} date
     * @return {?}
     */
    function getWeekdayMinInLocale(locale, date) {
        return locale.weekdaysMin(date).substr(0, 1);
    }
    /**
     * @param {?} date
     * @param {?=} locale
     * @return {?}
     */
    function localizeDate(date, locale) {
        if (locale === void 0) {
            locale = moment$1.locale();
        }
        return date.clone().locale(locale);
    }
    /**
     * @param {?} moment1
     * @param {?} moment2
     * @return {?}
     */
    function isSameDay(moment1, moment2) {
        if (moment1 && moment2) {
            return moment1.isSame(moment2, 'day');
        }
        else {
            return !moment1 && !moment2;
        }
    }
    /**
     * @param {?} date1
     * @param {?} date2
     * @return {?}
     */
    function isSameMonth(date1, date2) {
        if (date1 && date2) {
            return date1.isSame(date2, 'month');
        }
        else {
            return !date1 && !date2;
        }
    }
    /**
     * @param {?} day
     * @param {?} o
     * @return {?}
     */
    function isDayDisabled(day, o) {
        /** @type {?} */
        var minDate = o.minDate;
        /** @type {?} */
        var maxDate = o.maxDate;
        /** @type {?} */
        var filterDate = o.filterDate;
        return ((minDate && day.isBefore(moment$1(minDate), 'day')) ||
            (maxDate && day.isAfter(moment$1(maxDate), 'day')) ||
            (filterDate && filterDate(day.clone())) ||
            false);
    }
    /**
     * @param {?} day
     * @param {?} minDate
     * @return {?}
     */
    function shouldPrevMonthDisable(day, minDate) {
        /** @type {?} */
        var firstDayOfCurrMonth = day.clone().startOf('month');
        return (minDate && !moment$1(minDate).isBefore(firstDayOfCurrMonth));
    }
    /**
     * @param {?} day
     * @param {?} maxDate
     * @return {?}
     */
    function shouldNextMonthDisable(day, maxDate) {
        /** @type {?} */
        var lastDayOfCurrMonth = day.clone().endOf('month');
        return (maxDate && !moment$1(maxDate).isAfter(lastDayOfCurrMonth));
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var moment$2 = require('moment');
    if ('default' in moment$2) {
        moment$2 = moment$2['default'];
    }
    var DatePickerService = /** @class */ (function () {
        function DatePickerService() {
            var _this = this;
            this.selectedDate = moment$2();
            this.focusedDate = moment$2(); // auto focus today
            // auto focus today
            this.viewedDate = moment$2();
            this.targetStart = true;
            this.weekDaysMap = [0, 1, 2, 3, 4, 5, 6];
            this.nowDate = moment$2();
            this.selected = new rxjs.Subject();
            this.selected$ = this.selected.asObservable();
            this.focused = new rxjs.Subject();
            this.focused$ = this.focused.asObservable();
            this.viewed = new rxjs.Subject();
            this.viewed$ = this.viewed.asObservable();
            this.hovered = new rxjs.Subject();
            this.hovered$ = this.hovered.asObservable();
            this.startDate = new rxjs.Subject();
            this.startDate$ = this.startDate.asObservable();
            this.endDate = new rxjs.Subject();
            this.endDate$ = this.endDate.asObservable();
            this.viewMonthChange = new rxjs.Subject();
            this.viewMonthChange$ = this.viewMonthChange.asObservable();
            this.isShowDatepicker = new rxjs.Subject();
            this.isShowDatepicker$ = this.isShowDatepicker.asObservable();
            this.constStartOfWeek = getStartOfWeek(moment$2());
            this.initConfig = ( /**
             * @param {?} config
             * @return {?}
             */function (config) {
                for (var n in config) {
                    if (config.hasOwnProperty(n)) {
                        _this[n] = config[n];
                    }
                }
                _this.config = config;
            });
            this.select = ( /**
             * @param {?} d
             * @return {?}
             */function (d) {
                if (_this.isRange) {
                    if (!d || _this.isDayInRange(d)) {
                        if (_this.targetStart) {
                            _this.startDate.next(d);
                        }
                        else {
                            _this.endDate.next(d);
                        }
                    }
                }
                else {
                    _this.selected.next(d);
                }
            });
            this.getNewDayByOffset = ( /**
             * @param {?} d
             * @param {?=} offset
             * @return {?}
             */function (d, offset) {
                if (!d) {
                    return d;
                }
                /** @type {?} */
                var _d = d.clone();
                if (offset !== undefined) {
                    if (offset >= 0) {
                        _d = addDays(_d, offset);
                    }
                    else {
                        _d = subtractDays(_d, -offset);
                    }
                }
                return _d;
            });
            this.focus = ( /**
             * @param {?} d
             * @param {?=} offset
             * @return {?}
             */function (d, offset) {
                /** @type {?} */
                var _d = offset ? _this.getNewDayByOffset(d, offset) : d;
                _this.focused.next(_d);
            });
            this.view = ( /**
             * @param {?} d
             * @return {?}
             */function (d) {
                _this.viewed.next(d);
            });
            this.hover = ( /**
             * @param {?} d
             * @param {?=} offset
             * @return {?}
             */function (d, offset) {
                /** @type {?} */
                var _d = offset ? _this.getNewDayByOffset(d, offset) : d;
                _this.hovered.next(_d);
            });
            this.isSameDay = ( /**
             * @param {?} d1
             * @param {?} d2
             * @return {?}
             */function (d1, d2) {
                return isSameDay(d1, d2);
            });
            // calendar
            this.getMonthName = ( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                return localizeDate(date, _this.locale).format(_this.monthFormat);
            });
            this.shouldNextMonthDisable = ( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                return shouldNextMonthDisable(date, _this.maxDate);
            });
            this.shouldPrevMonthDisable = ( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                return shouldPrevMonthDisable(date, _this.maxDate);
            });
            this.getWeekDayName = ( /**
             * @param {?} offset
             * @return {?}
             */function (offset) {
                /** @type {?} */
                var day = addDays(localizeDate(_this.constStartOfWeek, _this.locale), offset);
                /** @type {?} */
                var localeData = getLocaleData(day);
                return getWeekdayMinInLocale(localeData, day);
            });
            this.getLocaleData = ( /**
             * @param {?} d
             * @return {?}
             */function (d) {
                return getLocaleData(d);
            });
            // month
            this.getMonth = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return getMonth(day);
            });
            this.getStartWeekOfMonth = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return getStartOfWeek(getStartOfMonth(day.clone()));
            });
            this.getNextWeekStart = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return addWeeks(day.clone(), 1);
            });
            this.isSameMonth = ( /**
             * @param {?} d1
             * @param {?} d2
             * @return {?}
             */function (d1, d2) {
                return isSameMonth(d1, d2);
            });
            this.viewNextMonth = ( /**
             * @return {?}
             */function () {
                _this.view(addMonths(_this.viewedDate.clone(), 1));
            });
            this.viewPreMonth = ( /**
             * @return {?}
             */function () {
                _this.view(subtractMonths(_this.viewedDate.clone(), 1));
            });
            // week
            this.getDaysInWeek = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                /** @type {?} */
                var days = [];
                /** @type {?} */
                var startDay = getStartOfWeek(day.clone());
                for (var n in _this.weekDaysMap) {
                    if (_this.weekDaysMap.hasOwnProperty(n)) {
                        days.push(addDays(startDay.clone(), n));
                    }
                }
                return days;
            });
            // day
            this.getDate = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return getDate(day);
            });
            this.isToday = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return isSameDay(day, now(null));
            });
            this.isSelected = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return isSameDay(day, _this.selectedDate);
            });
            this.isFocus = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return isSameDay(day, _this.focusedDate);
            });
            this.isOutsideMonth = ( /**
             * @param {?} day
             * @param {?} month
             * @return {?}
             */function (day, month) {
                return month !== getMonth(day);
            });
            this.isDayDisabled = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                return isDayDisabled(day, {
                    minDate: _this.minDate,
                    maxDate: _this.maxDate,
                    filterDate: _this.filterDate
                });
            });
            this.selected$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                _this.selectedDate = o;
                _this.focus(o);
            }));
            this.focused$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                _this.focusedDate = o;
                _this.view(o);
            }));
            this.viewed$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                if (_this.viewedDate && !isSameMonth(_this.viewedDate, o)) {
                    _this.viewMonthChange.next(_this.getMonth(o));
                }
                _this.viewedDate = o;
            }));
            this.hovered$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                _this.hoverDate = o;
            }));
            this.startDate$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                _this.start = o;
                if (o) {
                    _this.minDate = addDays(o.clone(), 1);
                    _this.focus(o);
                }
                else {
                    _this.minDate = undefined;
                    _this.view(_this.end || _this.nowDate);
                }
                _this.hover(o);
            }));
            this.endDate$.subscribe(( /**
             * @param {?} o
             * @return {?}
             */function (o) {
                _this.end = o;
                if (o) {
                    _this.maxDate = subtractDays(o.clone(), 1);
                    _this.focus(o);
                }
                else {
                    _this.maxDate = undefined;
                    _this.view(_this.start || _this.nowDate);
                }
                _this.hover(o);
            }));
        }
        /**
         * @param {?} ifStart
         * @return {?}
         */
        DatePickerService.prototype.changeTarget = /**
         * @param {?} ifStart
         * @return {?}
         */
            function (ifStart) {
                this.targetStart = ifStart;
            };
        /**
         * @return {?}
         */
        DatePickerService.prototype.getDateRangeString = /**
         * @return {?}
         */
            function () {
                return (this.start ? this.start : '') + '-' + (this.end ? this.end : '');
            };
        /**
         * @param {?} day
         * @return {?}
         */
        DatePickerService.prototype.isDayInRange = /**
         * @param {?} day
         * @return {?}
         */
            function (day) {
                return !isDayDisabled(day, {
                    minDate: this.start ? this.start : this.hoverDate,
                    maxDate: this.end ? this.end : this.hoverDate,
                    filterDate: this.filterDate
                });
            };
        /**
         * @param {?} day
         * @param {?} op
         * @return {?}
         */
        DatePickerService.prototype.isActiveDay = /**
         * @param {?} day
         * @param {?} op
         * @return {?}
         */
            function (day, op) {
                return !isDayDisabled(day, op);
            };
        /**
         * @return {?}
         */
        DatePickerService.prototype.hasEitherRange = /**
         * @return {?}
         */
            function () {
                return this.start || this.end;
            };
        /**
         * @return {?}
         */
        DatePickerService.prototype.hasFinishRange = /**
         * @return {?}
         */
            function () {
                return this.start && this.end;
            };
        /**
         * @param {?} day
         * @return {?}
         */
        DatePickerService.prototype.isStartDay = /**
         * @param {?} day
         * @return {?}
         */
            function (day) {
                return isSameDay(day, this.start);
            };
        /**
         * @param {?} day
         * @return {?}
         */
        DatePickerService.prototype.isEndDay = /**
         * @param {?} day
         * @return {?}
         */
            function (day) {
                return isSameDay(day, this.end);
            };
        /**
         * @param {?} v
         * @return {?}
         */
        DatePickerService.prototype.changeStartDate = /**
         * @param {?} v
         * @return {?}
         */
            function (v) {
                this.startDate.next(v);
            };
        /**
         * @param {?} v
         * @return {?}
         */
        DatePickerService.prototype.changeEndDate = /**
         * @param {?} v
         * @return {?}
         */
            function (v) {
                this.endDate.next(v);
            };
        // public
        // public
        /**
         * @param {?} isOpen
         * @return {?}
         */
        DatePickerService.prototype.setOpenStatus =
            // public
            /**
             * @param {?} isOpen
             * @return {?}
             */
            function (isOpen) {
                this.isShowDatepicker.next(isOpen);
            };
        DatePickerService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        DatePickerService.ctorParameters = function () { return []; };
        return DatePickerService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var moment$3 = require('moment');
    if ('default' in moment$3) {
        moment$3 = moment$3['default'];
    }
    var DatePickerComponent = /** @class */ (function () {
        function DatePickerComponent(datePickerService, overlay, elementRef, viewContainerRef) {
            var _this = this;
            this.datePickerService = datePickerService;
            this.overlay = overlay;
            this.elementRef = elementRef;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Set the direction in which the DatePicker opens | 'bottom-center'
             */
            this.direction = 'bottom-center';
            /**
             * \@prop Sets the language of the DatePicker | 'en'
             */
            this.locale = 'en';
            /**
             * \@prop Sets the format of the month | 'MMMM YYYY'
             */
            this.monthFormat = 'MMMM YYYY';
            /**
             * \@prop Text to display for blindness accessibility features | 'next'
             */
            this.nextArialLabel = 'next';
            /**
             * \@prop Text to display for blindness accessibility features | 'previous'
             */
            this.previousArialLabel = 'previous';
            /**
             * \@prop Initial Selected Date for DatePicker | moment().toDate()
             */
            this.selectedDate = moment$3();
            /**
             * \@prop Determines if the DatePicker should close when a date is selected | true
             */
            this.shouldCloseOnSelect = true;
            /**
             * \@prop Determines if the DatePicker should show the open/close arrow | false
             */
            this.showArrow = false;
            /**
             * \@prop To enable/disable clicking on underlay to exit modal | false
             */
            this.backdropClickExit = false;
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originX = 'end';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originY = 'top';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayY = 'bottom';
            /**
             * \@prop Handler invoked when user makes a change within the DatePicker | null
             */
            this.whenChange = new i0.EventEmitter();
            /**
             * \@prop Handler invoked when user makes a change to the selected month within DatePicker | null
             */
            this.whenMonthChange = new i0.EventEmitter();
            /**
             * \@prop Handler invoked when user selects a date within DatePicker | null
             */
            this.whenSelect = new i0.EventEmitter();
            this.show = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.setOpenStatus(true);
            });
            this.dismiss = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.setOpenStatus(false);
            });
            this.showContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && !_this.overlayRef.hasAttached()) {
                    _this.overlayRef.attach(_this.tp);
                    _this.datePickerService.view(_this.selectedDate);
                }
            });
            this.dismissContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && _this.overlayRef.hasAttached()) {
                    _this.overlayRef.detach();
                    if (_this.overlayRef.backdropElement) {
                        _this.overlayRef.backdropElement.remove();
                    }
                }
            });
            this.onPress = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var key = e.keyCode;
                /** @type {?} */
                var s = _this.datePickerService;
                /** @type {?} */
                var flag = false;
                /** @type {?} */
                var nextDay;
                switch (key) {
                    case keycodes.ENTER:
                    case keycodes.SPACE:
                        s.select(s.focusedDate);
                        _this.dismiss();
                        flag = true;
                        break;
                    // up
                    case keycodes.UP_ARROW:
                        nextDay = s.getNewDayByOffset(s.focusedDate, -7);
                        s.focus(nextDay);
                        flag = true;
                        break;
                    // left
                    case keycodes.LEFT_ARROW:
                        nextDay = s.getNewDayByOffset(s.focusedDate, -1);
                        s.focus(nextDay);
                        flag = true;
                        break;
                    // right
                    case keycodes.RIGHT_ARROW:
                        nextDay = s.getNewDayByOffset(s.focusedDate, 1);
                        s.focus(nextDay);
                        flag = true;
                        break;
                    // bottom
                    case keycodes.DOWN_ARROW:
                        nextDay = s.getNewDayByOffset(s.focusedDate, 7);
                        s.focus(nextDay);
                        flag = true;
                        break;
                    default:
                        break;
                }
                if (flag) {
                    e.stopPropagation();
                    e.preventDefault();
                    return false;
                }
            });
            /** @type {?} */
            var s = this.datePickerService;
            s.initConfig({
                locale: this.locale,
                maxDate: this.maxDate,
                minDate: this.minDate,
                monthFormat: this.monthFormat,
                nextArialLabel: this.nextArialLabel,
                previousArialLabel: this.previousArialLabel,
                filterDate: this.filterDate
            });
            s.selected$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.selectedDate = date;
                _this.whenSelect.emit(date);
            }));
            s.viewMonthChange$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.whenMonthChange.emit(date);
            }));
            s.focused$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.whenChange.emit(date);
            }));
        }
        Object.defineProperty(DatePickerComponent.prototype, "className", {
            /** @prop Optional css class string | '' */
            set: /**
             * \@prop Optional css class string | ''
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.add(value);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DatePickerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var strategy = this.overlay
                    .position()
                    .flexibleConnectedTo(this.connectToButton)
                    .withPositions([
                    {
                        originX: this.originX,
                        originY: this.originY,
                        overlayX: this.overlayX, overlayY: this.overlayY
                    }
                ]);
                /** @type {?} */
                var config = new i1.OverlayConfig({
                    hasBackdrop: true,
                    panelClass: 'md-datepicker-container',
                    backdropClass: 'cdk-overlay-transparent-backdrop',
                    positionStrategy: strategy
                });
                this.overlayRef = this.overlay.create(config);
                this.tp = new portal.TemplatePortal(this.tempDatepicker, this.viewContainerRef);
                this.overlayRef.keydownEvents().subscribe(( /**
                 * @param {?} e
                 * @return {?}
                 */function (e) {
                    _this.onPress(e);
                }));
                this.overlayRef.backdropClick().subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.dismiss();
                }));
                this.datePickerService.isShowDatepicker$.subscribe(( /**
                 * @param {?} isOpen
                 * @return {?}
                 */function (isOpen) {
                    if (isOpen) {
                        _this.showContent();
                    }
                    else {
                        _this.dismissContent();
                    }
                }));
            };
        DatePickerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-picker',
                        template: "\n    <div #connectToButton>\n      <ng-content></ng-content>\n    </div>\n    <ng-template #tempDatepicker>\n      <div class='md-event-overlay'>\n        <div class='md-event-overlay__children md-date-picker'>\n          <md-date-picker-calendar></md-date-picker-calendar>\n        </div>\n      </div>\n    </ng-template>\n  ",
                        host: {
                            class: 'md-datepicker-container'
                        },
                        providers: [DatePickerService]
                    }] }
        ];
        /** @nocollapse */
        DatePickerComponent.ctorParameters = function () {
            return [
                { type: DatePickerService },
                { type: i1.Overlay },
                { type: i0.ElementRef },
                { type: i0.ViewContainerRef }
            ];
        };
        DatePickerComponent.propDecorators = {
            className: [{ type: i0.Input }],
            direction: [{ type: i0.Input }],
            locale: [{ type: i0.Input }],
            maxDate: [{ type: i0.Input }],
            minDate: [{ type: i0.Input }],
            filterDate: [{ type: i0.Input }],
            monthFormat: [{ type: i0.Input }],
            nextArialLabel: [{ type: i0.Input }],
            previousArialLabel: [{ type: i0.Input }],
            selectedDate: [{ type: i0.Input }],
            shouldCloseOnSelect: [{ type: i0.Input }],
            showArrow: [{ type: i0.Input }],
            backdropClickExit: [{ type: i0.Input }],
            originX: [{ type: i0.Input }],
            originY: [{ type: i0.Input }],
            overlayX: [{ type: i0.Input }],
            overlayY: [{ type: i0.Input }],
            whenChange: [{ type: i0.Output }],
            whenMonthChange: [{ type: i0.Output }],
            whenSelect: [{ type: i0.Output }],
            tempDatepicker: [{ type: i0.ViewChild, args: ['tempDatepicker',] }],
            connectToButton: [{ type: i0.ViewChild, args: ['connectToButton',] }]
        };
        return DatePickerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerCalendarComponent = /** @class */ (function () {
        function DatePickerCalendarComponent(datePickerService) {
            var _this = this;
            this.datePickerService = datePickerService;
            this.offsets = [0, 1, 2, 3, 4, 5, 6];
            this.getWeekDayName = ( /**
             * @param {?} offset
             * @return {?}
             */function (offset) {
                return _this.datePickerService.getWeekDayName(offset);
            });
            this.onClickPre = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                _this.datePickerService.viewPreMonth();
                e.stopPropagation();
                e.preventDefault();
                return false;
            });
            this.onClickNext = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                _this.datePickerService.viewNextMonth();
                e.stopPropagation();
                e.preventDefault();
                return false;
            });
            /** @type {?} */
            var s = this.datePickerService;
            this.previousArialLabel = s.previousArialLabel;
            this.nextArialLabel = s.nextArialLabel;
            this.today = s.viewedDate;
            s.viewed$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.monthName = s.getMonthName(date);
                _this.allNextDaysDisabled = s.shouldNextMonthDisable(date);
                _this.allPrevDaysDisabled = s.shouldPrevMonthDisable(date);
            }));
        }
        /**
         * @return {?}
         */
        DatePickerCalendarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        DatePickerCalendarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-picker-calendar',
                        template: "\n  <div class='md-datepicker__header'>\n    <div class='md-datepicker__navigation'>\n      <div class='md-datepicker__navigation--current-month'>\n        {{ monthName }}\n      </div>\n      <div class='md-datepicker__navigation--buttons'>\n        <md-icon name='arrow-left_16'\n          [attr.disabled]='this.allPrevDaysDisabled'\n          [ariaLabel]='previousArialLabel'\n        (click)='onClickPre($event)'>\n        </md-icon>\n        <md-icon name='arrow-right_16'\n          [attr.disabled]='this.allNextDaysDisabled'\n          [ariaLabel]='nextArialLabel'\n          (click)='onClickNext($event)'>\n        </md-icon>\n      </div>\n    </div>\n    <div class='md-datepicker__day--names'>\n      <div *ngFor='let offset of offsets' class='md-datepicker__day--name'>\n        {{ getWeekDayName(offset) }}\n      </div>\n    </div>\n  </div>\n  <md-date-picker-month></md-date-picker-month>\n  ",
                        host: {
                            class: 'md-datepicker__month-container'
                        }
                    }] }
        ];
        /** @nocollapse */
        DatePickerCalendarComponent.ctorParameters = function () {
            return [
                { type: DatePickerService }
            ];
        };
        return DatePickerCalendarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerMonthComponent = /** @class */ (function () {
        function DatePickerMonthComponent(datePickerService, viewContainerRef) {
            var _this = this;
            this.datePickerService = datePickerService;
            this.viewContainerRef = viewContainerRef;
            this.weeks = [];
            this.RegInnerClass = /md-button--circle md-button--28 md-datepicker__day|md-datepicker__week|md-datepicker__month|speicalRangeClass/;
            this.handleMouseleave = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (_this.isNotDayComponent(event.relatedTarget)) {
                    _this.datePickerService.hover(undefined);
                }
            });
            this.isNotDayComponent = ( /**
             * @param {?} dom
             * @return {?}
             */function (dom) {
                return !(dom && dom.className && _this.RegInnerClass.test(dom.className));
            });
            this.initWeeks = ( /**
             * @param {?} day
             * @return {?}
             */function (day) {
                /** @type {?} */
                var _weeks = [];
                /** @type {?} */
                var currentWeekStart = _this.datePickerService.getStartWeekOfMonth(day);
                do {
                    _weeks.push(currentWeekStart);
                    currentWeekStart = _this.datePickerService.getNextWeekStart(currentWeekStart);
                } while (_this.datePickerService.isSameMonth(day, currentWeekStart));
                _this.weeks = _weeks;
            });
            this.datePickerService.viewed$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.month = _this.datePickerService.getMonth(date);
                _this.initWeeks(date);
            }));
        }
        /**
         * @return {?}
         */
        DatePickerMonthComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.datePickerService.isRange) {
                    /** @type {?} */
                    var root = this.viewContainerRef.element.nativeElement;
                    root.addEventListener('mouseleave', ( /**
                     * @param {?} e
                     * @return {?}
                     */function (e) {
                        _this.handleMouseleave(e);
                    }));
                }
            };
        DatePickerMonthComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-picker-month',
                        template: "\n    <md-date-picker-week *ngFor='let _day of weeks' [day]='_day' [month]='month' ></md-date-picker-week>\n  ",
                        host: {
                            class: 'md-datepicker__month'
                        }
                    }] }
        ];
        /** @nocollapse */
        DatePickerMonthComponent.ctorParameters = function () {
            return [
                { type: DatePickerService },
                { type: i0.ViewContainerRef }
            ];
        };
        return DatePickerMonthComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerWeekComponent = /** @class */ (function () {
        function DatePickerWeekComponent(datePickerService) {
            this.datePickerService = datePickerService;
            this.days = [];
        }
        /**
         * @return {?}
         */
        DatePickerWeekComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.days = this.datePickerService.getDaysInWeek(this.day);
            };
        DatePickerWeekComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-picker-week',
                        template: "\n    <md-date-picker-day *ngFor='let _day of days' [day]='_day' [month]='month'></md-date-picker-day>\n  ",
                        host: {
                            class: 'md-datepicker__week'
                        }
                    }] }
        ];
        /** @nocollapse */
        DatePickerWeekComponent.ctorParameters = function () {
            return [
                { type: DatePickerService }
            ];
        };
        DatePickerWeekComponent.propDecorators = {
            day: [{ type: i0.Input }],
            month: [{ type: i0.Input }]
        };
        return DatePickerWeekComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerDayComponent = /** @class */ (function () {
        function DatePickerDayComponent(datePickerService, viewContainerRef) {
            var _this = this;
            this.datePickerService = datePickerService;
            this.viewContainerRef = viewContainerRef;
            this.isDisable = false;
            this.isSelected = false;
            this.isFocus = false;
            this.isToday = false;
            this.isOutsideMonth = false;
            this.isInRange = false;
            this.isUnselectable = false;
            this.isStartDay = false;
            this.isEndDay = false;
            this.isHovered = false;
            this.isInRangeSelected = false;
            this.isNormalView = true;
            this.specialRangeClass = '';
            this.onClick = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.datePickerService;
                if (!s.isRange) {
                    s.select(_this.day);
                    s.setOpenStatus(false);
                }
                else if (!s.hasFinishRange() && !s.isDayDisabled(_this.day)) {
                    s.select(_this.day);
                }
            });
            this.onHover = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.datePickerService;
                if (!s.hoverDate || !s.isSameDay(s.hoverDate, _this.day)) {
                    if (!s.isDayDisabled(_this.day)) {
                        s.hover(_this.day);
                    }
                    else {
                        s.hover(undefined);
                    }
                }
            });
            this.checkState = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.datePickerService;
                /** @type {?} */
                var d = _this.day;
                _this.isDisable = s.isDayDisabled(d);
                _this.isSelected = s.isSelected(d);
                _this.isFocus = s.isFocus(d);
                _this.isToday = s.isToday(d);
                _this.isOutsideMonth = s.isOutsideMonth(d, _this.month);
                if (s.isRange) {
                    _this.specialRangeClass = '';
                    if (s.hasEitherRange()) {
                        _this.isInRange = s.isDayInRange(d);
                        if (s.hasFinishRange()) {
                            _this.isStartDay = s.isStartDay(d);
                            _this.isEndDay = s.isEndDay(d);
                            _this.isHovered = false;
                            _this.isSelected = _this.isInRange;
                            _this.isUnselectable = false;
                            _this.isInRangeSelected = _this.isSelected && !_this.isUnselectable;
                            _this.isNormalView = true;
                        }
                        else {
                            _this.isDisable = false;
                            if (s.start) {
                                _this.isStartDay = s.isStartDay(d);
                                _this.isEndDay = s.isSameDay(s.hoverDate, d);
                            }
                            else {
                                _this.isStartDay = s.isSameDay(s.hoverDate, d);
                                _this.isEndDay = s.isEndDay(d);
                            }
                            if (_this.isStartDay) {
                                _this.specialRangeClass = 'selected-edge-day';
                            }
                            if (_this.isEndDay) {
                                _this.specialRangeClass = 'selected-edge-day';
                            }
                            _this.isUnselectable = !_this.isInRange;
                            _this.isHovered = s.hoverDate && _this.isInRange;
                            _this.isSelected = false;
                            _this.isHovered = _this.isHovered;
                            _this.isInRangeSelected = false;
                            _this.isNormalView = !(_this.isStartDay || _this.isEndDay);
                        }
                        if (_this.isStartDay && _this.isEndDay) {
                            _this.isStartDay = false;
                            _this.isEndDay = false;
                            _this.isInRange = false;
                        }
                    }
                    else {
                        _this.isNormalView = true;
                        _this.isInRange = false;
                        _this.isUnselectable = false;
                        _this.isStartDay = false;
                        _this.isEndDay = false;
                        _this.isHovered = false;
                        _this.isInRangeSelected = false;
                    }
                }
            });
            /** @type {?} */
            var s = this.datePickerService;
            s.focused$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
            s.selected$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
            s.startDate$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
            s.endDate$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
            s.viewed$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
            s.hovered$.subscribe(( /**
             * @param {?} date
             * @return {?}
             */function (date) {
                _this.checkState();
            }));
        }
        /**
         * @return {?}
         */
        DatePickerDayComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.displayDay = this.datePickerService.getDate(this.day);
                if (this.datePickerService.isRange) {
                    /** @type {?} */
                    var root = this.viewContainerRef.element.nativeElement;
                    root.addEventListener('mouseenter', ( /**
                     * @return {?}
                     */function () {
                        _this.onHover();
                    }));
                }
                this.checkState();
            };
        DatePickerDayComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-picker-day',
                        template: "\n    <ng-template [ngIf]=\"isNormalView\" [ngIfElse]=\"selectedRangeEdge\">\n      {{ displayDay }}\n    </ng-template>\n    <ng-template #selectedRangeEdge>\n      <span [class]='specialRangeClass'>{{ displayDay }}</span>\n    </ng-template>\n  ",
                        host: {
                            class: 'md-button md-button--circle md-button--28 md-datepicker__day',
                            '[class.md-button--disabled]': 'isDisable',
                            '[class.md-datepicker__day--selected]': 'isSelected',
                            '[class.md-datepicker__day--focus]': 'isFocus',
                            '[class.md-datepicker__day--today]': 'isToday',
                            '[class.md-datepicker__day--outside-month]': 'isOutsideMonth',
                            '[class.md-datepicker__day--inrange]': 'isInRange',
                            '[class.md-datepicker__day--start]': 'isStartDay',
                            '[class.md-datepicker__day--end]': 'isEndDay',
                            '[class.md-datepicker__day--hovered]': 'isHovered',
                            '[class.md-datepicker__day--unselectable]': 'isUnselectable',
                            '[class.md-datepicker__day--inrange-selected]': 'isInRangeSelected',
                            '[attr.aria-label]': '""',
                            '[attr.aria-selected]': 'false',
                            '[attr.tabIndex]': '-1',
                            '(click)': 'onClick()'
                        }
                    }] }
        ];
        /** @nocollapse */
        DatePickerDayComponent.ctorParameters = function () {
            return [
                { type: DatePickerService },
                { type: i0.ViewContainerRef }
            ];
        };
        DatePickerDayComponent.propDecorators = {
            day: [{ type: i0.Input }],
            month: [{ type: i0.Input }]
        };
        return DatePickerDayComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerDayModule = /** @class */ (function () {
        function DatePickerDayModule() {
        }
        DatePickerDayModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DatePickerDayComponent],
                        imports: [
                            common.CommonModule,
                            ButtonModule
                        ],
                        exports: [DatePickerDayComponent]
                    },] }
        ];
        return DatePickerDayModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerWeekModule = /** @class */ (function () {
        function DatePickerWeekModule() {
        }
        DatePickerWeekModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DatePickerWeekComponent],
                        imports: [
                            common.CommonModule,
                            DatePickerDayModule
                        ],
                        exports: [DatePickerWeekComponent]
                    },] }
        ];
        return DatePickerWeekModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerMonthModule = /** @class */ (function () {
        function DatePickerMonthModule() {
        }
        DatePickerMonthModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DatePickerMonthComponent],
                        imports: [
                            common.CommonModule,
                            DatePickerWeekModule
                        ],
                        exports: [DatePickerMonthComponent]
                    },] }
        ];
        return DatePickerMonthModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerCalendarModule = /** @class */ (function () {
        function DatePickerCalendarModule() {
        }
        DatePickerCalendarModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DatePickerCalendarComponent],
                        imports: [
                            common.CommonModule,
                            DatePickerMonthModule,
                            IconModule
                        ],
                        exports: [DatePickerCalendarComponent]
                    },] }
        ];
        return DatePickerCalendarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DatePickerModule = /** @class */ (function () {
        function DatePickerModule() {
        }
        /**
         * @return {?}
         */
        DatePickerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: DatePickerModule,
                    providers: [],
                };
            };
        DatePickerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DatePickerComponent],
                        imports: [
                            common.CommonModule,
                            i1.OverlayModule,
                            DatePickerCalendarModule
                        ],
                        exports: [DatePickerComponent]
                    },] }
        ];
        return DatePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var moment$4 = require('moment');
    if ('default' in moment$4) {
        moment$4 = moment$4['default'];
    }
    var DateRangePickerComponent = /** @class */ (function () {
        function DateRangePickerComponent(datePickerService, overlay, elementRef, viewContainerRef) {
            var _this = this;
            this.datePickerService = datePickerService;
            this.overlay = overlay;
            this.elementRef = elementRef;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Set the direction in which the DatePicker opens | 'bottom-center'
             */
            this.direction = 'bottom-center';
            /**
             * \@prop Sets the language of the DatePicker | 'en'
             */
            this.locale = 'en';
            /**
             * \@prop Sets the format of the month | 'MMMM YYYY'
             */
            this.monthFormat = 'MMMM YYYY';
            /**
             * \@prop Text to display for blindness accessibility features | 'next'
             */
            this.nextArialLabel = 'next';
            /**
             * \@prop Text to display for blindness accessibility features | 'previous'
             */
            this.previousArialLabel = 'previous';
            /**
             * \@prop Determines if the DatePicker should close when a date is selected | true
             */
            this.shouldCloseOnSelect = true;
            /**
             * \@prop To enable/disable clicking on underlay to exit modal | false
             */
            this.backdropClickExit = false;
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originX = 'end';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originY = 'top';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayY = 'bottom';
            /**
             * \@prop To the format of the date | 'MMMM Do'
             */
            this.dateFormat = 'MMMM Do';
            /**
             * \@prop Handler invoked when user makes a change within the DatePicker | null
             */
            this.whenFocusChange = new i0.EventEmitter();
            /**
             * \@prop Handler invoked when user makes a change to the selected month within DatePicker | null
             */
            this.whenMonthChange = new i0.EventEmitter();
            /**
             * \@prop Handler invoked when user selects a date within DateRangePicker | null
             */
            this.whenSelectChange = new i0.EventEmitter();
            this.initService = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.datePickerService;
                s.initConfig({
                    locale: _this.locale,
                    maxDate: _this.maxDate,
                    minDate: _this.minDate,
                    monthFormat: _this.monthFormat,
                    nextArialLabel: _this.nextArialLabel,
                    previousArialLabel: _this.previousArialLabel,
                    filterDate: _this.filterDate,
                    isRange: true
                });
                _this.datePickerService.changeStartDate(_this.startDate);
                _this.datePickerService.changeEndDate(_this.endDate);
                s.viewMonthChange$.subscribe(( /**
                 * @param {?} date
                 * @return {?}
                 */function (date) {
                    _this.whenMonthChange.emit(date);
                }));
                s.focused$.subscribe(( /**
                 * @param {?} date
                 * @return {?}
                 */function (date) {
                    _this.whenFocusChange.emit(date);
                }));
                s.startDate$.subscribe(( /**
                 * @param {?} date
                 * @return {?}
                 */function (date) {
                    _this.startDate = date;
                    _this.inputStartDate.selectDate = date;
                    _this.handleStartOrEndChange(date, true);
                }));
                s.endDate$.subscribe(( /**
                 * @param {?} date
                 * @return {?}
                 */function (date) {
                    _this.endDate = date;
                    _this.inputEndDate.selectDate = date;
                    _this.handleStartOrEndChange(date, false);
                }));
            });
            this.initOverLay = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var strategy = _this.overlay
                    .position()
                    .flexibleConnectedTo(_this.connectToButton)
                    .withPositions([
                    {
                        originX: _this.originX,
                        originY: _this.originY,
                        overlayX: _this.overlayX,
                        overlayY: _this.overlayY
                    }
                ]);
                /** @type {?} */
                var config = new i1.OverlayConfig({
                    hasBackdrop: true,
                    panelClass: 'md-datepicker-container',
                    backdropClass: 'cdk-overlay-transparent-backdrop',
                    positionStrategy: strategy
                });
                _this.overlayRef = _this.overlay.create(config);
                _this.tp = new portal.TemplatePortal(_this.tempDatepicker, _this.viewContainerRef);
                _this.overlayRef.keydownEvents().subscribe(( /**
                 * @param {?} e
                 * @return {?}
                 */function (e) {
                    _this.onPress(e);
                }));
                _this.overlayRef.backdropClick().subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.dismiss();
                }));
                _this.datePickerService.isShowDatepicker$.subscribe(( /**
                 * @param {?} isOpen
                 * @return {?}
                 */function (isOpen) {
                    if (isOpen) {
                        _this.showContent();
                    }
                    else {
                        _this.dismissContent();
                    }
                }));
            });
            this.targetChange = ( /**
             * @param {?} ifStart
             * @return {?}
             */function (ifStart) {
                /** @type {?} */
                var s = _this.datePickerService;
                s.changeTarget(ifStart);
                if (ifStart) {
                    s.view(s.start || s.end || s.nowDate);
                }
                else {
                    s.view(s.end || s.start || s.nowDate);
                }
            });
            this.handleStartOrEndChange = ( /**
             * @param {?} date
             * @param {?} ifStart
             * @return {?}
             */function (date, ifStart) {
                if (date) {
                    /** @type {?} */
                    var s = _this.datePickerService;
                    if (_this.shouldCloseOnSelect && s.hasFinishRange()) {
                        _this.dismiss();
                        // select another
                    }
                    else {
                        _this.targetChange(!ifStart);
                    }
                    // date === undefined
                }
                else {
                    _this.targetChange(ifStart);
                }
                _this.whenSelectChange.emit(_this.getDateInfo());
            });
            this.clearStartDate = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.changeStartDate(undefined);
            });
            this.clearEndDate = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.changeEndDate(undefined);
            });
            this.show = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.setOpenStatus(true);
            });
            this.dismiss = ( /**
             * @return {?}
             */function () {
                _this.datePickerService.setOpenStatus(false);
            });
            this.showContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && !_this.overlayRef.hasAttached()) {
                    /** @type {?} */
                    var s = _this.datePickerService;
                    _this.overlayRef.attach(_this.tp);
                    s.view(s.start || s.end || s.nowDate);
                }
            });
            this.dismissContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && _this.overlayRef.hasAttached()) {
                    _this.overlayRef.detach();
                    if (_this.overlayRef.backdropElement) {
                        _this.overlayRef.backdropElement.remove();
                    }
                }
            });
            this.onPressMove = ( /**
             * @param {?} offset
             * @return {?}
             */function (offset) {
                /** @type {?} */
                var s = _this.datePickerService;
                /** @type {?} */
                var nextDay = s.getNewDayByOffset(s.focusedDate, offset);
                s.focus(nextDay);
                if (!s.isDayDisabled(nextDay)) {
                    s.hover(nextDay);
                }
                else {
                    s.hover(undefined);
                }
            });
            this.onPress = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var key = e.keyCode;
                /** @type {?} */
                var s = _this.datePickerService;
                /** @type {?} */
                var flag = false;
                switch (key) {
                    case keycodes.SPACE:
                    case keycodes.ENTER:
                        if (!s.hasFinishRange() && !s.isDayDisabled(s.focusedDate)) {
                            s.select(s.focusedDate);
                        }
                        flag = true;
                        break;
                    // up
                    case keycodes.UP_ARROW:
                        _this.onPressMove(-7);
                        flag = true;
                        break;
                    // left
                    case keycodes.LEFT_ARROW:
                        _this.onPressMove(-1);
                        flag = true;
                        break;
                    // right
                    case keycodes.RIGHT_ARROW:
                        _this.onPressMove(1);
                        flag = true;
                        break;
                    // bottom
                    case keycodes.DOWN_ARROW:
                        _this.onPressMove(7);
                        flag = true;
                        break;
                    default:
                        break;
                }
                if (flag) {
                    e.stopPropagation();
                    e.preventDefault();
                    return false;
                }
            });
        }
        Object.defineProperty(DateRangePickerComponent.prototype, "className", {
            /** @prop Optional css class string | '' */
            set: /**
             * \@prop Optional css class string | ''
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.elementRef.nativeElement.classList.add(value);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DateRangePickerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.initService();
                this.initOverLay();
            };
        /**
         * @return {?}
         */
        DateRangePickerComponent.prototype.getDateInfo = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var s = this.datePickerService;
                /** @type {?} */
                var strStart = s.start ? s.start.format(this.dateFormat) : '';
                /** @type {?} */
                var strEnd = s.end ? s.end.format(this.dateFormat) : '';
                /** @type {?} */
                var str = (strEnd !== '' || strStart !== '') ? strStart + '-' + strEnd : '';
                return {
                    startDate: s.start,
                    endDate: s.end,
                    startDateStr: strStart,
                    strEndStr: strEnd,
                    str: str
                };
            };
        DateRangePickerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-range-picker',
                        template: "\n    <div #connectToButton>\n      <ng-content></ng-content>\n    </div>\n    <ng-template #tempDatepicker>\n      <div class='md-event-overlay'>\n        <div class='md-event-overlay__children  md-date-picker md-date-range-picker'>\n          <md-date-picker-calendar></md-date-picker-calendar>\n          <div class='md-data-range-picker-button-group'>\n          <md-date-range-input #inputStartDate\n            labelValue='Start Date'\n            placeholder ='Start Date'\n            [selectDate]='startDate'\n            (whenSelect)='targetChange(true)'\n            (whenClear) = 'clearStartDate()'\n          ></md-date-range-input>\n          <md-date-range-input #inputEndDate\n            labelValue='End Date'\n            placeholder ='End Date'\n            ObserverPrefix = 'end'\n            [selectDate]='endDate'\n            (whenSelect)='targetChange(false)'\n            (whenClear) = 'clearEndDate()'\n          ></md-date-range-input>\n          </div>\n        </div>\n      </div>\n    </ng-template>\n  ",
                        host: {
                            class: 'md-datepicker-container'
                        },
                        providers: [DatePickerService]
                    }] }
        ];
        /** @nocollapse */
        DateRangePickerComponent.ctorParameters = function () {
            return [
                { type: DatePickerService },
                { type: i1.Overlay },
                { type: i0.ElementRef },
                { type: i0.ViewContainerRef }
            ];
        };
        DateRangePickerComponent.propDecorators = {
            className: [{ type: i0.Input }],
            direction: [{ type: i0.Input }],
            locale: [{ type: i0.Input }],
            maxDate: [{ type: i0.Input }],
            minDate: [{ type: i0.Input }],
            filterDate: [{ type: i0.Input }],
            monthFormat: [{ type: i0.Input }],
            nextArialLabel: [{ type: i0.Input }],
            previousArialLabel: [{ type: i0.Input }],
            startDate: [{ type: i0.Input }],
            endDate: [{ type: i0.Input }],
            shouldCloseOnSelect: [{ type: i0.Input }],
            backdropClickExit: [{ type: i0.Input }],
            originX: [{ type: i0.Input }],
            originY: [{ type: i0.Input }],
            overlayX: [{ type: i0.Input }],
            overlayY: [{ type: i0.Input }],
            dateFormat: [{ type: i0.Input }],
            whenFocusChange: [{ type: i0.Output }],
            whenMonthChange: [{ type: i0.Output }],
            whenSelectChange: [{ type: i0.Output }],
            tempDatepicker: [{ type: i0.ViewChild, args: ['tempDatepicker',] }],
            connectToButton: [{ type: i0.ViewChild, args: ['connectToButton',] }],
            inputStartDate: [{ type: i0.ViewChild, args: ['inputStartDate',] }],
            inputEndDate: [{ type: i0.ViewChild, args: ['inputEndDate',] }]
        };
        return DateRangePickerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DateRangeInputComponent = /** @class */ (function () {
        function DateRangeInputComponent(datePickerService) {
            var _this = this;
            this.datePickerService = datePickerService;
            /**
             * \@prop the value of the label
             */
            this.labelValue = '';
            /**
             * \@prop the value of the placeholder
             */
            this.placeholder = '';
            /**
             * \@prop Handler invoked when clear the date | null
             */
            this.whenClear = new i0.EventEmitter();
            /**
             * \@prop Handler invoked when select the component | null
             */
            this.whenSelect = new i0.EventEmitter();
            /**
             * \@prop is used for start date or end date | 'start'
             */
            this.ObserverPrefix = 'start';
            this.isShowCloseBtn = false;
            this.stop = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                event.stopPropagation();
            });
            this.isInnerDom = ( /**
             * @param {?} dom
             * @return {?}
             */function (dom) {
                return dom === _this.closeBtn.nativeElement || dom === _this.closeSpan.nativeElement || dom === _this.closeI.nativeElement;
            });
            this.showCloseBtn = ( /**
             * @return {?}
             */function () {
                if (!_this.isShowCloseBtn && _this.dateRangeInput.nativeElement.value !== '') {
                    _this.closeBtn.nativeElement.style.display = '';
                    _this.isShowCloseBtn = true;
                }
            });
            this.hideCloseBtn = ( /**
             * @return {?}
             */function () {
                if (_this.isShowCloseBtn) {
                    _this.closeBtn.nativeElement.style.display = 'none';
                    _this.isShowCloseBtn = false;
                }
            });
            this.handleMouseover = ( /**
             * @return {?}
             */function () {
                _this.showCloseBtn();
            });
            this.handleMouseout = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (!_this.isInnerDom(event.relatedTarget)) {
                    _this.hideCloseBtn();
                }
            });
            this.handleFocus = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                _this.whenSelect.emit();
                _this.showCloseBtn();
                event.stopPropagation();
            });
            this.handleBlur = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (_this.isInnerDom(event.relatedTarget)) {
                    return;
                }
                _this.hideCloseBtn();
                event.stopPropagation();
            });
            this.clear = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                _this.whenClear.emit();
                _this.dateRangeInput.nativeElement.value = '';
                event.stopPropagation();
            });
            this.getValue = ( /**
             * @return {?}
             */function () {
                return (_this.selectDate && _this.selectDate.format) ? _this.selectDate.format('MMMM Do') : '';
            });
            this.onInputPress = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                /** @type {?} */
                var key = e.keyCode;
                switch (key) {
                    case keycodes.ENTER:
                    case keycodes.SPACE:
                        _this.handleFocus(e);
                        break;
                    case keycodes.BACKSPACE:
                    case keycodes.DELETE:
                        _this.clear(e);
                        break;
                    default:
                        break;
                }
            });
        }
        /**
         * @return {?}
         */
        DateRangeInputComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.datePickerService[this.ObserverPrefix + 'Date$'].subscribe(( /**
                 * @param {?} o
                 * @return {?}
                 */function (o) {
                    if (!o) {
                        _this.hideCloseBtn();
                    }
                }));
            };
        DateRangeInputComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-date-range-input',
                        template: "\n    <label class=\"md-label\" for=\"dateRangeInput\">{{labelValue}}</label>\n    <div class=\"md-input__icon-container\">\n      <input type=\"text\"\n        #dateRangeInput\n        class=\"md-input dirty\"\n        tabIndex=\"0\"\n        [value]=\"getValue()\"\n        id=\"dateRangeInput\"\n        name=\"dateRangeInput\"\n        [placeholder]=\"placeholder\"\n        (focus)='handleFocus($event)'\n        (blur)='handleBlur($event)'\n        (keydown)='onInputPress($event)'\n        (mouseover)='handleMouseover()'\n        (mouseout)='handleMouseout($event)'\n        readonly />\n      <button #closeBtn\n        type=\"button\"\n        (focus)='stop($event)'\n        (click)='clear($event)'\n        style=\"display:none;\"\n        class=\"md-button md-button--36 md-button--icon\"\n        alt=\"clear input\"\n        type=\"button\"\n        tabIndex=\"-1\">\n        <span #closeSpan class=\"md-button__children\">\n          <i #closeI class=\"icon icon-clear-active_16\"></i>\n        </span>\n      </button>\n    </div>\n  ",
                        host: {
                            class: 'md-input-container small-5 columns'
                        }
                    }] }
        ];
        /** @nocollapse */
        DateRangeInputComponent.ctorParameters = function () {
            return [
                { type: DatePickerService }
            ];
        };
        DateRangeInputComponent.propDecorators = {
            labelValue: [{ type: i0.Input }],
            selectDate: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            whenClear: [{ type: i0.Output }],
            whenSelect: [{ type: i0.Output }],
            ObserverPrefix: [{ type: i0.Output }],
            dateRangeInput: [{ type: i0.ViewChild, args: ['dateRangeInput',] }],
            closeBtn: [{ type: i0.ViewChild, args: ['closeBtn',] }],
            closeSpan: [{ type: i0.ViewChild, args: ['closeSpan',] }],
            closeI: [{ type: i0.ViewChild, args: ['closeI',] }]
        };
        return DateRangeInputComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DateRangeInputModule = /** @class */ (function () {
        function DateRangeInputModule() {
        }
        /**
         * @return {?}
         */
        DateRangeInputModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: DateRangeInputModule,
                    providers: [],
                };
            };
        DateRangeInputModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DateRangeInputComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [DateRangeInputComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return DateRangeInputModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DateRangePickerModule = /** @class */ (function () {
        function DateRangePickerModule() {
        }
        /**
         * @return {?}
         */
        DateRangePickerModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: DateRangePickerModule,
                    providers: [],
                };
            };
        DateRangePickerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DateRangePickerComponent],
                        imports: [
                            common.CommonModule,
                            DatePickerCalendarModule,
                            DateRangeInputModule
                        ],
                        exports: [DateRangePickerComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return DateRangePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BreadcrumbsComponent = /** @class */ (function () {
        function BreadcrumbsComponent(viewContainerRef) {
            this.viewContainerRef = viewContainerRef;
        }
        /**
         * @return {?}
         */
        BreadcrumbsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @return {?}
         */
        BreadcrumbsComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var list = this.viewContainerRef.element.nativeElement.getElementsByTagName('LI');
                /** @type {?} */
                var len = list.length;
                if (len > 0) {
                    list[len - 1].className += ' current';
                }
            };
        BreadcrumbsComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-breadcrumbs',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            class: 'md-breadcrumbs'
                        }
                    }] }
        ];
        /** @nocollapse */
        BreadcrumbsComponent.ctorParameters = function () {
            return [
                { type: i0.ViewContainerRef }
            ];
        };
        return BreadcrumbsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BreadcrumbsModule = /** @class */ (function () {
        function BreadcrumbsModule() {
        }
        /**
         * @return {?}
         */
        BreadcrumbsModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: BreadcrumbsModule,
                    providers: [],
                };
            };
        BreadcrumbsModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [BreadcrumbsComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [BreadcrumbsComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return BreadcrumbsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PopoverDirective = /** @class */ (function (_super) {
        __extends(PopoverDirective, _super);
        function PopoverDirective(overlay, overlayPositionBuilder, _sso, elementRef) {
            var _this = _super.call(this, overlay, overlayPositionBuilder, _sso, elementRef) || this;
            /**
             * \@prop shows the arrow or not
             */
            _this.showArrow = true;
            /**
             * \@prop Sets the popover trigger MouseEnter, Click or Focus - Click is default
             */
            _this.popoverTrigger = 'Click';
            return _this;
        }
        /**
         * @return {?}
         */
        PopoverDirective.prototype.showPopover = /**
         * @return {?}
         */
            function () {
                if (this.popoverTrigger === 'MouseEnter') {
                    this.show();
                }
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.hide = /**
         * @return {?}
         */
            function () {
                if (this.popoverTrigger === 'MouseEnter' || this.popoverTrigger === 'Click') {
                    this.close();
                }
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.onClick = /**
         * @return {?}
         */
            function () {
                if (this.popoverTrigger === 'Click') {
                    this.show();
                }
            };
        /**
         * @param {?} targetElement
         * @return {?}
         */
        PopoverDirective.prototype.closePopover = /**
         * @param {?} targetElement
         * @return {?}
         */
            function (targetElement) {
                if (this.popoverTrigger === 'Click') {
                    /** @type {?} */
                    var clickedOutside = !this.elementRef.nativeElement.contains(targetElement);
                    if (clickedOutside) {
                        this.close();
                    }
                }
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.onFocus = /**
         * @return {?}
         */
            function () {
                if (this.popoverTrigger === 'Focus') {
                    this.show();
                }
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.onFocusout = /**
         * @return {?}
         */
            function () {
                if (this.popoverTrigger === 'Focus') {
                    this.close();
                }
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.show = /**
         * @return {?}
         */
            function () {
                _super.prototype.show.call(this);
                this.tooltipRef.instance.isTooltip = false;
                this.tooltipRef.instance.classList['md-popover'] = true;
                this.tooltipRef.instance.showArrow = this.showArrow;
            };
        /**
         * @return {?}
         */
        PopoverDirective.prototype.close = /**
         * @return {?}
         */
            function () {
                _super.prototype.close.call(this);
            };
        PopoverDirective.decorators = [
            { type: i0.Directive, args: [{ selector: '[mdPopover]' },] }
        ];
        /** @nocollapse */
        PopoverDirective.ctorParameters = function () {
            return [
                { type: i1.Overlay },
                { type: i1.OverlayPositionBuilder },
                { type: i1.ScrollStrategyOptions },
                { type: i0.ElementRef }
            ];
        };
        PopoverDirective.propDecorators = {
            content: [{ type: i0.Input, args: ['mdPopover',] }],
            showArrow: [{ type: i0.Input }],
            popoverTrigger: [{ type: i0.Input }],
            showPopover: [{ type: i0.HostListener, args: ['mouseenter',] }],
            hide: [{ type: i0.HostListener, args: ['mouseleave',] }],
            onClick: [{ type: i0.HostListener, args: ['click',] }],
            closePopover: [{ type: i0.HostListener, args: ['document:click', ['$event.target'],] }],
            onFocus: [{ type: i0.HostListener, args: ['focus',] }],
            onFocusout: [{ type: i0.HostListener, args: ['focusout',] }]
        };
        return PopoverDirective;
    }(TooltipDirective));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PopoverModule = /** @class */ (function () {
        function PopoverModule() {
        }
        /**
         * @return {?}
         */
        PopoverModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: PopoverModule,
                    providers: [],
                };
            };
        PopoverModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PopoverDirective],
                        imports: [
                            common.CommonModule,
                            i1.OverlayModule
                        ],
                        exports: [PopoverDirective],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return PopoverModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardComponent = /** @class */ (function () {
        function CardComponent(el) {
            this.el = el;
            /**
             * catch this event to know the card was clicked on
             */
            this.cardClicked = new i0.EventEmitter();
            /**
             * \@prop clickable whether or not the card is clickable | false
             */
            this.clickable = false;
        }
        /**
         * @return {?}
         */
        CardComponent.prototype.onClick = /**
         * @return {?}
         */
            function () {
                if (this.clickable) {
                    this.el.nativeElement.classList.add('active');
                    this.cardClicked.emit();
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        CardComponent.prototype.onKeydown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                // tslint:disable-next-line: deprecation
                /** @type {?} */
                var key = event.key || event.which || event.keyCode;
                switch (key) {
                    case keycodes.SPACE:
                    case keycodes.ENTER:
                    case ' ':
                    case 'Enter':
                        this.onClick();
                        break;
                    default:
                        break;
                }
            };
        CardComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-card',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'md-card',
                            '[class.md-card--clickable]': 'clickable',
                            '[attr.tabindex]': 'clickable ? "0" : null',
                            '(click)': 'clickable ? onClick() : null',
                            '(keydown)': 'clickable ? onKeydown($event) : null'
                        }
                    }] }
        ];
        /** @nocollapse */
        CardComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        CardComponent.propDecorators = {
            cardClicked: [{ type: i0.Output }],
            clickable: [{ type: i0.Input }]
        };
        return CardComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardSectionComponent = /** @class */ (function () {
        function CardSectionComponent() {
        }
        CardSectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-card-section',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            'class': 'md-card-section',
                            '[class.md-card-section--full]': 'full',
                        }
                    }] }
        ];
        CardSectionComponent.propDecorators = {
            full: [{ type: i0.Input }]
        };
        return CardSectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardModule = /** @class */ (function () {
        function CardModule() {
        }
        /**
         * @return {?}
         */
        CardModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CardModule,
                    providers: [],
                };
            };
        CardModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [CardComponent, CardSectionComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [CardComponent, CardSectionComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return CardModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CoachmarkService = /** @class */ (function () {
        function CoachmarkService() {
            var _this = this;
            this.showed = new rxjs.Subject();
            this.showed$ = this.showed.asObservable();
            this.setVisiable = ( /**
             * @param {?} ifShow
             * @return {?}
             */function (ifShow) {
                _this.showed.next(ifShow);
            });
        }
        CoachmarkService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        CoachmarkService.ctorParameters = function () { return []; };
        /** @nocollapse */ CoachmarkService.ngInjectableDef = i0.defineInjectable({ factory: function CoachmarkService_Factory() { return new CoachmarkService(); }, token: CoachmarkService, providedIn: "root" });
        return CoachmarkService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CoachmarkComponent = /** @class */ (function () {
        function CoachmarkComponent(coachmarkService, overlay, overlayContainer, viewContainerRef) {
            var _this = this;
            this.coachmarkService = coachmarkService;
            this.overlay = overlay;
            this.overlayContainer = overlayContainer;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Allows user to click outside of element | false
             */
            this.allowClickAway = false;
            /**
             * \@prop Optional css class string | ''
             */
            this.className = '';
            /**
             * \@prop Allows Coachmark to be closed by a click from the user | false
             */
            this.closeOnClick = false;
            /**
             * \@prop Sets the time the timer is delayed | 0
             */
            this.delay = 0;
            /**
             * \@prop Sets the time delay to hide the Coachmark | 0
             */
            this.hideDelay = 0;
            /**
             * \@prop Sets the initial visibility of Coachmark | false
             */
            this.isOpen = false;
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.originY = 'bottom';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayX = 'start';
            /**
             * \@prop Optional overlay positioin | ''
             */
            this.overlayY = 'top';
            /**
             * \@prop Handler to be called when the user clicks the Coachmark | null
             */
            this.whenClick = new i0.EventEmitter();
            /**
             * \@prop Handler to be called when Coachmark is closed, should be provided when allowClickAway is true | null
             */
            this.whenClose = new i0.EventEmitter();
            this.positionHash = {
                'start': 0,
                'top': 0,
                'center': 1,
                'end': 2,
                'bottom': 2
            };
            this.classArray = ['top', 'bottom', 'left', 'right'];
            this.initOverlayer = ( /**
             * @return {?}
             */function () {
                _this.checkArrowName();
                /** @type {?} */
                var strategy = _this.overlay
                    .position()
                    .flexibleConnectedTo(_this.archor)
                    .withPositions([
                    {
                        offsetX: _this.ArrowPositionClass === 'left' ? -14 : 0,
                        offsetY: _this.ArrowPositionClass === 'top' ? -14 : 0,
                        originX: _this.originX,
                        originY: _this.originY,
                        overlayX: _this.overlayX,
                        overlayY: _this.overlayY,
                    }
                ]);
                /** @type {?} */
                var arrowClass = 'md-event-overlay--' + _this.ArrowPositionClass;
                /** @type {?} */
                var panelClass = [
                    'md-event-overlay',
                    'md-event-overlay--arrow',
                    arrowClass,
                    'md-coachmark'
                ];
                if (!!_this.className) {
                    panelClass.push(_this.className);
                }
                /** @type {?} */
                var config = new i1.OverlayConfig({
                    hasBackdrop: !_this.allowClickAway,
                    panelClass: panelClass,
                    positionStrategy: strategy,
                    width: _this.width,
                    height: _this.height,
                    maxWidth: _this.maxWidth,
                    minWidth: _this.minWidth,
                    maxHeight: _this.maxHeight,
                    minHeight: _this.minHeight
                });
                strategy.positionChanges.subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.checkDom();
                    _this.setArrowPosition();
                }));
                _this.overlayRef = _this.overlay.create(config);
                _this.tp = new portal.TemplatePortal(_this.tempCoachmark, _this.viewContainerRef);
                _this.coachmarkService.showed$.subscribe(( /**
                 * @param {?} isShow
                 * @return {?}
                 */function (isShow) {
                    if (isShow) {
                        _this.showContent();
                    }
                    else {
                        _this.dismissContent();
                    }
                }));
            });
            this.position = ( /**
             * @param {?} pObj
             * @return {?}
             */function (pObj) {
                /** @type {?} */
                var _left = pObj.offsetLeft || 0;
                /** @type {?} */
                var _top = pObj.offsetTop || 0;
                /** @type {?} */
                var w = pObj.offsetWidth;
                /** @type {?} */
                var h = pObj.offsetHeight;
                while (pObj = pObj.offsetParent) {
                    _left += pObj.offsetLeft;
                    _top += pObj.offsetTop;
                }
                return {
                    x: _left,
                    y: _top,
                    w: w,
                    h: h
                };
            });
            /**
             * get the offset of the arrow
             * @param cl the left / top of the pop over
             * @param cw the witdh / height of the pop over
             * @param al the left / top of arrow
             * @param aw the witdh / height of arrow
             */
            this.setArrowHelp = ( /**
             * @param {?} cl
             * @param {?} cw
             * @param {?} al
             * @param {?} aw
             * @return {?}
             */function (cl, cw, al, aw) {
                /** @type {?} */
                var point;
                /** @type {?} */
                var adjustLength = 15;
                /** @type {?} */
                var max = cl + cw - adjustLength;
                /** @type {?} */
                var min = cl + adjustLength;
                if (cw > aw) {
                    point = Math.floor(al + aw / 2);
                    if (point < min) {
                        point = min;
                    }
                    else if (point > max) {
                        point = max;
                    }
                }
                else {
                    point = Math.floor(cl + cw / 2);
                }
                return point;
            });
            this.setArrowPosition = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var con = _this.overlayContainer.getContainerElement();
                /** @type {?} */
                var child = con.querySelector('.md-event-overlay__children');
                /** @type {?} */
                var arrow = con.querySelector('.md-event-overlay__arrow');
                /** @type {?} */
                var cpos = _this.position(child);
                /** @type {?} */
                var apos = _this.position(_this.archor);
                /** @type {?} */
                var l = 0;
                /** @type {?} */
                var t = 0;
                if (_this.ArrowPositionClass === 'top' || _this.ArrowPositionClass === 'bottom') {
                    if (_this.ArrowPositionClass === 'top') {
                        t = cpos.h;
                    }
                    l = _this.arrowOffset != null ?
                        _this.arrowOffset :
                        _this.setArrowHelp(cpos.x, cpos.w, apos.x, apos.w) - cpos.x;
                }
                else {
                    if (_this.ArrowPositionClass === 'left') {
                        l = cpos.w;
                    }
                    t = _this.arrowOffset != null ?
                        _this.arrowOffset :
                        _this.setArrowHelp(cpos.y, cpos.h, apos.y, apos.h) - cpos.y;
                }
                switch (_this.ArrowPositionClass) {
                    case 'top':
                        t = cpos.h;
                        break;
                    case 'bottom':
                        break;
                    case 'right':
                        break;
                    case 'left':
                        l = cpos.w;
                        break;
                }
                arrow.setAttribute('style', 'transform:translate(' + l + 'px,' + t + 'px)');
            });
            /**
             * get the weighted value of the direction
             */
            this.checkArrowHelp = ( /**
             * @param {?} origin
             * @param {?} overlay
             * @return {?}
             */function (origin, overlay) {
                /** @type {?} */
                var originV = _this.positionHash[origin];
                /** @type {?} */
                var overlayV = _this.positionHash[overlay];
                /** @type {?} */
                var pos = -1;
                /** @type {?} */
                var score = 0;
                if (originV !== 1) {
                    pos = (originV) / 2;
                    score = 20 + Math.abs(originV - overlayV) * 10;
                }
                else if (overlayV !== 1) {
                    pos = (2 - originV) / 2;
                    score = 10;
                }
                return {
                    pos: pos,
                    score: score
                };
            });
            /**
             * get the direction of the arrow
             */
            this.checkArrowName = ( /**
             * @return {?}
             */function () {
                if (_this.arrowPosition !== undefined) {
                    _this.ArrowPositionClass = _this.arrowPosition;
                }
                else {
                    /** @type {?} */
                    var positionPoint = [4, 2, 3, 1];
                    // Weighted value of [ top, bottom, left, right ]
                    /** @type {?} */
                    var yPlus = _this.checkArrowHelp(_this.originY, _this.overlayY);
                    /** @type {?} */
                    var xPlus = _this.checkArrowHelp(_this.originX, _this.overlayX);
                    positionPoint[yPlus.pos] += yPlus.score;
                    positionPoint[xPlus.pos + 2] += xPlus.score;
                    _this.ArrowPositionClass = _this.classArray[positionPoint.indexOf(Math.max.apply(null, positionPoint))];
                }
            });
            /**
             * Remove the container of head and subhead if no content
             */
            this.checkDom = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var container = _this.overlayContainer.getContainerElement();
                /** @type {?} */
                var header = container.querySelector('.md-coachmark__header');
                /** @type {?} */
                var subheader = container.querySelector('.md-coachmark__subheader');
                _this.checkEmpty(header);
                _this.checkEmpty(subheader);
            });
            this.checkEmpty = ( /**
             * @param {?} dom
             * @return {?}
             */function (dom) {
                if (dom.childNodes.length < 1) {
                    dom.parentNode.removeChild(dom);
                }
            });
            this.showContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && !_this.overlayRef.hasAttached()) {
                    _this.overlayRef.attach(_this.tp);
                }
            });
            this.dismissContent = ( /**
             * @return {?}
             */function () {
                if (_this.overlayRef && _this.overlayRef.hasAttached()) {
                    _this.overlayRef.detach();
                    if (_this.overlayRef.backdropElement) {
                        _this.overlayRef.backdropElement.remove();
                    }
                }
            });
            this.handleClick = ( /**
             * @param {?} e
             * @return {?}
             */function (e) {
                _this.whenClick.emit(e);
            });
            this.show = ( /**
             * @return {?}
             */function () {
                _this.coachmarkService.setVisiable(true);
            });
            this.dismiss = ( /**
             * @return {?}
             */function () {
                _this.coachmarkService.setVisiable(false);
            });
            this.delayedShow = ( /**
             * @return {?}
             */function () {
                if (_this.showTimerId) {
                    clearTimeout(_this.showTimerId);
                    _this.showTimerId = null;
                }
                /** @type {?} */
                var delay = _this.showDelay ? _this.showDelay : _this.delay;
                _this.showTimerId = setTimeout(( /**
                 * @return {?}
                 */function () {
                    _this.show();
                }), delay);
            });
            this.delayedHide = ( /**
             * @return {?}
             */function () {
                if (_this.hideTimerId) {
                    clearTimeout(_this.hideTimerId);
                    _this.hideTimerId = null;
                }
                /** @type {?} */
                var delay = _this.hideDelay ? _this.hideDelay : _this.delay;
                _this.hideTimerId = setTimeout(( /**
                 * @return {?}
                 */function () {
                    _this.dismiss();
                }), delay);
            });
        }
        /**
         * @return {?}
         */
        CoachmarkComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.coachmark_close && this.coachmark_close.nativeElement) {
                    this.coachmark_close.nativeElement.addEventListener('click', ( /**
                     * @return {?}
                     */function () {
                        _this.delayedHide();
                    }));
                }
            };
        /**
         * @return {?}
         */
        CoachmarkComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.initOverlayer();
                if (!this.allowClickAway && this.closeOnClick) {
                    this.overlayRef.backdropClick().subscribe(( /**
                     * @return {?}
                     */function () {
                        _this.dismissContent();
                    }));
                }
                this.overlayRef.detachments().subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.whenClose.emit();
                }));
                if (this.isOpen) {
                    this.delayedShow();
                }
            };
        CoachmarkComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-coachmark',
                        template: "\n  <ng-template #tempCoachmark>\n    <div class='md-event-overlay__arrow'></div>\n    <div class='md-event-overlay__children' (click)='handleClick($event)'>\n      <div class='md-coachmark__container'>\n        <div class='md-coachmark__header'>\n          <ng-content select='[coachmark_header]'></ng-content>\n        </div>\n        <div class='md-coachmark__subheader'>\n          <ng-content select='[coahmark_subheader]'></ng-content>\n        </div>\n        <ng-content></ng-content>\n      </div>\n    </div>\n  </ng-template>\n  ",
                        providers: [CoachmarkService],
                        styles: ['.md-event-overlay__arrow{position:absolute;}',
                            '.md-event-overlay__children{position:static;box-shadow: inset 0 0 0 1px #D2D5D6, 0 4px 12px 0 rgba(0, 0, 0, 0.16) !important;}']
                    }] }
        ];
        /** @nocollapse */
        CoachmarkComponent.ctorParameters = function () {
            return [
                { type: CoachmarkService },
                { type: i1.Overlay },
                { type: i1.OverlayContainer },
                { type: i0.ViewContainerRef }
            ];
        };
        CoachmarkComponent.propDecorators = {
            archor: [{ type: i0.Input }],
            allowClickAway: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            closeOnClick: [{ type: i0.Input }],
            delay: [{ type: i0.Input }],
            hideDelay: [{ type: i0.Input }],
            isOpen: [{ type: i0.Input }],
            maxWidth: [{ type: i0.Input }],
            minWidth: [{ type: i0.Input }],
            maxHeight: [{ type: i0.Input }],
            minHeight: [{ type: i0.Input }],
            width: [{ type: i0.Input }],
            height: [{ type: i0.Input }],
            showDelay: [{ type: i0.Input }],
            originX: [{ type: i0.Input }],
            originY: [{ type: i0.Input }],
            overlayX: [{ type: i0.Input }],
            overlayY: [{ type: i0.Input }],
            arrowPosition: [{ type: i0.Input }],
            arrowOffset: [{ type: i0.Input }],
            whenClick: [{ type: i0.Output }],
            whenClose: [{ type: i0.Output }],
            tempCoachmark: [{ type: i0.ViewChild, args: ['tempCoachmark',] }],
            coachmark_close: [{ type: i0.ContentChild, args: ['coachmark_close',] }]
        };
        return CoachmarkComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CoachmarkModule = /** @class */ (function () {
        function CoachmarkModule() {
        }
        /**
         * @return {?}
         */
        CoachmarkModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CoachmarkModule,
                    providers: [],
                };
            };
        CoachmarkModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [CoachmarkComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [CoachmarkComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return CoachmarkModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PageHeaderComponent = /** @class */ (function () {
        function PageHeaderComponent(eventManager, viewContainerRef) {
            var _this = this;
            this.eventManager = eventManager;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Text to display for title features | ''
             */
            this.title = '';
            /**
             * \@prop Text to display for descriptions features | ''
             */
            this.lead = '';
            /**
             * \@prop Sets css style (text-align) for the component | 'center'
             */
            this.textAlign = 'center';
            /**
             * \@prop Sets whether to fix component when scrolling | true
             */
            this.enableScrollFix = false;
            /**
             * \@prop shrink motion will be called when the scrollTop of the container is bigger than this value | 0
             */
            this.shrinkStartScrollTop = 0;
            /**
             * \@prop Sets the css top value which  the component will be fixed at finally | 20
             */
            this.shrinkEndFixedTop = 20;
            /**
             * \@prop Sets the range which the leader hiding motion will be called | 20
             */
            this.leaderHideLength = 20;
            /**
             * \@prop Sets the css transform:scale(X) for the fixed state | 0.42
             */
            this.ratioMin = 1;
            /**
             * \@prop Sets the easing formula for the shrinking motion | 'linear'
             */
            this.tween = 'linear';
            this.checkDomTime = 0;
            this.scrollState = 0; // 0 top 1 shrinking 2 fixed on the top
            // 0 top 1 shrinking 2 fixed on the top
            this.warpX = 0;
            this.warpY = 0;
            this.warpH = 0;
            this.shrinkEndScrollTop = 0;
            this.shrinkLength = 0;
            this.leaderShrinkStartScrollTop = 0;
            this.Tween = {
                linear: ( /**
                 * @param {?} t
                 * @param {?} b
                 * @param {?} c
                 * @param {?} d
                 * @return {?}
                 */function (t, b, c, d) {
                    return c * t / d + b;
                }),
                easeIn: ( /**
                 * @param {?} t
                 * @param {?} b
                 * @param {?} c
                 * @param {?} d
                 * @return {?}
                 */function (t, b, c, d) {
                    return c * (t /= d) * t + b;
                }),
                easeOut: ( /**
                 * @param {?} t
                 * @param {?} b
                 * @param {?} c
                 * @param {?} d
                 * @return {?}
                 */function (t, b, c, d) {
                    return -c * (t /= d) * (t - 2) + b;
                })
            };
            this.ifContainerClassLeft = true;
            this.onScroll = ( /**
             * @return {?}
             */function () {
                _this.checkDom();
                /** @type {?} */
                var scrollTop = window.pageYOffset || document.documentElement.scrollTop || 0;
                if (scrollTop <= _this.shrinkStartScrollTop) {
                    _this.checkScrollState(0, ( /**
                     * @return {?}
                     */function () {
                        _this.fixElement.setWarpFixedState(_this.warpX, _this.warpY, 1, 1);
                    }));
                }
                else if (scrollTop <= _this.shrinkEndScrollTop) {
                    _this.checkScrollState(1);
                    /** @type {?} */
                    var _t = scrollTop - _this.shrinkStartScrollTop;
                    /** @type {?} */
                    var _top = _this.Tween.linear(_t, _this.warpY, _this.shrinkEndFixedTop - _this.warpY, _this.shrinkLength);
                    /** @type {?} */
                    var _scale = _this.Tween[_this.tween](_t, 1, _this.ratioMin - 1, _this.shrinkLength);
                    /** @type {?} */
                    var _leadOpacity = 1;
                    if (_t >= _this.leaderShrinkStartScrollTop) {
                        _leadOpacity = _this.Tween[_this.tween](_t - _this.leaderShrinkStartScrollTop, 1, -1, _this.shrinkLength - _this.shrinkStartScrollTop);
                    }
                    _this.fixElement.setWarpFixedState(_this.warpX, Math.floor(_top), _scale, _leadOpacity);
                }
                else {
                    _this.checkScrollState(2, ( /**
                     * @return {?}
                     */function () {
                        _this.fixElement.setWarpFixedState(_this.warpX, _this.shrinkEndFixedTop, _this.ratioMin, 0);
                    }));
                }
            });
            this.checkDom = ( /**
             * @return {?}
             */function () {
                if (_this.checkDomTime < 2) {
                    /** @type {?} */
                    var warp = _this.viewContainerRef.element.nativeElement;
                    /** @type {?} */
                    var pos = _this.getDomPosition(warp);
                    _this.warpX = pos.x;
                    _this.warpY = pos.y;
                    _this.warpH = warp.clientHeight;
                    _this.checkDomTime++;
                    /** @type {?} */
                    var plusScroll = Math.floor(_this.warpH * (1 - _this.ratioMin));
                    _this.shrinkLength = _this.warpY - _this.shrinkEndFixedTop + plusScroll;
                    if (_this.leaderHideLength < _this.shrinkLength) {
                        _this.leaderShrinkStartScrollTop = _this.shrinkStartScrollTop + _this.shrinkLength - _this.leaderHideLength;
                    }
                    else {
                        _this.leaderShrinkStartScrollTop = Math.floor(_this.shrinkStartScrollTop + _this.shrinkLength / 4 * 3);
                    }
                    _this.shrinkEndScrollTop = _this.shrinkStartScrollTop + _this.shrinkLength;
                }
            });
            // 0 top 1 shrinking 2 fixed on the top
            this.checkScrollState = ( /**
             * @param {?} scrollState
             * @param {?=} callback
             * @return {?}
             */function (scrollState, callback) {
                if (scrollState !== _this.scrollState) {
                    _this.scrollState = scrollState;
                    _this.fixElement.setVisibility(scrollState);
                    _this.staticElement.setVisibility(scrollState);
                    if (callback !== undefined) {
                        callback();
                    }
                }
            });
            this.getDomPosition = ( /**
             * @param {?} pObj
             * @return {?}
             */function (pObj) {
                /** @type {?} */
                var _left = pObj.offsetLeft || 0;
                /** @type {?} */
                var _top = pObj.offsetTop || 0;
                while (pObj === pObj.offsetParent) {
                    _left += pObj.offsetLeft;
                    _top += pObj.offsetTop;
                }
                return { x: _left, y: _top };
            });
        }
        /**
         * @return {?}
         */
        PageHeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.ifContainerClassLeft = this.textAlign === 'center';
                if (this.enableScrollFix) {
                    this.eventManager.addGlobalEventListener('window', 'scroll', ( /**
                     * @param {?} e
                     * @return {?}
                     */function (e) {
                        _this.onScroll();
                    }));
                }
            };
        PageHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-page-header',
                        template: "\n    <md-page-header-content #staticElement [title]='title' [lead]='lead'></md-page-header-content>\n    <md-page-header-content *ngIf='enableScrollFix' #fixElement [title]='title' [lead]='lead' [ifFixed]='true'></md-page-header-content>\n  ",
                        host: {
                            class: 'md-page-header',
                            '[class.md-page-header--left]': 'textAlign'
                        },
                        styles: [':host{grid-area: page-header; display:block;}']
                    }] }
        ];
        /** @nocollapse */
        PageHeaderComponent.ctorParameters = function () {
            return [
                { type: platformBrowser.EventManager },
                { type: i0.ViewContainerRef }
            ];
        };
        PageHeaderComponent.propDecorators = {
            title: [{ type: i0.Input }],
            lead: [{ type: i0.Input }],
            textAlign: [{ type: i0.Input }],
            enableScrollFix: [{ type: i0.Input }],
            shrinkStartScrollTop: [{ type: i0.Input }],
            shrinkEndFixedTop: [{ type: i0.Input }],
            leaderHideLength: [{ type: i0.Input }],
            ratioMin: [{ type: i0.Input }],
            tween: [{ type: i0.Input }],
            fixElement: [{ type: i0.ViewChild, args: ['fixElement',] }],
            staticElement: [{ type: i0.ViewChild, args: ['staticElement',] }]
        };
        return PageHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PageHeaderContentComponent = /** @class */ (function () {
        function PageHeaderContentComponent(viewContainerRef) {
            var _this = this;
            this.viewContainerRef = viewContainerRef;
            /**
             * \@prop Text to display for title features | ''
             */
            this.title = '';
            /**
             * \@prop Text to display for descriptions features | ''
             */
            this.lead = '';
            /**
             * \@prop define if the component if fixed dom | false
             */
            this.ifFixed = false;
            this.setVisibility = ( /**
             * @param {?} scrollState
             * @return {?}
             */function (scrollState) {
                if (_this.ifFixed) {
                    _this.viewContainerRef.element.nativeElement.style.display = scrollState === 0 ? 'none' : '';
                }
                else {
                    _this.viewContainerRef.element.nativeElement.style.visibility = scrollState === 0 ? '' : 'hidden';
                }
            });
            this.setWarpFixedState = ( /**
             * @param {?} left
             * @param {?} top
             * @param {?} scale
             * @param {?} leadOpacity
             * @return {?}
             */function (left, top, scale, leadOpacity) {
                /** @type {?} */
                var con = _this.viewContainerRef.element.nativeElement;
                con.style.left = left + 'px';
                con.style.top = top + 'px';
                con.style.transform = 'scale(' + scale + ')';
                _this.leadRef.nativeElement.style.opacity = leadOpacity;
            });
        }
        /**
         * @return {?}
         */
        PageHeaderContentComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this.ifFixed) {
                    /** @type {?} */
                    var con = this.viewContainerRef.element.nativeElement;
                    con.style.position = 'fixed';
                    con.style.zIndex = 1200;
                    con.style.top = 0;
                    con.style.display = 'none';
                }
            };
        PageHeaderContentComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-page-header-content',
                        template: "\n  <div class=\"md-page-header__title\">{{title}}</div>\n  <h4 #leadRef class=\"md-page-header__lead\">{{lead}}</h4>\n  ",
                        host: {
                            class: 'md-page-header__container'
                        },
                        styles: [':host{transform-origin: 0 0; z-index: 1100; margin: 0 auto 3rem 1.5rem;display:block;}',
                            '.md-page-header__title{font-size: 2.25rem; line-height: 3rem;}',
                            '.md-page-header__lead{ margin-top: .75rem; }']
                    }] }
        ];
        /** @nocollapse */
        PageHeaderContentComponent.ctorParameters = function () {
            return [
                { type: i0.ViewContainerRef }
            ];
        };
        PageHeaderContentComponent.propDecorators = {
            title: [{ type: i0.Input }],
            lead: [{ type: i0.Input }],
            ifFixed: [{ type: i0.Input }],
            leadRef: [{ type: i0.ViewChild, args: ['leadRef',] }]
        };
        return PageHeaderContentComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PageHeaderContentModule = /** @class */ (function () {
        function PageHeaderContentModule() {
        }
        PageHeaderContentModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PageHeaderContentComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [PageHeaderContentComponent]
                    },] }
        ];
        return PageHeaderContentModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PageHeaderModule = /** @class */ (function () {
        function PageHeaderModule() {
        }
        /**
         * @return {?}
         */
        PageHeaderModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: PageHeaderModule,
                    providers: [],
                };
            };
        PageHeaderModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PageHeaderComponent],
                        imports: [
                            common.CommonModule,
                            PageHeaderContentModule
                        ],
                        exports: [PageHeaderComponent]
                    },] }
        ];
        return PageHeaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationService = /** @class */ (function () {
        function PaginationService(sanitizer) {
            var _this = this;
            this.sanitizer = sanitizer;
            this.href = '';
            this.hrefReplaceReg = '$page$';
            this.current = new rxjs.Subject();
            this.focused = new rxjs.Subject();
            this.total = new rxjs.Subject();
            this.current$ = this.current.asObservable();
            this.focused$ = this.focused.asObservable();
            this.total$ = this.total.asObservable();
            this.getHref = ( /**
             * @param {?} index
             * @return {?}
             */function (index) {
                if (_this.href !== '' && _this.href) {
                    return _this.href.replace(_this.hrefReplaceReg, index);
                }
                else {
                    return _this.sanitizer.bypassSecurityTrustUrl('javascript:void(0)');
                }
            });
            this.focusInList = ( /**
             * @param {?} list
             * @param {?} offset
             * @return {?}
             */function (list, offset) {
                /** @type {?} */
                var index = list.indexOf(_this.focusPage || _this.currentPage);
                /** @type {?} */
                var lastIndex = list.length - 1;
                if (lastIndex > -1) {
                    if (index === -1) {
                        index = 0;
                    }
                    if (offset > 0) {
                        index = Math.min(lastIndex, index + offset);
                    }
                    else {
                        index = Math.max(0, index + offset);
                    }
                    _this.focus(list[index]);
                }
            });
            this.selectfocus = ( /**
             * @return {?}
             */function () {
                if (_this.focusPage === 'previous') {
                    _this.selectPrevious();
                }
                else if (_this.focusPage === 'next') {
                    _this.selectNext();
                }
                else {
                    _this.select(_this.focusPage);
                }
            });
            this.current$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.currentPage = v;
            }));
            this.focused$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.focusPage = v;
            }));
            this.total$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.totalPage = v;
            }));
        }
        /**
         * @param {?} href
         * @param {?} hrefReplaceReg
         * @param {?} totalPage
         * @return {?}
         */
        PaginationService.prototype.initConfig = /**
         * @param {?} href
         * @param {?} hrefReplaceReg
         * @param {?} totalPage
         * @return {?}
         */
            function (href, hrefReplaceReg, totalPage) {
                this.href = href;
                this.hrefReplaceReg = hrefReplaceReg;
                this.totalPage = totalPage;
            };
        /**
         * @param {?} index
         * @return {?}
         */
        PaginationService.prototype.isClickable = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                return index !== this.currentPage && index > 0 && index <= this.totalPage;
            };
        /**
         * @return {?}
         */
        PaginationService.prototype.isFirstOrLastNow = /**
         * @return {?}
         */
            function () {
                return this.currentPage === 0 || this.currentPage === this.totalPage;
            };
        /**
         * @param {?} index
         * @return {?}
         */
        PaginationService.prototype.isCurrent = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                return this.currentPage === index;
            };
        /**
         * @return {?}
         */
        PaginationService.prototype.isCurrentFirst = /**
         * @return {?}
         */
            function () {
                return this.currentPage === 1;
            };
        /**
         * @return {?}
         */
        PaginationService.prototype.isCurrentLast = /**
         * @return {?}
         */
            function () {
                return this.currentPage === this.totalPage;
            };
        /**
         * @param {?} index
         * @return {?}
         */
        PaginationService.prototype.select = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                if (this.isClickable(index)) {
                    this.current.next(index);
                }
            };
        /**
         * @return {?}
         */
        PaginationService.prototype.selectNext = /**
         * @return {?}
         */
            function () {
                this.select(this.currentPage + 1);
            };
        /**
         * @return {?}
         */
        PaginationService.prototype.selectPrevious = /**
         * @return {?}
         */
            function () {
                this.select(this.currentPage - 1);
            };
        /**
         * @param {?} index
         * @return {?}
         */
        PaginationService.prototype.focus = /**
         * @param {?} index
         * @return {?}
         */
            function (index) {
                if (index !== this.focusPage) {
                    this.focused.next(index);
                }
            };
        PaginationService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        PaginationService.ctorParameters = function () {
            return [
                { type: platformBrowser.DomSanitizer }
            ];
        };
        return PaginationService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationComponent = /** @class */ (function () {
        function PaginationComponent(paginationService) {
            var _this = this;
            this.paginationService = paginationService;
            /**
             * \@option set the href format | ''
             */
            this.href = '';
            /**
             * \@option set the replace placeholder of href
             */
            this.hrefReplaceReg = '$page$';
            /**
             * \@props set total | ''
             */
            this.total = 10;
            /**
             * \@props set current | ''
             */
            this.current = 1;
            /**
             * \@props set the first button group | ''
             */
            this.firstGroupNum = 2;
            /**
             * \@props set the mid button group | ''
             */
            this.midGroupNum = 3;
            /**
             * \@props set the last button group | ''
             */
            this.lastGroupNum = 2;
            /**
             * \@option Callback function invoked when user clicks buttons
             */
            this.whenClick = new i0.EventEmitter();
            this.renderGroupFirst = [];
            this.renderGroupMid = [];
            this.renderGroupLast = [];
            this.renderGroup = [];
            this.firstGroupEnd = -1;
            this.midGroupStart = 1;
            this.midGroupEnd = 1;
            this.lastGroupStart = Infinity;
            this.ifPreventDefault = false;
            this.minCurrentForFirstGroup = 0;
            this.maxCurrentForLastGroup = 0;
            this.handleKeydown = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                /** @type {?} */
                var s = _this.paginationService;
                /** @type {?} */
                var ifStop = false;
                switch (event.keyCode) {
                    case keycodes.LEFT_ARROW: // <-
                        s.focusInList(_this.renderGroup, -1);
                        ifStop = true;
                        break;
                    case keycodes.RIGHT_ARROW: // ->
                        s.focusInList(_this.renderGroup, 1);
                        ifStop = true;
                        break;
                    case keycodes.ENTER: // Enter
                        s.selectfocus();
                        ifStop = true;
                        break;
                    default:
                        break;
                }
                if (ifStop) {
                    event.stopPropagation();
                }
            });
            this.build = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.paginationService;
                /** @type {?} */
                var current = s.currentPage;
                /** @type {?} */
                var total = s.totalPage;
                /** @type {?} */
                var preMidLen = Math.floor((_this.midGroupNum - 1) / 2);
                /** @type {?} */
                var nextMidLen = _this.midGroupNum - preMidLen - 1;
                _this.minCurrentForFirstGroup = _this.firstGroupNum + 1 + preMidLen; // > this
                _this.maxCurrentForLastGroup = total - _this.lastGroupNum - 1 - nextMidLen + 1; // > this
                if (current <= _this.minCurrentForFirstGroup && current >= _this.maxCurrentForLastGroup) { // merge all
                    _this.firstGroupEnd = -1;
                    _this.lastGroupStart = Infinity;
                    _this.midGroupStart = 1;
                    _this.midGroupEnd = total;
                }
                else {
                    if (current > _this.minCurrentForFirstGroup) {
                        _this.firstGroupEnd = _this.firstGroupNum;
                        _this.midGroupStart = current - preMidLen;
                        _this.midGroupEnd = Math.min(total, _this.midGroupStart + _this.midGroupNum - 1);
                    }
                    else { // merge start and middle
                        _this.firstGroupEnd = -1;
                        _this.midGroupStart = 1;
                        _this.midGroupEnd = Math.min(total, Math.max(current + nextMidLen, _this.minCurrentForFirstGroup));
                    }
                    if (current < _this.maxCurrentForLastGroup) {
                        _this.lastGroupStart = total - _this.lastGroupNum + 1;
                    }
                    else { // merge end and middle
                        _this.lastGroupStart = Infinity;
                        _this.midGroupStart = Math.max(1, Math.min(current - preMidLen, _this.maxCurrentForLastGroup));
                        _this.midGroupEnd = total;
                    }
                }
                // get template
                _this.renderGroupFirst = [];
                _this.renderGroupMid = [];
                _this.renderGroupLast = [];
                _this.renderGroup = [];
                /** @type {?} */
                var i = 1;
                if (current > 1) {
                    _this.renderGroup.push('previous');
                }
                for (i = 1; i <= _this.firstGroupEnd; i++) {
                    _this.renderGroupFirst.push(i);
                    _this.renderGroup.push(i);
                }
                if (_this.firstGroupEnd === _this.midGroupStart) {
                    _this.renderGroupFirst.pop();
                }
                for (i = _this.midGroupStart; i <= _this.midGroupEnd; i++) {
                    _this.renderGroupMid.push(i);
                    _this.renderGroup.push(i);
                }
                if (_this.midGroupEnd === _this.lastGroupStart) {
                    _this.renderGroupMid.pop();
                }
                for (i = _this.lastGroupStart; i <= total; i++) {
                    _this.renderGroupLast.push(i);
                    _this.renderGroup.push(i);
                }
                if (s.currentPage < total) {
                    _this.renderGroup.push('next');
                }
            });
        }
        /**
         * @return {?}
         */
        PaginationComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var s = this.paginationService;
                s.initConfig(this.href, this.hrefReplaceReg, this.total);
                s.current$.subscribe(( /**
                 * @param {?} v
                 * @return {?}
                 */function (v) {
                    _this.build();
                    _this.whenClick.emit(v);
                }));
                this.paginationService.select(this.current);
            };
        PaginationComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-pagination',
                        template: "\n    <md-pagination-arrow\n      [isPrevious]='true'\n      [ifPreventDefault]='ifPreventDefault'\n    ></md-pagination-arrow>\n    <md-pagination-number *ngFor='let item of renderGroupFirst'\n      [index]='item'\n      [ifPreventDefault]='ifPreventDefault'\n    ></md-pagination-number>\n    <li class='pagination_li ellipsis' *ngIf='firstGroupEnd > 0 && firstGroupEnd < midGroupStart - 1' aria-hidden=\"true\">...</li>\n    <md-pagination-number *ngFor='let item of renderGroupMid'\n      [index]='item'\n      [ifPreventDefault]='ifPreventDefault'\n    ></md-pagination-number>\n    <li class='pagination_li ellipsis' *ngIf='lastGroupStart < total && lastGroupStart > midGroupEnd + 1' aria-hidden=\"true\">...</li>\n    <md-pagination-number *ngFor='let item of renderGroupLast'\n      [index]='item'\n      [ifPreventDefault]='ifPreventDefault'\n    ></md-pagination-number>\n    <md-pagination-arrow\n      [isPrevious]='false'\n      [ifPreventDefault]='ifPreventDefault'\n    ></md-pagination-arrow>\n  ",
                        host: {
                            class: 'pagination',
                            'style': "\n      display: block;\n      min-height: 1.5rem;\n      list-style-position: outside;\n      clear:both;\n    ",
                            'attr.role': 'navigation',
                            'attr.aria-label': 'Pagination',
                            'tabindex': '0',
                            '(keydown)': 'handleKeydown($event)'
                        },
                        providers: [PaginationService],
                        styles: [".ellipsis{width:11px;height:16px;color:#666;font-size:12px;font-family:CiscoSans;text-align:center;letter-spacing:0}.pagination_li{display:block;float:left;font-size:12px;margin:0 20px 0 0;height:20px;line-height:20px;min-width:20px;border-radius:10px!important;text-align:center!important}.pagination_li_last{margin-right:0}.pagination_li_a{transition:background-color .3s ease-out;display:block;font-size:12px;color:#05a1bf;border-radius:10px!important;text-align:center!important;padding:0 4px;line-height:20px}.pagination_current,.pagination_li_a:focus,.pagination_li_a:hover{background:#07c1e4;color:#fff;padding:0 4px}.pagination_disable{color:rgba(0,0,0,.4);padding:0 4px}.pagination_li_a_focus,.pagination_li_focus{border-color:transparent;outline:0;box-shadow:0 0 4px 2px rgba(0,160,209,.75)}"]
                    }] }
        ];
        /** @nocollapse */
        PaginationComponent.ctorParameters = function () {
            return [
                { type: PaginationService }
            ];
        };
        PaginationComponent.propDecorators = {
            href: [{ type: i0.Input }],
            hrefReplaceReg: [{ type: i0.Input }],
            total: [{ type: i0.Input }],
            current: [{ type: i0.Input }],
            firstGroupNum: [{ type: i0.Input }],
            midGroupNum: [{ type: i0.Input }],
            lastGroupNum: [{ type: i0.Input }],
            whenClick: [{ type: i0.Output }]
        };
        return PaginationComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationArrowComponent = /** @class */ (function () {
        function PaginationArrowComponent(paginationService) {
            var _this = this;
            this.paginationService = paginationService;
            /**
             * \@option set isPrevious | ''
             */
            this.isPrevious = true;
            /**
             * \@option set ifPreventDefault | ''
             */
            this.ifPreventDefault = false;
            this.isEnable = false;
            this.name = 'Previous page';
            this.myHref = '';
            this.ngClassA = {
                'pagination_li_a': true,
                'icon--b1': true,
                'md-icon': true,
                'icon': true,
                'pagination_li_a_focus': false,
                'icon-arrow-left_20': true,
                'icon-arrow-right_20': false
            };
            this.handleClick = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (_this.isPrevious) {
                    _this.paginationService.focus('previous');
                    _this.paginationService.selectPrevious();
                }
                else {
                    _this.paginationService.focus('next');
                    _this.paginationService.selectNext();
                }
                event.stopPropagation();
                if (_this.ifPreventDefault) {
                    event.preventDefault();
                }
            });
            this.build = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.paginationService;
                if (_this.isPrevious) {
                    _this.isEnable = !s.isCurrentFirst();
                    _this.name = 'Previous page';
                    _this.ngClassA['icon-arrow-left_20'] = true;
                    _this.ngClassA['icon-arrow-right_20'] = false;
                    _this.myHref = s.getHref(s.currentPage - 1);
                }
                else {
                    _this.isEnable = !s.isCurrentLast();
                    _this.name = 'Next page';
                    _this.ngClassA['icon-arrow-left_20'] = false;
                    _this.ngClassA['icon-arrow-right_20'] = true;
                    _this.myHref = s.getHref(s.currentPage + 1);
                }
            });
            this.paginationService.current$.subscribe(( /**
             * @return {?}
             */function () {
                _this.build();
            }));
            this.paginationService.focused$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                if (_this.isPrevious) {
                    _this.ngClassA.pagination_li_a_focus = v === 'previous';
                }
                else {
                    _this.ngClassA.pagination_li_a_focus = v === 'next';
                }
            }));
        }
        /**
         * @return {?}
         */
        PaginationArrowComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.build();
            };
        PaginationArrowComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-pagination-arrow',
                        template: "\n    <a #btn *ngIf=\"isEnable;else disableTemplate\"\n      [ngClass]='ngClassA'\n      [href]='myHref'\n      [attr.aria-label]='name'\n      (click)='handleClick($event)'\n    ><span class=\"show-for-sr\">page</span></a>\n    <ng-template #disableTemplate>\n      <span class=\"show-for-sr\">page</span>\n    </ng-template>\n  ",
                        host: {
                            'class': 'pagination-previous pagination_li md-icon icon',
                            '[class.pagination_li_last]': '!isPrevious',
                            '[class.pagination_disable]': '!isEnable',
                            '[class.icon-arrow-left-optical_20]': 'isPrevious && !isEnable',
                            '[class.icon-arrow-right-optical_20]': '!isPrevious && !isEnable'
                        },
                        styles: [".ellipsis{width:11px;height:16px;color:#666;font-size:12px;font-family:CiscoSans;text-align:center;letter-spacing:0}.pagination_li{display:block;float:left;font-size:12px;margin:0 20px 0 0;height:20px;line-height:20px;min-width:20px;border-radius:10px!important;text-align:center!important}.pagination_li_last{margin-right:0}.pagination_li_a{transition:background-color .3s ease-out;display:block;font-size:12px;color:#05a1bf;border-radius:10px!important;text-align:center!important;padding:0 4px;line-height:20px}.pagination_current,.pagination_li_a:focus,.pagination_li_a:hover{background:#07c1e4;color:#fff;padding:0 4px}.pagination_disable{color:rgba(0,0,0,.4);padding:0 4px}.pagination_li_a_focus,.pagination_li_focus{border-color:transparent;outline:0;box-shadow:0 0 4px 2px rgba(0,160,209,.75)}"]
                    }] }
        ];
        /** @nocollapse */
        PaginationArrowComponent.ctorParameters = function () {
            return [
                { type: PaginationService }
            ];
        };
        PaginationArrowComponent.propDecorators = {
            isPrevious: [{ type: i0.Input }],
            ifPreventDefault: [{ type: i0.Input }]
        };
        return PaginationArrowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationArrowModule = /** @class */ (function () {
        function PaginationArrowModule() {
        }
        PaginationArrowModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PaginationArrowComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [PaginationArrowComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return PaginationArrowModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationNumberComponent = /** @class */ (function () {
        function PaginationNumberComponent(paginationService) {
            var _this = this;
            this.paginationService = paginationService;
            /**
             * \@option set ifPreventDefault | ''
             */
            this.ifPreventDefault = false;
            this.isCurrent = false;
            this.isFocus = false;
            this.ngClassA = {
                'pagination_li_a': true,
                'pagination_li_a_focus': false
            };
            this.build = ( /**
             * @return {?}
             */function () {
                /** @type {?} */
                var s = _this.paginationService;
                _this.myHref = s.getHref(_this.index);
                _this.isCurrent = s.isCurrent(_this.index);
            });
            this.handleClick = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                _this.paginationService.focus(_this.index);
                _this.paginationService.select(_this.index);
                event.stopPropagation();
                if (_this.ifPreventDefault) {
                    event.preventDefault();
                }
            });
            this.paginationService.current$.subscribe(( /**
             * @return {?}
             */function () {
                _this.build();
            }));
            this.paginationService.focused$.subscribe(( /**
             * @param {?} v
             * @return {?}
             */function (v) {
                _this.isFocus = v === _this.index;
                _this.ngClassA.pagination_li_a_focus = _this.isFocus;
            }));
        }
        /**
         * @return {?}
         */
        PaginationNumberComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.build();
            };
        PaginationNumberComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-pagination-number',
                        template: "\n    <a [ngClass]='ngClassA' *ngIf=\"!isCurrent;else other_content\"\n    [href]='myHref'\n    [attr.aria-label]=\"'Page '+index\"\n    (click)='handleClick($event)'\n    >{{ index }}</a>\n    <ng-template #other_content>{{ index }}</ng-template>\n  ",
                        host: {
                            'class': 'pagination_li',
                            '[class.pagination_current]': 'isCurrent',
                            '[class.pagination_li_focus]': 'isCurrent && isFocus'
                        },
                        styles: [".ellipsis{width:11px;height:16px;color:#666;font-size:12px;font-family:CiscoSans;text-align:center;letter-spacing:0}.pagination_li{display:block;float:left;font-size:12px;margin:0 20px 0 0;height:20px;line-height:20px;min-width:20px;border-radius:10px!important;text-align:center!important}.pagination_li_last{margin-right:0}.pagination_li_a{transition:background-color .3s ease-out;display:block;font-size:12px;color:#05a1bf;border-radius:10px!important;text-align:center!important;padding:0 4px;line-height:20px}.pagination_current,.pagination_li_a:focus,.pagination_li_a:hover{background:#07c1e4;color:#fff;padding:0 4px}.pagination_disable{color:rgba(0,0,0,.4);padding:0 4px}.pagination_li_a_focus,.pagination_li_focus{border-color:transparent;outline:0;box-shadow:0 0 4px 2px rgba(0,160,209,.75)}"]
                    }] }
        ];
        /** @nocollapse */
        PaginationNumberComponent.ctorParameters = function () {
            return [
                { type: PaginationService }
            ];
        };
        PaginationNumberComponent.propDecorators = {
            index: [{ type: i0.Input }],
            ifPreventDefault: [{ type: i0.Input }]
        };
        return PaginationNumberComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationNumberModule = /** @class */ (function () {
        function PaginationNumberModule() {
        }
        PaginationNumberModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PaginationNumberComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [PaginationNumberComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return PaginationNumberModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationModule = /** @class */ (function () {
        function PaginationModule() {
        }
        /**
         * @return {?}
         */
        PaginationModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: PaginationModule,
                    providers: [],
                };
            };
        PaginationModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [PaginationComponent],
                        imports: [
                            common.CommonModule,
                            PaginationArrowModule,
                            PaginationNumberModule
                        ],
                        exports: [PaginationComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return PaginationModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DrawerComponent = /** @class */ (function () {
        function DrawerComponent(el) {
            this._visible = false;
            /**
             * \@prop css class names | ''
             */
            this.class = '';
            /**
             * \@prop Sets the openFrom opens | 'right'
             */
            this.openFrom = 'right';
            /**
             * \@prop Sets the openFrom opens defaults | 'medium
             */
            this.size = 'medium';
            /**
             * \@prop set the text for accessibilty on the close button | 'close'
             */
            this.closeAriaLabel = 'close';
            /**
             * use this event to know when the drawer has changed
             */
            this.drawerChanged = new i0.EventEmitter();
        }
        Object.defineProperty(DrawerComponent.prototype, "className", {
            get: /**
             * @return {?}
             */ function () {
                return 'md-drawer '
                    + ('md-drawer--' + this.openFrom + " ")
                    + ('md-drawer--' + this.openFrom + '--' + this.size + " ")
                    + ("" + (!this.isOpen ? 'md-drawer--' + this.openFrom + '--closed' : ''))
                    + ((this.class ? this.class : '') + " ");
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DrawerComponent.prototype, "isOpen", {
            get: /**
             * @return {?}
             */ function () {
                return this._visible;
            },
            /** @prop Set whether the drawer is open or not | 'false' */
            set: /**
             * \@prop Set whether the drawer is open or not | 'false'
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._visible = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DrawerComponent.prototype.close = /**
         * @return {?}
         */
            function () {
                this.isOpen = false;
                this.drawerChanged.emit(this.isOpen);
            };
        DrawerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-drawer',
                        template: "\n    <ng-content></ng-content>\n    <md-icon\n      className=\"md-drawer__close\"\n      name=\"cancel_14\"\n      ariaLabel=\"{{closeAriaLabel}}\"\n      (click)=\"close()\" >\n    </md-icon>\n  "
                    }] }
        ];
        /** @nocollapse */
        DrawerComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        DrawerComponent.propDecorators = {
            class: [{ type: i0.Input }],
            className: [{ type: i0.HostBinding, args: ['class',] }],
            isOpen: [{ type: i0.Input }],
            openFrom: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            closeAriaLabel: [{ type: i0.Input }],
            drawerChanged: [{ type: i0.Output }]
        };
        return DrawerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DrawerModule = /** @class */ (function () {
        function DrawerModule() {
        }
        DrawerModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [DrawerComponent],
                        imports: [
                            common.CommonModule,
                            IconModule
                        ],
                        exports: [DrawerComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return DrawerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CheckboxGroupComponent = /** @class */ (function () {
        function CheckboxGroupComponent() {
        }
        CheckboxGroupComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-checkbox-group',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            class: 'md-checkbox-group',
                        },
                        styles: ["\n      :host {\n        display: block;\n      }\n    "]
                    }] }
        ];
        /** @nocollapse */
        CheckboxGroupComponent.ctorParameters = function () { return []; };
        return CheckboxGroupComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CheckboxGroupModule = /** @class */ (function () {
        function CheckboxGroupModule() {
        }
        /**
         * @return {?}
         */
        CheckboxGroupModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: CheckboxGroupModule,
                    providers: [],
                };
            };
        CheckboxGroupModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [CheckboxGroupComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [CheckboxGroupComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA],
                    },] }
        ];
        return CheckboxGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RadioGroupComponent = /** @class */ (function () {
        function RadioGroupComponent() {
        }
        /**
         * @return {?}
         */
        RadioGroupComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        RadioGroupComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-radio-group',
                        template: "\n    <ng-content></ng-content>\n  ",
                        host: {
                            class: 'md-radio-group',
                        },
                        styles: ["\n      :host {\n        display: block;\n      }\n    "]
                    }] }
        ];
        /** @nocollapse */
        RadioGroupComponent.ctorParameters = function () { return []; };
        return RadioGroupComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RadioGroupModule = /** @class */ (function () {
        function RadioGroupModule() {
        }
        RadioGroupModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [RadioGroupComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [RadioGroupComponent]
                    },] }
        ];
        return RadioGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var Handler = /** @class */ (function () {
        function Handler() {
        }
        /**
         * @param {?} el
         * @return {?}
         */
        Handler.getOffset = /**
         * @param {?} el
         * @return {?}
         */
            function (el) {
                /** @type {?} */
                var rect = el.getBoundingClientRect();
                return {
                    top: rect.top + document.body.scrollTop,
                    left: rect.left + document.body.scrollLeft
                };
            };
        /**
         * @param {?} element
         * @param {?} selector
         * @return {?}
         */
        Handler.findSingle = /**
         * @param {?} element
         * @param {?} selector
         * @return {?}
         */
            function (element, selector) {
                if (element) {
                    return element.querySelector(selector);
                }
                return null;
            };
        /**
         * @param {?=} el
         * @return {?}
         */
        Handler.calculateScrollbarWidth = /**
         * @param {?=} el
         * @return {?}
         */
            function (el) {
                if (el) {
                    /** @type {?} */
                    var style = getComputedStyle(el);
                    return (el.offsetWidth - el.clientWidth - parseFloat(style.borderLeftWidth) - parseFloat(style.borderRightWidth));
                }
                else {
                    if (this.calculatedScrollbarWidth !== null) {
                        return this.calculatedScrollbarWidth;
                    }
                    /** @type {?} */
                    var scrollDiv = document.createElement('div');
                    scrollDiv.className = 'md-data-table__scrollbar';
                    document.body.appendChild(scrollDiv);
                    /** @type {?} */
                    var scrollbarWidth = scrollDiv.offsetWidth - scrollDiv.clientWidth;
                    document.body.removeChild(scrollDiv);
                    this.calculatedScrollbarWidth = scrollbarWidth;
                    return scrollbarWidth;
                }
            };
        /**
         * @param {?} el
         * @param {?=} margin
         * @return {?}
         */
        Handler.getOuterWidth = /**
         * @param {?} el
         * @param {?=} margin
         * @return {?}
         */
            function (el, margin) {
                /** @type {?} */
                var width = el.offsetWidth;
                if (margin) {
                    /** @type {?} */
                    var style = getComputedStyle(el);
                    width += parseFloat(style.marginLeft) + parseFloat(style.marginRight);
                }
                return width;
            };
        /**
         * @param {?} el
         * @param {?=} margin
         * @return {?}
         */
        Handler.getOuterHeight = /**
         * @param {?} el
         * @param {?=} margin
         * @return {?}
         */
            function (el, margin) {
                /** @type {?} */
                var height = el.offsetHeight;
                if (margin) {
                    /** @type {?} */
                    var style = getComputedStyle(el);
                    height += parseFloat(style.marginTop) + parseFloat(style.marginBottom);
                }
                return height;
            };
        Handler.calculatedScrollbarWidth = null;
        return Handler;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DataTableComponent = /** @class */ (function () {
        function DataTableComponent(el, zone, tableService, cd) {
            this.el = el;
            this.zone = zone;
            this.tableService = tableService;
            this.cd = cd;
            /**
             * \@prop set the css class on the wrapper container div | ''
             */
            this.containerClass = '';
            /**
             * \@prop sets the table columns to allow for resize | false
             */
            this.resizableColumns = false;
            /**
             * \@prop set css class on table element | ''
             */
            this.tableClass = '';
            /**
             * \@prop start of table in ascending or descending order || 1
             */
            this.defaultSortOrder = 1;
            /**
             * \@prop set the scroll height of the table | ''
             */
            this.scrollHeight = '';
            /**
             * \@prop sets lazy load mode for small sections of data to load instead of entire data | false
             */
            this.lazy = false;
            /**
             * \@prop sets virtual scroll on the data table | false
             */
            this.virtualScroll = false;
            /**
             * \@prop set the setTimeout delay in handling virtual scroll | 150
             */
            this.virtualScrollDelay = 150;
            /**
             * \@prop set the virtual row height
             */
            this.virtualRowHeight = 34;
            /**
             * \@prop sets the widths of the table and its cells to fit for the content | false
             */
            this.autoLayout = false;
            /**
             * \@prop allows for row selection click \ false
             */
            this.rowSelection = false;
            /**
             * \@prop show column dividers css border | false
             */
            this.columnDividers = false;
            /**
             * \@prop use custom sort function | false
             */
            this.customSort = false;
            /**
             * \@prop change theme of the data table | null
             */
            this.theme = '';
            /**
             * \@prop emit custom sort function
             */
            this.sortBy = new i0.EventEmitter();
            /**
             * \@prop emit function after column sort
             */
            this.afterSort = new i0.EventEmitter();
            /**
             * \@prop emit function after column resize end
             */
            this.afterColResize = new i0.EventEmitter();
            /**
             * \@prop emit function triggering load data
             */
            this.lazyLoad = new i0.EventEmitter();
            /**
             * \@prop emit function when toggling header checkbox
             */
            this.headerCheckboxToggle = new i0.EventEmitter();
            /**
             * \@prop emit function when checked selection changes
             */
            this.selectionChange = new i0.EventEmitter();
            /**
             * \@prop emit function when row is checked
             */
            this.rowCheck = new i0.EventEmitter();
            /**
             * \@prop emit function when row is unchecked
             */
            this.rowUncheck = new i0.EventEmitter();
            /**
             * \@prop emit function when table row is selected
             */
            this.rowSelect = new i0.EventEmitter();
            /**
             * \@prop emit function when table row is unselected
             */
            this.rowUnselect = new i0.EventEmitter();
            this._data = [];
            this._dataCount = 0;
            this._sortOrder = 1;
            this._first = 0;
            this.selectionKeys = {}; // for adding and removing to selection
            this.rowTrackBy = ( /**
             * @param {?} index
             * @param {?} item
             * @return {?}
             */function (index, item) { return item; });
        }
        Object.defineProperty(DataTableComponent.prototype, "data", {
            /** @prop set the data for the table */
            get: /**
             * \@prop set the data for the table
             * @return {?}
             */ function () {
                return this._data;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._data = val;
                if (!this.lazy) {
                    this.dataCount = (this._data ? this._data.length : 0);
                    if (this.sortField) {
                        this.applySort();
                    }
                }
                if (this.virtualScroll && this.virtualScrollCb) {
                    this.virtualScrollCb();
                }
                this.tableService.onDataChange(val);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "columns", {
            /** @prop set the column's header and field data */
            get: /**
             * \@prop set the column's header and field data
             * @return {?}
             */ function () {
                return this._columns;
            },
            set: /**
             * @param {?} cols
             * @return {?}
             */ function (cols) {
                this._columns = cols;
                this.tableService.onColumnsChange(cols);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "dataCount", {
            /** @prop number of records in data set | 0 */
            get: /**
             * \@prop number of records in data set | 0
             * @return {?}
             */ function () {
                return this._dataCount;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._dataCount = val;
                this.tableService.onDataCountChange(this._dataCount);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "sortField", {
            /** @prop sets field being sorted on */
            get: /**
             * \@prop sets field being sorted on
             * @return {?}
             */ function () {
                return this._sortField;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._sortField = val;
                if (this.initialized) {
                    this.applySort();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "sortOrder", {
            /** @prop set the sort order, used with sort icons on header | 1 */
            get: /**
             * \@prop set the sort order, used with sort icons on header | 1
             * @return {?}
             */ function () {
                return this._sortOrder;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._sortOrder = val;
                if (this.initialized) {
                    this.applySort();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "first", {
            /** @prop get the row number of which virtual scroll starts load  */
            get: /**
             * \@prop get the row number of which virtual scroll starts load
             * @return {?}
             */ function () {
                return this._first;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._first = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "selection", {
            get: /**
             * @return {?}
             */ function () {
                return this._selection;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._selection = val;
                if (!this.preventPropagation) {
                    this.updateSelectionKeys();
                    this.tableService.onSelectionChange();
                }
                this.preventPropagation = false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DataTableComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.initialized = true;
            };
        /**
         * @return {?}
         */
        DataTableComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                // sort out mdTemplateName to the correct templateOutlet
                this.templates.forEach(( /**
                 * @param {?} item
                 * @return {?}
                 */function (item) {
                    switch (item.getType()) {
                        case 'header':
                            _this.headerTemplate = item.template;
                            break;
                        case 'body':
                            _this.bodyTemplate = item.template;
                            break;
                        case 'colgroup':
                            _this.colGroupTemplate = item.template;
                            break;
                    }
                }));
            };
        // Sort Methods
        // Sort Methods
        /**
         * @param {?} field
         * @return {?}
         */
        DataTableComponent.prototype.isColumnSorted =
            // Sort Methods
            /**
             * @param {?} field
             * @return {?}
             */
            function (field) {
                return (this.sortField === field);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableComponent.prototype.sort = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this._sortOrder = (this.sortField === event.field) ? this.sortOrder * -1 : this.defaultSortOrder;
                this._sortField = event.field;
                this.applySort();
            };
        /**
         * @return {?}
         */
        DataTableComponent.prototype.applySort = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.sortField && this.sortOrder) {
                    if (this.data) {
                        if (this.customSort) {
                            this.sortBy.emit({
                                data: this.data,
                                field: this.sortField,
                                order: this.sortOrder
                            });
                        }
                        else {
                            this.data.sort(( /**
                             * @param {?} data1
                             * @param {?} data2
                             * @return {?}
                             */function (data1, data2) {
                                /** @type {?} */
                                var value1 = data1[_this.sortField];
                                /** @type {?} */
                                var value2 = data2[_this.sortField];
                                /** @type {?} */
                                var result;
                                if (value1 === null && value2 !== null) {
                                    result = -1;
                                }
                                else if (value1 !== null && value2 === null) {
                                    result = 1;
                                }
                                else if (value1 === null && value2 === null) {
                                    result = 0;
                                }
                                else if (typeof value1 === 'string' && typeof value2 === 'string') {
                                    result = value1.localeCompare(value2);
                                }
                                else {
                                    result = (value1 < value2) ? -1 : (value1 > value2) ? 1 : 0;
                                }
                                return (_this.sortOrder * result);
                            }));
                        }
                    }
                    /** @type {?} */
                    var sortObj = {
                        field: this.sortField,
                        order: this.sortOrder
                    };
                    this.afterSort.emit(sortObj);
                    this.tableService.afterSort(sortObj);
                }
            };
        // Resize Methods
        // Resize Methods
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableComponent.prototype.onColumnResizeStart =
            // Resize Methods
            /**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                /** @type {?} */
                var leftContainer = Handler.getOffset(this.containerViewChild.nativeElement).left;
                this.resizerX = (event.pageX - leftContainer + this.containerViewChild.nativeElement.scrollLeft);
                event.preventDefault();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableComponent.prototype.onColumnResize = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var leftContainer = Handler.getOffset(this.containerViewChild.nativeElement).left;
                this.resizeHelperViewChild.nativeElement.style.height = this.containerViewChild.nativeElement.offsetHeight + 'px';
                this.resizeHelperViewChild.nativeElement.style.top = 0 + 'px';
                // tslint:disable-next-line: max-line-length
                this.resizeHelperViewChild.nativeElement.style.left = (event.pageX - leftContainer + this.containerViewChild.nativeElement.scrollLeft) + 'px';
                // display none start
                this.resizeHelperViewChild.nativeElement.style.display = 'block';
            };
        /**
         * @param {?} event
         * @param {?} column
         * @return {?}
         */
        DataTableComponent.prototype.onColumnResizeEnd = /**
         * @param {?} event
         * @param {?} column
         * @return {?}
         */
            function (event, column) {
                /** @type {?} */
                var movedDistance = this.resizeHelperViewChild.nativeElement.offsetLeft - this.resizerX;
                /** @type {?} */
                var columnWidth = column.offsetWidth;
                /** @type {?} */
                var minWidth = parseInt(column.style.minWidth || 15, 10);
                if (columnWidth + movedDistance < minWidth) {
                    movedDistance = minWidth - columnWidth;
                }
                /** @type {?} */
                var newColumnWidth = columnWidth + movedDistance;
                if (newColumnWidth >= minWidth) {
                    /** @type {?} */
                    var nextColumn = column.nextElementSibling;
                    while (!nextColumn.offsetParent) {
                        nextColumn = nextColumn.nextElementSibling;
                    }
                    if (nextColumn) {
                        /** @type {?} */
                        var nextColumnWidth = nextColumn.offsetWidth - movedDistance;
                        /** @type {?} */
                        var nextColumnMinWidth = nextColumn.style.minWidth || 15;
                        if (newColumnWidth > 15 && nextColumnWidth > parseInt(nextColumnMinWidth, 10)) {
                            if (this.scrollable) {
                                /** @type {?} */
                                var scrollableView = this.findParentScrollableView(column);
                                // finds element
                                /** @type {?} */
                                var scrollableBodyTable = Handler.findSingle(scrollableView, 'table.md-data-table__scrollable--body-table');
                                /** @type {?} */
                                var scrollableHeaderTable = Handler.findSingle(scrollableView, 'table.md-data-table__scrollable--header-table');
                                /** @type {?} */
                                var resizeColumnIndex = void 0;
                                /** @type {?} */
                                var num = 0;
                                /** @type {?} */
                                var columns = column.parentNode.childNodes;
                                for (var i = 0; i < columns.length; i++) {
                                    if (columns[i] === column) {
                                        resizeColumnIndex = num;
                                    }
                                    if (columns[i].nodeType === 1) {
                                        num++;
                                    }
                                }
                                // resize both the header and the body to match new width
                                this.resizeColumnGroup(scrollableHeaderTable, resizeColumnIndex, newColumnWidth, nextColumnWidth);
                                this.resizeColumnGroup(scrollableBodyTable, resizeColumnIndex, newColumnWidth, nextColumnWidth);
                            }
                            else {
                                column.style.width = newColumnWidth + 'px';
                                if (nextColumn) {
                                    nextColumn.style.width = nextColumnWidth + 'px';
                                }
                            }
                        }
                    }
                    this.afterColResize.emit({
                        element: column,
                        movedDistance: movedDistance
                    });
                }
                // hide resize helper line on end
                this.resizeHelperViewChild.nativeElement.style.display = 'none';
            };
        /**
         * @param {?} column
         * @return {?}
         */
        DataTableComponent.prototype.findParentScrollableView = /**
         * @param {?} column
         * @return {?}
         */
            function (column) {
                if (column) {
                    /** @type {?} */
                    var parent_1 = column.parentElement;
                    while (parent_1 && !parent_1.classList.contains('md-data-table__scrollable--view')) {
                        parent_1 = parent_1.parentElement;
                    }
                    return parent_1;
                }
                else {
                    return null;
                }
            };
        /**
         * @param {?} tableSection
         * @param {?} resizeColumnIndex
         * @param {?} newColumnWidth
         * @param {?} nextColumnWidth
         * @return {?}
         */
        DataTableComponent.prototype.resizeColumnGroup = /**
         * @param {?} tableSection
         * @param {?} resizeColumnIndex
         * @param {?} newColumnWidth
         * @param {?} nextColumnWidth
         * @return {?}
         */
            function (tableSection, resizeColumnIndex, newColumnWidth, nextColumnWidth) {
                if (tableSection) {
                    // find colGroup
                    /** @type {?} */
                    var colGroup = tableSection.children[0].nodeName === 'COLGROUP' ? tableSection.children[0] : null;
                    if (colGroup) {
                        /** @type {?} */
                        var col = colGroup.children[resizeColumnIndex];
                        /** @type {?} */
                        var nextColumn = col.nextElementSibling;
                        col.style.width = newColumnWidth + 'px';
                        if (nextColumn && nextColumnWidth) {
                            nextColumn.style.width = nextColumnWidth + 'px';
                        }
                    }
                    else {
                        throw new Error('Tables with scroll that resize require a colgroup, refer to example');
                    }
                }
            };
        // Virtual Scroll
        // Virtual Scroll
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableComponent.prototype.handleVirtualScroll =
            // Virtual Scroll
            /**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                var _this = this;
                this.first = (event.page - 1) * this.numberOfRowsToLoad;
                this.virtualScrollCb = event.callback;
                this.zone.run(( /**
                 * @return {?}
                 */function () {
                    if (_this.virtualScrollTimer) {
                        clearTimeout(_this.virtualScrollTimer);
                    }
                    _this.virtualScrollTimer = setTimeout(( /**
                     * @return {?}
                     */function () {
                        _this.lazyLoad.emit(_this.createLazyData());
                    }), _this.virtualScrollDelay);
                }));
            };
        /**
         * @return {?}
         */
        DataTableComponent.prototype.createLazyData = /**
         * @return {?}
         */
            function () {
                return {
                    first: this.first,
                    numberOfRowsToLoad: this.numberOfRowsToLoad,
                    sortField: this.sortField,
                    sortOrder: this.sortOrder,
                };
            };
        // Select
        // Select
        /**
         * @return {?}
         */
        DataTableComponent.prototype.updateSelectionKeys =
            // Select
            /**
             * @return {?}
             */
            function () {
                var e_1, _a;
                if (this.dataKey && this._selection) {
                    this.selectionKeys = {};
                    if (Array.isArray(this._selection)) {
                        try {
                            for (var _b = __values(this._selection), _c = _b.next(); !_c.done; _c = _b.next()) {
                                var data = _c.value;
                                this.selectionKeys[String(data[this.dataKey])] = 1;
                            }
                        }
                        catch (e_1_1) {
                            e_1 = { error: e_1_1 };
                        }
                        finally {
                            try {
                                if (_c && !_c.done && (_a = _b.return))
                                    _a.call(_b);
                            }
                            finally {
                                if (e_1)
                                    throw e_1.error;
                            }
                        }
                    }
                    else {
                        this.selectionKeys[String(this._selection[this.dataKey])] = 1;
                    }
                }
            };
        /**
         * @param {?} rowData
         * @return {?}
         */
        DataTableComponent.prototype.isSelected = /**
         * @param {?} rowData
         * @return {?}
         */
            function (rowData) {
                if (rowData && this.selection) {
                    if (this.dataKey) {
                        for (var i = 0; i < this.selection.length; i++) {
                            if (this.selection[i][this.dataKey] === rowData[this.dataKey]) {
                                this.selectionKeys[rowData[this.dataKey]] = 1;
                            }
                        }
                        return this.selectionKeys[rowData[this.dataKey]] !== undefined; // found in selection
                    }
                    else {
                        if (this.selection instanceof Array) {
                            return findIndex(this.selection, rowData) > -1;
                        }
                        else {
                            return this.selection === rowData;
                        }
                    }
                }
                return false;
            };
        /**
         * @param {?} event
         * @param {?} check
         * @return {?}
         */
        DataTableComponent.prototype.toggleRowsWithCheckbox = /**
         * @param {?} event
         * @param {?} check
         * @return {?}
         */
            function (event, check) {
                this._selection = check ? this.data.slice() : [];
                this.preventPropagation = true;
                this.updateSelectionKeys();
                this.selectionChange.emit(this._selection);
                this.tableService.onSelectionChange();
                this.headerCheckboxToggle.emit({ originalEvent: event, checked: check });
            };
        /**
         * @param {?} event
         * @param {?} rowData
         * @return {?}
         */
        DataTableComponent.prototype.toggleRowWithCheckbox = /**
         * @param {?} event
         * @param {?} rowData
         * @return {?}
         */
            function (event, rowData) {
                this.selection = this.selection || [];
                /** @type {?} */
                var isChecked = this.isSelected(rowData);
                /** @type {?} */
                var rowDataKeyValue = this.dataKey ? String(rowData[this.dataKey]) : null;
                this.preventPropagation = true;
                if (isChecked) { // then uncheck from selection
                    // then uncheck from selection
                    /** @type {?} */
                    var checkedIndex_1 = findIndex(this.selection, rowData);
                    this._selection = this.selection.filter(( /**
                     * @param {?} val
                     * @param {?} i
                     * @return {?}
                     */function (val, i) { return i !== checkedIndex_1; }));
                    this.selectionChange.emit(this.selection);
                    this.rowUncheck.emit({
                        originalEvent: event.originalEvent,
                        data: rowData,
                    });
                    if (rowDataKeyValue) {
                        delete this.selectionKeys[rowDataKeyValue];
                    }
                }
                else { // add to selection
                    this._selection = this.selection ? __spread(this.selection, [rowData]) : [rowData];
                    this.selectionChange.emit(this.selection);
                    this.rowCheck.emit({
                        originalEvent: event.originalEvent,
                        data: rowData,
                    });
                    if (rowDataKeyValue) {
                        this.selectionKeys[rowDataKeyValue] = 1;
                    }
                }
                this.tableService.onSelectionChange();
            };
        // row click selection
        // row click selection
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableComponent.prototype.handleRowClick =
            // row click selection
            /**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                if (this.rowSelection) {
                    this.preventPropagation = true;
                    /** @type {?} */
                    var rowData = event.rowData;
                    /** @type {?} */
                    var selected = this.isSelected(rowData);
                    /** @type {?} */
                    var dataKeyValue = this.dataKey ? String(rowData[this.dataKey]) : null;
                    if (selected) { // then unselect to null
                        this._selection = null;
                        this.selectionKeys = {};
                        this.selectionChange.emit(this.selection);
                        this.rowUnselect.emit({ originalEvent: event.originalEvent, data: rowData, type: 'row' });
                    }
                    else { // select
                        this._selection = rowData;
                        this.selectionChange.emit(this.selection);
                        this.rowSelect.emit({
                            originalEvent: event.originalEvent,
                            data: rowData,
                            type: 'row',
                        });
                        if (dataKeyValue) {
                            this.selectionKeys = {};
                            this.selectionKeys[dataKeyValue] = 1;
                        }
                    }
                    this.tableService.onSelectionChange();
                }
            };
        DataTableComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-data-table',
                        template: "\n    <div\n      #container\n      class=\"md-data-table\"\n      [ngClass]=\"[\n        resizableColumns ? 'md-data-table--resizable' : '',\n        autoLayout ? 'md-data-table--auto-layout' : '',\n        columnDividers ? 'md-data-table--dividers' : '',\n        theme ? 'md-data-table--zebra': '',\n        containerClass\n      ]\"\n      [ngStyle]=\"containerStyle\"\n    >\n\n      <div\n        *ngIf=\"!scrollable\"\n        class=\"md-data-table__wrapper\"\n      >\n        <table\n          #table\n          [ngClass]=\"tableClass\"\n          [ngStyle]=\"tableStyle\"\n        >\n\n          <thead class=\"md-data-table__thead\">\n            <ng-container\n              *ngTemplateOutlet=\"headerTemplate;\n              context: {$implicit: columns}\">\n            </ng-container>\n          </thead>\n\n          <tbody\n            class=\"md-data-table__tbody\"\n            [mdBodyColumns]=\"columns\"\n            [bodyTemplate]=\"bodyTemplate\">\n          </tbody>\n        </table>\n      </div>\n\n      <!-- Scroll Condition -->\n      <div\n        *ngIf=\"scrollable\"\n        class=\"md-data-table__scrollable--wrappper\"\n      >\n\n        <div\n          class=\"md-data-table__scrollable--view\"\n          [mdScrollView]=\"columns\"\n          [scrollHeight]=\"scrollHeight\">\n        </div>\n      </div>\n\n        <!-- Resize Helper -->\n        <div\n          *ngIf=\"resizableColumns\"\n          #resizeHelper\n          class=\"md-data-table__resizer--helper md-data-table__resizer--highlight\"\n          style=\"display:none\">\n        </div>\n\n    </div>\n  ",
                        providers: [TableService],
                        encapsulation: i0.ViewEncapsulation.None
                    }] }
        ];
        /** @nocollapse */
        DataTableComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: i0.NgZone },
                { type: TableService },
                { type: i0.ChangeDetectorRef }
            ];
        };
        DataTableComponent.propDecorators = {
            data: [{ type: i0.Input }],
            columns: [{ type: i0.Input }],
            dataCount: [{ type: i0.Input }],
            sortField: [{ type: i0.Input }],
            sortOrder: [{ type: i0.Input }],
            first: [{ type: i0.Input }],
            selection: [{ type: i0.Input }],
            containerClass: [{ type: i0.Input }],
            resizableColumns: [{ type: i0.Input }],
            tableClass: [{ type: i0.Input }],
            tableStyle: [{ type: i0.Input }],
            containerStyle: [{ type: i0.Input }],
            defaultSortOrder: [{ type: i0.Input }],
            scrollable: [{ type: i0.Input }],
            scrollHeight: [{ type: i0.Input }],
            numberOfRowsToLoad: [{ type: i0.Input }],
            lazy: [{ type: i0.Input }],
            virtualScroll: [{ type: i0.Input }],
            virtualScrollDelay: [{ type: i0.Input }],
            virtualRowHeight: [{ type: i0.Input }],
            autoLayout: [{ type: i0.Input }],
            dataKey: [{ type: i0.Input }],
            rowSelection: [{ type: i0.Input }],
            columnDividers: [{ type: i0.Input }],
            customSort: [{ type: i0.Input }],
            theme: [{ type: i0.Input }],
            sortBy: [{ type: i0.Output }],
            afterSort: [{ type: i0.Output }],
            afterColResize: [{ type: i0.Output }],
            lazyLoad: [{ type: i0.Output }],
            headerCheckboxToggle: [{ type: i0.Output }],
            selectionChange: [{ type: i0.Output }],
            rowCheck: [{ type: i0.Output }],
            rowUncheck: [{ type: i0.Output }],
            rowSelect: [{ type: i0.Output }],
            rowUnselect: [{ type: i0.Output }],
            containerViewChild: [{ type: i0.ViewChild, args: ['container',] }],
            resizeHelperViewChild: [{ type: i0.ViewChild, args: ['resizeHelper',] }],
            tableViewChild: [{ type: i0.ViewChild, args: ['table',] }],
            templates: [{ type: i0.ContentChildren, args: [TemplateNameDirective,] }],
            rowTrackBy: [{ type: i0.Input }]
        };
        return DataTableComponent;
    }());
    // Body Component
    var TableBodyComponent = /** @class */ (function () {
        function TableBodyComponent(dt) {
            this.dt = dt;
        }
        TableBodyComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: '[mdBodyColumns]',
                        template: "\n    <ng-container>\n\n      <ng-template\n        ngFor let-row let-rowIndex=\"index\"\n        [ngForOf]=\"dt.data\"\n        [ngForTrackBy]=\"dt.rowTrackBy\"\n      >\n        <ng-container\n          *ngTemplateOutlet=\"bodyTemplate;\n          context: {\n            $implicit: row,\n            columns: columns,\n            rowIndex: rowIndex\n          }\">\n        </ng-container>\n      </ng-template>\n\n    </ng-container>\n  "
                    }] }
        ];
        /** @nocollapse */
        TableBodyComponent.ctorParameters = function () {
            return [
                { type: DataTableComponent }
            ];
        };
        TableBodyComponent.propDecorators = {
            columns: [{ type: i0.Input, args: ['mdBodyColumns',] }],
            bodyTemplate: [{ type: i0.Input }]
        };
        return TableBodyComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DataTableCheckboxHeaderComponent = /** @class */ (function () {
        function DataTableCheckboxHeaderComponent(dt, tableService) {
            var _this = this;
            this.dt = dt;
            this.tableService = tableService;
            this.className = '';
            this.id = uniqueId('md-data-table-header-checkbox-');
            this.valueChangeSubscription = this.dt.tableService.dataSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.checked = _this.updateCheckedState();
            }));
            this.selectionChangeSubscription = this.dt.tableService.selectionSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.checked = _this.updateCheckedState();
            }));
        }
        /**
         * @return {?}
         */
        DataTableCheckboxHeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.checked = this.updateCheckedState();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableCheckboxHeaderComponent.prototype.handleClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (!this.disabled) {
                    if (this.dt.data && this.dt.data.length > 0) {
                        this.dt.toggleRowsWithCheckbox(event, !this.checked);
                    }
                }
            };
        /**
         * @return {?}
         */
        DataTableCheckboxHeaderComponent.prototype.updateCheckedState = /**
         * @return {?}
         */
            function () {
                return (this.dt.data && this.dt.data.length > 0
                    && this.dt.selection && this.dt.selection.length > 0
                    && this.dt.selection.length === this.dt.data.length);
            };
        /**
         * @return {?}
         */
        DataTableCheckboxHeaderComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.selectionChangeSubscription) {
                    this.selectionChangeSubscription.unsubscribe();
                }
                if (this.valueChangeSubscription) {
                    this.valueChangeSubscription.unsubscribe();
                }
            };
        DataTableCheckboxHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-data-table-header-checkbox',
                        template: "\n  <div\n    class=\"md-data-table__checkbox--wrapper\"\n    [ngClass]=\"[className]\"\n    (click)=\"handleClick($event)\"\n  >\n    <md-checkbox\n      [(checkStatus)]=\"checked\"\n      [disabled]=\"disabled\"\n      (click)=\"handleClick($event)\"\n      htmlId=\"{{id}}-checkbox\">\n    </md-checkbox>\n  </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        DataTableCheckboxHeaderComponent.ctorParameters = function () {
            return [
                { type: DataTableComponent },
                { type: TableService }
            ];
        };
        DataTableCheckboxHeaderComponent.propDecorators = {
            disabled: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            id: [{ type: i0.Input }]
        };
        return DataTableCheckboxHeaderComponent;
    }());
    var DataTableCheckboxComponent = /** @class */ (function () {
        function DataTableCheckboxComponent(dt, tableService) {
            var _this = this;
            this.dt = dt;
            this.tableService = tableService;
            this.disabled = false;
            this.className = '';
            this.id = uniqueId('md-data-table-checkbox-');
            this.subscription = this.dt.tableService.selectionSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.checked = _this.dt.isSelected(_this.data);
            }));
        }
        /**
         * @return {?}
         */
        DataTableCheckboxComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.checked = this.dt.isSelected(this.data);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        DataTableCheckboxComponent.prototype.handleClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                if (!this.disabled) {
                    this.dt.toggleRowWithCheckbox({
                        originalEvent: event,
                    }, this.data);
                }
            };
        /**
         * @return {?}
         */
        DataTableCheckboxComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription) {
                    this.subscription.unsubscribe();
                }
            };
        DataTableCheckboxComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-data-table-checkbox',
                        template: "\n    <div\n      class=\"md-data-table__checkbox--wrapper\"\n      [ngClass]=\"[className]\"\n      (click)=\"handleClick($event)\"\n    >\n      <md-checkbox\n        [(checkStatus)]=\"checked\"\n        [disabled]=\"disabled\"\n        htmlId=\"{{id}}-checkbox\">\n      </md-checkbox>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        DataTableCheckboxComponent.ctorParameters = function () {
            return [
                { type: DataTableComponent },
                { type: TableService }
            ];
        };
        DataTableCheckboxComponent.propDecorators = {
            data: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            id: [{ type: i0.Input }],
            boxViewChild: [{ type: i0.ViewChild, args: ['box',] }]
        };
        return DataTableCheckboxComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SortColumnDirective = /** @class */ (function () {
        function SortColumnDirective(dt) {
            this.dt = dt;
        }
        /**
         * @param {?} event
         * @return {?}
         */
        SortColumnDirective.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.dt.sort({
                    originalEvent: event,
                    field: this.field
                });
            };
        SortColumnDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[mdSortColumn]',
                        host: {
                            class: 'md-data-table__sortable-column',
                        }
                    },] }
        ];
        /** @nocollapse */
        SortColumnDirective.ctorParameters = function () {
            return [
                { type: DataTableComponent }
            ];
        };
        SortColumnDirective.propDecorators = {
            field: [{ type: i0.Input, args: ['mdSortColumn',] }],
            onClick: [{ type: i0.HostListener, args: ['click', ['$event'],] }]
        };
        return SortColumnDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ResizableColumnDirective = /** @class */ (function () {
        function ResizableColumnDirective(dt, el, zone) {
            this.dt = dt;
            this.el = el;
            this.zone = zone;
        }
        /**
         * @return {?}
         */
        ResizableColumnDirective.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.el.nativeElement.classList.add('md-data-table__resizable-column');
                // create span for resizer
                this.resizeHelper = document.createElement('span');
                this.resizeHelper.className = 'md-data-table__column-resizer';
                this.el.nativeElement.appendChild(this.resizeHelper);
                this.zone.runOutsideAngular(( /**
                 * @return {?}
                 */function () {
                    _this.mouseDownListener = _this.onMouseDown.bind(_this);
                    _this.resizeHelper.addEventListener('mousedown', _this.mouseDownListener);
                }));
            };
        /**
         * @return {?}
         */
        ResizableColumnDirective.prototype.bindDocEvents = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.zone.runOutsideAngular(( /**
                 * @return {?}
                 */function () {
                    _this.docMouseMoveListener = _this.onDocMouseMove.bind(_this);
                    document.addEventListener('mousemove', _this.docMouseMoveListener);
                    _this.docMouseUpListener = _this.onDocMouseUp.bind(_this);
                    document.addEventListener('mouseup', _this.docMouseUpListener);
                }));
            };
        /**
         * @return {?}
         */
        ResizableColumnDirective.prototype.unbindDocEvents = /**
         * @return {?}
         */
            function () {
                if (this.docMouseMoveListener) {
                    document.removeEventListener('mousemove', this.docMouseMoveListener);
                    this.docMouseMoveListener = null;
                }
                if (this.docMouseUpListener) {
                    document.removeEventListener('mouseup', this.docMouseUpListener);
                    this.docMouseUpListener = null;
                }
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ResizableColumnDirective.prototype.onMouseDown = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.dt.onColumnResizeStart(event);
                this.bindDocEvents();
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ResizableColumnDirective.prototype.onDocMouseMove = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.dt.onColumnResize(event);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ResizableColumnDirective.prototype.onDocMouseUp = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.dt.onColumnResizeEnd(event, this.el.nativeElement);
                this.unbindDocEvents();
            };
        /**
         * @return {?}
         */
        ResizableColumnDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.mouseDownListener) {
                    this.resizeHelper.removeEventListener('mousedown', this.mouseDownListener);
                }
                this.unbindDocEvents();
            };
        ResizableColumnDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[mdResizableColumn]'
                    },] }
        ];
        /** @nocollapse */
        ResizableColumnDirective.ctorParameters = function () {
            return [
                { type: DataTableComponent },
                { type: i0.ElementRef },
                { type: i0.NgZone }
            ];
        };
        return ResizableColumnDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ScrollComponent = /** @class */ (function () {
        function ScrollComponent(dt, el, zone) {
            var _this = this;
            this.dt = dt;
            this.el = el;
            this.zone = zone;
            this.page = 0;
            this.subscription = this.dt.tableService.dataSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.zone.runOutsideAngular(( /**
                 * @return {?}
                 */function () {
                    setTimeout(( /**
                     * @return {?}
                     */function () {
                        _this.alignScrollBar();
                        if (_this.scrollLoadingTableViewChild && _this.scrollLoadingTableViewChild.nativeElement) {
                            _this.scrollLoadingTableViewChild.nativeElement.style.display = 'none';
                        }
                    }), 50);
                }));
            }));
            if (this.dt.virtualScroll) {
                this.dataCountSubscription = this.dt.tableService.dataCountSource$.subscribe(( /**
                 * @return {?}
                 */function () {
                    _this.zone.runOutsideAngular(( /**
                     * @return {?}
                     */function () {
                        setTimeout(( /**
                         * @return {?}
                         */function () {
                            _this.setVirtualScrollerHeight();
                        }), 50);
                    }));
                }));
            }
            this.initialized = false;
        }
        Object.defineProperty(ScrollComponent.prototype, "scrollHeight", {
            get: /**
             * @return {?}
             */ function () {
                return this._scrollHeight;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */ function (val) {
                this._scrollHeight = val;
                this.setScrollHeight();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        ScrollComponent.prototype.ngAfterViewChecked = /**
         * @return {?}
         */
            function () {
                if (!this.initialized && this.el.nativeElement.offsetParent) {
                    this.alignScrollBar();
                    this.setScrollHeight();
                    this.initialized = true;
                }
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var view = this.el.nativeElement.previousElementSibling;
                if (view) {
                    this.siblingBody = Handler.findSingle(view, '.md-data-table__scrollable--body');
                }
                this.bindEvents();
                this.setScrollHeight();
                this.alignScrollBar();
                if (this.dt.virtualScroll) {
                    this.setVirtualScrollerHeight();
                    if (this.scrollLoadingTableViewChild && this.scrollLoadingTableViewChild.nativeElement) {
                        this.scrollLoadingTableViewChild.nativeElement.style.display = 'table';
                    }
                }
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.bindEvents = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.zone.runOutsideAngular(( /**
                 * @return {?}
                 */function () {
                    if (_this.scrollHeaderViewChild && _this.scrollHeaderViewChild.nativeElement) {
                        _this.headerScrollListener = _this.onHeaderScroll.bind(_this);
                        _this.scrollHeaderViewChild.nativeElement.addEventListener('scroll', _this.headerScrollListener);
                    }
                    _this.bodyScrollListener = _this.onBodyScroll.bind(_this);
                    _this.scrollBodyViewChild.nativeElement.addEventListener('scroll', _this.bodyScrollListener);
                }));
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.unbindEvents = /**
         * @return {?}
         */
            function () {
                if (this.scrollHeaderViewChild && this.scrollHeaderViewChild.nativeElement) {
                    this.scrollHeaderViewChild.nativeElement.removeEventListener('scroll', this.headerScrollListener);
                }
                this.scrollBodyViewChild.nativeElement.removeEventListener('scroll', this.bodyScrollListener);
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ScrollComponent.prototype.onHeaderScroll = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                /** @type {?} */
                var scrollLeft = this.scrollHeaderViewChild.nativeElement.scrollLeft;
                this.scrollBodyViewChild.nativeElement.scrollLeft = scrollLeft;
                this.preventBodyScrollPropagation = true;
            };
        /**
         * @param {?} event
         * @return {?}
         */
        ScrollComponent.prototype.onBodyScroll = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                var _this = this;
                if (this.preventBodyScrollPropagation) {
                    this.preventBodyScrollPropagation = false;
                    return;
                }
                if (this.scrollHeaderViewChild && this.scrollHeaderViewChild.nativeElement) {
                    this.scrollHeaderBoxViewChild.nativeElement.style.marginLeft = -1 * this.scrollBodyViewChild.nativeElement.scrollLeft + 'px';
                }
                if (this.siblingBody) {
                    this.siblingBody.scrollTop = this.scrollBodyViewChild.nativeElement.scrollTop;
                }
                if (this.dt.virtualScroll) {
                    /** @type {?} */
                    var viewport = Handler.getOuterHeight(this.scrollBodyViewChild.nativeElement);
                    /** @type {?} */
                    var tableHeight = Handler.getOuterHeight(this.scrollTableViewChild.nativeElement);
                    /** @type {?} */
                    var pageHeight = this.dt.virtualRowHeight * this.dt.numberOfRowsToLoad;
                    /** @type {?} */
                    var virtualTableHeight = Handler.getOuterHeight(this.virtualScrollerViewChild.nativeElement);
                    /** @type {?} */
                    var pageCount = (virtualTableHeight / pageHeight) || 1;
                    /** @type {?} */
                    var scrollBodyTop = this.scrollTableViewChild.nativeElement.style.top || '0';
                    // if at end of scroll
                    if (event.target.offsetHeight + event.target.scrollTop >= event.target.scrollHeight) {
                        /** @type {?} */
                        var page = Math.floor((this.scrollBodyViewChild.nativeElement.scrollTop * pageCount) / (this.scrollBodyViewChild.nativeElement.scrollHeight)) + 1;
                        this.dt.handleVirtualScroll({
                            page: page,
                            callback: ( /**
                             * @return {?}
                             */function () {
                                if (_this.scrollLoadingTableViewChild && _this.scrollLoadingTableViewChild.nativeElement) {
                                    _this.scrollLoadingTableViewChild.nativeElement.style.display = 'none';
                                }
                                if (_this.siblingBody) {
                                    (( /** @type {?} */(_this.siblingBody.children[0]))).style.top = _this.scrollTableViewChild.nativeElement.style.top;
                                }
                            })
                        });
                    }
                }
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.setScrollHeight = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var scrollBodyElement = this.scrollBodyViewChild.nativeElement;
                /** @type {?} */
                var scrollHeight = this.scrollHeight;
                if (scrollHeight && this.scrollBodyViewChild && scrollBodyElement) {
                    if (scrollHeight.indexOf('%') !== -1) { // if scrollHeight is a % value
                        // if scrollHeight is a % value
                        /** @type {?} */
                        var relativeHeight = void 0;
                        scrollBodyElement.style.visibility = 'hidden';
                        scrollBodyElement.style.height = '100px';
                        /** @type {?} */
                        var containerHeight = Handler.getOuterHeight(this.dt.el.nativeElement.children[0]);
                        if (scrollHeight.includes('calc')) {
                            /** @type {?} */
                            var percentHeight = parseInt(scrollHeight.slice(scrollHeight.indexOf('(') + 1, scrollHeight.indexOf('%')), 10);
                            /** @type {?} */
                            var diffValue = parseInt(scrollHeight.slice(scrollHeight.indexOf('-') + 1, scrollHeight.indexOf(')')), 10);
                            relativeHeight = (Handler.getOuterHeight(this.dt.el.nativeElement.parentElement) * percentHeight / 100) - diffValue;
                        }
                        else {
                            relativeHeight = Handler.getOuterHeight(this.dt.el.nativeElement.parentElement) * parseInt(scrollHeight, 10) / 100;
                        }
                        /** @type {?} */
                        var staticHeight = containerHeight - 100;
                        // total height of everything
                        /** @type {?} */
                        var scrollBodyHeight = (relativeHeight - staticHeight);
                        scrollBodyElement.style.height = scrollBodyHeight + 'px';
                        scrollBodyElement.style.maxHeight = scrollBodyHeight + 'px';
                        scrollBodyElement.style.visibility = 'visible';
                    }
                    else {
                        scrollBodyElement.style.maxHeight = scrollHeight;
                    }
                }
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.setVirtualScrollerHeight = /**
         * @return {?}
         */
            function () {
                if (this.virtualScrollerViewChild.nativeElement) {
                    this.virtualScrollerViewChild.nativeElement.style.height = (this.dt.dataCount) * this.dt.virtualRowHeight + 'px';
                }
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.hasVerticalOverflow = /**
         * @return {?}
         */
            function () {
                return Handler.getOuterHeight(this.scrollTableViewChild.nativeElement) > Handler.getOuterHeight(this.scrollBodyViewChild.nativeElement);
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.alignScrollBar = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var scrollBarWidth = this.hasVerticalOverflow() ? Handler.calculateScrollbarWidth() : 0;
                this.scrollHeaderBoxViewChild.nativeElement.style.marginRight = scrollBarWidth + 'px';
                this.initialized = false;
            };
        /**
         * @return {?}
         */
        ScrollComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.unbindEvents();
                this.siblingBody = null;
                if (this.subscription) {
                    this.subscription.unsubscribe();
                }
                if (this.dataCountSubscription) {
                    this.dataCountSubscription.unsubscribe();
                }
                this.initialized = false;
            };
        ScrollComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: '[mdScrollView]',
                        template: "\n    <div #scrollHeader class=\"md-data-table__scrollable--header\">\n        <div #scrollHeaderBox>\n\n          <table\n            class=\"md-data-table__scrollable--header-table\"\n            [ngClass]=\"dt.tableClass\"\n            [ngStyle]=\"dt.tableStyle\"\n          >\n\n            <ng-container\n              *ngTemplateOutlet=\"dt.colGroupTemplate; context {$implicit: columns}\">\n            </ng-container>\n\n            <thead class=\"md-data-table__thead\">\n              <ng-container\n                *ngTemplateOutlet=\"dt.headerTemplate; context {$implicit: columns}\">\n              </ng-container>\n            </thead>\n\n            <tbody class=\"md-data-table__tbody\">\n              <ng-template\n                ngFor let-rowData let-rowIndex=\"index\"\n                [ngForOf]=\"dt.data\"\n                [ngForTrackBy]=\"dt.rowTrackBy\"\n              >\n              </ng-template>\n            </tbody>\n          </table>\n\n        </div>\n    </div>\n\n    <div #scrollBody class=\"md-data-table__scrollable--body\">\n\n        <table\n          #scrollTable\n          [ngClass]=\"{'md-data-table__scrollable--body-table': true, 'md-data-table__scrollable--virtual-table': dt.virtualScroll}\"\n          [class]=\"dt.tableClass\"\n          [ngStyle]=\"dt.tableStyle\"\n        >\n\n          <ng-container\n            *ngTemplateOutlet=\"dt.colGroupTemplate; context {$implicit: columns}\">\n          </ng-container>\n\n          <tbody\n            class=\"md-data-table__tbody\"\n            [mdBodyColumns]=\"columns\"\n            [bodyTemplate]=\"dt.bodyTemplate\">\n          </tbody>\n        </table>\n\n\n        <table\n          #loadingTable\n          *ngIf=\"dt.virtualScroll\"\n          [ngClass]=\"\n            {'md-data-table__scrollable--body-table md-data-table__scrollable--loading-table': true,\n            'md-data-table__scrollable--virtual-table': dt.virtualScroll\n            }\"\n        >\n\n          <tbody class=\"md-data-table__tbody \">\n\n            <md-spinner\n              class=\"md-data-table__spinner\"\n              [ngStyle]=\"{ height: scrollHeight }\">\n            </md-spinner>\n\n           </tbody>\n\n        </table>\n\n        <div\n          #virtualScroller\n          class=\"md-data-table__scrollable--virtual-scroller\"\n          *ngIf=\"dt.virtualScroll\">\n        </div>\n    </div>\n  "
                    }] }
        ];
        /** @nocollapse */
        ScrollComponent.ctorParameters = function () {
            return [
                { type: DataTableComponent },
                { type: i0.ElementRef },
                { type: i0.NgZone }
            ];
        };
        ScrollComponent.propDecorators = {
            columns: [{ type: i0.Input, args: ['mdScrollView',] }],
            scrollHeaderViewChild: [{ type: i0.ViewChild, args: ['scrollHeader',] }],
            scrollHeaderBoxViewChild: [{ type: i0.ViewChild, args: ['scrollHeaderBox',] }],
            scrollBodyViewChild: [{ type: i0.ViewChild, args: ['scrollBody',] }],
            scrollTableViewChild: [{ type: i0.ViewChild, args: ['scrollTable',] }],
            scrollLoadingTableViewChild: [{ type: i0.ViewChild, args: ['loadingTable',] }],
            virtualScrollerViewChild: [{ type: i0.ViewChild, args: ['virtualScroller',] }],
            scrollHeight: [{ type: i0.Input }]
        };
        return ScrollComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TableSortIconComponent = /** @class */ (function () {
        function TableSortIconComponent(dt) {
            var _this = this;
            this.dt = dt;
            this.subscription = this.dt.tableService.sortSource$.subscribe(( /**
             * @return {?}
             */function () {
                _this.updateSortIcon();
            }));
        }
        /**
         * @return {?}
         */
        TableSortIconComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.updateSortIcon();
            };
        /**
         * @return {?}
         */
        TableSortIconComponent.prototype.updateSortIcon = /**
         * @return {?}
         */
            function () {
                this.sorted = this.dt.isColumnSorted(this.field) ? this.dt.sortOrder : -1;
            };
        /**
         * @return {?}
         */
        TableSortIconComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription) {
                    this.subscription.unsubscribe();
                }
            };
        TableSortIconComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-sortIcon',
                        template: "\n    <i class=\"md-icon icon md-sortIcon\"\n      [ngClass]=\"[\n        sorted === 1 ? 'icon-arrow-filled-down_12' : 'icon-arrow-filled-up_12'\n      ]\">\n    </i>\n  "
                    }] }
        ];
        /** @nocollapse */
        TableSortIconComponent.ctorParameters = function () {
            return [
                { type: DataTableComponent }
            ];
        };
        TableSortIconComponent.propDecorators = {
            field: [{ type: i0.Input }]
        };
        return TableSortIconComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SelectRowDirective = /** @class */ (function () {
        function SelectRowDirective(dt, tableService) {
            this.dt = dt;
            this.tableService = tableService;
        }
        /**
         * @param {?} event
         * @return {?}
         */
        SelectRowDirective.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
            function (event) {
                this.dt.handleRowClick({
                    originalEvent: event,
                    rowData: this.rowData,
                });
            };
        /**
         * @return {?}
         */
        SelectRowDirective.prototype.isSelected = /**
         * @return {?}
         */
            function () {
                return this.rowData === this.dt.selection;
            };
        SelectRowDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[mdSelectRow]',
                        host: {
                            class: 'md-data-table__row',
                            '[class.md-data-table__row--selected]': 'isSelected()',
                            '[attr.tabindex]': '0',
                        }
                    },] }
        ];
        /** @nocollapse */
        SelectRowDirective.ctorParameters = function () {
            return [
                { type: DataTableComponent },
                { type: TableService }
            ];
        };
        SelectRowDirective.propDecorators = {
            rowData: [{ type: i0.Input, args: ['mdSelectRow',] }],
            onClick: [{ type: i0.HostListener, args: ['click', ['$event'],] }]
        };
        return SelectRowDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DataTableModule = /** @class */ (function () {
        function DataTableModule() {
        }
        DataTableModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            SpinnerModule,
                            IconModule,
                            AvatarModule,
                            CheckboxModule,
                            SelectModule
                        ],
                        exports: [
                            DataTableComponent,
                            SharedModule,
                            TableBodyComponent,
                            SortColumnDirective,
                            ResizableColumnDirective,
                            ScrollComponent,
                            DataTableCheckboxHeaderComponent,
                            DataTableCheckboxComponent,
                            TableSortIconComponent,
                            SelectRowDirective
                        ],
                        declarations: [
                            DataTableComponent,
                            TableBodyComponent,
                            SortColumnDirective,
                            ResizableColumnDirective,
                            ScrollComponent,
                            DataTableCheckboxHeaderComponent,
                            DataTableCheckboxComponent,
                            TableSortIconComponent,
                            SelectRowDirective
                        ],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return DataTableModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ActivityButtonComponent = /** @class */ (function () {
        function ActivityButtonComponent() {
            var _this = this;
            /**
             * \@prop Text to display for blindness accessibility features | ''
             */
            this.ariaLabel = '';
            /**
             * \@prop Sets the attribute disabled to the button | false
             */
            this.disabled = false;
            /**
             * \@prop Sets the button's size | 68
             */
            this.size = 68;
            /**
             * \@prop Sets the button's activity type
             */
            this.type = '';
            /**
             * \@prop Sets the button's class
             */
            this.className = '';
            this.whenClick = new i0.EventEmitter();
            this.regIntial = /\b\w+\b/g;
            this.containerClassName = 'md-button__container--small';
            this.iconClassName = 'icon icon-chat_36';
            this.labelName = '';
            this.buttonNgClass = {
                'md-button': true,
                'md-button--circle': true,
                'md-activity': true
            };
            this.buttonToIconSizeMapping = {
                56: '24',
                68: '28',
                84: '36'
            };
            this.getLabel = ( /**
             * @return {?}
             */function () {
                return _this.ariaLabel || _this.type.replace('-', ' ').replace(_this.regIntial, ( /**
                 * @param {?} word
                 * @return {?}
                 */function (word) {
                    return word.substring(0, 1).toUpperCase() + word.substring(1);
                }));
            });
            this.handleClick = ( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                _this.whenClick.emit(event);
            });
        }
        /**
         * @return {?}
         */
        ActivityButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this.size === 84) {
                    this.containerClassName = 'md-button__container';
                }
                if (this.className) {
                    this.buttonNgClass[this.className] = true;
                }
                this.labelName = this.getLabel();
                this.buttonNgClass['md-button--' + this.size] = true;
                this.buttonNgClass['md-activity__' + this.type] = true;
                this.iconClassName = 'icon icon-' + this.type + '_' + this.buttonToIconSizeMapping[this.size];
            };
        ActivityButtonComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'md-activity-button',
                        template: "\n  <button\n    [ngClass]='buttonNgClass'\n    [attr.aria-label] = 'labelName'\n    [attr.alt]=\"labelName\"\n    [disabled] = 'disabled'\n    type=\"button\"\n    tabindex=\"0\"\n    (click)=\"handleClick($event)\"\n  >\n    <span class=\"md-button__children\" *ngIf='type!==\"\"'>\n      <i [class]=\"iconClassName\"></i>\n    </span>\n    <ng-content></ng-content>\n  </button>\n  <div class=\"md-button__label\">{{ labelName }}</div>\n  ",
                        host: {
                            '[class]': 'containerClassName',
                        }
                    }] }
        ];
        /** @nocollapse */
        ActivityButtonComponent.ctorParameters = function () { return []; };
        ActivityButtonComponent.propDecorators = {
            ariaLabel: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            size: [{ type: i0.Input }],
            type: [{ type: i0.Input }],
            className: [{ type: i0.Input }],
            whenClick: [{ type: i0.Output }]
        };
        return ActivityButtonComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ActivityButtonModule = /** @class */ (function () {
        function ActivityButtonModule() {
        }
        /**
         * @return {?}
         */
        ActivityButtonModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: ActivityButtonModule,
                    providers: [],
                };
            };
        ActivityButtonModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [ActivityButtonComponent],
                        imports: [
                            common.CommonModule,
                            ButtonModule,
                            IconModule
                        ],
                        exports: [ActivityButtonComponent],
                        schemas: [i0.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return ActivityButtonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.AlertBannerModule = AlertBannerModule;
    exports.AlertBannerComponent = AlertBannerComponent;
    exports.AlertCallModule = AlertCallModule;
    exports.AlertCallComponent = AlertCallComponent;
    exports.AlertCallConfig = AlertCallConfig;
    exports.AlertCallContainerComponent = AlertCallContainerComponent;
    exports.AlertCallService = AlertCallService;
    exports.AlertCallDevice = AlertCallDevice;
    exports.DeviceListCallComponent = DeviceListCallComponent;
    exports.AlertMeetingModule = AlertMeetingModule;
    exports.AlertMeetingService = AlertMeetingService;
    exports.AlertMeetingContainerComponent = AlertMeetingContainerComponent;
    exports.AlertMeetingConfig = AlertMeetingConfig;
    exports.AlertMeetingComponent = AlertMeetingComponent;
    exports.AlertModule = AlertModule;
    exports.AlertService = AlertService;
    exports.AlertContainerComponent = AlertContainerComponent;
    exports.AlertConfig = AlertConfig;
    exports.AlertComponent = AlertComponent;
    exports.AvatarModule = AvatarModule;
    exports.AvatarComponent = AvatarComponent;
    exports.BadgeModule = BadgeModule;
    exports.BadgeComponent = BadgeComponent;
    exports.ButtonModule = ButtonModule;
    exports.ButtonComponent = ButtonComponent;
    exports.ButtonGroupModule = ButtonGroupModule;
    exports.ButtonGroupComponent = ButtonGroupComponent;
    exports.CallControlModule = CallControlModule;
    exports.CallControlComponent = CallControlComponent;
    exports.CheckboxModule = CheckboxModule;
    exports.CheckboxComponent = CheckboxComponent;
    exports.ComboBoxModule = ComboBoxModule;
    exports.ComboBoxComponent = ComboBoxComponent;
    exports.CompositeAvatarModule = CompositeAvatarModule;
    exports.CompositeAvatarComponent = CompositeAvatarComponent;
    exports.EditableTextfieldModule = EditableTextfieldModule;
    exports.EditableTextfieldComponent = EditableTextfieldComponent;
    exports.FormModule = FormModule;
    exports.FormComponent = FormComponent;
    exports.FormContentComponent = FormContentComponent;
    exports.FormInfoComponent = FormInfoComponent;
    exports.FormSectionComponent = FormSectionComponent;
    exports.FormSubSectionComponent = FormSubSectionComponent;
    exports.IconModule = IconModule;
    exports.IconComponent = IconComponent;
    exports.InputDirective = InputDirective;
    exports.InputService = InputService;
    exports.InputContainerComponent = InputContainerComponent;
    exports.InputHelperComponent = InputHelperComponent;
    exports.InputMessageComponent = InputMessageComponent;
    exports.InputSectionComponent = InputSectionComponent;
    exports.InputModule = InputModule;
    exports.InputContainerModule = InputContainerModule;
    exports.InputContainerService = InputContainerService;
    exports.InputHelperModule = InputHelperModule;
    exports.InputMessageModule = InputMessageModule;
    exports.InputSectionModule = InputSectionModule;
    exports.LabelModule = LabelModule;
    exports.LabelComponent = LabelComponent;
    exports.LightboxModule = LightboxModule;
    exports.LightboxComponent = LightboxComponent;
    exports.LightboxService = LightboxService;
    exports.LightboxTooltips = LightboxTooltips;
    exports.LightboxConfig = LightboxConfig;
    exports.ListModule = ListModule;
    exports.ListComponent = ListComponent;
    exports.ListItemModule = ListItemModule;
    exports.OptionSelectionChange = OptionSelectionChange;
    exports.ListItemComponent = ListItemComponent;
    exports.ListItemHeaderModule = ListItemHeaderModule;
    exports.ListItemHeaderComponent = ListItemHeaderComponent;
    exports.ListItemSectionModule = ListItemSectionModule;
    exports.ListItemSectionComponent = ListItemSectionComponent;
    exports.ListSeparatorModule = ListSeparatorModule;
    exports.ListSeparatorComponent = ListSeparatorComponent;
    exports.LoadingModule = LoadingModule;
    exports.LoadingComponent = LoadingComponent;
    exports.MenuComponent = MenuComponent;
    exports.MenuModule = MenuModule;
    exports.MenuContentComponent = MenuContentComponent;
    exports.MenuItemComponent = MenuItemComponent;
    exports.MenuTriggerDirective = MenuTriggerDirective;
    exports.ModalModule = ModalModule;
    exports.ModalBodyComponent = ModalBodyComponent;
    exports.ModalContainerComponent = ModalContainerComponent;
    exports.ModalFooterComponent = ModalFooterComponent;
    exports.ModalHeaderComponent = ModalHeaderComponent;
    exports.ModalRef = ModalRef;
    exports.ModalComponent = ModalComponent;
    exports.ModalService = ModalService;
    exports.RadioModule = RadioModule;
    exports.RadioComponent = RadioComponent;
    exports.SliderModule = SliderModule;
    exports.SliderComponent = SliderComponent;
    exports.SliderPointerComponent = SliderPointerComponent;
    exports.SelectModule = SelectModule;
    exports.SelectChange = SelectChange;
    exports.SelectComponent = SelectComponent;
    exports.SelectItemComponent = SelectItemComponent;
    exports.SelectCheckboxComponent = SelectCheckboxComponent;
    exports.SpinnerModule = SpinnerModule;
    exports.SpinnerComponent = SpinnerComponent;
    exports.TabsModule = TabsModule;
    exports.TabsComponent = TabsComponent;
    exports.ToggleSwitchModule = ToggleSwitchModule;
    exports.ToggleSwitchComponent = ToggleSwitchComponent;
    exports.TopbarModule = TopbarModule;
    exports.TopbarComponent = TopbarComponent;
    exports.TopbarBrandComponent = TopbarBrandComponent;
    exports.TopbarMobileComponent = TopbarMobileComponent;
    exports.TopbarNavComponent = TopbarNavComponent;
    exports.TopbarRightComponent = TopbarRightComponent;
    exports.AccordionModule = AccordionModule;
    exports.AccordionTabComponent = AccordionTabComponent;
    exports.AccordionComponent = AccordionComponent;
    exports.SideBarModule = SideBarModule;
    exports.SideBarComponent = SideBarComponent;
    exports.SideBarBodyModule = SideBarBodyModule;
    exports.SideBarBodyComponent = SideBarBodyComponent;
    exports.SidebarNavModule = SidebarNavModule;
    exports.SidebarNavComponent = SidebarNavComponent;
    exports.SidebarNavItemModule = SidebarNavItemModule;
    exports.SidebarNavItemComponent = SidebarNavItemComponent;
    exports.SidebarHeaderModule = SidebarHeaderModule;
    exports.SidebarHeaderComponent = SidebarHeaderComponent;
    exports.SidebarFooterModule = SidebarFooterModule;
    exports.SidebarFooterComponent = SidebarFooterComponent;
    exports.TimePickerComponent = TimePickerComponent;
    exports.TimePickerModule = TimePickerModule;
    exports.TimePickerDropdownComponent = TimePickerDropdownComponent;
    exports.TimePickerDropdownModule = TimePickerDropdownModule;
    exports.TimeSelectorComponent = TimeSelectorComponent;
    exports.TimeSelectorModule = TimeSelectorModule;
    exports.DatePickerComponent = DatePickerComponent;
    exports.DatePickerModule = DatePickerModule;
    exports.DatePickerCalendarComponent = DatePickerCalendarComponent;
    exports.DatePickerCalendarModule = DatePickerCalendarModule;
    exports.DatePickerMonthComponent = DatePickerMonthComponent;
    exports.DatePickerMonthModule = DatePickerMonthModule;
    exports.DatePickerWeekComponent = DatePickerWeekComponent;
    exports.DatePickerWeekModule = DatePickerWeekModule;
    exports.DatePickerDayComponent = DatePickerDayComponent;
    exports.DatePickerDayModule = DatePickerDayModule;
    exports.DateRangePickerModule = DateRangePickerModule;
    exports.DateRangePickerComponent = DateRangePickerComponent;
    exports.BreadcrumbsComponent = BreadcrumbsComponent;
    exports.BreadcrumbsModule = BreadcrumbsModule;
    exports.PopoverModule = PopoverModule;
    exports.PopoverDirective = PopoverDirective;
    exports.CardModule = CardModule;
    exports.CardComponent = CardComponent;
    exports.CoachmarkModule = CoachmarkModule;
    exports.CoachmarkComponent = CoachmarkComponent;
    exports.PageHeaderComponent = PageHeaderComponent;
    exports.PageHeaderModule = PageHeaderModule;
    exports.PageHeaderContentComponent = PageHeaderContentComponent;
    exports.PageHeaderContentModule = PageHeaderContentModule;
    exports.TooltipModule = TooltipModule;
    exports.TooltipComponent = TooltipComponent;
    exports.TooltipDirective = TooltipDirective;
    exports.PaginationModule = PaginationModule;
    exports.PaginationComponent = PaginationComponent;
    exports.DrawerModule = DrawerModule;
    exports.DrawerComponent = DrawerComponent;
    exports.CheckboxGroupModule = CheckboxGroupModule;
    exports.CheckboxGroupComponent = CheckboxGroupComponent;
    exports.RadioGroupModule = RadioGroupModule;
    exports.RadioGroupComponent = RadioGroupComponent;
    exports.DataTableModule = DataTableModule;
    exports.DataTableComponent = DataTableComponent;
    exports.TableBodyComponent = TableBodyComponent;
    exports.ScrollComponent = ScrollComponent;
    exports.ActivityButtonModule = ActivityButtonModule;
    exports.ActivityButtonComponent = ActivityButtonComponent;
    exports.ɵm = AccordionService;
    exports.ɵt = CardSectionComponent;
    exports.ɵu = CoachmarkService;
    exports.ɵbd = DataTableCheckboxComponent;
    exports.ɵbc = DataTableCheckboxHeaderComponent;
    exports.ɵbf = SelectRowDirective;
    exports.ɵbe = TableSortIconComponent;
    exports.ɵf = TableService;
    exports.ɵbb = ResizableColumnDirective;
    exports.ɵd = SharedModule;
    exports.ɵc = TemplateNameDirective;
    exports.ɵba = SortColumnDirective;
    exports.ɵq = DatePickerService;
    exports.ɵs = DateRangeInputComponent;
    exports.ɵr = DateRangeInputModule;
    exports.ɵx = PaginationArrowComponent;
    exports.ɵw = PaginationArrowModule;
    exports.ɵz = PaginationNumberComponent;
    exports.ɵy = PaginationNumberModule;
    exports.ɵv = PaginationService;
    exports.ɵe = SelectService;
    exports.ɵo = SidebarNavService;
    exports.ɵn = SidebarService;
    exports.ɵk = TabContentComponent;
    exports.ɵh = TabHeaderComponent;
    exports.ɵi = TabListComponent;
    exports.ɵl = TabPaneComponent;
    exports.ɵj = TabComponent;
    exports.ɵg = TabsService;
    exports.ɵp = TimePickerService;
    exports.ɵb = TooltipContainerComponent;
    exports.ɵa = RemoveHostDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=momentum-ui-angular.umd.js.map